<?php
class DBChose
{
    
	private $Drivers = array( 'mysql' );
	
	private static $mysql_Driver;
	
	public function __construct()
    {
        require_once( dir_INTERFACES.'interface_DBConnect.php' );     	
    	require_once( dir_INTERFACES.'interface_DBStatement.php' );  	
    	
    	foreach( $this->Drivers as $i => $v )
    	{
    	    if( method_exists( $this, 'driver_'.$v ) )        
                return call_user_method( 'driver_'.$v, $this );
       	}    	
    }
    
    public static function GetDriver( $SQL = 'mysql' )
    {
        $driver = $SQL.'_Driver';
    	return DBChose::$$driver;    	
    }
    
    public static function PrepareDriver( $query, $SQL = 'mysql' )
    {
        $driver = DBChose::GetDriver( $SQL );
    	return $driver->Prepare( $query );    	
    }
	
	private function driver_mysql()
    {
    	require_once( dir_CONFIGS.'config_MySQL.php' );
    	
    	$driver = new DBMysql();
    	
    	DBMysql::UserSet(     $username );
        DBMysql::PasswordSet( $password );    
        DBMysql::HostSet(     $host     );
        DBMysql::BaseSet(     $database );
        DBMysql::EncodingSet( $encoding );

	    DBChose::$mysql_Driver = $driver;
    }
}
?>