<?php
class DBMysqlStatement implements IFS_DBStatement
{
    private $result;     // Результат запроса.
    private $number;     // Количество полученых строк.
    private $binds;      // Результат обработки БИНД данных.
    private $query;      // Запрос к базе данных.
    private static $dbh; // Линкер на подключение.

    public function __construct( $dbh, $query )
    {
        $this->query = $query;
        
        DBMysqlStatement::$dbh = $dbh;

        if( !is_resource( DBMysqlStatement::$dbh ) )
            die( 'db resource wrong' );
             
    } // END OF __construct()

    public function Execute()
    {
        $binds = func_get_args();

        foreach( $binds as $key => $val )
            $this->binds[$key + 1] = $val; 

        $cnt   = count( $binds ); 
        $query = $this->query;    
        for( $a = $cnt; $a >= 1; $a-- )
            $query = str_replace( ':'.$a, '\''.mysql_escape_string( $this->binds[$a] ).'\'', $query );


        //echo '<div style="background: #FFFFFF;">'.$query.'</div><br />'; 
            
        $this->result = mysql_query( $query, DBMysqlStatement::$dbh );

        if( $this->result )
            @$this->number = mysql_num_rows( $this->result );

        return $this;
    } // END OF Execute()

    public function GetNum()
    {
        return $this->number;
    } // END OF FetchRow()

    public function FetchRow()
    {
        return mysql_fetch_row( $this->result );
    } // END OF FetchRow()

    public function FetchArray()
    {
        return mysql_fetch_array( $this->result );
    } // END OF FetchArray()

    public function FetchAssoc()
    {
        return mysql_fetch_assoc( $this->result );
    } // END OF FetchAssoc()
}

?>