<?php

class ModuleSettings
{
    
	private static $SiteSettings;
	private static $Levels;
	private static $Uri;
	
	private static $ModuleData;
	private static $ModuleSettings;
	
	
    public static function GetData( $index )
    {
       return ModuleSettings::$ModuleData[$index];   	
    }
    
    public static function GetDatas()
    {
        return ModuleSettings::$ModuleData;  	
    }
    
    public static function GetSetting( $index )
    {
        return ModuleSettings::$ModuleSettings[$index];   	
    }
    
    public static function GetSettings()
    {
        return ModuleSettings::$ModuleSettings;  	
    }
	
	public static function SetSite( $site )
    {
        ModuleSettings::$SiteSettings = $site;   	
    }
    
    public static function SetLevels( $levels )
    {
        ModuleSettings::$Levels = $levels;   	
    }
    
    public static function SetUri( $uri )
    {
        ModuleSettings::$Uri = $uri;   	
    }
    
    public static function Execute()
    {        
        $first_uri = ModuleSettings::$Uri[0];       
        
        if( $first_uri == '' )
            $first_uri = ModuleSettings::$SiteSettings['dmodule'];
                                    
    	if( ModuleSettings::GenerateData( ModuleSettings::$SiteSettings['uni'], $first_uri ) )
    	    return true;
    	
    	return false; 	    	
    }
    
    private static function GenerateData( $sitename, $module_name )
    {
        $module_check = DBChose::PrepareDriver( 'SELECT `modules`.*, `developers`.`dir` AS `dir` FROM  `modules`, `developers` WHERE `modules`.`site`=:1 AND `modules`.`url`=:2 AND `modules`.`developer` = `developers`.`id`' );
    	$module_check->Execute( $sitename, $module_name );
    	    
    	if( $module_check->GetNum() )
    	{
    	    $module_data = $module_check->FetchAssoc();
    	    $module_sett = array();
    	    	
    	    $module_settings = DBChose::PrepareDriver( 'SELECT * FROM  `modules_settings` WHERE `mid`=:1' );
    	    $module_settings->Execute( $module_data['id'] );
    	        
    	    for( $a = 0; $a < $module_settings->GetNum(); $a++ )
    	    {
    	        $row = $module_settings->FetchAssoc();
    	        
    	        $module_sett[$row['var']] = $row['val'];    	        	
    	    }
    	        
    	    ModuleSettings::$ModuleData     = $module_data;
    	    ModuleSettings::$ModuleSettings = $module_sett;    	    
    	    
    	    unset( $module_check, $module_data, $module_sett, $module_settings, $row, $a );
    	        
    	    return true;
    	}
    	else if( SonetUserPage::CheckPage( $module_name ) )
    	{
    	    $module_data = array(
    	    	'file'        => 'sonet',
    	    	'auth_ignore' => 1,
    	    	'dir'         => 'sspark'
    	    );
    	    	
    	    ModuleSettings::$ModuleData     = $module_data;

            return true; 
    	}
    	else if( SonetGroupPage::CheckGroup( $module_name ) )
    	{
    	    $module_data = array(
    	    	'file'        => 'groups',
    	    	'auth_ignore' => 1,
    	    	'dir'         => 'sspark'
    	    );
    	    	
    	    ModuleSettings::$ModuleData     = $module_data;

            return true; 
    	}     	    
    	else
    	    return false; 
 	
    }
	
}


?>