<?php
class PModule
{
    //--------------------------------------------------------------------------
    // PUBLIC VARS
    //--------------------------------------------------------------------------

    //--------------------------------------------------------------------------
    // PPRIVATE VARS
    //--------------------------------------------------------------------------

    //--------------------------------------------------------------------------
    // PROTECTED VARS
    //--------------------------------------------------------------------------
    
    protected static $RETRUN_Title       = '';
    protected static $RETRUN_Keywords    = '';
    protected static $RETRUN_Description = '';
    
    protected static $RETRUN_ImageFull   = '';
    protected static $RETRUN_ImageHeader = '';
    protected static $RETRUN_ImageLeft   = '';
    protected static $RETRUN_ImageRight  = '';
    
    protected static $RETRUN_MenuLeft    = array();
    protected static $RETRUN_MenuRight   = array();
    protected static $RETRUN_MenuBooks   = array();
    protected static $RETRUN_MenuBread   = array();
    protected static $RETRUN_MenuSetts   = array(
        'left'  => array( 'active' => 0, 'submenu' => 0 ),
        'right' => array( 'active' => 0, 'submenu' => 0 )
    );
    
    protected static $RETRUN_DATA        = '';
    
    protected static $RETRUN_Flag1       = '';
    protected static $RETRUN_Flag2       = '';
    protected static $RETRUN_Flag3       = '';
    
    protected static $RETRUN_TemplSite   = '';
    protected static $RETRUN_TemplModule = '';
    protected static $RETRUN_TemplFile   = '';

    //--------------------------------------------------------------------------
    // PUBLIC FUNCTIONS
    //--------------------------------------------------------------------------    
    
      
    public function Execute()
    {        
        PModule::SetTitle      ( SiteSettings::GetSetting( 'title' )       );
        PModule::SetKeywords   ( SiteSettings::GetSetting( 'keywords' )    );
        PModule::SetDescription( SiteSettings::GetSetting( 'description' ) ); 

        PModule::SetTemplSite  ( SiteSettings::GetSetting( 'uni' ) );    
        PModule::SetTemplModule( ModuleSettings::GetData( 'file' ) );
        PModule::SetTemplFile  ( 'tpl_index'                       ); 
    	
    	if( method_exists( $this, 'act_'.UrlDecoder::GetCUri( 1 ) ) )
            call_user_method( 'act_'.UrlDecoder::GetCUri( 1 ), $this );
        else
            call_user_method( 'act_index', $this );

        PMReturn::SetTitle      ( PModule::$RETRUN_Title       );
        PMReturn::SetKeywords   ( PModule::$RETRUN_Keywords    );    
        PMReturn::SetDescription( PModule::$RETRUN_Description );
    
        PMReturn::SetImageFull  ( PModule::$RETRUN_ImageFull   );
        PMReturn::SetImageHeader( PModule::$RETRUN_ImageHeader );    
        PMReturn::SetImageLeft  ( PModule::$RETRUN_ImageLeft   );
        PMReturn::SetImageRight ( PModule::$RETRUN_ImageRight  );
    
        PMReturn::SetMenuLeft   ( PModule::$RETRUN_MenuLeft    );
        PMReturn::SetMenuRight  ( PModule::$RETRUN_MenuRight   );    
        PMReturn::SetMenuBooks  ( PModule::$RETRUN_MenuBooks   );
        PMReturn::SetMenuBread  ( PModule::$RETRUN_MenuBread   );
        PMReturn::SetMenuSetts  ( PModule::$RETRUN_MenuSetts   );
    
        PMReturn::SetDATA       ( PModule::$RETRUN_DATA        );
        PMReturn::SetFLAG1      ( PModule::$RETRUN_Flag1       );    
        PMReturn::SetFLAG2      ( PModule::$RETRUN_Flag2       );
        PMReturn::SetFLAG3      ( PModule::$RETRUN_Flag3       );
    
        PMReturn::SetTemplSite  ( PModule::$RETRUN_TemplSite   );    
        PMReturn::SetTemplModule( PModule::$RETRUN_TemplModule );
        PMReturn::SetTemplFile  ( PModule::$RETRUN_TemplFile   );    
    } 

    //--------------------------------------------------------------------------
    // PRIVATE FUNCTIONS
    //--------------------------------------------------------------------------    
       
    protected function SetTitle      ( $title       ) { PModule::$RETRUN_Title       = $title;       }
    protected function SetKeywords   ( $keywords    ) { PModule::$RETRUN_Keywords    = $keywords;    }    
    protected function SetDescription( $description ) { PModule::$RETRUN_Description = $description; }
    
    protected function SetImageFull  ( $image       ) { PModule::$RETRUN_ImageFull   = $image;       }
    protected function SetImageHeader( $image       ) { PModule::$RETRUN_ImageHeader = $image;       }    
    protected function SetImageLeft  ( $image       ) { PModule::$RETRUN_ImageLeft   = $image;       }
    protected function SetImageRight ( $image       ) { PModule::$RETRUN_ImageRight  = $image;       }
    
    protected function SetFlag1      ( $flag        ) { PModule::$RETRUN_Flag1       = $flag;        }
    protected function SetFlag2      ( $flag        ) { PModule::$RETRUN_Flag2       = $flag;        }    
    protected function SetFlag3      ( $flag        ) { PModule::$RETRUN_Flag3       = $flag;        }
    
    protected function SetTemplSite  ( $templ       ) { PModule::$RETRUN_TemplSite   = $templ;       }
    protected function SetTemplModule( $templ       ) { PModule::$RETRUN_TemplModule = $templ;       }    
    protected function SetTemplFile  ( $templ       ) { PModule::$RETRUN_TemplFile   = $templ;       }
    
    protected function SetReturnData ( $return         ) { PModule::$RETRUN_DATA         = $return;  }
    protected function SetReturnCData( $index, $return ) { PModule::$RETRUN_DATA[$index] = $return;  }
    
    protected function SetMenuLeft( $active, $submenu )
    {
    	PModule::$RETRUN_MenuSetts['left']['active']  = $active;
    	PModule::$RETRUN_MenuSetts['left']['submenu'] = $submenu;
    } 
    
    protected function SetMenuRight( $active, $submenu )
    {
    	PModule::$RETRUN_MenuSetts['right']['active']  = $active;
    	PModule::$RETRUN_MenuSetts['right']['submenu'] = $submenu;
    } 
    
    protected function AddMenuLeft_head( $name, $title ) 
    {
    	PModule::$RETRUN_MenuLeft[$name] = array( 'title' => $title, 'items' => array() ); 
    }
    
    protected function AddMenuLeft_item( $name, $url_start, $url_end, $url_lvl, $title, $description, $other_trigs = array() ) 
    {
    	PModule::$RETRUN_MenuLeft[$name]['items'][] = array(
    	    'url_start'   => $url_start,
    	    'url_end'     => $url_end,
    	    'url_lvl'     => $url_lvl,
    	    'title'       => $title,
    	    'description' => $description,
    	    'other_trigs' => $other_trigs
    	);
    }
    
    protected function AddMenuRight_head( $name, $title ) 
    {
    	PModule::$RETRUN_MenuRight[$name] = array( 'title' => $title, 'items' => array() ); 
    }
    
    protected function AddMenuRight_item( $name, $url_start, $url_end, $url_lvl, $title, $description, $other_trigs = array() ) 
    {
    	PModule::$RETRUN_MenuRight[$name]['items'][] = array(
    	    'url_start'   => $url_start,
    	    'url_end'     => $url_end,
    	    'url_lvl'     => $url_lvl,
    	    'title'       => $title,
    	    'description' => $description,
    	    'other_trigs' => $other_trigs
    	);
    }
    
    protected function AddBreadCorn( $url, $title, $descr )
    {
        $num = sizeof( PModule::$RETRUN_MenuBread );
        
        if( $num == 0 )
            PModule::$RETRUN_MenuBread[] = array( 'url' => $url, 'title' => $title, 'descr' => $descr ); 
        else
        {
        	PModule::$RETRUN_MenuBread[] = array( 'url' => PModule::$RETRUN_MenuBread[$num - 1]['url'].'/'.$url, 'title' => $title, 'descr' => $descr );
        }            
    }

    protected function AddBookMark(  $url_start, $url_end, $url_lvl, $title, $description, $other_trigs = array() )
    {
        PModule::$RETRUN_MenuBooks[] = array(
    	    'url_start'   => $url_start,
    	    'url_end'     => $url_end,
    	    'url_lvl'     => $url_lvl,
    	    'title'       => $title,
    	    'description' => $description,
    	    'other_trigs' => $other_trigs
    	);           
    } 

    protected function AddReturnData( $index, $return ) { PModule::$RETRUN_DATA[$index] = $return; }
    
    
    protected function GetReturnData( $index ) { return PModule::$RETRUN_DATA[$index]; }
   
    protected function GetReturnData_all() { return PModule::$RETRUN_DATA; }
} 


?>