<?php
class SiteSettings
{
    //--------------------------------------------------------------------------
    // PUBLIC VARS
    //--------------------------------------------------------------------------

    //--------------------------------------------------------------------------
    // PPRIVATE VARS
    //--------------------------------------------------------------------------

    private static $Name     = '';
    private static $Domain   = '';
    private static $Settings = array();
    private static $Lev      = array();
    private static $Uri      = array();

    //--------------------------------------------------------------------------
    // PUBLIC FUNCTIONS
    //--------------------------------------------------------------------------

    public static function SetLev( $levels )
    {
        SiteSettings::$Lev = $levels;
    } 
    
    public static function SetUri( $uri )
    {
        SiteSettings::$Uri = $uri;
    } 
      
    public static function Execute()
    {
        SiteSettings::NameCheck();
        SiteSettings::SettingsRetrive();
    } 
      
    public static function GetName()
    {
        return SiteSettings::$Name;
    } 
    
    public static function GetDomain()
    {
        return SiteSettings::$Domain;
    } 

    public static function GetSetting( $index )
    {
        return SiteSettings::$Settings[$index];
    } 
    
    public static function GetSettings()
    {
        return SiteSettings::$Settings;
    } 
    
    public static function SetSetting( $index, $value )
    {
        SiteSettings::$Settings[$index] = $value;
        return true;
    } 
      
    //--------------------------------------------------------------------------
    // PRIVATE FUNCTIONS
    //--------------------------------------------------------------------------

    private static function NameCheck()
    {    	
    	$host = $_SERVER['HTTP_HOST'];
    	
    	$host_check = DBChose::PrepareDriver( 'SELECT * FROM  `sett_domains` WHERE `name`=:1' );
    	$host_check->Execute( $host );
    	
    	if( $host_check->GetNum() )
    	{
    		define( 'SHOST', 'http://'.$_SERVER['HTTP_HOST'] );
    		
    		$data = $host_check->FetchAssoc();
    		
    		SiteSettings::$Name   = $data['uni'];
            SiteSettings::$Domain = $data['name'];
            
            unset( $host, $host_check, $data );
            return true;
    	}    
    } 

    private static function SettingsRetrive()
    {
        $sql = DBChose::PrepareDriver( 'SELECT * FROM  `sett_settings` WHERE `uni`=:1 ' );
        $sql->Execute( SiteSettings::GetName() );        
        
        $row = $sql->FetchAssoc();
        
        $array = array();
        
        foreach( $row as $i => $v )
            $array[$i] = $v;            
        
        SiteSettings::$Settings = $array;        
        
        unset( $sql, $row, $array, $i, $v );
        
        return true;
    } 

}
?>