<?php

class Translit
{
	private static $RuToEng = array(
	    'а' => 'a',
	    'б' => 'b',
	    'в' => 'v',
	    'г' => 'g',
	    'д' => 'd',
	    'е' => 'e',
	    'ё' => 'yo',
	    'ж' => 'zh',
	    'з' => 'z',
	    'и' => 'i',
	    'й' => 'j',
	    'к' => 'k',
	    'л' => 'l',
	    'м' => 'm',
	    'н' => 'n',
	    'о' => 'o',
	    'п' => 'p',
	    'р' => 'r',
	    'с' => 's',
	    'т' => 't',
	    'у' => 'u',
	    'ф' => 'f',
	    'х' => 'h',
	    'ц' => 'c',
	    'ч' => 'ch',
	    'ш' => 'sh',
	    'щ' => 'sch',
	    'ъ' => 'tz',
	    'ы' => 'ua',
	    'ь' => 'mz',
	    'э' => 'ye',
	    'ю' => 'yu',
	    'я' => 'ya',
	    '1' => '1',
	    '2' => '2',
	    '3' => '3',
	    '4' => '4',
	    '5' => '5',
	    '6' => '6',
	    '7' => '7',
	    '8' => '8',
	    '9' => '9',
	    '0' => '0'
 	);
	
	private static $EngRoRu = array(
	    'a'   => 'а',
	    'b'   => 'б',
	    'v'   => 'в',
	    'g'   => 'г',
	    'd'   => 'д',
	    'e'   => 'е',
	    'yo'  => 'ё',
	    'zh'  => 'ж',
	    'z'   => 'з',
	    'i'   => 'и',
	    'j'   => 'й',
	    'k'   => 'к',
	    'l'   => 'л',
	    'm'   => 'м',
	    'n'   => 'н',
	    'o'   => 'о',
	    'p'   => 'п',
	    'r'   => 'р',
	    's'   => 'с',
	    't'   => 'т',
	    'u'   => 'у',
	    'f'   => 'ф',
	    'h'   => 'х',
	    'c'   => 'ц',
	    'ch'  => 'ч',
	    'sh'  => 'ш',
	    'sch' => 'щ',
	    'tz'  => 'ъ',
	    'ua'  => 'ы',
	    'mz'  => 'ь',
	    'ye'  => 'э',
	    'yu'  => 'ю',
	    'ya'  => 'я',
	    '1'   => '1',
	    '2'   => '2',
	    '3'   => '3',
	    '4'   => '4',
	    '5'   => '5',
	    '6'   => '6',
	    '7'   => '7',
	    '8'   => '8',
	    '9'   => '9',
	    '0'   => '0'	    
	);
	
	public static function RuToEng( $symbol )
	{		
		return Translit::$RuToEng[ mb_strtolower( $symbol, 'UTF-8' )];
	}
	
    public static function EngToRu( $symbol )
	{
		return Translit::$EngRoRu[ mb_strtolower( $symbol, 'UTF-8' )];
	}	
}