<?php
class TwitterListing
{
	private static $Date_H = 0;
	private static $Date_M = 0;
	private static $Date_Y = 0;
	private static $Date_d = 0;
	private static $Date_i = 0;
	
	private static $UserName  = '';
	private static $TweetNum  = '';
	private static $TweetCor  = '';
	private static $TweetInfo = '';
	
	public static function factory( $user_name, $number_of_tweets, $time_correction )
	{
		TwitterListing::$Date_H = date( 'H' );
        TwitterListing::$Date_M = date( 'M' );
        TwitterListing::$Date_Y = date( 'Y' );
        
        TwitterListing::$Date_d = date( 'd' );
        TwitterListing::$Date_i = date( 'i' );
        
        
        TwitterListing::$UserName = $user_name;
        TwitterListing::$TweetNum = (int)$number_of_tweets;
        TwitterListing::$TweetCor = (int)$time_correction;
        
        TwitterListing::TakeAccInfo();
	}	
	
    public static function GetInfo()      { return TwitterListing::$TweetInfo;     }
	public static function GetCInfo( $i ) { return TwitterListing::$TweetInfo[$i]; }
	
	public static function GetTweets()
	{
	    $select = DBChose::PrepareDriver( 'SELECT * FROM `twitter_tweets` WHERE `channel_id`=:1 ORDER BY  `unix_date` DESC LIMIT 0 , '.TwitterListing::$TweetNum );    	
    	$select->Execute( TwitterListing::GetCInfo( 'channel_id' ) );
        
        $return_array = array();
 
        for( $i = 0; $i < $select->GetNum(); $i++ )
        {
            $row = $select->FetchAssoc();
        	
        	list( $dweek, $m, $d, $time, $cl, $y )  = explode( ' ', $row['twitter_date'] );
 
            $postid = $row['post_id'];
            $post   = htmlspecialchars_decode( $row['post'] );
            
            if( empty( $post ) || $post == '' )
                continue;

                
            $return_array[] = array( 'url' => 'http://twitter.com/'.TwitterListing::$UserName.'/status/'.$postid, 'time' => TwitterListing::TwitterTime( $d, $m, $y, $time, TwitterListing::$TweetCor ), 'post' => $post );
        }

        return $return_array; 
	}
	
    private static function TakeAccInfo()
	{      

        $select = DBChose::PrepareDriver( 'SELECT * FROM `twitter_channels` WHERE `sname`=:1' );    	
    	$select->Execute(  TwitterListing::$UserName );
    	
    	if( !$select->GetNum() )
    	{    		
    		$xml = simplexml_load_file( 'http://twitter.com/users/show.xml?screen_name='.TwitterListing::$UserName );
        
            $id           = $xml[0]->id;            $name         = $xml[0]->name;             $sname        = $xml[0]->screen_name;
            $location     = $xml[0]->location;      $description  = $xml[0]->description;      $avatar       = $xml[0]->profile_image_url;
            $url          = $xml[0]->url;           $follow_count = $xml[0]->followers_count;  $friend_count = $xml[0]->friends_count;
            $reg_date     = $xml[0]->created_at;    $fav_count    = $xml[0]->favourites_count; $tweet_counts = $xml[0]->statuses_count;
            $lang         = $xml[0]->lang;
    		
    		$date  = new DateTime( $reg_date );
    		$udate =  $date->format( 'U' );
    		
    		$insert = DBChose::PrepareDriver( 'INSERT INTO `twitter_channels` 
    		                                   ( `id`, `name`, `sname`, `location`, `description`, `avatar`, `url`, `follow_count`, `friend_count`, `reg_date`, `reg_udate`, `fav_count`, `tweet_counts`, `lang`, `last_update`  ) 
    		                                   VALUES
    		                                   ( \''.$id.'\',
    		                                     \''.htmlspecialchars( $name ).'\',
    		                                     \''.$sname.'\',
    		                                     \''.$location.'\',
    		                                     \''.htmlspecialchars( $description ).'\',
    		                                     \''.$avatar.'\',
    		                                     \''.$url.'\',
    		                                     \''.$follow_count.'\',
    		                                     \''.$friend_count.'\',
    		                                     \''.$reg_date.'\',
    		                                     \''.$udate.'\',
    		                                     \''.$fav_count.'\',
    		                                     \''.$tweet_counts.'\',
    		                                     \''.$lang.'\',
    		                                     \''.date( 'U' ).'\' )' );    	
    	    $insert->Execute();
    		
    	    $select1 = DBChose::PrepareDriver( 'SELECT * FROM `twitter_channels` WHERE `id`=:1' );    	
    	    $select1->Execute( $id );
    	    
    	    if( $select1->GetNum() )
    	    {
    	    	$row = $select1->FetchAssoc();
    	    	TwitterListing::RefreshTweets( $row['channel_id'] ); 
    	    	TwitterListing::$TweetInfo = $row;
    	    }
    	}
    	else
    	{    		
    		$row = $select->FetchAssoc();
    		
    		if( date( 'U' ) - $row['last_update'] > 3600 )
    		{
    			$xml = simplexml_load_file( 'http://twitter.com/users/show.xml?screen_name='.TwitterListing::$UserName );
        
            	$id           = $xml[0]->id;            $name         = $xml[0]->name;             $sname        = $xml[0]->screen_name;
            	$location     = $xml[0]->location;      $description  = $xml[0]->description;      $avatar       = $xml[0]->profile_image_url;
            	$url          = $xml[0]->url;           $follow_count = $xml[0]->followers_count;  $friend_count = $xml[0]->friends_count;
            	$reg_date     = $xml[0]->created_at;    $fav_count    = $xml[0]->favourites_count; $tweet_counts = $xml[0]->statuses_count;
            	$lang         = $xml[0]->lang;
            
            
    		    $insert = DBChose::PrepareDriver( 'UPDATE `twitter_channels` 
    		                                       SET
    		                                        `id` = \''.$id.'\', 
    		                                        `name` = \''.htmlspecialchars( $name ).'\', 
    		                                        `sname` = \''.$sname.'\',
    		                                        `location` = \''.$location.'\', 
    		                                        `description` = \''.htmlspecialchars( $description ).'\',
    		                                        `avatar` = \''.$avatar.'\', 
    		                                        `url` = \''.$url.'\', 
    		                                        `follow_count` = \''.$follow_count.'\', 
    		                                        `friend_count` = \''.$friend_count.'\',
    		                                        `reg_date` = \''.$reg_date.'\', 
    		                                        `reg_udate` = \''.$udate.'\', 
    		                                        `fav_count` = \''.$fav_count.'\', 
    		                                        `tweet_counts` = \''.$tweet_counts.'\', 
    		                                        `lang` =  \''.$lang.'\', 
    		                                        `last_update` = \''.date( 'U' ).'\'
    		                                       WHERE `channel_id`=\''.$row['channel_id'].'\'' );    	
    	        $insert->Execute();   		    		
    	        TwitterListing::RefreshTweets( $row['channel_id'] );
    	        
    	        TwitterListing::$TweetInfo = array(
    	        'channel_id'   => $row['channel_id'],
                'id'           => $id,
                'name'         => $name,
                'sname'        => $sname,
                'location'     => $location,
                'description'  => $description,
                'avatar'       => $avatar,
                'url'          => $url,
                'follow_count' => $follow_count,
                'friend_count' => $friend_count,
                'reg_date'     => $reg_date,
                'fav_count'    => $fav_count,
                'tweet_counts' => $tweet_counts,
                'lang'         => $lang          );
    		} 
    		else
    		    TwitterListing::$TweetInfo = $row;
    	}		
	}
	
	private static function RefreshTweets( $cid )
	{
	    $c   = TwitterListing::$TweetNum + 1;
        $dom = new DomDocument();        
        
        $dom->load('http://twitter.com/statuses/user_timeline/'.TwitterListing::$UserName.'.xml?count='.$c);
 
        $twit = $dom->getElementsByTagName( 'text'       );
        $date = $dom->getElementsByTagName( 'created_at' );
        $id   = $dom->getElementsByTagName( 'id'         );
 
        for( $i = 0; $i < $c; $i++ )
        { 
            $cdate  = $date->item( $i * 2 )->nodeValue;
        	$idate   = new DateTime( $cdate );
    		$udate  =  $idate->format( 'U' );            
            $postid = $id->item( $i * 2 )->nodeValue;
            $post   = $twit->item( $i   )->nodeValue;
            $post   = preg_replace("#(https?|ftp)://\S+[^\s.,> )\];'\"!?]#", '<a href="\\0" title="Ссылка с твиттера." rel="nofollow" target="_blank">\\0</a>', $post );
            
            if( empty( $post ) || $post == '' )
                continue;
                
            $insert = DBChose::PrepareDriver( 'INSERT INTO `twitter_tweets` 
    		                                   ( `channel_id`,  `post_id`, `post`, `twitter_date`, `unix_date`  ) 
    		                                   VALUES
    		                                   ( \''.$cid.'\', \''.$postid.'\', \''.htmlspecialchars( $post ).'\', \''.$cdate.'\', \''.$udate.'\' )' );    	
    	    $insert->Execute(); 

    	    unset( $idate, $udate, $postid, $post );
        }
	}	
	
	private static function TwitterTime( $d, $m, $y, $time, $correct )
	{
        $date_H = TwitterListing::$Date_H;
        $date_M = TwitterListing::$Date_M;
        $date_Y = TwitterListing::$Date_Y;
        
        $date_d = TwitterListing::$Date_d;
        $date_i = TwitterListing::$Date_i;
		
		if( ( $date_M == $m )&&( $date_d == $d )&&( $date_Y == $y ) )
		{
            list( $hour, $min, $sec ) = explode( ':', $time );
            $hour = $hour + $correct;
 
            if( $date_H == $hour ) 
            {
                if( $date_i == $min )
                    return 'Несколько секунд назад';
                if( $date_i > $min ) 
                {
                    $omg = $date_i - $min.' '.TwitterListing::TwitterTimeEnds( $date_i - $min, 'минут', 'минуту', 'минуты' );
                    return $omg.' назад';
                }
            }
 
            if( $date_H > $hour ) 
            {
                $omg = $date_H - $hour.' '.TwitterListing::TwitterTimeEnds( $date_H - $hour, 'часов', 'час', 'часа' );
                return $omg.' назад';
            }
        } 
        else 
        {
            if( ( $date_M == $m ) && ( $date_d == $d + 1 ) && ( $date_Y == $y ) )
                return 'Вчера';
                
            if( ( $date_M == $m ) && ( $date_d == $d + 2 ) && ( $date_Y == $y ) )
                return 'Позавчера';
 
             $month_str = array(
                        'Jan','Feb','Mar',
                        'Apr','May','Jun',
                        'Jul','Aug','Sep',
                        'Oct','Nov','Dec' );
             $month_int = array(
                        'января',   'февраля',  'марта',
                        'апреля',   'мая',      'июня',
                        'июля',     'августа',  'сентября',
                        'октября',  'ноября',   'декабря' );
             
             $m = str_replace( $month_str, $month_int, $m );
             
             return $d.' '.$m.' '.$y;
        }
    }
	
    private static function TwitterTimeEnds( $number, $ending0, $ending1, $ending2 ) 
    {
        $num100 = $number % 100;
        $num10  = $number % 10;
        
        if(      $num100 >= 5 && $num100 <= 20 ) return $ending0;
        else if( $num10  == 0                  ) return $ending0;
        else if( $num10  == 1                  ) return $ending1;
        else if( $num10  >= 2 && $num10  <= 4  ) return $ending2;
        else if ($num10  >= 5 && $num10  <= 9  ) return $ending0;
        else                                     return $ending2;

    }
}