<?php
function __autoload( $name )
{
    
	
	if( mb_substr( $name, 0, 4, 'UTF-8' ) == 'Game' )
    {
    	require_once( dir_CLASSES.'the_game/thegame_'.$name.'.php' );
    	return;
    }
    
    if( mb_substr( $name, 0, 5, 'UTF-8' ) == 'Sonet' )
    {
    	require_once( dir_CLASSES.'sonet/sonet_'.$name.'.php' );
    	return;
    }
	
	if( file_exists( dir_INTERFACES.'interface_'.$name.'.php' ) )
        require_once( dir_INTERFACES.'interface_'.$name.'.php' );

    if( file_exists( dir_CLASSES.'class_'.$name.'.php' ) )
        require_once( dir_CLASSES.'class_'.$name.'.php' );
}

function DBConnection( $SQL = 'mysql' )
{
	$SQL = strtolower( $SQL );
	
	$chose = new DBChose();
	
	if( method_exists( $chose, 'driver_'.$SQL ) )
        return call_user_method( 'driver_'.$SQL, $chose );
    else
        die( 'No such SQL driver!');
}

function base_redirect( $sleep = 0, $destination )
{
        sleep( settype( $sleep, 'double' ) );
		if( @ !header( 'Location: '.$destination ) )
		{ echo '<meta http-equiv="refresh" content="'.$sleep.'; url='.$destination.'" />';}

        exit(); // Останавливаем все
}

function isXmlHttpRequest() 
{
    return ($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest');
}

function isPostRequest()
{
    return ($_SERVER['REQUEST_METHOD']=='POST');
}

function PrintArrayDump( $array ) 
{
	echo '<pre>';
	print_r( $array );
	echo '</pre>';
}

function UnixToNormal ( $date )
{
	$months1 = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
	$months2 = array( 'январь', 'февраль', 'март',  'апрель', 'май', 'июнь', 'июль', 'август',  'сентябрь', 'октябрь', 'ноябрь', 'декабрь' );
	
    $days   = array( 'понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота', 'воскресение' );
	
	
	$date = getdate( $date );
	
	
	$return_array = array(
	    'month' => array( 'num'    => $date['mon'],
	                      'title1' => $months1[$date['mon'] - 1],
	                      'title2' => $months2[$date['mon'] - 1] ),
	    'day'   => array( 'num'    => '',
	                      'title'  => $days[$date['wday'] - 1] ),
	    'year'  => $date['year'],
	    'hour'  => '',
	    'min'   => '',
	    'sec'   => ''	
	);
	
	if( $date['hours'] <= 9 )
	    $return_array['hour'] = '0'.$date['hours'];
	else
	    $return_array['hour'] = $date['hours'];
	    
	if( $date['minutes']  <= 9 )
	    $return_array['min'] = '0'.$date['minutes'];
	else
	    $return_array['min'] = $date['minutes'];

	if( $date['seconds'] <= 9 )
	    $return_array['sec'] = '0'.$date['seconds'];
	else
	    $return_array['sec'] = $date['seconds'];

    if( $date['mday'] <= 9 )
        $return_array['day']['num'] = '0'.$date['mday'];
    else
        $return_array['day']['num'] = $date['mday'];
        
    if( $date['mon'] <= 9 )
        $return_array['month']['num'] = '0'.$date['mon'];
    else
        $return_array['month']['num'] = $date['mon'];
	
	return $return_array;
}










function send_my_email($mail_to, $subject, $message, $charset = 'utf-8' ) 
{

    // PEAR::setErrorHandling(PEAR_ERROR_TRIGGER, E_USER_WARNING); 

    $smtp_params = array(
        'auth'  => true,
        'host'  => 'fullrest.ru',
        'username'  => 'admin@fullrest.ru',
        'password'  => 'sellerwas'
    );

    $recipients = $mail_to;

    $headers['From']    = 'admin@fullrest.ru';
    $headers['To']      = $mail_to;
    $headers['Subject'] = '=?'.$charset.'?B?'.base64_encode($subject)."=?= //$subject";
    
                $headers['Date'] = date("D, d M Y H:i:s") . " UT";
                $headers['MIME-Version'] = "1.0";
                $headers['Content-Type'] = " text/plain; charset=\"$charset\"";
                $headers['Content-Transfer-Encoding'] = "8bit";
                $headers['X-Priority'] = 3;    

    $body = $message;

    // $mail = Mail::factory('smtp', $smtp_params);
    $mail = Mail::factory('mail');
    return $mail->send($recipients, $headers, mb_convert_encoding( $body, $charset, mb_detect_encoding( $body ) ) );

}