<?php
if( !User::GetRight( 'files_edit_full' ) )
    TempeltateEngine::GenerateError( 403 );

if( $_GET['act'] == 'delete' && (int)$_GET['id'] > 0 )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
    $sel->Execute( $minfo['id'], (int)$_GET['id'], 0, 0 );
    
    if( $sel->GetNum() )
    {
    	$ssrow = $sel->FetchArray();
    	
    	$del = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `deleted`=:5 WHERE `fid`=:1 AND `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
        $del->Execute( $minfo['id'], (int)$_GET['id'], 0, 0, 1 );
    	
    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_deleted', '1', '0', (int)$_GET['id'] );
    	
    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
    }
}
else if( $_GET['act'] == 'restore' && (int)$_GET['id'] > 0  )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
    $sel->Execute( $minfo['id'], (int)$_GET['id'], 1, 0 );
    
    if( $sel->GetNum() )
    {
    	$ssrow = $sel->FetchArray();
    	
    	$del = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `deleted`=:5 WHERE `fid`=:1 AND `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
        $del->Execute( $minfo['id'], (int)$_GET['id'], 1, 0, 0 );
    	
    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_restored', '0', '1', (int)$_GET['id'] );
    	
    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
    }
}
else if( $_GET['act'] == 'moderate' && (int)$_GET['id'] > 0  )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4 AND `moderated`=:5' );
    $sel->Execute( $minfo['id'], (int)$_GET['id'], 0, 0, 0 );
    
    if( $sel->GetNum() )
    {
    	$ssrow = $sel->FetchArray();
    	
    	$del = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `moderated`=:6, `moder_id`=:7 WHERE `fid`=:1 AND `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4 AND `moderated`=:5' );
        $del->Execute( $minfo['id'], (int)$_GET['id'], 0, 0, 0, 1, User::GetId() );
    	
    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_moderated', '0', '1', (int)$_GET['id'] );
    	
    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
    }
}
else if( $_GET['act'] == 'lock' && (int)$_GET['id'] > 0  )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4 AND `moderated`=:5' );
    $sel->Execute( $minfo['id'], (int)$_GET['id'], 0, 0, 1 );
    
    if( $sel->GetNum() )
    {
    	$ssrow = $sel->FetchArray();
    	
    	$del = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `locked`=:6, `locker_id`=:7 WHERE `fid`=:1 AND `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4 AND `moderated`=:5' );
        $del->Execute( $minfo['id'], (int)$_GET['id'], 0, 0, 1, 1, User::GetId() );
    	
    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_locked', '0', '1', (int)$_GET['id'] );
    	
    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
    }
}
else if( $_GET['act'] == 'file_edit_info' && (int)$_GET['id'] > 0  )
{
	$editsel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
    $editsel->Execute( $minfo['id'], (int)$_GET['id'], 0, 0 );
        
    if( $editsel->GetNum() && $_POST['edit_info_'.(int)$_GET['id']] )
    {
        $edit_row = $editsel->FetchArray();
        $title   = htmlspecialchars( $_POST['title'] );    
        $descr   = htmlspecialchars( $_POST['descr'] );
		$version = htmlspecialchars( (int)$_POST['ver_p1'].'.'.(int)$_POST['ver_p2'].'.'.(int)$_POST['ver_p3'].$_POST['ver_p4'] );	
		
		if( $edit_row['title'] != $title && !empty( $title ) )
		{
			$edupd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `title`=:1, `date_update`=:2 WHERE `id`=:3 AND `deleted`=:4 AND `locked`=:5' );
            $edupd1->Execute( $title, date( 'U' ), (int)$_GET['id'], 0, 0 );
            
			HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_changed_title', $edit_row['title'], $title, (int)$_GET['id'] );
		}
		
        if( $edit_row['description'] != $descr )
		{
			$edupd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `description`=:1, `date_update`=:2 WHERE `id`=:3 AND `deleted`=:4 AND `locked`=:5' );
            $edupd1->Execute( $descr, date( 'U' ), (int)$_GET['id'], 0, 0 );           			
            
            HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_changed_description', $edit_row['description'], $descr, (int)$_GET['id'] );
		}
		
        if( $edit_row['version'] != $version )
		{
			$edupd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `version`=:1, `date_update`=:2 WHERE `id`=:3 AND `deleted`=:4 AND `locked`=:5' );
            $edupd1->Execute( $version, date( 'U' ), (int)$_GET['id'], 0, 0 );           			
            
            HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_changed_version', $edit_row['version'], $version, (int)$_GET['id'] );
		}
		    
    }
    
    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
}
else if( $_GET['act'] == 'file_edit_file' && (int)$_GET['id'] > 0  )
{
	$editsel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `deleted`=:3 AND `locked`=:4' );
    $editsel->Execute( $minfo['id'], (int)$_GET['id'], 0, 0 );
        
    if( $editsel->GetNum() && $_POST['edit_file_'.(int)$_GET['id']] )
    {
        $edit_row = $editsel->FetchArray();

        $file    = $_FILES["file_edit"];
		
		$allowed_types = array( 'rar' => 1, 'zip' => 1, '7z' => 1, 'esp' => 1, 'esm' => 1 );
		
		$allowed_size  = 4 * 50 * 1024 * 1024; // 200 mb
		
		$name_parts = explode( '.', $file['name'] );
		
		$file_type = strtolower( $name_parts[ sizeof( $name_parts ) - 1] );
		    
		    
		if( $allowed_size < $file['size'] )
		    $errors['file_size'] = 1;
		    
		if( !$allowed_types[$file_type] )
		    $errors['file_type'] = 1;	
		    
        if( sizeof( $errors ) == 0  )
		{
            $filename = $edit_row['name'];
            $newfilename = 'uploads/files/'.$filename.'.'.$file_type;
            unlink( $newfilename );
            move_uploaded_file($file['tmp_name'], $newfilename);   
                
            $addupd = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `type`=:1, `size`=:2, `date_update`=:3, `moderated`=:7, `moder_id`=:8 WHERE `id`=:4 AND `deleted`=:5 AND `locked`=:6' );
            $addupd->Execute( $file_type, $file['size'], date( 'U' ), $edit_row['id'], 0, 0, 0, 0  );
            
            HistoryFiles::AddHistory( $minfo['id'], 'plugin_files_changed_file', 0, 1, (int)$_GET['id'] );
		}		    
    }
    
    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'/'.UrlDecoder::GetCUri( 4 ) );
}



$file_list = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file`  WHERE `fid`=:1' );
$file_list->Execute( $minfo['id'] );
$files_list = array();

$author_list = array();

for( $a = 0; $a < $file_list->GetNum(); $a++ )
{
	$row = $file_list->FetchArray();
	
	if( !file_exists( 'uploads/files/'.$row['name'].'.'.$row['type'] ) || $row['size'] == 0 )
	{
		$files_list['damaged'][] = $row;
	}
	else
	{
	if( $row['deleted'] == 1 )
	    $files_list['deleted'][] = $row;
	else if( $row['locked'] == 1 )
	    $files_list['locked'][] = $row;
	else if( $row['moderated'] == 1 )
	    $files_list['moderated'][] = $row;
	else if( $row['moderated'] == 0 )
	    $files_list['unmoderated'][] = $row;
	}
	
	$author_list[] = ' `id`=\''.$row['uid'].'\' ';
	$author_list[] = ' `id`=\''.$row['moder_id'].'\' ';
}

$auths = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE '.implode( ' OR ', $author_list ) );
$auths->Execute();

for( $a = 0; $a < $auths->GetNum(); $a++ )
{
    $row =  $auths->FetchArray();
	$auth_list[$row['id']] = $row;
}


$files_titles = array(
    'unmoderated' => 'Не модерированые файлы',
    'moderated'   => 'Модерированые файлы',
    'locked'      => 'Заблокированные файлы',
    'damaged'     => 'Поврежденные файлы',
    'deleted'     => 'Удаленые файлы'
);

parent::SetReturnCData( 'files_titles', $files_titles); 
parent::SetReturnCData( 'files_list', $files_list);  
parent::SetReturnCData( 'auth_list', $auth_list);
parent::SetReturnCData( 'subflag', 'files'); 