<?php
class Module extends PModule
{
    public function act_index()
    {   
    	parent::SetTitle( 'Творчество' );
    	parent::AddBreadCorn( 'art', 'Творчество', '' );
    	
    	parent::SetMenuLeft( 1, 0 );
    	
    	parent::AddMenuLeft_head( 'main1', 'Новое' ); 

   	    parent::AddMenuLeft_item( 'main1', SHOST.'/art', '',              1, 'Изображения',   '', array() );
   	    parent::AddMenuLeft_item( 'main1', SHOST.'/art', 'latest-tales',  1, 'Рассказы',      '', array() );
   	    parent::AddMenuLeft_item( 'main1', SHOST.'/art', 'latest-poetry', 1, 'Стихотворения', '', array() );
   	    
   	    parent::AddMenuLeft_head( 'main2', 'Избранное' ); 

   	    parent::AddMenuLeft_item( 'main2', SHOST.'/art', 'fanart',         1, 'Фан-арт',       '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/art', 'fanfics',        1, 'Фан-фики',      '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/art', 'elected-art',    1, 'Изображения',   '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/art', 'elected-tales',  1, 'Рассказы',      '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/art', 'elected-poerty', 1, 'Стихотворения', '', array() );
   	    
   	    parent::AddMenuLeft_head( 'main3', 'Наше всё' ); 

   	    parent::AddMenuLeft_item( 'main3', SHOST.'/art', 'all-art',    1, 'Изображения',   '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/art', 'all-tales',  1, 'Рассказы',      '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/art', 'all-poetry', 1, 'Стихотворения', '', array() );
   	    
   	    $elected_id = (int)$_GET['id'];
   	    
   	    if( $elected_id && ( User::GetRight( 'art_elect_del' ) || User::GetRight( 'art_elect_add' ) ) )
   	    {
   	    	if( $_GET['act'] == 'del_fanart' && User::GetRight( 'art_elect_del' ) )
   	    	{
   	    		$del = DBChose::PrepareDriver( 'DELETE FROM `art_elected` WHERE `elect_type`=:1 AND `elect_aid`=:2' );
                $del->Execute( 'fanart', $elected_id );

                $upd = DBChose::PrepareDriver( 'UPDATE `art_images` SET `locked`=:1 WHERE `iid`=:2' );
                $upd->Execute( 0, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'del_elect' && User::GetRight( 'art_elect_del' ) )
   	    	{
   	    		$del = DBChose::PrepareDriver( 'DELETE FROM `art_elected` WHERE `elect_type`=:1 AND `elect_aid`=:2' );
                $del->Execute( 'eart', $elected_id );   

                $upd = DBChose::PrepareDriver( 'UPDATE `art_images` SET `locked`=:1 WHERE `iid`=:2' );
                $upd->Execute( 0, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'del_tale_elect' && User::GetRight( 'art_elect_del' ) )
   	    	{
   	    		$del = DBChose::PrepareDriver( 'DELETE FROM `art_elected` WHERE `elect_type`=:1 AND `elect_aid`=:2' );
                $del->Execute( 'etales', $elected_id );   

                $upd = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `locked`=:1 WHERE `tid`=:2' );
                $upd->Execute( 0, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'del_tale_fan' && User::GetRight( 'art_elect_del' ) )
   	    	{
   	    		$del = DBChose::PrepareDriver( 'DELETE FROM `art_elected` WHERE `elect_type`=:1 AND `elect_aid`=:2' );
                $del->Execute( 'fanfics', $elected_id );   

                $upd = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `locked`=:1 WHERE `tid`=:2' );
                $upd->Execute( 0, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'del_poerty_elect' && User::GetRight( 'art_elect_del' ) )
   	    	{
   	    		$del = DBChose::PrepareDriver( 'DELETE FROM `art_elected` WHERE `elect_type`=:1 AND `elect_aid`=:2' );
                $del->Execute( 'epoerty', $elected_id );   

                $upd = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `locked`=:1 WHERE `pid`=:2' );
                $upd->Execute( 0, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'add_elect' && User::GetRight( 'art_elect_add' ) )
   	    	{
   	    		$add = DBChose::PrepareDriver( 'INSERT INTO `art_elected` ( `elect_type`, `elect_aid` ) VALUES ( :1, :2 )' );
                $add->Execute( 'eart', $elected_id );  

                $upd = DBChose::PrepareDriver( 'UPDATE `art_images` SET `locked`=:1 WHERE `iid`=:2' );
                $upd->Execute( 1, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'add_fanart' && User::GetRight( 'art_elect_add' ) )
   	    	{
   	    		$add = DBChose::PrepareDriver( 'INSERT INTO `art_elected` ( `elect_type`, `elect_aid` ) VALUES ( :1, :2 )' );
                $add->Execute( 'fanart', $elected_id ); 

                $upd = DBChose::PrepareDriver( 'UPDATE `art_images` SET `locked`=:1 WHERE `iid`=:2' );
                $upd->Execute( 1, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'add_tale_elect' && User::GetRight( 'art_elect_add' ) )
   	    	{
   	    		$add = DBChose::PrepareDriver( 'INSERT INTO `art_elected` ( `elect_type`, `elect_aid` ) VALUES ( :1, :2 )' );
                $add->Execute( 'etales', $elected_id ); 

                $upd = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `locked`=:1 WHERE `tid`=:2' );
                $upd->Execute( 1, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'add_tale_fan' && User::GetRight( 'art_elect_add' ) )
   	    	{
   	    		$add = DBChose::PrepareDriver( 'INSERT INTO `art_elected` ( `elect_type`, `elect_aid` ) VALUES ( :1, :2 )' );
                $add->Execute( 'fanfics', $elected_id ); 

                $upd = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `locked`=:1 WHERE `tid`=:2' );
                $upd->Execute( 1, $elected_id );
                
                die( 'true' );
   	    	}
   	        else if( $_GET['act'] == 'add_poerty_elect' && User::GetRight( 'art_elect_add' ) )
   	    	{
   	    		$add = DBChose::PrepareDriver( 'INSERT INTO `art_elected` ( `elect_type`, `elect_aid` ) VALUES ( :1, :2 )' );
                $add->Execute( 'epoerty', $elected_id ); 

                $upd = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `locked`=:1 WHERE `pid`=:2' );
                $upd->Execute( 1, $elected_id );
                
                die( 'true' );
   	    	}
   	    }
   	    
   	    
   	    if( UrlDecoder::GetCUri( 1 ) == '' )
   	    {
   	    	parent::SetReturnCData( 'title', 'Новые изображения' );
   	    	$this->show_art_lists( 'last' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'fanart' )
   	    {
   	        parent::SetTitle( 'Фан-арт' );
    	    parent::AddBreadCorn( 'fanart', 'Фан-арт', '' );
    	    parent::SetReturnCData( 'title', 'Фан-арт' );
   	    	$this->show_art_lists( 'fan' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'elected-art' )
   	    {
   	        parent::SetTitle( 'Избранные изображения' );
    	    parent::AddBreadCorn( 'elected-art', 'Избранные изображения', '' );
    	    parent::SetReturnCData( 'title', 'Избранные изображения' );
   	    	$this->show_art_lists( 'elected' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'all-art' )
   	    {
   	        parent::SetTitle( 'Все изображения' );
    	    parent::AddBreadCorn( 'all-art', 'Все изображения', '' );
    	    parent::SetReturnCData( 'title', 'Все изображения' );
   	    	$this->show_art_lists( 'all' );
   	    }   	        
   	    else if( UrlDecoder::GetCUri( 1 ) == 'latest-tales' )
   	    {
   	        parent::SetTitle( 'Новые рассказы' );
    	    parent::AddBreadCorn( 'latest-tales', 'Новые рассказы', '' );
    	    parent::SetReturnCData( 'title', 'Новые рассказы' );
   	    	$this->show_tales_lists( 'tale-latest' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'fanfics' )
   	    {
   	        parent::SetTitle( 'Фан-фики' );
    	    parent::AddBreadCorn( 'fanfics', 'Фан-фики', '' );
    	    parent::SetReturnCData( 'title', 'Фан-фики' );
   	    	$this->show_tales_lists( 'tale-fan' );
   	    }    
   	    else if( UrlDecoder::GetCUri( 1 ) == 'elected-tales' )
   	    {
   	        parent::SetTitle( 'Избранные рассказы' );
    	    parent::AddBreadCorn( 'elected-tales', 'Избранные рассказы', '' );
    	    parent::SetReturnCData( 'title', 'Избранные рассказы' );
   	    	$this->show_tales_lists( 'tale-elected' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'all-tales' )
   	    {
   	        parent::SetTitle( 'Все рассказы' );
    	    parent::AddBreadCorn( 'all-tales', 'Все рассказы', '' );
    	    parent::SetReturnCData( 'title', 'Все рассказы' );
   	    	$this->show_tales_lists( 'tale-all' ); 
   	    } 
   	    else if( UrlDecoder::GetCUri( 1 ) == 'latest-poetry' )
   	    {
   	    	parent::SetTitle( 'Новые стихотворения' );
    	    parent::AddBreadCorn( 'latest-poetry', 'Новые стихотворения', '' );
    	    parent::SetReturnCData( 'title', 'Новые стихотворения' );
   	    	$this->show_poetrys_lists( 'poetry-latest' ); 
   	    }     
   	    else if( UrlDecoder::GetCUri( 1 ) == 'elected-poerty' )
   	    {
   	        parent::SetTitle( 'Избранные стихотворения' );
    	    parent::AddBreadCorn( 'elected-poerty', 'Избранные стихотворения', '' );
    	    parent::SetReturnCData( 'title', 'Избранные стихотворения' );
   	    	$this->show_poetrys_lists( 'poetry-elected' );
   	    }
   	    else if( UrlDecoder::GetCUri( 1 ) == 'all-poetry' )
   	    {
   	        parent::SetTitle( 'Все стихотворения' );
    	    parent::AddBreadCorn( 'all-poetry', 'Все стихотворения', '' );
    	    parent::SetReturnCData( 'title', 'Все стихотворения' );
   	    	$this->show_poetrys_lists( 'poetry-all' );
   	    }           
    	
    }
    
    private function show_poetrys_lists( $type = '' )
    {
    	if( $type == '' )
    	    return;
    	    
    	if( $type == 'poetry-latest' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$sql_items = '
    		    SELECT `art_poetry`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_poetry`, `members` 
    		    WHERE `art_poetry`.`uid`=`members`.`id` AND `art_poetry`.`deleted`=\'0\' AND `art_poetry`.`show`=\'1\' AND `locked`=\'0\'
    		    ORDER BY  `art_poetry`.`date_add` DESC 
                LIMIT 0 , 40
    		';
    	}
        else if( $type == 'poetry-elected' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    	    $sql_items = '
    		    SELECT `art_poetry`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`, `art_elected`.`elect_type`  AS `elect_type`  
    		    FROM `art_poetry`, `members`, `art_elected`  
    		    WHERE `art_poetry`.`uid`=`members`.`id` AND `art_poetry`.`deleted`=\'0\' AND `art_poetry`.`show`=\'1\' AND `locked`=\'1\' AND `art_elected`.`elect_type` = \'epoerty\' AND `art_elected`.`elect_aid`  = `art_poetry`.`pid`
    		    ORDER BY  `art_poetry`.`date_add` DESC 
    		';
    	}
        else if( $type == 'poetry-all' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$sql_items = '
    		    SELECT `art_poetry`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_poetry`, `members` 
    		    WHERE `art_poetry`.`uid`=`members`.`id` AND `art_poetry`.`deleted`=\'0\' AND `art_poetry`.`show`=\'1\' AND `locked`=\'0\'
    		    ORDER BY  `art_poetry`.`date_add` DESC 
    		';
    	}
    	else if( UrlDecoder::GetCUri( 2 ) != '' )
    	{
    		$tale = DBChose::PrepareDriver( '
    		    SELECT `art_poetry`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_poetry`, `members` 
    		    WHERE `art_poetry`.`uid`=`members`.`id` AND `art_poetry`.`deleted`=\'0\' AND `art_poetry`.`show`=\'1\' AND `name`=\''.UrlDecoder::GetCUri( 2 ).'\'
    		' );
    		
            $tale->Execute();
            
            if( !$tale->GetNum() )
                TempeltateEngine::GenerateError( 404 );
                
            $trow = $tale->FetchAssoc();
            parent::SetTitle( $trow['title'].' | Творчетсво' );
            parent::SetReturnCData( 'title', $trow['title'] );
            parent::SetReturnCData( 'poetry', $trow );
            parent::SetFlag1( 'poetry' );  
            return;
    	}
    	
    	
    	
    	$tales = DBChose::PrepareDriver( $sql_items );
        $tales->Execute();
            
        for( $a = 0; $a < $tales->GetNum(); $a++ )            
            $tales_list[] = $tales->FetchAssoc();
            	
        parent::SetReturnCData( 'poetrys', $tales_list );
        parent::SetFlag1( 'poetry_list' );  
    }
    
    private function show_tales_lists( $type = '' )
    {
    	if( $type == '' )
    	    return;
    	    
    	if( $type == 'tale-latest' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$sql_items = '
    		    SELECT `art_tales`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_tales`, `members` 
    		    WHERE `art_tales`.`uid`=`members`.`id` AND `art_tales`.`deleted`=\'0\' AND `art_tales`.`show`=\'1\' AND `locked`=\'0\'
    		    ORDER BY  `art_tales`.`date_add` DESC 
                LIMIT 0 , 40
    		';
    	}
    	else if( $type == 'tale-fan' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$sql_items = '
    		    SELECT `art_tales`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`, `art_elected`.`elect_type`  AS `elect_type`  
    		    FROM `art_tales`, `members`, `art_elected`  
    		    WHERE `art_tales`.`uid`=`members`.`id` AND `art_tales`.`deleted`=\'0\' AND `art_tales`.`show`=\'1\' AND `locked`=\'1\' AND `art_elected`.`elect_type` = \'fanfics\' AND `art_elected`.`elect_aid`  = `art_tales`.`tid`
    		    ORDER BY  `art_tales`.`date_add` DESC 
    		';
    	}
        else if( $type == 'tale-elected' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    	    $sql_items = '
    		    SELECT `art_tales`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`, `art_elected`.`elect_type`  AS `elect_type`  
    		    FROM `art_tales`, `members`, `art_elected`  
    		    WHERE `art_tales`.`uid`=`members`.`id` AND `art_tales`.`deleted`=\'0\' AND `art_tales`.`show`=\'1\' AND `locked`=\'1\' AND `art_elected`.`elect_type` = \'etales\' AND `art_elected`.`elect_aid`  = `art_tales`.`tid`
    		    ORDER BY  `art_tales`.`date_add` DESC 
    		';
    	}
        else if( $type == 'tale-all' && UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$sql_items = '
    		    SELECT `art_tales`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_tales`, `members` 
    		    WHERE `art_tales`.`uid`=`members`.`id` AND `art_tales`.`deleted`=\'0\' AND `art_tales`.`show`=\'1\' AND `locked`=\'0\'
    		    ORDER BY  `art_tales`.`date_add` DESC 
    		';
    	}
    	else if( UrlDecoder::GetCUri( 2 ) != '' )
    	{
    		$tale = DBChose::PrepareDriver( '
    		    SELECT `art_tales`.*, `members`.`page` AS `user_page`, `members`.`nick` AS `user_nick`, `members`.`gender` AS `user_gender`  
    		    FROM `art_tales`, `members` 
    		    WHERE `art_tales`.`uid`=`members`.`id` AND `art_tales`.`deleted`=\'0\' AND `art_tales`.`show`=\'1\' AND `name`=\''.UrlDecoder::GetCUri( 2 ).'\'
    		' );
    		
            $tale->Execute();
            
            if( !$tale->GetNum() )
                TempeltateEngine::GenerateError( 404 );
                
            $trow = $tale->FetchAssoc();
            parent::SetTitle( $trow['title'].' | Творчетсво' );
            parent::SetReturnCData( 'title', $trow['title'] );
            parent::SetReturnCData( 'tale', $trow );
            parent::SetFlag1( 'tale' );  
            return;
    	}
    	
    	
    	
    	$tales = DBChose::PrepareDriver( $sql_items );
        $tales->Execute();
            
        for( $a = 0; $a < $tales->GetNum(); $a++ )            
            $tales_list[] = $tales->FetchAssoc();
            	
        parent::SetReturnCData( 'tales', $tales_list );
        parent::SetFlag1( 'tale_list' );  
    }
    
    private function show_art_lists( $type = '' )
    {
    	if( $type == '' )
    	    return;

    	if( $type == 'last' )
    	{     
    	    $images = DBChose::PrepareDriver( 'SELECT 
    	                                      `members`.`page`            AS `user_page`,
    	                                      `members`.`nick`            AS `user_nick`,
    	                                      `members`.`gender`          AS `user_gender`,
    	                                      `art_images_albums`.`name`  AS `album_name`,
    	                                      `art_images_albums`.`title` AS `album_title`,
    	                                      `art_images`.*
    	                                     FROM `art_images`, `members`, `art_images_albums` 
    	                                     WHERE 
    	                                         `members`.`id`         = `art_images`.`uid`         AND
    	                                         `art_images`.`aid`     = `art_images_albums`.`aid`  AND
    	                                         `art_images`.`show`    = \'1\'                      AND
    	                                         `art_images`.`deleted` = \'0\'                      AND
    	                                         `art_images`.`locked`  = \'0\'                      
    	                                     ORDER BY  `art_images_albums`.`date_add` DESC

    	                                     LIMIT 0, 40
    	                                    ' );
            $images->Execute();
            
            for( $a = 0; $a < $images->GetNum(); $a++ )            
            	$images_list[] = $images->FetchAssoc();
            	
            parent::SetReturnCData( 'images', $images_list );
            parent::SetFlag1( 'art_list' );
    	}
        else if( $type == 'fan' )
    	{     
    	    $images = DBChose::PrepareDriver( 'SELECT 
    	                                      `members`.`page`            AS `user_page`,
    	                                      `members`.`nick`            AS `user_nick`,
    	                                      `members`.`gender`          AS `user_gender`,
    	                                      `art_images_albums`.`name`  AS `album_name`,
    	                                      `art_images_albums`.`title` AS `album_title`,
    	                                      `art_elected`.`elect_type`  AS `elect_type`,
    	                                      `art_images`.*
    	                                     FROM `art_images`, `members`, `art_images_albums`, `art_elected` 
    	                                     WHERE 
    	                                         `art_elected`.`elect_type` = \'fanart\'                 AND
    	                                         `art_elected`.`elect_aid`  = `art_images`.`iid`         AND
    	                                         `members`.`id`             = `art_images`.`uid`         AND
    	                                         `art_images`.`aid`         = `art_images_albums`.`aid`  AND
    	                                         `art_images`.`show`        = \'1\'                      AND
    	                                         `art_images`.`deleted`     = \'0\'                      AND
    	                                         `art_images`.`locked`      = \'1\'                      
    	                                     ORDER BY  `art_images_albums`.`date_add` DESC
    	                                    ' );
            $images->Execute();
            
            for( $a = 0; $a < $images->GetNum(); $a++ )            
            	$images_list[] = $images->FetchAssoc();
            
            parent::SetReturnCData( 'images', $images_list );
            parent::SetFlag1( 'art_list' );
    	}
        else if( $type == 'elected' )
    	{     
    	    $images = DBChose::PrepareDriver( 'SELECT 
    	                                      `members`.`page`            AS `user_page`,
    	                                      `members`.`nick`            AS `user_nick`,
    	                                      `members`.`gender`          AS `user_gender`,
    	                                      `art_images_albums`.`name`  AS `album_name`,
    	                                      `art_images_albums`.`title` AS `album_title`,
    	                                      `art_elected`.`elect_type`  AS `elect_type`,
    	                                      `art_images`.*
    	                                     FROM `art_images`, `members`, `art_images_albums`, `art_elected` 
    	                                     WHERE 
    	                                         `art_elected`.`elect_type` = \'eart\'                   AND
    	                                         `art_elected`.`elect_aid`  = `art_images`.`iid`         AND
    	                                         `members`.`id`             = `art_images`.`uid`         AND
    	                                         `art_images`.`aid`         = `art_images_albums`.`aid`  AND
    	                                         `art_images`.`show`        = \'1\'                      AND
    	                                         `art_images`.`deleted`     = \'0\'                      AND
    	                                         `art_images`.`locked`      = \'1\'                      
    	                                     ORDER BY  `art_images_albums`.`date_add` DESC
    	                                    ' );
            $images->Execute();
            
            for( $a = 0; $a < $images->GetNum(); $a++ )            
            	$images_list[] = $images->FetchAssoc();
            	
            parent::SetReturnCData( 'images', $images_list );
            parent::SetFlag1( 'art_list' );
    	}
        else if( $type == 'all' )
    	{     
    	    if( UrlDecoder::GetCUri( 2 ) == '' )
    	    {
    	    	$users = DBChose::PrepareDriver( 'SELECT DISTINCT ( `uid` ), `members`.* FROM `art_images`, `members` WHERE  `art_images`.`uid` = `members`.`id` ORDER BY  `members`.`nick` ASC ' );
                $users->Execute();
            
                for( $a = 0; $a < $users->GetNum(); $a++ )                
            	    $users_list[] = $users->FetchAssoc();
            
                parent::SetReturnCData( 'users',  $users_list );
    	    	parent::SetFlag1( 'art_list-sorted' );
    	    }
    		else
    		{
    			$user = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE  `page`=:1 ' );
                $user->Execute( UrlDecoder::GetCUri( 2 ) );
                
                if( !$user->GetNum() )
                    TempeltateEngine::GenerateError( 404 );

                $row = $user->FetchAssoc(); 
                    
    		    $images = DBChose::PrepareDriver( 'SELECT 
    	                                      `members`.`page`            AS `user_page`,
    	                                      `members`.`nick`            AS `user_nick`,
    	                                      `members`.`gender`          AS `user_gender`,
    	                                      `art_images_albums`.`name`  AS `album_name`,
    	                                      `art_images_albums`.`title` AS `album_title`,
    	                                      `art_images`.*
    	                                     FROM `art_images`, `members`, `art_images_albums` 
    	                                     WHERE 
    	                                         `members`.`id`         = \''.$row['id'].'\'         AND 
    	                                         `members`.`id`         = `art_images`.`uid`         AND
    	                                         `art_images`.`aid`     = `art_images_albums`.`aid`  AND
    	                                         `art_images`.`show`    = \'1\'                      AND
    	                                         `art_images`.`deleted` = \'0\'                      AND
    	                                         `art_images`.`locked`  = \'0\'                      
    	                                     ORDER BY  `art_images_albums`.`date_add` DESC
    	                                    ' );
                $images->Execute();
            
                for( $a = 0; $a < $images->GetNum(); $a++ )                
            	    $images_list[] = $images->FetchAssoc();
            	    
                parent::SetTitle( 'Избражения пользователя: '.$row['nick'].' | Творчетсво' );
                parent::SetReturnCData( 'title', 'Избражения пользователя: '.$row['nick'] );
                parent::SetReturnCData( 'images',  $images_list );
                parent::SetFlag1( 'art_list' );
    		}
    	}
    }
}