<?php

class Module extends PModule
{
    public function act_index()
    {            	
    	if( UrlDecoder::GetCUri( 1 ) == '' || UrlDecoder::GetCUri( 1 ) == 'morrowind' || UrlDecoder::GetCUri( 1 ) == 'tribunal' || UrlDecoder::GetCUri( 1 ) == 'bloodmoon' )
        {
        	$this->main_info();
        	return;
        }
        else
        {
        	$article = DBChose::PrepareDriver( 'SELECT `game_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender`   
    	                                    FROM `game_articles`, `members` 
    	                                    WHERE `game_articles`.`uid`=`members`.`id` AND `game_articles`.`game`=:1 AND `game_articles`.`parent_id`=:2 AND `game_articles`.`name`=:3 AND `game_articles`.`deleted`=:4 AND `game_articles`.`show`=:5 AND `game_articles`.`moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
            $article->Execute( 1, 0, UrlDecoder::GetCUri( 1 ), 0, 1, 1 );
            
            if( $article->GetNum() )            	
            	$this->main_article( $article->FetchAssoc() );
            else                       
                TempeltateEngine::GenerateError( 404 ); 
        }
    }
    
    public function act_system()
    {
    	parent::AddBookMark( SHOST.'/morrowind/system', '',           2, 'Характеристики', '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/system', 'skills',     2, 'Навыки',         '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/system', 'classes',    2, 'Профессии',      '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/system', 'birthsigns', 2, 'Созвездия',      '', array() );   	    
   	    parent::AddBookMark( SHOST.'/morrowind/system', 'races',      2, 'Расы',           '', array() );
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3',  '' );
   	    parent::AddBreadCorn(        'system',     'Ролевая система',      '' );
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 4 )
    	    TempeltateEngine::GenerateError( 404 ); 
   	    
        if( UrlDecoder::GetCUri( 2 ) == '' )
        {        	
        	$txts = DBChose::PrepareDriver( 'SELECT `title`, `text` FROM `fullrestu_tes3db`.`tes3_texts` WHERE `name`=:1 OR `name`=:2' );
            $txts->Execute( 'system-characteristics', 'system-parametrs' );
            
            $texts[0] = $txts->FetchAssoc();
            $texts[1] = $txts->FetchAssoc();
            
            $attrs = DBChose::PrepareDriver( 'SELECT `id`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_attributes`' );
            $attrs->Execute();
            
            for( $a = 0; $a < $attrs->GetNum(); $a++ )
            {
            	$row = $attrs->FetchAssoc();
            	$attributes[$row['id']] = $row;
            }
            
            $sklls = DBChose::PrepareDriver( 'SELECT `aid`, `type`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_skills`' );
            $sklls->Execute();
            
            for( $a = 0; $a < $sklls->GetNum(); $a++ )
            {
            	$row = $sklls->FetchAssoc();
            	$skills[$row['type']][$a] = $row;
            }
            
            $parms = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_parametrs`' );
            $parms->Execute();
            
            for( $a = 0; $a < $parms->GetNum(); $a++ )
            	$parametrs[$a] = $parms->FetchAssoc();
            
            $return_array['texts']      = $texts;
            $return_array['attributes'] = $attributes;
            $return_array['skills']     = $skills;
            $return_array['parametrs']  = $parametrs;
            
            parent::SetTitle( 'Характеристики (TES3 Morrowind)' );
            parent::SetFlag1( 'chars' );
        } 
        else if( UrlDecoder::GetCUri( 2 ) == 'skills' )
        {
        	
        	$txts = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_texts` WHERE `name`=:1 OR `name`=:2 OR `name`=:3' );
            $txts->Execute( 'thief-skills', 'warrior-skills', 'mage-skills' );
            
            $texts1 = $txts->FetchAssoc();
            $texts2 = $txts->FetchAssoc();
            $texts3 = $txts->FetchAssoc();
            
            $texts[$texts1['name']] = $texts1;
            $texts[$texts2['name']] = $texts2;
            $texts[$texts3['name']] = $texts3;           
            
            $attrs = DBChose::PrepareDriver( 'SELECT `id`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_attributes`' );
            $attrs->Execute();
            
            for( $a = 0; $a < $attrs->GetNum(); $a++ )
            {
            	$row = $attrs->FetchAssoc();
            	$attributes[$row['id']] = $row;
            }
            
            $sklls = DBChose::PrepareDriver( 'SELECT `aid`, `type`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_skills`' );
            $sklls->Execute();
            
            for( $a = 0; $a < $sklls->GetNum(); $a++ )
            {
            	$row = $sklls->FetchAssoc();
            	$skills[$row['type']][$a] = $row;
            }

            $return_array['texts']      = $texts;
            $return_array['skills']     = $skills;
            $return_array['attributes'] = $attributes;
            
            parent::SetTitle( 'Навыки (TES3 Morrowind)' );
            parent::SetFlag1( 'skills' );
        }
        else if( UrlDecoder::GetCUri( 2 ) == 'classes' )
        {            
        	$txts = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_texts` WHERE `name`=:1 OR `name`=:2 OR `name`=:3' );
            $txts->Execute( 'thief-classes', 'warrior-classes', 'mage-classes' );
            
            $texts1 = $txts->FetchAssoc();
            $texts2 = $txts->FetchAssoc();
            $texts3 = $txts->FetchAssoc();
            
            $texts[$texts1['name']] = $texts1;
            $texts[$texts2['name']] = $texts2;
            $texts[$texts3['name']] = $texts3;     
                        
        	$cls = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_classes`' );
            $cls->Execute();
            
            for( $a = 0; $a < $cls->GetNum(); $a++ )
            {
            	$row = $cls->FetchAssoc();
            	$classes[$row['specialization']][$row['id']] = $row;
            }  
            
            $attrs = DBChose::PrepareDriver( 'SELECT `name`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_attributes`' );
            $attrs->Execute();
            
            for( $a = 0; $a < $attrs->GetNum(); $a++ )
            {
            	$row = $attrs->FetchAssoc();
            	$attributes[$row['name']] = $row;
            }
            
            $sklls = DBChose::PrepareDriver( 'SELECT `id`, `icon`, `title`, `description` FROM `fullrestu_tes3db`.`tes3_skills`' );
            $sklls->Execute();
            
            for( $a = 0; $a < $sklls->GetNum(); $a++ )
            {
            	$row = $sklls->FetchAssoc();
            	$skills[$row['id']] = $row;
            }                
                   
            $return_array['texts']      = $texts;
            $return_array['classes']    = $classes;
            $return_array['skills']     = $skills;
            $return_array['attributes'] = $attributes;
            
            parent::SetTitle( 'Профессии (TES3 Morrowind)' );
            parent::SetFlag1( 'classes' );
        }
        else if( UrlDecoder::GetCUri( 2 ) == 'birthsigns' )
        {                                    
        	$bhs = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_birthsigns`' );
            $bhs->Execute();
            
            for( $a = 0; $a < $bhs->GetNum(); $a++ )
            {
            	$row = $bhs->FetchAssoc();
            	$births[$row['id']]['data'] = $row;
            }  
            
            $spl_q = 'SELECT * FROM `fullrestu_tes3db`.`tes3_magic_spells` WHERE  ';
            
            $bhe = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_birthsigns_effects`' );
            $bhe->Execute();
            
            for( $a = 0; $a < $bhe->GetNum(); $a++ )
            {
            	$row = $bhe->FetchAssoc();
            	$births[$row['bid']]['effects'][] = $row['name'];
            	
            	if( !$a ) $spl_q .= '    `name` = \''.$row['name'].'\' ';
            	else      $spl_q .= ' OR `name` = \''.$row['name'].'\' ';
            }
            
            $sple_q = 'SELECT * FROM `fullrestu_tes3db`.`tes3_magic_speffects` WHERE `type`=\'spells\' AND (  ';
            
            $spl = DBChose::PrepareDriver( $spl_q );
            $spl->Execute();
            
            for( $a = 0; $a < $spl->GetNum(); $a++ )
            {
            	$row = $spl->FetchAssoc();
            	$spells[$row['name']] = $row;
            	
            	if( !$a ) $sple_q .= '    `sid` = \''.$row['id'].'\' ';
            	else      $sple_q .= ' OR `sid` = \''.$row['id'].'\' ';
            }

            $sple_q .= ' ) ';
             
            $eff_q = 'SELECT * FROM `fullrestu_tes3db`.`tes3_magic_effects` WHERE  ';
            
            $sple = DBChose::PrepareDriver( $sple_q );
            $sple->Execute();

            for( $a = 0; $a < $sple->GetNum(); $a++ )
            {
            	$row = $sple->FetchAssoc();
            	$spells_eff[$row['sid']][$row['fid']] = $row;
            	
            	if( !$a ) $eff_q .= '    `id` = \''.$row['fid'].'\' ';
            	else      $eff_q .= ' OR `id` = \''.$row['fid'].'\' ';
            }
            
            $eff = DBChose::PrepareDriver( $eff_q );
            $eff->Execute();

            for( $a = 0; $a < $eff->GetNum(); $a++ )
            {
            	$row = $eff->FetchAssoc();
            	$effects[$row['id']] = $row;
            }

            $attrs = $this->GetSkillsAttrs();
                   
            $return_array['attrs']   = $attrs['attrs'];
            $return_array['skill']   = $attrs['skill'];
            $return_array['births']  = $births;
            $return_array['slist']   = $spells;
            $return_array['seff']    = $spells_eff;
            $return_array['effects'] = $effects;
            
            parent::SetTitle( 'Созвездия (TES3 Morrowind)' );
            parent::SetFlag1( 'birthsigns' );
            
        }
        else if( UrlDecoder::GetCUri( 2 ) == 'races' )
        {                                    
            $race = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_races`' );
            $race->Execute();
        
            $skill = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_races_skills`' );
            $skill->Execute();
        
            $stat = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_races_stats`' );
            $stat->Execute();
            
            for( $a = 0; $a < $race->GetNum(); $a++ )
            {
                $row1 = $race->FetchAssoc();
            
                $row2 = $stat->FetchAssoc();
                $row3 = $stat->FetchAssoc();
                
                $row12 = $row2;
                $row13 = $row3;
                
                unset( $row2['rid'], $row2['gender'], $row2['height'], $row2['weight'], 
                       $row3['rid'], $row3['gender'], $row3['height'], $row3['weight'] );
        	
            	$item[$row1['id']]['data']             = $row1;
            	$item[$row12['rid']][$row12['gender']] = $row2;
            	$item[$row13['rid']][$row13['gender']] = $row3;    
            }
        
            for( $a = 0; $a < $skill->GetNum(); $a++ )
            {
                $row = $skill->FetchAssoc();
        	
              	$skills[$row['rid']][$row['sid']] = $row['val'];  	
            }
        
            $attrs = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_attributes`' );
            $attrs->Execute();
            
            for( $a = 0; $a < $attrs->GetNum(); $a++ )
            {
               	$row = $attrs->FetchAssoc();
               	$atlist[$row['name']] = $row;
            }
           
            $skills1 = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_skills`' );
            $skills1->Execute();
           
            for( $a = 0; $a < $skills1->GetNum(); $a++ )
            {
               	$row = $skills1->FetchAssoc();
               	$sklist[$row['id']] = $row;
            }         
            
            $return_array['item']   = $item;
            $return_array['skills'] = $skills;
            $return_array['attrs']  = $atlist;
            $return_array['skill']  = $sklist;

            parent::SetTitle( 'Расы (TES3 Morrowind)' );
            parent::SetFlag1( 'races' );
        }
        else
            TempeltateEngine::GenerateError( 404 );
        
        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_system' );
        $this->make_left_menu();
    }
    
    public function act_magiceffects()
    {
    	parent::AddBookMark( SHOST.'/morrowind/magiceffects', '',            2, 'Восстановление', 'Здесь представленны магические эффекты школы восстановления', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/magiceffects', 'alteration',  2, 'Изменения',      'Здесь представленны магические эффекты школы изменения',      array() );
   	    parent::AddBookMark( SHOST.'/morrowind/magiceffects', 'illusions',   2, 'Иллюзии',        'Здесь представленны магические эффекты школы иллюзий',        array() );
   	    parent::AddBookMark( SHOST.'/morrowind/magiceffects', 'conjuration', 2, 'Колдовство',     'Здесь представленны магические эффекты школы колдовства',     array() );   	    
   	    parent::AddBookMark( SHOST.'/morrowind/magiceffects', 'mysticism',   2, 'Мистицизм',      'Здесь представленны магические эффекты школы мистицизма',     array() );
   	    parent::AddBookMark( SHOST.'/morrowind/magiceffects', 'destruction', 2, 'Разрушение',     'Здесь представленны магические эффекты школы разрушения',     array() );
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 4 )
    	    TempeltateEngine::GenerateError( 404 ); 
   	    
   	    $check_array = array( '' => 2, 'alteration' => 3, 'illusions' => 4, 'conjuration' => 5, 'mysticism' => 6, 'destruction' => 7 );
   	    
   	    if( $check_array[UrlDecoder::GetCUri( 2 )] < 2  )
   	        TempeltateEngine::GenerateError( 404 );
   	        
   	    $title = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_magic_schools` WHERE `id`=:1' );
        $title->Execute( $check_array[UrlDecoder::GetCUri( 2 )] - 1 );
        
        if( !$title->GetNum() )
            TempeltateEngine::GenerateError( 500 );  

        $trow = $title->FetchAssoc();
   	        
   	    $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_magic_effects` WHERE `school`=:1 ORDER BY  `title` ASC ' );
        $items->Execute( $check_array[UrlDecoder::GetCUri( 2 )] - 1 );
            
        for( $a = 0; $a < $items->GetNum(); $a++ )
             $item[$a] = $items->FetchArray();
            
        $return_array['item']  = $item;       
   	    $return_array['title'] = $trow['title'];  

   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind',   'The Elder Scrolls 3',  '' );
   	    parent::AddBreadCorn(        'magiceffects', 'Магические эффекты',   '' );
   	    
   	    parent::SetTitle( 'Магическая школа - '.$trow['title'].' (TES3 Morrowind)' );
    	
    	parent::SetReturnData( $return_array );
   	    parent::SetFlag1( 'magic' );
   	    parent::SetTemplFile( 'tpl_system' );
        $this->make_left_menu();
    }    
    
    public function act_weapons()
    {
    	parent::AddBookMark( SHOST.'/morrowind/weapons', '',        2, 'Топоры',     'Здесь представленны все топоры', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/weapons', 'blunt',   2, 'Дубины',     'Здесь представленны все секиры', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/weapons', 'blade',   2, 'Клинки',     'Здесь представленны все дубины', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/weapons', 'spear',   2, 'Копья',      'Здесь представленны все молоты', array() );   	    
   	    parent::AddBookMark( SHOST.'/morrowind/weapons', 'distant', 2, 'Стрелковое', 'Здесь представленны все посохи', array() );
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'weapons',    'Оружие',              '' );
   	    
   	    $this->GetArmWeapCloth( array(
            ''        => array( 'set' => 1, 'title' => 'Топоры'     ),        
            'blunt'   => array( 'set' => 1, 'title' => 'Дубины'     ),
            'blade'   => array( 'set' => 1, 'title' => 'Клинки'     ),         
            'spear'   => array( 'set' => 1, 'title' => 'Копья'      ),
            'distant' => array( 'set' => 1, 'title' => 'Стрелковое' ) ), 
        
        'weapons', 'tes3_weapon', 'Вооружение', 'Полное описание и подробнейший обзор всех видов вооружения в The Elder Scrolls 3', 'axe'  );       
    	
    	parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }
    
    public function act_armors()
    {
    	parent::AddBookMark( SHOST.'/morrowind/armors', '',         2, 'Сапоги',     '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'cuirass',  2, 'Кирасы',     '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'greaves',  2, 'Поножи',     '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'helmet',   2, 'Шлемы',      '', array() );   	    
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'gauntlet', 2, 'Рукавицы',   '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'pauldron', 2, 'Наплечники', '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/armors', 'shield',   2, 'Щиты',       '', array() );
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'armors',    'Доспехи',              '' );
   	    
   	    $this->GetArmWeapCloth( array(
            ''      => array( 'set' => 1,  'title' => 'Сапоги',           ),        
            'cuirass'    => array( 'set' => 1, 'title' => 'Кирасы',        ),
            'greaves'    => array( 'set' => 1, 'title' => 'Поножи',       ),         
            'helmet'     => array( 'set' => 1,  'title' => 'Шлемы',          ),
            'gauntlet'   => array( 'set' => 1,  'title' => 'Рукавицы',      ),
            'pauldron'   => array( 'set' => 1,  'title' => 'Наплечники',   ),
            'shield'     => array( 'set' => 1,  'title' => 'Щиты',           ) ), 
        
        'armors', 'tes3_armor', 'Доспехи', 'Полное описание и подробнейший обзор всех доспехов в The Elder Scrolls 3', 'boots'  );
        
    	
    	parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }    
    
    public function act_cloths()
    {
    	parent::AddBookMark( SHOST.'/morrowind/cloths', '',           2, 'Верх',      '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/cloths', 'bottom',     2, 'Низ',       '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/cloths', 'shoes',      2, 'Туфли',     '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/cloths', 'gloves',     2, 'Перчатки',  '', array() );   	    
   	    parent::AddBookMark( SHOST.'/morrowind/cloths', 'bijouterie', 2, 'Бижутерия', '', array() );
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'cloths',    'Одежда',              '' );
   	    
   	    $this->GetArmWeapCloth( array(
    	    ''           => array( 'set' => 1, 'title' => 'Верх',        ),        
            'bottom'     => array( 'set' => 1, 'title' => 'Низ',             ),
            'shoes'      => array( 'set' => 1, 'title' => 'Туфли',          ),         
            'gloves'     => array( 'set' => 1, 'title' => 'Перчатки',   ),
            'bijouterie' => array( 'set' => 1, 'title' => 'Бижутерия',  ) ), 
        
        'cloths', 'tes3_clothing', 'Одежда', 'Полное описание и подробнейший обзор всей одежды в The Elder Scrolls 3', 'top'  );
        
    	
    	parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }

    public function act_apparatus()
    {
    	parent::AddBookMark( SHOST.'/morrowind/apparatus', '',           2, 'Перегонный куб', '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/apparatus', 'calcinator', 2, 'Кальцинатор',    '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/apparatus', 'mortar',     2, 'Ступка',         '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/apparatus', 'retort',     2, 'Реторта',        '', array() );   	    
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3',   '' );
   	    parent::AddBreadCorn(        'apparatus',  'Алхимические аппараты', '' );
    	
    	
    	$this->GetApparatusInstruments( array(
            ''           => array( 'set' => 1, 'title' => 'Перегонный кубы', ),        
            'calcinator' => array( 'set' => 1, 'title' => 'Кальцинаторы',    ),
            'mortar'     => array( 'set' => 1, 'title' => 'Ступки',         ),         
            'retort'     => array( 'set' => 1, 'title' => 'Реторты',        ) ),        
        'apparatus', 'tes3_apparatus', 'Алхимические аппараты', 'Полное описание и подробнейший обзор всех видов алхимических аппаратов в The Elder Scrolls 3', 'alembic'  );

        
        parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }
    
    public function act_instruments()
    {
    	parent::AddBookMark( SHOST.'/morrowind/instruments', '',         2, 'Ремонт',    '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/instruments', 'lockpick', 2, 'Отмычки',   '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/instruments', 'probe',    2, 'Щупы',      '', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/instruments', 'soulgem',  2, 'Камни Душ', '', array() );   	    
   	    
   	    parent::AddBreadCorn(  SHOST.'/morrowind',  'The Elder Scrolls 3',   '' );
   	    parent::AddBreadCorn(        'instruments', 'Инструменты', '' );
    	
    	$this->GetApparatusInstruments( array(
            ''          => array( 'set' => 1, 'title' => 'Ремонт',    ),        
            'lockpick'  => array( 'set' => 1, 'title' => 'Отмычки',   ),        
            'probe'     => array( 'set' => 1, 'title' => 'Щупы',      ),
            'soulgem'   => array( 'set' => 1, 'title' => 'Камни Душ', ) ),        
        'instruments', 'tes3_instruments', 'Инструменты', 'Полное описание и подробнейший обзор всех видов инструментов в The Elder Scrolls 3', 'repair'  );

        
        parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }
    
    public function act_alchemy()
    {    	
    	parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'alchemy',    'Алхимические Зелья',  '' );
   	    
    	$this->GetIngredAlchem( 'Алхимические Зелья', 'alchemys', 'tes3_alchemy', 'tes3_alchemy_effects', 'Полное описание и подробнейший обзор всех алхимических зелий в The Elder Scrolls 3' );
    	
        parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }
    
    public function act_ingredients()
    {    	
    	parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'ingredients',    'Ингредиенты',     '' );
   	    
    	$this->GetIngredAlchem( 'Ингредиенты', 'ingredients', 'tes3_ingredient', 'tes3_ingredient_effects', 'Полное описание и подробнейший обзор всех ингредиентов в The Elder Scrolls 3' );
       
        parent::SetTemplFile( 'tpl_items' );
        $this->make_left_menu();
    }
    
    public function act_scrolls()
    {
        parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'scrolls',    'Магические свитки',   '' );
   	     
    	if( sizeof( UrlDecoder::GetUri() ) > 3 )
            TempeltateEngine::GenerateError( 404 ); 
    	
    	$sim = DBChose::PrepareDriver( 'SELECT DISTINCT ( MID( `title` , 8, 1 ) ) AS `sim` FROM `fullrestu_tes3db`.`tes3_scrolls` ORDER BY `sim` ASC ' );
        $sim->Execute();
        
        $index_site = '';
        for( $a = 0; $a < $sim->GetNum(); $a++ )
        {
            $row    = $sim->FetchArray();
        	
        	if( $index_site == '' )
        	{
         	    $index_site = Translit::EngToRu( Translit::RuToEng( $row['sim'] ) );
         	    $allow_list[''] = array( 'set' => 1,  'url' => '', 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), '',         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
        	else
        	{
         	    $allow_list[Translit::RuToEng( $row['sim'] )] = array( 'set' => 1,  'url' => Translit::RuToEng( $row['sim'] ), 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), Translit::RuToEng( $row['sim'] ),         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
        }        
        
        $symbol = Translit::EngToRu( mb_strtolower( UrlDecoder::GetCUri( 2 ), 'UTF-8' ) );        
        
        if( UrlDecoder::GetCUri( 2 ) == '' )
            $symbol = $index_site;
        
        if( !$allow_list[UrlDecoder::GetCUri( 2 )]['set'] )
            TempeltateEngine::GenerateError( 404 );

            
        $eff_query = 'SELECT * FROM  `fullrestu_tes3db`.`'.$tb2.'` WHERE ';
         
             $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_scrolls` WHERE MID( `title` , 8, 1 )=:1' );
             $items->Execute( $symbol );

            
            $ench_q = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_enchanting` WHERE  ';
            
            for( $a = 0; $a < $items->GetNum(); $a++ )
            {
                $item[$a] = $items->FetchArray();
                
                if( $a == 0 )
                    $ench_q .= ' `name` = \''.$item[$a]['enchanting'].'\' ';
                else
                    $ench_q .= ' OR `name` = \''.$item[$a]['enchanting'].'\'  ';
            }
            
            
            $ench = DBChose::PrepareDriver( $ench_q );
            $ench->Execute();
            
            $ench_effq = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_speffects` WHERE `type`=\'enchanting\' AND  ';
            
            for( $a = 0; $a < $ench->GetNum(); $a++ )
            {
                $row = $ench->FetchArray();
            
                $ench_list[$row['name']] = $row;
                
                if( $a == 0 )
                    $ench_effq .= ' `sid` = \''.$row['id'].'\' ';
                else
                    $ench_effq .= ' OR `sid` = \''.$row['id'].'\'  ';
            }
            
            $spell = DBChose::PrepareDriver( $ench_effq );
            $spell->Execute();
            
            $spell_effq = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_effects` WHERE ';
            
            for( $a = 0; $a < $spell->GetNum(); $a++ )
            {
                $row = $spell->FetchArray();
                
                $effects_list[$row['sid']][$row['fid']] = $row;
                
                if( $a == 0 )
                    $spell_effq .= ' `id` = \''.$row['fid'].'\' ';
                else
                    $spell_effq .= ' OR `id` = \''.$row['fid'].'\'  ';
            }
            
            $spellef = DBChose::PrepareDriver( $spell_effq );
            $spellef->Execute();
            
            for( $a = 0; $a < $spellef->GetNum(); $a++ )
            {
                $row = $spellef->FetchArray();
                
                $spells_list[$row['id']] = $row;
            }
         
        
        $attrs = $this->GetSkillsAttrs();
                   
        $return_array['attrs'] = $attrs['attrs'];
        $return_array['skill'] = $attrs['skill'];
        $return_array['item']  = $item;
        $return_array['ench']  = $ench_list;
        $return_array['eeff']  = $effects_list;
        $return_array['spell'] = $spells_list;                  
        $return_array['title'] = 'Магические свитки на букву "'.$allow_list[UrlDecoder::GetCUri( 2 )]['title'].'"';
        
        parent::SetFlag1( UrlDecoder::GetCUri( 2 ) );

        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_items' );

    	parent::SetTitle( 'Магические свитки на букву "'.$allow_list[UrlDecoder::GetCUri( 2 )]['title'].'"'.' (TES3 Morrowind)' );    
        
    	$this->make_left_menu();
    }
    
    public function act_books()
    {  
    	
    	if( sizeof( UrlDecoder::GetUri() ) > 3 )
            TempeltateEngine::GenerateError( 404 ); 
    	
    	parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'books',   'Книги',             '' );
   	    
    	$sim = DBChose::PrepareDriver( 'SELECT DISTINCT ( LEFT( `title` , 1 ) ) AS `sim` FROM `fullrestu_tes3db`.`tes3_books` ORDER BY `sim` ASC ' );
        $sim->Execute();
        
        for( $a = 0; $a < $sim->GetNum(); $a++ )
        {
            $row    = $sim->FetchArray();
        	
        	if( $index_site == '' )
        	{
         	    $index_site = Translit::EngToRu( Translit::RuToEng( $row['sim'] ) );
         	    $allow_list[''] = array( 'set' => 1,  'url' => '', 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), '',         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
        	else
        	{
         	    $allow_list[Translit::RuToEng( $row['sim'] )] = array( 'set' => 1,  'url' => Translit::RuToEng( $row['sim'] ), 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), Translit::RuToEng( $row['sim'] ),         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
        }        
        
        $symbol = Translit::EngToRu( mb_strtolower( UrlDecoder::GetCUri( 2 ), 'UTF-8' ) );

        if( UrlDecoder::GetCUri( 2 ) == '' )
            $symbol = $index_site;       
            
        
        
        if(  $symbol != '' )
        {
            $books = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_books` WHERE  LEFT( `title`,1)=:1 ORDER BY `title` ASC' );
            $books->Execute( $symbol );

            if( !$allow_list[UrlDecoder::GetCUri( 2 )]['set'] || !$books->GetNum() )
                TempeltateEngine::GenerateError( 404 );           
             
            for( $a = 0; $a < $books->GetNum(); $a++ )
               $lbook[$a] = $books->FetchArray();
                
            $return_array['books'] = $lbook;
            $return_array['title'] = 'Книги на букву "'.mb_strtoupper( $symbol, 'UTF-8' ).'"'.' (TES3 Morrowind)';
            
            parent::SetTitle( 'Книги на букву "'.mb_strtoupper( $symbol, 'UTF-8' ).'"' );                         
        }
        else
        {
            $books = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_books` WHERE  name=:1' );
            $books->Execute( UrlDecoder::GetCUri( 2 ) );

            if( $books->GetNum() != 1 )
                TempeltateEngine::GenerateError( 404 );   
            
            $row = $books->FetchArray();
            

            $return_array['title']      = $row['title'];
            $return_array['book_title'] = $row['title'];
            $return_array['book_text']  = $row['text'];
            
            parent::SetTitle( 'Книга "'.$row['title'].'"'.' (TES3 Morrowind)' ); 
            
            parent::SetFlag1( 'book' );
        }                        

        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_books' );    	  
        
    	$this->make_left_menu();
    }
    
    public function act_factions()
    {
    	if( sizeof( UrlDecoder::GetUri() ) > 2 )
            TempeltateEngine::GenerateError( 404 ); 
                    
            
        $list_q = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_factions` ORDER BY `title` ASC' );
        $list_q->Execute();       
        
        for( $a = 0; $a < $list_q->GetNum(); $a++ )
        {
            $row = $list_q->FetchAssoc();
            $list[$row['id']] = $row['title'];
        }
        
        $attr_q = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_factions_attributes`' );
        $attr_q->Execute();       
        
        for( $a = 0; $a < $attr_q->GetNum(); $a++ )
        {
            $row = $attr_q->FetchAssoc();
            $attrs[$row['fid']] = $row;
        }
        
        $skill_q = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_factions_skills`' );
        $skill_q->Execute();       
        
        for( $a = 0; $a < $skill_q->GetNum(); $a++ )
        {
            $row = $skill_q->FetchAssoc();
            $skills[$row['fid']] = $row;
        }
        
        $rank_q = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_factions_ranks` ORDER BY `pos` ASC' );
        $rank_q->Execute();       
        
        for( $a = 0; $a < $rank_q->GetNum(); $a++ )
        {
            $row = $rank_q->FetchAssoc();
            $ranks[$row['fid']][$row['pos']] = $row;
        }
        
        $stand_q = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_factions_standings` ORDER BY `val` DESC' );
        $stand_q->Execute();       
        
        for( $a = 0; $a < $stand_q->GetNum(); $a++ )
        {
            $row = $stand_q->FetchAssoc();
            $stands[$row['from']][$row['to']] = $row['val'];
        }

        $this->GetSkillsAttrs(); 
        
        $skills1 = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_skills`' );
        $skills1->Execute();
           
        for( $a = 0; $a < $skills1->GetNum(); $a++ )
        {
         	$row = $skills1->FetchAssoc();
          	$sklist[$row['id']] = $row;
        }       
    	
    	    $attrs3 = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_attributes`' );
            $attrs3->Execute();
            
            for( $a = 0; $a < $attrs3->GetNum(); $a++ )
            {
               	$row = $attrs3->FetchAssoc();
               	$atlist[$row['name']] = $row;
            }


        $return_array['attrs']  = $atlist;
    	$return_array['skill'] = $sklist; 
    	$return_array['title']   = 'Фракции';
    	$return_array['items']   = $list;
    	$return_array['attrs1']  = $attrs;
    	$return_array['skills1'] = $skills;
    	$return_array['ranks']   = $ranks;
    	$return_array['stands']  = $stands;

    	parent::SetTitle( 'Фракции (TES3 Morrowind)' );       

        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_factions' );    	  
        
    	$this->make_left_menu();
    } 
    
    public function act_soundtrack()
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'soundtrack',   'Morrowind Special Edition Soundtrack',             '' );
   	    
   	    parent::SetTitle( 'Morrowind Special Edition Soundtrack' ); 
    	
    	parent::SetTemplFile( 'tpl_soundtrack' );
        $this->make_left_menu();
    }
    
    public function act_conceptart()
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'conceptart', 'Концепт арт',         '' );
   	    
   	    parent::SetTitle( 'Morrowind Concept Art' ); 
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 3 )
    	    TempeltateEngine::GenerateError( 404 ); 
   	    
   	    $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_conceptart`' );
        $items->Execute();

        for( $a = 0; $a < $items->GetNum(); $a++ )
            $list[] = $items->FetchAssoc();
    	
    	parent::SetReturnData( $list );
        parent::SetTemplFile( 'tpl_images' );
        $this->make_left_menu();
    }
    
    public function act_screenshots()
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind',  'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'screenshots', 'Скриншоты',         '' );
   	    
   	    parent::SetTitle( 'Morrowind ScreenShots' ); 
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 3 )
    	    TempeltateEngine::GenerateError( 404 ); 
   	    
   	    $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_screenshots`' );
        $items->Execute();

        for( $a = 0; $a < $items->GetNum(); $a++ )
            $list[] = $items->FetchAssoc();
    	
    	parent::SetReturnData( $list );
        parent::SetTemplFile( 'tpl_images' );
        $this->make_left_menu();
    }
    
    public function act_wallpapers()
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind',  'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'wallpapers',  'Обои на рабочий стол',         '' );
   	    
   	    parent::SetTitle( 'Обои на рабочий стол' ); 
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 3 )
    	    TempeltateEngine::GenerateError( 404 ); 
   	    
   	    $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_wallpapers`ORDER BY `game` ASC' );
        $items->Execute();        

        for( $a = 0; $a < $items->GetNum(); $a++ )
            $list[] = $items->FetchAssoc();
    	
    	parent::SetReturnData( $list );
        parent::SetTemplFile( 'tpl_images' );
        $this->make_left_menu();
    }
    
    public function act_avatars()
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind',  'The Elder Scrolls 3', '' );
   	    parent::AddBreadCorn(        'avatars',     'Аватары',             '' );
   	    
   	    
   	    
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', '',         2, 'Аргониане',     'Здесь представленны аргонианские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'breton',   2, 'Бретоны',       'Здесь представленны бретонксие аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'darkelf',  2, 'Данмеры',       'Здесь представленны данмерские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'highelf',  2, 'Альтмеры',      'Здесь представленны альтмерские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'imperial', 2, 'Имперцы',       'Здесь представленны имперские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'khajiit',  2, 'Хаджиты',       'Здесь представленны хаджитские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'nord',     2, 'Норды',         'Здесь представленны нордские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'orc',      2, 'Орки',          'Здесь представленны оркские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'redguard', 2, 'Редгарды',      'Здесь представленны редгардские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    parent::AddBookMark( SHOST.'/morrowind/avatars', 'woodelf',  2, 'Босмеры',       'Здесь представленны босмерские аватары для игры TES 3: Morrowind, Tribunal, BloodMoon', array() );
   	    
   	    if( count( UrlDecoder::GetUri() ) >= 4 )
    	    TempeltateEngine::GenerateError( 404 ); 
    	    
        $list = array(
            ''         => array( 'set' => 1, 'title' => 'Аргониане', ),        
            'breton'   => array( 'set' => 1, 'title' => 'Бретоны',   ),
            'darkelf'  => array( 'set' => 1, 'title' => 'Данмеры',   ),
            'highelf'  => array( 'set' => 1, 'title' => 'Альтмеры',  ),        
            'imperial' => array( 'set' => 1, 'title' => 'Имперцы',   ),
            'khajiit'  => array( 'set' => 1, 'title' => 'Хаджиты',   ),
            'nord'     => array( 'set' => 1, 'title' => 'Норды',     ),        
            'orc'      => array( 'set' => 1, 'title' => 'Орки',      ),
            'redguard' => array( 'set' => 1, 'title' => 'Редгарды',  ),
            'woodelf'  => array( 'set' => 1, 'title' => 'Босмеры',   )
        );
        
        if( !$list[UrlDecoder::GetCUri( 2 )]['set'] )
            TempeltateEngine::GenerateError( 404 ); 
            
        if( UrlDecoder::GetCUri( 2 ) == '' )
            $race = 'argonian';
        else
            $race = UrlDecoder::GetCUri( 2 );
            
        $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`tes3_avatars` WHERE `race`=:1 ORDER BY `gender` ASC ' );
        $items->Execute( $race );            
            
        for( $a = 0; $a < $items->GetNum(); $a++ )
        {
            $row = $items->FetchAssoc();
            
        	$item[$row['gender']][] = $row ;
        }
            
   	    parent::SetTitle( 'Аватары: '.$list[UrlDecoder::GetCUri( 2 )]['title'].' ( TES 3: Morrowind )' ); 
    	
    	parent::SetReturnData( $item );
        parent::SetTemplFile( 'tpl_images' );
        $this->make_left_menu();
    }
    
    private function main_info()
    {
    	if( UrlDecoder::GetCUri( 1 ) == '' )
    	    $text_name = 'introducti';
    	else
    	    $text_name = UrlDecoder::GetCUri( 1 );
    	
    	if( count( UrlDecoder::GetUri() ) >= 3 )
    	    TempeltateEngine::GenerateError( 404 ); 
    	    
        parent::AddBreadCorn(  SHOST.'/morrowind', 'The Elder Scrolls 3',  '' );
    	    
    	$get_text = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_games` WHERE `name`=:1' );
        $get_text->Execute( $text_name );
        
        $data = $get_text->FetchAssoc();
        
        parent::SetTitle( $data['title'] );
        
        
        parent::SetReturnData( $data );
        
        parent::SetTemplFile( 'tpl_introduction' );
        $this->make_left_menu();
    }
    
    private function main_article( $arow )
    {
    	parent::AddBreadCorn(  SHOST.'/morrowind',   'The Elder Scrolls 3',  ''                   );
    	parent::AddBreadCorn(        $arow['name'],  $arow['title'],         $arow['description'] );
    	
    	$article = DBChose::PrepareDriver( 'SELECT `game_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender`   
    	                                    FROM `game_articles`, `members` 
    	                                    WHERE `game_articles`.`uid`=`members`.`id` AND `game_articles`.`game`=:1 AND `game_articles`.`parent_id`=:2 AND `game_articles`.`deleted`=:3 AND `game_articles`.`show`=:4 AND `game_articles`.`moderated`=:5 
    	                                    ORDER BY  `game_articles`.`order` ASC ' );
        $article->Execute( 1, $arow['artic_id'], 0, 1, 1 );
        
        if( $article->GetNum() )
        {
        	if( count( UrlDecoder::GetUri() ) >= 4 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
        	$setted = 0;
        	
        	for( $a = 0; $a < $article->GetNum(); $a++ )
        	{
        		$row = $article->FetchAssoc();
        		
        		if( $a == 0 && UrlDecoder::GetCUri( 2 ) == '' )
        		{
        			$return_data['article'] = $row;
        			$setted = 1;
        			parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), '', 2, $row['title'],   $row['description'], array() );
        		}
        		else if( UrlDecoder::GetCUri( 2 ) == $row['name'] )
        		{
        			$return_data['article'] = $row;
        			$setted = 1;
        			parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $row['title'],   $row['description'], array() );
        		}
        		else
        			parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $row['title'],   $row['description'], array() );
        	}  

        	if( !$setted )
        	    TempeltateEngine::GenerateError( 404 );
        }
        else
        {
        	if( count( UrlDecoder::GetUri() ) >= 3 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
    	    $return_data['article'] = $arow;
        }
            
    	parent::SetTitle( $return_data['article']['title'].' (TES3: Morrowind)' );
    	parent::SetReturnData( $return_data );
    	
    	parent::SetTemplFile( 'tpl_articles' );
        $this->make_left_menu();
    }    
    
    private function GetSkillsAttrs()
    {
        $attrs = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_attributes`' );
        $attrs->Execute();
            
        for( $a = 0; $a < $attrs->GetNum(); $a++ )
        {
          	$row = $attrs->FetchAssoc();
           	$atlist[$row['name']] = $row;
        }
           
        $skills = DBChose::PrepareDriver( 'SELECT * FROM  `fullrestu_tes3db`.`tes3_skills`' );
        $skills->Execute();
           
        for( $a = 0; $a < $skills->GetNum(); $a++ )
        {
         	$row = $skills->FetchAssoc();
          	$sklist[$row['name']] = $row;
        } 
        
        return array( 'attrs' => $atlist, 'skill' => $sklist );                 
    }
    
    private function GetArmWeapCloth( $list, $txt, $table, $ttl, $descr, $index  )
    {
        if( sizeof( UrlDecoder::GetUri() ) >= 4 )
            TempeltateEngine::GenerateError( 404 ); 
                    
    	$allow_list = $list;
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
            $cat = $index;
        else
            $cat = UrlDecoder::GetCUri( 2 );
        
        if( !$allow_list[UrlDecoder::GetCUri( 2 )]['set'] )
            TempeltateEngine::GenerateError( 404 ); 
            
                  
        
        $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`'.$table.'` WHERE `cat`=:1 ORDER BY `enchanting`, `title` ASC' );
        $items->Execute( $cat );
            
        $ench_q = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_enchanting` WHERE  ';                      
            
        for( $a = 0; $a < $items->GetNum(); $a++ )
        {
            $item[$a] = $items->FetchAssoc();
                
            if( $a == 0 )
                $ench_q .= ' `name` = \''.$item[$a]['enchanting'].'\' ';
            else
                $ench_q .= ' OR `name` = \''.$item[$a]['enchanting'].'\'  ';
        }
            
        $ench = DBChose::PrepareDriver( $ench_q );
        $ench->Execute();
            
        $ench_effq = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_speffects` WHERE `type`=\'enchanting\' AND  ';
            
        for( $a = 0; $a < $ench->GetNum(); $a++ )
        {
            $row = $ench->FetchAssoc();
            
            $ench_list[$row['name']] = $row;
                
            if( $a == 0 )
                $ench_effq .= ' `sid` = \''.$row['id'].'\' ';
            else
                $ench_effq .= ' OR `sid` = \''.$row['id'].'\'  ';
        }
            
        $spell = DBChose::PrepareDriver( $ench_effq );
        $spell->Execute();
            
        $spell_effq = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_effects` WHERE ';
            
        for( $a = 0; $a < $spell->GetNum(); $a++ )
        {
            $row = $spell->FetchAssoc();
                
            $effects_list[$row['sid']][$row['fid']] = $row;
                
            if( $a == 0 )
                $spell_effq .= ' `id` = \''.$row['fid'].'\' ';
            else
                $spell_effq .= ' OR `id` = \''.$row['fid'].'\'  ';
        }
            
        $spellef = DBChose::PrepareDriver( $spell_effq );
        $spellef->Execute();
            
        for( $a = 0; $a < $spellef->GetNum(); $a++ )
        {
            $row = $spellef->FetchAssoc();
                
            $spells_list[$row['id']] = $row;
        }
            
        $attrs = $this->GetSkillsAttrs();
                   
        $return_array['attrs'] = $attrs['attrs'];
        $return_array['skill'] = $attrs['skill'];
        $return_array['item']  = $item;
        $return_array['ench']  = $ench_list;
        $return_array['eeff']  = $effects_list;
        $return_array['spell'] = $spells_list;
        $return_array['item']  = $item;
        $return_array['title'] = $allow_list[UrlDecoder::GetCUri( 2 )]['title'];     
            
        parent::SetFlag1( UrlDecoder::GetCUri( 2 ) );

        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_items' );

    	parent::SetTitle( $allow_list[UrlDecoder::GetCUri( 2 )]['title'].' (TES3 Morrowind)' ); 
    }
    
    private function GetApparatusInstruments( $list, $txt, $table, $ttl, $descr, $index  )
    {
    	if( sizeof( UrlDecoder::GetUri() ) > 3 )
            TempeltateEngine::GenerateError( 404 );
                    
    	$allow_list = $list;
        
        if( UrlDecoder::GetCUri( 2 ) == '' )
            $cat = $index;
        else
            $cat = UrlDecoder::GetCUri( 2 );
        
        if( !$allow_list[UrlDecoder::GetCUri( 2 )]['set'] )
            TempeltateEngine::GenerateError( 404 );            
        

        $items = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`'.$table.'` WHERE `type`=:1 ' );
        $items->Execute( $cat );

        for( $a = 0; $a < $items->GetNum(); $a++ )
             $item[$a] = $items->FetchAssoc();
            
        $return_array['item']  = $item;
        $return_array['title'] = $allow_list[UrlDecoder::GetCUri( 2 )]['title'];
        
        parent::SetFlag1( UrlDecoder::GetCUri( 2 ) );

        parent::SetReturnData( $return_array );
        
        parent::SetTitle( $allow_list[UrlDecoder::GetCUri( 2 )]['title'].' (TES3 Morrowind)' ); 
    	
    }
    
    private function GetIngredAlchem( $ttl,  $txt, $tb1, $tb2, $descr )
    {         
    	if( sizeof( UrlDecoder::GetUri() ) > 3 )
            TempeltateEngine::GenerateError( 404 );
    	
    	$sim = DBChose::PrepareDriver( 'SELECT DISTINCT ( LEFT( `title` , 1 ) ) AS `sim` FROM `fullrestu_tes3db`.`'.$tb1.'` ORDER BY `sim` ASC ' );
        $sim->Execute();       
        
        $index_site = '';
        
        for( $a = 0; $a < $sim->GetNum(); $a++ )
        {
        	$row    = $sim->FetchAssoc();
        	
        	if( $index_site == '' )
        	{
         	    $index_site = Translit::EngToRu( Translit::RuToEng( $row['sim'] ) );
         	    $allow_list[''] = array( 'set' => 1,  'url' => '', 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), '',         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
        	else
        	{
         	    $allow_list[Translit::RuToEng( $row['sim'] )] = array( 'set' => 1,  'url' => Translit::RuToEng( $row['sim'] ), 'lvl' => 1, 'title' => $row['sim'], 'descr' => 'Переход на страницу '.Translit::RuToEng( $row['sim'] ), 'ajax' => 0  ); 
         	    parent::AddBookMark( SHOST.'/morrowind/'.UrlDecoder::GetCUri( 1 ), Translit::RuToEng( $row['sim'] ),         2,  $row['sim'],    'Переход на страницу '.Translit::RuToEng( $row['sim'] ), array() );
        	}
            
            
            
        }        
        
        $symbol = Translit::EngToRu( mb_strtolower( UrlDecoder::GetCUri( 2 ), 'UTF-8' ) );        
         
        if( UrlDecoder::GetCUri( 2 ) == '' )
            $symbol = $index_site;
        
        if( !$allow_list[UrlDecoder::GetCUri( 2 )]['set'] )
            TempeltateEngine::GenerateError( 404 );
            
            
        $eff_query = 'SELECT * FROM  `fullrestu_tes3db`.`'.$tb2.'` WHERE ';
         
             $poiton = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_tes3db`.`'.$tb1.'` WHERE  LEFT( `title`,1)=:1' );
             $poiton->Execute( $symbol );

             if( $poiton->GetNum() > 0 )
                 $str = 'Буква '.mb_strtoupper( $symbol, 'UTF-8' );    

             for( $a = 0; $a < $poiton->GetNum(); $a++ )
             {             	
             	$plist[$a] = $poiton->FetchAssoc();
             	
             	if( $a == 0 )
             	    $eff_query .= ' `aid` = \''.$plist[$a]['id'].'\' ';
             	else
             	    $eff_query .= ' OR `aid` = \''.$plist[$a]['id'].'\' ';    
             }             
                          
             $effq = DBChose::PrepareDriver( $eff_query );
             $effq->Execute(); 

             $effects = array();
             
             $sp_query = 'SELECT * FROM  `fullrestu_tes3db`.`tes3_magic_effects` WHERE ';
             
             for( $a = 0; $a < $effq->GetNum(); $a++ )
             {
             	$row = $effq->FetchAssoc();
             	
             	$effects[$row['aid']][] = $row;
             	
             	if( $a == 0 )
             	    $sp_query .= ' `id` = \''.$row['fid'].'\' ';
             	else
             	    $sp_query .= ' OR `id` = \''.$row['fid'].'\' ';  
             }
             
             $effqs = DBChose::PrepareDriver( $sp_query );
             $effqs->Execute();
             
             
             for( $a = 0; $a < $effqs->GetNum(); $a++ )
             {
             	$row = $effqs->FetchAssoc();             	
             	$spells[$row['id']] = $row;  
             }

        $attrs = $this->GetSkillsAttrs();
                   
        $return_array['attrs'] = $attrs['attrs'];
        $return_array['skill'] = $attrs['skill'];
        $return_array['spell'] = $spells;
        $return_array['effec'] = $effects;
        $return_array['item']  = $plist;                   
        $return_array['title'] = $ttl.' на букву "'.$allow_list[UrlDecoder::GetCUri( 2 )]['title'].'"';
        
        parent::SetFlag1( UrlDecoder::GetCUri( 2 ) );

        parent::SetReturnData( $return_array );
    	
    	parent::SetTemplFile( 'tpl_items' );

    	parent::SetTitle( $ttl.' на букву "'.$allow_list[UrlDecoder::GetCUri( 2 )]['title'].'"'.' (TES3 Morrowind)' );              
    }  
    
    
    private function make_left_menu()
    {
   	    parent::SetMenuLeft( 1, 0 );
    	
    	parent::AddMenuLeft_head( 'main', 'Общая информация' ); 

   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', '',             1, 'Введение',        '', array() );
   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', 'morrowind',    1, 'Morrowind',       '', array() );
   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', 'tribunal',     1, 'Tribunal',        '', array() );
   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', 'bloodmoon',    1, 'BloodMoon',       '', array() );
   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', 'system',       1, 'Ролевая система', '', array() );
   	    parent::AddMenuLeft_item( 'main', SHOST.'/morrowind', 'magiceffects', 1, 'Маг. эффекты',    '', array() );   	    
   	    
   	    parent::AddMenuLeft_head( 'main2', 'База знаний' ); 

   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'weapons',     1, 'Оружие',          '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'armors',      1, 'Доспехи',         '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'cloths',      1, 'Одежда',          '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'scrolls',     1, 'Маг. свитки',     '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'ingredients', 1, 'Ингредиенты',     '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'alchemy',     1, 'Алхим. зелья',    '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'apparatus',   1, 'Алхим. аппараты', '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'instruments', 1, 'Инструменты',     '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'books',       1, 'Книги',           '', array() );
   	    parent::AddMenuLeft_item( 'main2', SHOST.'/morrowind', 'factions',    1, 'Фракции',         '', array() );  	       	    
   	    
        $solutions1 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions1->Execute( 1, 1, 0, 0, 1, 1 );
        
        if( $solutions1->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main4', 'Статьи' ); 
        	
        	for( $a = 0; $a < $solutions1->GetNum(); $a++ )
        	{
        		$row = $solutions1->FetchAssoc();
        		parent::AddMenuLeft_item( 'main4', SHOST.'/morrowind', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    
   	    $solutions2 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions2->Execute( 1, 2, 0, 0, 1, 1 );
        
        if( $solutions2->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main5', 'Прохождения' );
        	
        	for( $a = 0; $a < $solutions2->GetNum(); $a++ )
        	{
        		$row = $solutions2->FetchAssoc();
        		parent::AddMenuLeft_item( 'main5', SHOST.'/morrowind', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    
        $solutions3 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions3->Execute( 1, 3, 0, 0, 1, 1 );
        
        if( $solutions3->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main6', 'Руководства' );
        	
        	for( $a = 0; $a < $solutions3->GetNum(); $a++ )
        	{
        		$row = $solutions3->FetchAssoc();
        		parent::AddMenuLeft_item( 'main6', SHOST.'/morrowind', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    
   	    
   	     
   	    
   	    parent::AddMenuLeft_head( 'main3', 'Дополнительно' ); 

   	    parent::AddMenuLeft_item( 'main3', SHOST.'/morrowind', 'soundtrack',  1, 'Саундтрек',   '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/morrowind', 'conceptart',  1, 'Концепт арт', '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/morrowind', 'screenshots', 1, 'Скриншоты',   '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/morrowind', 'wallpapers',  1, 'Обои',        '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/morrowind', 'avatars',     1, 'Аватары',     '', array() );    	
    }

    
}