<?php

class Module extends PModule
{
    public function act_index()
    { 
        
    	if( UrlDecoder::GetCUri( 0 ) == 'universes' )
        {
        	$this->exec_universes_admin();
        	return;
        }
        
        $this->make_left_menu();
        
    	$article = DBChose::PrepareDriver( 'SELECT  `universe_articles`.*, `universe_games`.`title` AS `gtitle`, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick`  
    	                                    FROM `universe_articles`, `universe_games`, `members` 
                                            WHERE `universe_articles`.`uid`=`members`.`id` AND
                                                  `universe_games`.`uri`=:1 AND 
                                                  `universe_articles`.`game_id` = `universe_games`.`game_id` AND 
                                                  `universe_articles`.`name`=:2 AND
                                                  `universe_articles`.`parent_id`=:3 AND `universe_articles`.`deleted`=:4 AND `universe_articles`.`show`=:5' );
        $article->Execute( UrlDecoder::GetCUri( 0 ), UrlDecoder::GetCUri( 1 ), 0, 0, 1 );
            
        if( $article->GetNum() && UrlDecoder::GetCUri( 1 ) != '' )
        {            	
            $this->main_article( $article->FetchAssoc() );
            parent::SetFlag1( 'article' );
        }
        else if( UrlDecoder::GetCUri( 1 ) != '' )                      
            TempeltateEngine::GenerateError( 404 );
        else
        {
        	$article1 = DBChose::PrepareDriver( 'SELECT  `universe_articles`.*, `universe_games`.`title` AS `gtitle`, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick`  
    	                                        FROM `universe_articles`, `universe_games`, `members` 
                                                WHERE `universe_articles`.`uid`=`members`.`id` AND
                                                  `universe_games`.`uri`=:1 AND 
                                                  `universe_articles`.`game_id` = `universe_games`.`game_id` AND 
                                                  `universe_articles`.`parent_id`=:2 AND `universe_articles`.`deleted`=:3 AND `universe_articles`.`show`=:4 AND `universe_articles`.`article_id`=:5' );
            $article1->Execute( UrlDecoder::GetCUri( 0 ), 0, 0, 1, FIRST_ID );
            
            if( $article1->GetNum() )
            {            	
                $this->main_article( $article1->FetchAssoc() );
                parent::SetFlag1( 'article' );
            }
        } 
    	
    	
    	
    	parent::SetTemplFile( 'tpl_index' );
    }

    private function main_article( $arow )
    {
    	parent::AddBreadCorn(  SHOST.'/'.UrlDecoder::GetCUri( 0 ),   'The Elder Scrolls',  '' );
    	parent::AddBreadCorn(        $arow['name'],  $arow['title'],         $arow['description'] );
    	
    	$article = DBChose::PrepareDriver( 'SELECT `universe_articles`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick`
    	                                    FROM `universe_articles`, `members` 
    	                                    WHERE `universe_articles`.`uid`=`members`.`id` AND `universe_articles`.`game_id`=:1 AND `universe_articles`.`parent_id`=:2 AND `universe_articles`.`deleted`=:3 AND `universe_articles`.`show`=:4 
    	                                    ORDER BY `universe_articles`.`article_pos` ASC ' );
        $article->Execute( $arow['game_id'], $arow['article_id'], 0, 1 );
        
        if( $article->GetNum() )
        {
        	if( count( UrlDecoder::GetUri() ) >= 4 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
        	$setted = 0;
        	
        	for( $a = 0; $a < $article->GetNum(); $a++ )
        	{
        		$row = $article->FetchAssoc();
        		
        		
        		
        		if( $a == 0 && UrlDecoder::GetCUri( 2 ) == '' )
        		{       			
        			$setted = 1;     			       			
        			
        			parent::SetTitle( $row['title'].' ( '.$arow['gtitle'].' )' );
        			$title = $row['title'];
        			$row['title'] = $arow['title'].': '.$row['title'];
        			
        			$return_data['article'] = $row;
        			
        			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), '', 2, $title,   $row['description'], array() );
        		}
        		else if( UrlDecoder::GetCUri( 2 ) == $row['name'] )
        		{        			
        			$setted = 1;
     			
        			parent::SetTitle( $row['title'].' ( The Elder Scrolls )' );
        			$title = $row['title'];
        			$row['title'] = $arow['title'].': '.$row['title'];
        			
        			$return_data['article'] = $row;
        			
        			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $title,   $row['description'], array() );
        		}
        		else
        			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $row['title'],   $row['description'], array() );
        	}  

        	if( !$setted )
        	    TempeltateEngine::GenerateError( 404 );
        }
        else
        {
        	if( count( UrlDecoder::GetUri() ) >= 3 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
    	    $return_data['article'] = $arow;
    	    
    	    parent::SetTitle( $arow['title'].' ( '.$arow['gtitle'].' )' );
        }
            
    	
    	parent::SetReturnData( $return_data );
        $this->make_left_menu();
    }   
    
    private function make_left_menu()
    {
   	    parent::SetMenuLeft( 1, 0 );
    	
        $universe_cat = DBChose::PrepareDriver( 'SELECT * FROM `universe_games`, `universe_categorys` WHERE `universe_games`.`uri`=:1 AND `universe_games`.`game_id`=`universe_categorys`.`game_id` ORDER BY `universe_categorys`.`cat_pos` ASC ' );
        $universe_cat->Execute( UrlDecoder::GetCUri( 0 ) );
        
        if( $universe_cat->GetNum() )
        {
        	$ccccc = 0;
        	
        	for( $a = 0; $a < $universe_cat->GetNum(); $a++ )
        	{
        		$row = $universe_cat->FetchAssoc();       		        		 
        		
        		$cat_items = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles` WHERE `cat_id`=:1 AND `parent_id`=:2 AND `deleted`=:3 AND `show`=:4 ORDER BY `article_pos` ASC ' );
                $cat_items->Execute( $row['cat_id'], 0, 0, 1 );
                
                if( $cat_items->GetNum() )
                    parent::AddMenuLeft_head( 'main_'.$row['cat_id'], $row['cat_title'] );
                    
                for( $b = 0; $b < $cat_items->GetNum(); $b++ )
                {
                	$rowb = $cat_items->FetchAssoc();
                	
                	if( $ccccc == 0 )
                	{
                		$ccccc = 1;
                		define( 'FIRST_ID', $rowb['article_id'] );
                	}
                	
                	if( $rowb['stitle'] != '' )
                	    $title = $rowb['stitle'];
                	else
                	    $title = $rowb['title'];
                	
                	parent::AddMenuLeft_item( 'main_'.$row['cat_id'], SHOST.'/'.UrlDecoder::GetCUri( 0 ), $rowb['name'],    1, $title, $rowb['description'], array() );
                }
        		
        		
        	}
        }   	    
    }
    
    private function exec_universes_admin()
    {
    	$select = DBChose::PrepareDriver( 'SELECT * FROM `universe_games`' );
        $select->Execute();
        $title_str = 'Вселенные: ';
    	
        for( $a = 0; $a < $select->GetNum(); $a++ )
        {
            $row = $select->FetchAssoc();
        	$games_arr[$row['uri']] = $row;
        	$titles[] = $row['title'];
        }
        parent::SetTitle( $title_str.implode( ' | ', $titles ) );
        parent::AddBreadCorn( 'universes', 'Вселенные', '' );     
    	
    	parent::SetMenuLeft( 1, 0 );
    	
    	parent::AddMenuLeft_head( 'main', 'Вселенные' ); 
    	
    	foreach( $games_arr as $i => $v )
    		parent::AddMenuLeft_item( 'main', SHOST.'/'.$v['uri'], '', 0, $v['title'], '', array() );
   	    
   	    if( User::GetRight( 'universe_add' ) )
   	    {
   	       	$article_id = (int)$_GET['id'];

    	    if( $article_id )
    	    {    	    
    	        
    	    	$article_check = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles`  WHERE `article_id`=:1' );
                $article_check->Execute( $article_id );
                
                
            
                if( $article_check->GetNum() )
                {
    		        $nrow = $article_check->FetchAssoc();
    		    
    		        if( $nrow['uid'] == User::GetId() )
    		            $owner = true;
    		        else
    		            $owner = false;
            	
    		        if( $nrow['locked'] == 0 && $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'universe_restore' ) && ( $owner || User::GetRight( 'universe_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `deleted`=:5  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                        $article_update->Execute( $article_id, 0, 1, 1, 0 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && ( $owner || ( User::GetRight( 'universe_edit_full' ) && User::GetRight( 'universe_delete' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `deleted`=:5  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['locked'] == 0 && $_GET['act'] == 'lock' && User::GetRight( 'universe_lock' ) && ( $owner || User::GetRight( 'universe_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `locked`=:5, `show`=:6, `moderated`=:7  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `locked`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1, 1, 1 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['moderated'] == 0 && $_GET['act'] == 'moderate' && User::GetRight( 'universe_moderate' ) && ( $owner || User::GetRight( 'universes_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `moderated`=:5  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `moderated`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
                    else if( $nrow['locked'] == 0 && $nrow['show'] == 0 && $_GET['act'] == 'show' && ( $owner || ( User::GetRight( 'universe_edit_full' ) && User::GetRight( 'universe_hide_show' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `show`=:5  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
                    else if( $nrow['locked'] == 0 && $nrow['show'] == 1 && $_GET['act'] == 'hide' && ( $owner || ( User::GetRight( 'universe_edit_full' ) && User::GetRight( 'universe_hide_show' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `show`=:5  WHERE `article_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 1, 0 );
    	            }
                }
    	    }

   	        $category_id = (int)$_GET['cid'];

    	    if( $category_id )
    	    {    	    
    	        
    	    	$category_check = DBChose::PrepareDriver( 'SELECT * FROM `universe_categorys`  WHERE `cat_id`=:1' );
                $category_check->Execute( $category_id );

            
                if( $category_check->GetNum() )
                {
    		        $nrow = $category_check->FetchAssoc();
            	
    		        if( $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'universe_edit_full' ) )
    	            {
    		            $category_update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `deleted`=:2  WHERE `cat_id`=:1' );
                        $category_update->Execute( $category_id, 0 );
    	            }
    	            else if( $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && User::GetRight( 'universe_delete' ) )
    	            {
    		            $category_update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `deleted`=:2  WHERE `cat_id`=:1' );
                        $category_update->Execute( $category_id, 1 );
    	            }
                    else if( $nrow['show'] == 0 && $_GET['act'] == 'show' && User::GetRight( 'universe_edit_full' ) && User::GetRight( 'universe_hide_show' )  )
    	            {
    		            $category_update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `show`=:2  WHERE `cat_id`=:1' );
                        $category_update->Execute( $category_id, 1 );
    	            }
                    else if( $nrow['show'] == 1 && $_GET['act'] == 'hide' && User::GetRight( 'universe_edit_full' ) && User::GetRight( 'universe_hide_show' ) )
    	            {
    		            $category_update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `show`=:2  WHERE `cat_id`=:1' );
                        $category_update->Execute( $category_id, 0 );
    	            }
                }
    	    }
   	    	
   	        foreach( $games_arr as $i => $v )
            {
   	            parent::AddMenuLeft_head( 'main'.$i, $v['title'] ); 
   	            
                parent::AddMenuLeft_item( 'main'.$i, SHOST.'/universes', $v['uri'].'--categorys',    1, 'Все категории',      '', array() );
   	            parent::AddMenuLeft_item( 'main'.$i, SHOST.'/universes', $v['uri'].'--articles',     1, 'Все статьи',         '', array() );
   	            parent::AddMenuLeft_item( 'main'.$i, SHOST.'/universes', $v['uri'].'--add_category', 1, 'Добавить категорию', '', array() );
   	            parent::AddMenuLeft_item( 'main'.$i, SHOST.'/universes', $v['uri'].'--add_article',  1, 'Добавить статью',    '', array() );   	        
            }
        
        
        
            parent::AddMenuLeft_head( 'mainx', 'Остальные статьи' );

            parent::AddMenuLeft_item( 'mainx', SHOST.'/universes', 'acomposed', 1, 'Составные статьи',    '', array() );
            parent::AddMenuLeft_item( 'mainx', SHOST.'/universes', 'chidden',   1, 'Скрытые категории',   '', array() );  
   	        parent::AddMenuLeft_item( 'mainx', SHOST.'/universes', 'ahidden',   1, 'Скрытые статьи',      '', array() ); 
   	        parent::AddMenuLeft_item( 'mainx', SHOST.'/universes', 'cdeleted',  1, 'Удаленные категории', '', array() );   
   	        parent::AddMenuLeft_item( 'mainx', SHOST.'/universes', 'adeleted',  1, 'Удаленные статьи',    '', array() );
   	        
   	        $uri_arr = explode( '--', UrlDecoder::GetCUri( 1 ) );

   	        $select = DBChose::PrepareDriver( 'SELECT * FROM `universe_categorys` WHERE `game_id`=:1 ORDER BY  `universe_categorys`.`cat_pos` ASC ' );
            $select->Execute( $games_arr[$uri_arr[0]]['game_id'] );
        
            
            for( $a = 0; $a < $select->GetNum(); $a++ )
            {
                $row = $select->FetchAssoc();
        	    $games_stat[$row['cat_id']] = $row;
            } 	       	           	           	        
   	    
   	        if( $games_arr[$uri_arr[0]]['game_id'] )
   	        {
   	    	    if( $uri_arr[1] == 'articles' )
   	    	    {                    
   	    	        parent::AddBookMark( SHOST.'/universes/'.UrlDecoder::GetCUri( 1 ), '',     2, 'Список',     '', array() );
    	            parent::AddBookMark( SHOST.'/universes/'.UrlDecoder::GetCUri( 1 ), 'sort', 2, 'Сортировка', '', array() );

    	            if( UrlDecoder::GetCUri( 2 ) == 'sort' )
    	            {
    	                if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                        {
                            unset( $_POST['sorter_checker'] );
            	
            	            foreach( $_POST['order'] as $i => $v )
            	            {            		            		
                                $update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `article_pos`=:1 WHERE `article_id`=:2' );
                                $update->Execute( (int)$i, (int)$v );
            	            }
            	    
                            exit;
                        }
    	            }
   	        	
   	        	    $this->articles_list( $games_arr[$uri_arr[0]]['game_id'], 1, 0 );

   	        	    if( UrlDecoder::GetCUri( 2 ) == 'sort' )
   	        	        parent::SetFlag1( 'sort' );  	    	    	
   	    	    }
   	            if( $uri_arr[1] == 'categorys' )
   	    	    {                    
   	    	        parent::AddBookMark( SHOST.'/universes/'.UrlDecoder::GetCUri( 1 ), '',     2, 'Список',     '', array() );
    	            parent::AddBookMark( SHOST.'/universes/'.UrlDecoder::GetCUri( 1 ), 'sort', 2, 'Сортировка', '', array() );

    	            if( UrlDecoder::GetCUri( 2 ) == 'sort' )
    	            {
    	                if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                        {
                            unset( $_POST['sorter_checker'] );
            	
            	            foreach( $_POST['order'] as $i => $v )
            	            {            		            		
                                $update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `cat_pos`=:1 WHERE `cat_id`=:2' );
                                $update->Execute( (int)$i, (int)$v );
            	            }
            	    
                            exit;
                        }
    	            }
   	        	
   	        	    $this->category_list( $games_arr[$uri_arr[0]]['game_id'], 1, 0 );

   	        	    if( UrlDecoder::GetCUri( 2 ) == 'sort' )
   	        	        parent::SetFlag1( 'csort' );  	    	    	
   	    	    }
   	    	    else if( $uri_arr[1] == 'add_article' )
   	    	    {
   	    		    if( $_POST['new_news_submit'] )
   	    		    {
   	    		    	 $name   = trim( $_POST['name']        );
   	        	         $title  = trim( $_POST['title']       );
   	        	         $stitle = trim( $_POST['stitle']      );
   	        	         $text   = trim( $_POST['text']        );
   	        	         $descr  = trim( $_POST['description'] );  
   	        	         
   	        	         $cat    = (int)$_POST['cat']; 
   	        	         $par    = (int)$_POST['par'];
   	        	          
   	        	         $date   = date( 'U' );   	
   	        	                 	
   	        	         $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	         $bbcode = $bbret['bbcode'];
   	        	         $text   = $bbret['text'];  
   	        	
   	        	         $title  = htmlspecialchars( $title );
   	        	         $descr  = htmlspecialchars( $descr );
   	        	         
   	        	         if( empty( $name ) || $name == '' )
   	        	             $errors['name_empty'] = true;   	        	    

   	        	         if( !RegEx::check_IsLatinNum( $name ) )
   	        	             $errors['name_format'] = true;
   	        	         else
   	        	         {
   	        		         $nchk = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `name`=:1' );  
   	        		         $nchk->Execute( $name );                     
                    
                             if( $nchk->GetNum() ) 
                                 $errors['name_exist'] = true;
   	        	         }
   	        	        
   	        	         if( empty( $title  ) || $title  == '' )
   	        	             $errors['title_empty'] = true;
   	        	             
   	        	         if( empty( $stitle ) || $stitle == '' )
   	        	             $errors['stitle_empty'] = true;
   	        	    
   	        	         if( empty( $text ) || $text == '' )
   	        	            $errors['text_empty'] = true; 
   	        	            
   	        	         
   	        	         if( !sizeof( $errors ) )
   	        	         {
   	        	         	  $insert = DBChose::PrepareDriver( 'INSERT INTO `universe_articles` ( `parent_id`, `uid`, `date_add`, `date_update`, `cat_id`, `description`, `name`, `title`, `stitle`, `game_id`, `text_ready`,  `text_bbcode` )   	        	         	   
                                                                 VALUES                          (  :1,          :2,    :3,         :3,            :4,       :5,            :6,     :7,      :8,       :9,    \''.$text.'\', \''.$bbcode.'\' )' );                              
//   	        	         	  $insert = DBChose::PrepareDriver( 'INSERT INTO `universe_articles` ( `parent_id`, `uid`, `date_add`, `date_update`, `cat_id`, `description`, `name`, `title`, `stitle`, `game_id`, `text_ready`,  `text_bbcode` )   	        	         	   
//                                                                 VALUES                          (  :1,          :2,    :3,         :3,            :4,       :5,            :6,     :7,      :8,       :9,    `'.$text.'`, `'.$bbcode.'` )' );
                              $insert->Execute( $par, User::GetId(), $date, $cat, $descr, $name, $title, $stitle, $games_arr[$uri_arr[0]]['game_id'] );

                              $select = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles`  WHERE `uid`=:1 AND `name`=:2' );
                              $select->Execute( User::GetId(), $name ); 
                    
                    
                              if( $select->GetNum() )
                              {
                    	          $row = $select->FetchAssoc();
                    	
                    	          base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.$uri_arr[0].'--edit_article/'.$row['name'] );
                              }
                              else
                                  $errors['wrong'] = true; 
   	        	         }
   	    		    }
   	    	    	
   	    	    	$select = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles` WHERE `parent_id`=:1 AND `deleted`=:2 AND `game_id`=:3' );
                    $select->Execute( 0, 0, $games_arr[$uri_arr[0]]['game_id'] );
   	    	    	
   	    	        for( $a = 0; $a < $select->GetNum(); $a++ )
        	            $articles[] = $select->FetchAssoc();

        	        parent::SetReturnCData( 'articles', $articles  );    
   	    		    parent::SetFlag1( 'add' );
   	    	    }
   	    	    else if( $uri_arr[1] == 'edit_article' )
   	    	    {
   	    	    	
   	    	    	$nchk = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles` WHERE `name`=:1 AND `deleted`=:2 AND `locked`=:3' );  
   	        		$nchk->Execute( UrlDecoder::GetCUri( 2 ), 0, 0 );  
   	        		
   	        		if( !$nchk->GetNum() )
   	        		    TempeltateEngine::GenerateError( 404 );
   	        		    
   	        		$nrow = $nchk->FetchAssoc();
   	        		
   	        		if(  $nrow['uid'] == User::GetId()  )
   	        		    $owner = true;
   	        		else
   	        		    $owner = false;
   	        		    
   	        		if( ( $owner && User::GetRight( 'universe_edit_self' ) ) || User::GetRight( 'universe_edit_full' ) )
   	        		{
   	        		    if( $_POST['new_news_submit'] )
   	        			{
   	        			    
   	        				$name   = trim( $_POST['name']        );
   	        	            $title  = trim( $_POST['title']       );
   	        	            $stitle = trim( $_POST['stitle']      );
   	        	            $text   = trim( $_POST['text']        );
   	        	            $descr  = trim( $_POST['description'] );  
   	        	         
   	        	            $cat    = (int)$_POST['cat']; 
   	        	            $par    = (int)$_POST['par'];
   	        	             
   	        	            $date   = date( 'U' );   	
   	        	                 	
   	        	            $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	            $bbcode = $bbret['bbcode'];
   	        	            $text   = $bbret['text'];  
   	        	
   	        	            $title  = htmlspecialchars( $title );
   	        	            $descr  = htmlspecialchars( $descr );
   	        	            
   	        	            if( empty( $name ) || $name == '' )
   	        	                $errors['name_empty'] = true;   	        	    

   	        	            if( !RegEx::check_IsLatinNum( $name ) )
   	        	                $errors['name_format'] = true;
   	        	            else
   	        	            {
   	        	            	if( $nrow['name'] != $name )
   	        	            	{
   	        		                $nchk = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles` WHERE `name`=:1' );  
   	        		                $nchk->Execute( $name );                     
                    
                                    if( $nchk->GetNum() ) 
                                        $errors['name_exist'] = true;
   	        	            	}
   	        	            }
   	        	        
   	        	            if( empty( $title  ) || $title  == '' )
   	        	                $errors['title_empty'] = true;
   	        	                
   	        	            if( empty( $stitle ) || $stitle == '' )
   	        	                $errors['stitle_empty'] = true;    
   	        	    
   	        	            if( empty( $text ) || $text == '' )
   	        	               $errors['text_empty'] = true; 
   	        	               
   	        	               

   	        	            if( !sizeof( $errors ) )
   	        	            {
   	        	                
   	        	            	if( $name != $nrow['name'] )
    		    		    	    $sql_update = 'UPDATE `universe_articles` SET `name`=\''.$name.'\', `parent_id`=\''.$par.'\', `cat_id`=\''.$cat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `description`=\''.$descr.'\', `text_ready`=\''.$text.'\', `text_bbcode`=\''.$bbcode.'\' WHERE `article_id`=\''.$nrow['article_id'].'\'';
    		    			    else
    		    		    	    $sql_update = 'UPDATE `universe_articles` SET `parent_id`=\''.$par.'\', `cat_id`=\''.$cat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `description`=\''.$descr.'\', `text_ready`=\''.$text.'\', `text_bbcode`=\''.$bbcode.'\' WHERE `article_id`=\''.$nrow['article_id'].'\'';
    		    	
    		    			    $update = DBChose::PrepareDriver( $sql_update );
                                $update->Execute(); 
    		    		    	
    		    		        if( $nrow['name'] != $name )
   	        	    		    { 
                            	    $select = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles`  WHERE `name`=:1' );
                            	    $select->Execute( $name ); 
                    
                    
                            	    if( $select->GetNum() )
                            	    {
                    	       	        $row = $select->FetchAssoc();
                    	
                    	        	    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.$uri_arr[0].'-edit_article/'.$row['name'] );
                            	    }
                            	    else
                                	    $errors['wrong'] = true; 
   	        	    		    }
   	        	    		    else
   	        	    		    {
   	        	                    $nrow['title']       = $_POST['title'];
   	        	                    $nrow['stitle']      = $_POST['stitle'];
   	        	                    $nrow['text_bbcode'] = $_POST['text'];
   	        	                    $nrow['description'] = $_POST['description'];     	        	         
   	        	                    $nrow['cat_id']      = $_POST['cat']; 
   	        	                    $nrow['parent_id']   = $_POST['par'];
   	        	    		
   	        	    			    parent::SetFlag3( 'complete' );
   	        	    		    }
   	        	            }
   	        			}
   	        			
   	        			$select = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles` WHERE `parent_id`=:1 AND `deleted`=:2 AND `game_id`=:3 AND NOT `article_id`=:4' );
                        $select->Execute( 0, 0, $games_arr[$uri_arr[0]]['game_id'], $nrow['article_id'] );
   	    	    	
   	    	            for( $a = 0; $a < $select->GetNum(); $a++ )
        	                $articles[] = $select->FetchAssoc();

        	            parent::SetReturnCData( 'articles', $articles  ); 
   	        			
   	        			
   	        			parent::SetReturnCData( 'article', $nrow );
   	        			parent::SetFlag1( 'edit' );
   	        		}    
   	    	    } 
   	            else if( $uri_arr[1] == 'add_category' )
   	    	    {
   	    		    if( $_POST['new_news_submit'] )
   	    		    {
   	        	         $title = trim( $_POST['title'] ); 	        	
   	        	         $title = htmlspecialchars( $title );
   	        	        
   	        	         if( empty( $title  ) || $title  == '' )
   	        	             $errors['title_empty'] = true;
   	        	         
   	        	         if( !sizeof( $errors ) )
   	        	         {
   	        	         	  $insert = DBChose::PrepareDriver( 'INSERT INTO `universe_categorys` ( `game_id`, `cat_title` ) VALUES  ( :1, :2 )' );
                              $insert->Execute( $games_arr[$uri_arr[0]]['game_id'],  $title );
       
                    	      base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.$uri_arr[0].'--categorys/' );
   	        	         }
   	    		    } 
   	    		    parent::SetFlag1( 'cadd' );
   	    	    }
   	            else if( $uri_arr[1] == 'edit_category' )
   	    	    {
   	    	       	$nchk = DBChose::PrepareDriver( 'SELECT * FROM `universe_categorys` WHERE `cat_id`=:1 AND `deleted`=:2' );  
   	        		$nchk->Execute( (int)UrlDecoder::GetCUri( 2 ), 0 );  
   	        		
   	        		if( !$nchk->GetNum() )
   	        		    TempeltateEngine::GenerateError( 404 );
   	        		    
   	        		$nrow = $nchk->FetchAssoc();
   	    
   	        		    
   	        		if( User::GetRight( 'universe_edit_full' ) )
   	        		{
   	        		    if( $_POST['new_news_submit'] )
   	        			{
   	        	            $title = trim( $_POST['title']    );   	        	
   	        	            $title = htmlspecialchars( $title );
   	        	        
   	        	            if( empty( $title  ) || $title  == '' )
   	        	                $errors['title_empty'] = true; 

   	        	            if( !sizeof( $errors ) )
   	        	            {
    		    	
    		    			    $update = DBChose::PrepareDriver( 'UPDATE `universe_categorys` SET `cat_title`=:1 WHERE `cat_id`=:2' );
                                $update->Execute( $title, $nrow['cat_id'] ); 
    		    		    	
   	        	                $nrow['cat_title'] = $_POST['title'];
   	        	    		
   	        	    			parent::SetFlag3( 'complete' );
   	        	            }
   	        			}
   	        			
   	        		    parent::SetReturnCData( 'article', $nrow );	
   	    		        parent::SetFlag1( 'cedit' );
   	        		}
   	    	    }	    
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'acomposed' )
   	        {
   	        	parent::AddBookMark( SHOST.'/universes/acomposed', '',     2, 'Список',     '', array() );
    	        parent::AddBookMark( SHOST.'/universes/acomposed', 'sort', 2, 'Сортировка', '', array() );

    	        if( UrlDecoder::GetCUri( 2 ) == 'sort' )
    	        {
    	            if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                    {
                        unset( $_POST['sorter_checker'] );
            	
            	        foreach( $_POST['order'] as $i => $v )
            	        {            		            		
                            $update = DBChose::PrepareDriver( 'UPDATE `universe_articles` SET `article_pos`=:1 WHERE `article_id`=:2' );
                            $update->Execute( (int)$i, (int)$v );
            	        }
            	    
                        exit;
                    }
    	        }
   	        	$this->articles_list( 'all', 'all', 0 );

   	        	if( UrlDecoder::GetCUri( 2 ) == '' )
   	        	    parent::SetFlag1( 'composed' );
   	        	else
   	        	    parent::SetFlag1( 'composed-sort' );
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'ahidden' )
   	        {
   	        	$this->articles_list( 'all', 0, 0 ); 
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'adeleted' )
   	        {
   	        	$this->articles_list( 'all', 'all', 1 ); 
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'chidden' )
   	        {
   	        	$this->category_list( 'all', 0, 0 ); 
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'cdeleted' )
   	        {
   	        	$this->category_list( 'all', 'all', 1 ); 
   	        }     	        
   	    }
   	    
   	    parent::SetReturnCData( 'game',   $uri_arr[0] );
   	    parent::SetReturnCData( 'games',  $games_arr  );
   	    parent::SetReturnCData( 'types',  $games_stat );
   	    parent::SetReturnCData( 'errors', $errors     );
    }
    
    private function articles_list( $game = 'all', $show = 'all', $deleted = 0 )
    {
    	$array_where = array();
    	
    	if( $game !== 'all' )
    	    $array_where[] = ' `universe_articles`.`game_id` = \''.(int)$game.'\' ';
    	    
    	if( $show !== 'all' )
    	    $array_where[] = ' `universe_articles`.`show` = \''.(int)$show.'\' ';
        
    	$array_where[] = ' `universe_articles`.`deleted` = \''.(int)$deleted.'\' ';     
    	$array_where[] = ' `members`.`id` = `universe_articles`.`uid` '; 
    	
    	$select1 = DBChose::PrepareDriver( 'SELECT `universe_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender` FROM `universe_articles`, `members`  WHERE '.implode( ' AND ', $array_where ).' ORDER BY  `universe_articles`.`article_pos` ASC ' );
        $select1->Execute(); 
        
        for( $a = 0; $a < $select1->GetNum(); $a++ )
        {
        	$row = $select1->FetchAssoc();
        	
        	if( $row['parent_id'] == 0 )
        	    $articles[$row['article_id']] = $row;
        	else
        	{
        	    $sub_articles[$row['game_id']][$row['parent_id']][$row['article_id']]  = $row;
                $sub_parents[$row['article_id']] = ' `universe_articles`.`article_id` = \''.$row['parent_id'].'\' ';
        	}
        	
        }
        
        $select2 = DBChose::PrepareDriver( 'SELECT * FROM `universe_articles`  WHERE '.implode( ' OR ', $sub_parents ) );
        $select2->Execute();
        
        for( $a = 0; $a < $select2->GetNum(); $a++ )
        {
        	$row = $select2->FetchAssoc();

        	$parents[$row['game_id']][$row['article_id']]  = $row;
        } 
        
        
        parent::SetReturnCData( 'articles',  $articles     );
        parent::SetReturnCData( 'parents',   $parents      );
        parent::SetReturnCData( 'sarticles', $sub_articles );
        
        parent::SetFlag1( 'list' );
    }
    
    private function category_list( $game = 'all', $show = 'all', $deleted = 0 )
    {
    	$array_where = array();
    	
    	if( $game !== 'all' )
    	    $array_where[] = ' `game_id` = \''.(int)$game.'\' ';
    	    
    	if( $show !== 'all' )
    	    $array_where[] = ' `show` = \''.(int)$show.'\' ';
        
    	$array_where[] = ' `deleted` = \''.(int)$deleted.'\' ';     
    	
    	$select1 = DBChose::PrepareDriver( 'SELECT * FROM `universe_categorys`  WHERE '.implode( ' AND ', $array_where ).' ORDER BY  `cat_pos` ASC ' );
        $select1->Execute(); 
        
        for( $a = 0; $a < $select1->GetNum(); $a++ )
        	$categorys[] = $select1->FetchAssoc();
        
        parent::SetReturnCData( 'categorys',  $categorys );
       
        parent::SetFlag1( 'clist' );
    }
}