<?php
    	parent::SetReturnCData( 'title_icon', 'ico_cards' );
    	
    	if( $_POST['wall_main'] )
    	{
    		$text = htmlspecialchars( $_POST['wall_text'] );
    		
    		$check_double = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall` WHERE `wall_id`=:1 AND `post_author_id`=:2 AND `post_text`=:3 AND `post_date_add` > :4' );
            $check_double->Execute( SonetUserPage::GetId(), User::GetId(), $text, date( 'U' ) - 600 );
            
            if( !$check_double->GetNum() && trim( $text ) != '' )
            {
            	$ins_data = date( 'U' );
            	
            	$wall_ins = DBChose::PrepareDriver( 'INSERT INTO `members_thewall` ( `wall_id`, `post_author_id`, `post_date_add`, `post_date_update`, `post_text` ) VALUES ( :1, :2, :3, :3, :4 )' );
                $wall_ins->Execute( SonetUserPage::GetId(), User::GetId(), $ins_data, $text );
                
                if( isXmlHttpRequest() )
                {
                	$select_added = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall`, `members` 
                	                                          WHERE `members_thewall`.`wall_id`=:1 
                	                                            AND `members_thewall`.`post_author_id`=:2
                	                                            AND `members_thewall`.`post_date_add`=:3 
                	                                            AND `members_thewall`.`post_date_update`=:3
                	                                            AND `members_thewall`.`post_author_id`=`members`.`id`' );
                    $select_added->Execute( SonetUserPage::GetId(), User::GetId(), $ins_data );
                    
                    if( $select_added->GetNum() )
                    {
                    	$rrow = $select_added->FetchAssoc();
                    	
                    	TempeltateEngine::SetFolder( 'fullrestbox_sonet' );                    	
                    	TempeltateEngine::CallFunction( 'sonet_wall_post', array( 'v' => $rrow, 'p' => array() ) );
                    	exit;                    	
                    }      	                	
                }
            }
    	}
    	
    	if( $_POST['wall_child'] )
    	{
    		$parent_id = (int)$_POST['wall_postid'];
    		$text      = htmlspecialchars( $_POST['wall_text'] );
    		
    		$check_parent = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall` WHERE `wall_id`=:1 AND `post_id`=:2 AND `post_show`=:3 AND `post_deleted`=:4 ' );
            $check_parent->Execute( SonetUserPage::GetId(), $parent_id, 1, 0 );
            
            if( $check_parent->GetNum() )
            {
            	$check_double = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall` WHERE `wall_id`=:1 AND `post_author_id`=:2 AND `post_text`=:3 AND `post_date_add` > :4 AND `post_parent_id`=:5' );
                $check_double->Execute( SonetUserPage::GetId(), User::GetId(), $text, date( 'U' ) - 600, $parent_id );
                
                if( !$check_double->GetNum() && trim( $text ) != '' )
                {
            	    $ins_data = date( 'U' );
            	    
                	$wall_ins = DBChose::PrepareDriver( 'INSERT INTO `members_thewall` ( `wall_id`, `post_author_id`, `post_date_add`, `post_date_update`, `post_text`,`post_parent_id` ) VALUES ( :1, :2, :3, :3, :4, :5 )' );
                    $wall_ins->Execute( SonetUserPage::GetId(), User::GetId(), $ins_data, $text, $parent_id );
                    
                    if( isXmlHttpRequest() )
                    {
                	    $select_added = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall`, `members` 
                	                                               WHERE `members_thewall`.`wall_id`=:1 
                	                                                 AND `members_thewall`.`post_author_id`=:2
                	                                                 AND `members_thewall`.`post_date_add`=:3 
                	                                                 AND `members_thewall`.`post_date_update`=:3
                	                                                 AND `members_thewall`.`post_parent_id`=:4
                	                                                 AND `members_thewall`.`post_author_id`=`members`.`id`' );
                        $select_added->Execute( SonetUserPage::GetId(), User::GetId(), $ins_data,  $parent_id );
                    
                        if( $select_added->GetNum() )
                        {
                    	    $rrow = $select_added->FetchAssoc();
                    	    
                    	    TempeltateEngine::SetFolder( 'fullrestbox_sonet' );                    	
                    	    TempeltateEngine::CallFunction( 'sonet_wall_post_sub', $rrow );
                    	    exit;                    	
                        }      	                	
                    }
                }
            }    		
    	} 
    	
        $settings_base = DBChose::PrepareDriver( 'SELECT * FROM `members_settings_list` WHERE `members_settings_list`.`extends` = \'default_page\' OR `members_settings_list`.`extends` = \'info\'' );
        $settings_base->Execute();
        
        $settings_list = array();
        
        $settings_select = DBChose::PrepareDriver( 'SELECT * FROM `members_settings`, `members_settings_list` 
   	                                                WHERE `members_settings`.`uid` = :1 AND ( `members_settings_list`.`extends` = \'default_page\' OR `members_settings_list`.`extends` = \'info\' ) AND `members_settings`.`set_id`=`members_settings_list`.`set_id`' );
        $settings_select->Execute( SonetUserPage::GetId() );
        
        if( $settings_base->GetNum() != $settings_select->GetNum() )
        {
        	for( $a = 0; $a < $settings_base->GetNum(); $a++ )
        	{
        		$row = $settings_base->FetchAssoc();        		
        		$settings_list[$row['name']] = $row['default'];
        		
        		$settings_insert = DBChose::PrepareDriver( 'INSERT INTO `members_settings` ( `set_id`, `uid`, `val` ) VALUES ( :1, :2, :3 )' );
                $settings_insert->Execute( $row['set_id'], SonetUserPage::GetId(), $row['default'] );
        	}
        }
        else
        {
            for( $a = 0; $a < $settings_select->GetNum(); $a++ )
        	{
        		$row = $settings_select->FetchAssoc();        		
        		$settings_list[$row['name']] = $row['val'];
        	}        	
        }
        
        if( SonetUserPage::CheckAccess( $settings_list['ginfo'] ) || SonetUserPage::CheckAccess( $settings_list['gcontacts'] ))
        {
        	$personal_select = DBChose::PrepareDriver( 'SELECT * FROM `members_personal` WHERE `id`=:1' );
            $personal_select->Execute( SonetUserPage::GetId() );
        
            $contacts_select = DBChose::PrepareDriver( 'SELECT * FROM `members_contacts` WHERE `id`=:1' );
            $contacts_select->Execute( SonetUserPage::GetId() );
        
            $personal = $personal_select->FetchAssoc();
    	    $contacts = $contacts_select->FetchAssoc();
    	
    	    parent::SetReturnCData( 'personal', $personal );
            parent::SetReturnCData( 'contacts', $contacts );
        }
    	
    	$friend1_sql = DBChose::PrepareDriver( 'SELECT * FROM  `members_friendlist` WHERE `confirm`=:1 AND ( `from`=:2 OR `to`=:2 )' );
        $friend1_sql->Execute( 1, SonetUserPage::GetId() );
        
        $friends_id = array();
        
        for( $a = 0; $a < $friend1_sql->GetNum(); $a++ )
        {
        	$row = $friend1_sql->FetchAssoc();
        	//select * from members where rand() > 0.5 order by rand() limit 10;
        	if( $row['from'] == SonetUserPage::GetId() )
        		$friends_id[] = '\''.$row['to'].'\'';
        	elseif( $row['to'] == SonetUserPage::GetId() )
        		$friends_id[] = '\''.$row['from'].'\'';
        }
        
        $friends_sql = DBChose::PrepareDriver( 'SELECT * FROM  `members` WHERE `last_online`>:1 AND `id` IN ( '.implode( ', ', $friends_id ).' ) AND `invisible`=:2 ORDER BY `last_online` DESC  LIMIT 10' );
        $friends_sql->Execute( date( 'U' ) - 600, 0 );
        
        for( $a = 0; $a < $friends_sql->GetNum(); $a++ )
            $friends[] = $friends_sql->FetchAssoc();
            
    	
    	$visit_sql = DBChose::PrepareDriver( 'SELECT * FROM  `members_visitors`, `members` WHERE `members_visitors`.`page_id`=:1 AND `members_visitors`.`visitor_id`=`members`.`id` ORDER BY  `members_visitors`.`visit_date` DESC LIMIT 0 , 20' );
        $visit_sql->Execute( SonetUserPage::GetId() );
        
        for( $a = 0; $a < $visit_sql->GetNum(); $a++ )
            $visitors[] = $visit_sql->FetchAssoc();
            
            
        $wall_sql = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall`, `members` WHERE `members_thewall`.`wall_id`=:1 AND `post_parent_id`=:2 AND `members_thewall`.`post_author_id`=`members`.`id` ORDER BY  `members_thewall`.`post_date_add` DESC LIMIT 0 , 20' );
        $wall_sql->Execute( SonetUserPage::GetId(), 0 );
        
        for( $a = 0; $a < $wall_sql->GetNum(); $a++ )
        {
            $wall_row  = $wall_sql->FetchAssoc();
        	
        	$thewall[$wall_row['post_parent_id']][] = $wall_row;
        	
        	$ids[] = '\''.$wall_row['post_id'].'\'';
        }
        
        $subwall_sql = DBChose::PrepareDriver( 'SELECT * FROM  `members_thewall`, `members` WHERE `members_thewall`.`wall_id`=:1 AND `post_parent_id` IN ( '.implode( ', ', $ids ).' ) AND `members_thewall`.`post_author_id`=`members`.`id` ORDER BY  `members_thewall`.`post_date_add` ASC' );
        $subwall_sql->Execute( SonetUserPage::GetId(), 0 );
        
        for( $a = 0; $a < $subwall_sql->GetNum(); $a++ )
        {
            $swall_row  = $subwall_sql->FetchAssoc();
        	
        	$thewall[$swall_row['post_parent_id']][] = $swall_row;
        }
        
        
        parent::SetReturnCData( 'settings_list',    $settings_list );
        parent::SetReturnCData( 'friends',  $friends  );
        parent::SetReturnCData( 'visitors', $visitors );
        parent::SetReturnCData( 'thewall',  $thewall  );
        parent::SetReturnCData( 'title',    'Страница пользователя' );
        
        parent::SetTemplModule( 'base'        );
        parent::SetTemplFile(   'tpl_thewall' );