<?if( PMReturn::GetFLAG1() == 'add' ):?>
<h2>Добавление новой статьи</h2>
  <div class="warp10"></div>
  <div class="status_info">
   <div class="title"><span></span>Справочная информация.</div>
   <div class="txt">
Для добавлении статьи необходимо заполнить три обязательных поля.<br /><br />

<b>Название ссылки</b> – это очень важное поле, это название будет использоваться в адресе вашей статьи, для примера: если название будет «<b>my-first-article</b>» 
то эта статья будет доступна по ссылке вида <?=SHOST?>/[game]/<b>my-first-article</b> . На это поле накладываются строжайшие 
ограничение на ввод символов, разрешены только: a-z A-Z - _. Стоит отметить, что никакие пробелы или любые символы недопустимы.<br /><br />

<b>Категория статьи</b> – здесь нужно выбрать один из типов статей.<br /><br />

<b>Статья родитель</b> – если статья является часть составной работы, необходимо указать название статьи родителя.<br /><br />

<b>Название статьи</b> – это название вашей статьи, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />

<b>Текст статьи</b> – текст вашей статьи, форматирование производится при помощи панели ББ-кодов (выделите текст и она влючится), не может быть пустым.<br /><br />
   </div>
  </div>
  <div class="warp10"></div>
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении статьи произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении статьи в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить статью через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст статьи не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>
<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>" method="post">
<table class="standart">
 <tr>
  <td class="p5 w150"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=$_POST['name']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Категория статьи:</b></td>
  <td class="p5 p0_r">
   <select name="cat">
  <?foreach( $RTDT['types'] as $i => $v ):?>
    <option value="<?=$v['type_id']?>"><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Статья родитель:</b></td>
  <td class="p5 p0_r">
   <select name="par">
    <option value="0" selected="selected">Нет</option>
    <optgroup label=""></optgroup>
    <optgroup label="Статьи родители"></optgroup>    
  <?foreach( $RTDT['articles'] as $i => $v ):?>
    <option value="<?=$v['artic_id']?>"><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Название статьи:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=$_POST['title']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Описание статьи:</b></td>
  <td class="p5"><textarea class="wp100 h100" name="description"><?=$_POST['description']?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Текст статьи:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h300" name="text"><?=$_POST['text']?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"></td>
  <td class="p5 a_right"><input name="new_news_submit" type="submit" value="Добавить статью" /></td>
 </tr>   
</table>
</form>
<?elseif( PMReturn::GetFLAG1() == 'edit' ):?>
<h2>Редактирование статьи</h2>
   <?if( PMReturn::GetFLAG3() == 'complete'  ):?> 
 <div class="warp10"></div>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, 1500); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="status_success">
   <div class="title"><span></span>Редактирование завершено!</div>
   <div class="txt">Введенные данные записаны и сохраненные в нашей базе данных.</div>
  </div>
  <div class="warp20"></div>
 </div>  
   <?endif;?> 
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="warp10"></div>  
  <div class="status_error">
   <div class="title"><span></span>При добавлении статьи произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении статьи в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить статью через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст статьи не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>
<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>" method="post">
<table class="standart">
 <tr>
  <td class="p5 w150"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=stripslashes( htmlspecialchars_decode( $RTDT['article']['name'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Категория статьи:</b></td>
  <td class="p5 p0_r">
   <select name="cat">
  <?foreach( $RTDT['types'] as $i => $v ):?>
    <option value="<?=$v['type_id']?>"<?if( $v['type_id'] == $RTDT['article']['type'] ): echo ' selected="selected"'; endif;?>><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Статья родитель:</b></td>
  <td class="p5 p0_r">
   <select name="par">
    <option value="0"<?if( 0 == $RTDT['article']['parent_id'] ): echo ' selected="selected"'; endif;?>>Нет</option>
    <optgroup label=""></optgroup>
    <optgroup label="Статьи родители"></optgroup>    
  <?foreach( $RTDT['articles'] as $i => $v ):?>
    <option value="<?=$v['artic_id']?>"<?if( $v['artic_id'] == $RTDT['article']['parent_id'] ): echo ' selected="selected"'; endif;?>><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Название статьи:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=stripslashes( htmlspecialchars_decode( $RTDT['article']['title'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Описание статьи:</b></td>
  <td class="p5"><textarea class="wp100 h100" name="description"><?=stripslashes( htmlspecialchars_decode( $RTDT['article']['description'] ) )?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Текст статьи:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h300" name="text"><?=stripslashes( htmlspecialchars_decode( $RTDT['article']['text_bbcode'] ) )?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"></td>
  <td class="p5 a_right"><input name="new_news_submit" type="submit" value="Редактировать статью" /></td>
 </tr>   
</table>
</form>
<?elseif( PMReturn::GetFLAG1() == 'list' ):?>
<h2>Список статей</h2>
<div class="warp20"></div>
<table class="bbcode">
 <thead>
  <tr>
   <td>Автор:</td>
   <td>Название:</td>
   <td></td> 
  </tr> 
 </thead>
 <tbody>
<?foreach( $RTDT['articles'] as $i => $v ):?>
  <tr class="hvr_bg2">    
   <td class="p5 w175"><a class="bbcode_user_<?=$v['gender']?> txt_undec bold" href="<?=SHOST.'/'.$v['page']?>" title="Ссылка на страницу пользователя <?=$v['nick']?>"><?=$v['nick']?></a></td>
   <td class="p5"><a class="bbcode d_block txt_undec" href="<?=SHOST?>/<?=$RTDT['game']?>/<?=$v['name']?>" title="Ссылка на Статью" target="_self"><?=$v['title']?></a></td>
   <td class="p5 w150 a_center">
  <?if( $v['locked'] == 0 && ( PMReturn::GetFLAG2() == 'my' || ( $v['uid'] == User::GetId() && User::GetRight( 'games_edit_self' ) ) ) ):?>
    <?if( $v['deleted'] == 1 && User::GetRight( 'games_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=restore&id=<?=$v['artic_id']?>" title="Восстановить Статью"></a>
    <?elseif( $v['deleted'] == 0 ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=delete&id=<?=$v['artic_id']?>" title="Удалить Статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'games_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=lock&id=<?=$v['artic_id']?>" title="Одобрить Статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'games_moderate' ) && $v['deleted'] == 0 ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=moderate&id=<?=$v['artic_id']?>" title="Модерировать Статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['artic_id']?>" title="Скрыть Статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['artic_id']?>" title="Показать Статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_doc12 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=$RTDT['game']?>-edit_article/<?=$v['name']?>" title="Редактировать Статью"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?elseif( $v['locked'] == 0 && User::GetRight( 'games_edit_full' )  ):?> 
    <?if( $v['deleted'] == 1 && User::GetRight( 'games_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=restore&id=<?=$v['artic_id']?>" title="Восстановить Статью"></a>
    <?elseif( $v['deleted'] == 0 && User::GetRight( 'games_delete' ) ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=delete&id=<?=$v['artic_id']?>" title="Удалить Статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'games_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=lock&id=<?=$v['artic_id']?>" title="Одобрить Статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'games_moderate' ) ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=moderate&id=<?=$v['artic_id']?>" title="Модерировать Статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && User::GetRight( 'games_hide_show' ) && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['artic_id']?>" title="Скрыть Статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && User::GetRight( 'games_hide_show' ) && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['artic_id']?>" title="Показать Статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_doc12 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=$RTDT['game']?>-edit_article/<?=$v['name']?>" title="Редактировать Статью"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?else:?>
   <span class="d_block flt_right lh_big">одобрена</span><span class="ico_thumbs_up flt_right m5_r"></span>   
  <?endif;?>   
   </td>
  </tr>             	 	
<?endforeach;?>  
 </tbody> 
</table>
<?elseif( PMReturn::GetFLAG1() == 'composed' ):?>
<?foreach( $RTDT['games'] as $i1 => $v1 ):?>
<?if( sizeof( $RTDT['sarticles'][$v1['game_id']] ) ):?>
<h2><?=$v1['title2']?></h2>
<div class="warp20"></div>
<?foreach( $RTDT['parents'][$v1['game_id']] as $i2 => $v2 ):?>
<div class="bbcode_3level"><h4 class="bbcode"><?=$v2['title']?></h4></div>
<div class="bbcode_3level">
<table class="bbcode">
 <thead>
  <tr>
   <td>Автор:</td>
   <td>Название:</td>
   <td></td> 
  </tr> 
 </thead>
 <tbody>
<?foreach( $RTDT['sarticles'][$v1['game_id']][$i2] as $i => $v ):?>
  <tr class="hvr_bg2">    
   <td class="p5 w175"><a class="bbcode_user_<?=$v['gender']?> txt_undec bold" href="<?=SHOST.'/'.$v['page']?>" title="Ссылка на страницу пользователя <?=$v['nick']?>"><?=$v['nick']?></a></td>
   <td class="p5"><a class="bbcode d_block txt_undec" href="<?=SHOST?>/<?=$v1['name']?>/<?=$v2['name']?>/<?=$v['name']?>" title="Ссылка на Статью" target="_self"><?=$v['title']?></a></td>
   <td class="p5 w150 a_center">
  <?if( $v['locked'] == 0 && ( PMReturn::GetFLAG2() == 'my' || ( $v['uid'] == User::GetId() && User::GetRight( 'games_edit_self' ) ) ) ):?>
    <?if( $v['deleted'] == 1 && User::GetRight( 'games_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=restore&id=<?=$v['artic_id']?>" title="Восстановить Статью"></a>
    <?elseif( $v['deleted'] == 0 ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=delete&id=<?=$v['artic_id']?>" title="Удалить Статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'games_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=lock&id=<?=$v['artic_id']?>" title="Одобрить Статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'games_moderate' ) && $v['deleted'] == 0 ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=moderate&id=<?=$v['artic_id']?>" title="Модерировать Статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['artic_id']?>" title="Скрыть Статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['artic_id']?>" title="Показать Статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_doc12 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=$i1?>-edit_article/<?=$v['name']?>" title="Редактировать Статью"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?elseif( $v['locked'] == 0 && User::GetRight( 'games_edit_full' )  ):?> 
    <?if( $v['deleted'] == 1 && User::GetRight( 'games_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=restore&id=<?=$v['artic_id']?>" title="Восстановить Статью"></a>
    <?elseif( $v['deleted'] == 0 && User::GetRight( 'games_delete' ) ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=delete&id=<?=$v['artic_id']?>" title="Удалить Статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'games_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=lock&id=<?=$v['artic_id']?>" title="Одобрить Статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'games_moderate' ) ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=moderate&id=<?=$v['artic_id']?>" title="Модерировать Статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && User::GetRight( 'games_hide_show' ) && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['artic_id']?>" title="Скрыть Статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && User::GetRight( 'games_hide_show' ) && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['artic_id']?>" title="Показать Статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_doc12 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=$i1?>-edit_article/<?=$v['name']?>" title="Редактировать Статью"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?else:?>
   <span class="d_block flt_right lh_big">одобрена</span><span class="ico_thumbs_up flt_right m5_r"></span>   
  <?endif;?>   
   </td>
  </tr>             	 	
<?endforeach;?>  
 </tbody> 
</table>
</div>
<div class="warp20"></div>
<?endforeach;?>
<div class="warp30"></div><div class="warp30"></div>
<?endif;?>
<?endforeach;?>
<?elseif( PMReturn::GetFLAG1() == 'composed-sort' ):?>
	<style>
	.sortable_list_with_form { list-style-type: none; margin: 0; padding: 0; }
	.sortable_list_with_form li { margin: 5px; padding: 0.4em; padding-left: 1.5em; font-size: 14px; height: 16px; cursor: move; }
	.sortable_list_with_form li span { position: absolute; margin-left: -1.3em; cursor: move; }
	</style>
  <?foreach( $RTDT['games'] as $i1 => $v1 ):?>
    <?if( sizeof( $RTDT['sarticles'][$v1['game_id']] ) ):?>
<h2><?=$v1['title2']?></h2>
<div class="warp20"></div>
      <?foreach( $RTDT['parents'][$v1['game_id']] as $i2 => $v2 ):?>
<div class="bbcode_3level"><h4 class="bbcode"><?=$v2['title']?></h4></div>
<div class="bbcode_3level">
 <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=sorter&id=<?=$v2['artic_id']?>" method="post">

   <ul class="sortable_list_with_form  p0 m0">
        <?foreach( $RTDT['sarticles'][$v1['game_id']][$v2['artic_id']] as $i => $v ):?>
    <li class="ui-state-default"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span><?=$v['title']?><input type="hidden" name="order[]" value="<?php echo $v['artic_id']; ?>" /></li>
        <?endforeach;?>
   </ul>
 
  <input type="hidden" name="sorter_checker" value="gogogo" />
 </form>
        

</div>
<div class="warp20"></div>
      <?endforeach;?>
<div class="warp30"></div><div class="warp30"></div>
    <?endif;?>
  <?endforeach;?>
<?elseif( PMReturn::GetFLAG1() == 'sort' ):?>
	<style>
	.sortable_list_with_form { list-style-type: none; margin: 0; padding: 0; }
	.sortable_list_with_form li { margin: 5px; padding: 0.4em; padding-left: 1.5em; font-size: 14px; height: 16px; cursor: move; }
	.sortable_list_with_form li span { position: absolute; margin-left: -1.3em; cursor: move; }
	</style>

<h2>Сортировка статей</h2>

 <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=sorter" method="post">

   <ul class="sortable_list_with_form  p0 m0">
        <?foreach( $RTDT['articles'] as $i => $v ):?>
    <li class="ui-state-default"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span><?=$v['title']?><input type="hidden" name="order[]" value="<?php echo $v['artic_id']; ?>" /></li>
        <?endforeach;?>
   </ul>
 
  <input type="hidden" name="sorter_checker" value="gogogo" />
 </form>
<?else:?>
  <?foreach( $RTDT['games'] as $i => $v ):?>
  <div class="warp20"></div> 
  <div class="rad4 bg3 bor1">
   <a class="d_block h50 p5 txt_undec" href="<?=SHOST?>/<?=$v['name']?>" title="<?=$v['title3']?>"><span class="flt_left gm_ico_<?=$v['name']?> m10_r"></span><span class="d_block flt_left m20_l bold" style="line-height: 50px; font-size: 24px"><?=$v['title3']?></span></a>   
  </div>
  
  <?endforeach;?>
<?endif;?>
