<?if( PMReturn::GetFLAG1() == 'add' ):?>
<h2>Добавление новой новости</h2>
  <div class="warp10"></div>
  <div class="status_info">
   <div class="title"><span></span>Справочная информация.</div>
   <div class="txt">
Для добавления новости необходимо заполнить три обязательных поля.<br /><br />

<b>Название ссылки</b> – это очень важное поле, это название будет использоваться в адресе вашей новости, для примера: если название будет «<b>my-first-news</b>» 
то эта новость будет доступена по ссылке вида <?=SHOST?>/news/archive/<b>my-first-news</b> . На это поле накладываются строжайшие 
ограничение на ввод символов, разрешены только: a-z A-Z - _. Стоит отметить, что никакие пробелы или любые символы недопустимы.<br /><br />

<b>Название новости</b> – это название вашей новости, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />

<b>Текст новости</b> – текст вашей новости, форматирование производится при помощи панели ББ-кодов (выделите текст и она влючится), не может быть пустым.<br /><br />
   </div>
  </div>
  <div class="warp10"></div>
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении новости произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении новости в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить новость через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название новости не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст новости не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>
<form action="<?=SHOST?>/news/admin/add" method="post">
<table class="standart">
 <tr>
  <td class="p5 w150"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=$_POST['name']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Категория новости:</b></td>
  <td class="p5 p0_r">
   <select name="ncat">
  <?foreach( $RTDT['ncat'] as $i => $v ):?>
    <option value="<?=$v['ntag_id']?>"><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Название новости:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=$_POST['title']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Текст новости:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h250" name="text"><?=$_POST['text']?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"></td>
  <td class="p5 a_right"><input name="new_news_submit" type="submit" value="Добавить новость" /></td>
 </tr>   
</table>
</form>
<?elseif( PMReturn::GetFLAG1() == 'news_list' ):?>
<table class="bbcode">
 <thead>
  <tr>
   <td>Автор:</td>
   <td>Название:</td>
   <td></td> 
  </tr> 
 </thead>
 <tbody>
<?foreach( $RTDT['news'] as $i => $v ):?>
  <tr class="hvr_bg2">    
   <td class="p5 w175"><a class="bbcode_user_<?=$v['gender']?> txt_undec bold" href="<?=SHOST.'/'.$v['page']?>" title="Ссылка на страницу пользователя <?=$v['nick']?>"><?=$v['nick']?></a></td>
   <td class="p5"><a class="bbcode d_block txt_undec" href="<?=SHOST?>/news/archive/<?=$v['name']?>" title="Ссылка на новость" target="_self"><?=$v['title']?></a></td>
   <td class="p5 w150 a_center">
  <?if( $v['blocked'] == 0 && ( PMReturn::GetFLAG2() == 'my' || ( $v['uid'] == User::GetId() && User::GetRight( 'news_edit_self' ) ) ) ):?>
    <?if( $v['deleted'] == 1 && User::GetRight( 'news_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=restore&id=<?=$v['news_id']?>" title="Восстановить новость"></a>
    <?elseif( $v['deleted'] == 0 ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=delete&id=<?=$v['news_id']?>" title="Удалить новость"></a>
    <?endif;?>
    <?if( $v['blocked'] == 0 && User::GetRight( 'news_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=lock&id=<?=$v['news_id']?>" title="Одобрить новость"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'news_moderate' ) && $v['deleted'] == 0 ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=moderate&id=<?=$v['news_id']?>" title="Модерировать новость"></a>
    <?endif;?>
    
    <?if( $v['show'] && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=hide&id=<?=$v['news_id']?>" title="Скрыть новость"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=show&id=<?=$v['news_id']?>" title="Показать новость"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_news1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-news/<?=$v['name']?>" title="Редактировать новость"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?elseif( $v['blocked'] == 0 && User::GetRight( 'news_edit_full' )  ):?> 
    <?if( $v['deleted'] == 1 && User::GetRight( 'news_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=restore&id=<?=$v['news_id']?>" title="Восстановить новость"></a>
    <?elseif( $v['deleted'] == 0 && User::GetRight( 'news_delete' ) ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=delete&id=<?=$v['news_id']?>" title="Удалить новость"></a>
    <?endif;?>
    <?if( $v['blocked'] == 0 && User::GetRight( 'news_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=lock&id=<?=$v['news_id']?>" title="Одобрить новость"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'news_moderate' ) ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=moderate&id=<?=$v['news_id']?>" title="Модерировать новость"></a>
    <?endif;?>
    
    <?if( $v['show'] && User::GetRight( 'news_hide_show' ) && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=hide&id=<?=$v['news_id']?>" title="Скрыть новость"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && User::GetRight( 'news_hide_show' ) && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=show&id=<?=$v['news_id']?>" title="Показать новость"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_news1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-news/<?=$v['name']?>" title="Редактировать новость"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?else:?>
   <span class="d_block flt_right lh_big">одобрена</span><span class="ico_thumbs_up flt_right m5_r"></span>   
  <?endif;?>   
   </td>
  </tr>             	 	
<?endforeach;?>  
 </tbody> 
</table>
<?elseif( PMReturn::GetFLAG1() == 'news_edit' ):?>
<h2>Редактирование новости</h2>
   <?if( PMReturn::GetFLAG3() == 'complete'  ):?> 
 <div class="warp10"></div>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, 1500); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="status_success">
   <div class="title"><span></span>Редактирование завершено!</div>
   <div class="txt">Введенные данные записаны и сохраненные в нашей базе данных.</div>
  </div>
  <div class="warp20"></div>
 </div>  
   <?endif;?> 
       <?if( $RTDT['errors'] ):?>
       <div class="warp10"></div>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При редактировании новости произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении новости в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить новость через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название новости не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст новости не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?> 
<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>" method="post">
<table class="standart">
 <tr>
  <td class="p5 w150"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=$RTDT['nrow']['name']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Категория новости:</b></td>
  <td class="p5 p0_r">
   <select name="ncat">
  <?foreach( $RTDT['ncat'] as $i => $v ):?>
    <option value="<?=$v['ntag_id']?>"<?if( $v['ntag_id'] == $RTDT['nrow']['ntag_id'] ): echo 'selected="selected"'; endif;?>><?=$v['title']?></option>
  <?endforeach;?>   
   </select>
  </td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Название новости:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=stripslashes( htmlspecialchars_decode( $RTDT['nrow']['title'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w150"><b>Текст новости:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h250" name="text"><?=stripslashes( htmlspecialchars_decode( $RTDT['nrow']['text_original'] ) )?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w150"></td>
  <td class="p5 a_right"><input name="edit_news_submit" type="submit" value="Редактировать новость" /></td>
 </tr>   
</table>
</form>
<?endif;?>