<?php
class MoneyGold
{ 
	private $User_id = 0;
	
	private $Trans_Types = array(
	    'pay_file_download' => 1,
	    'pay_file_count'    => 1,
	    'pay_file_screens'  => 1,
	    'pay_file_comment'  => 1,
	    'pay_file_rating'   => 1,
	    'pay_file_test_scr_moderate' => 1,
	    'pay_file_test_scr_lock'     => 1,
	    'pay_file_test_link_moderate' => 1,
	    'pay_file_test_link_lock'     => 1,
	    'pay_file_test_patch_moderate' => 1,
	    'pay_file_test_patch_lock'     => 1,  
	    'pay_file_test_rank'   => 1, //
	    'pay_file_test_main'   => 1, // 
	    'pay_file_test_reqs'   => 1, // 
	    'pay_file_test_tags'   => 1, 
	    'pay_file_test_auth'   => 1, 
	    'pay_file_test_ranks_author' => 1,
	    'pay_file_test_ranks_tester' => 1
	);
	
	public $Payments_Array = array(
	    'Pay_Comments' => array(
	        0 => array( 'val' => 20,  'stat' => 1, 'money' => 1  ),
	        1 => array( 'val' => 40,  'stat' => 2, 'money' => 2  ),
	        2 => array( 'val' => 80,  'stat' => 3, 'money' => 4  ),
	        3 => array( 'val' => 140, 'stat' => 4, 'money' => 8  ),
	        4 => array( 'val' => 180, 'stat' => 5, 'money' => 12 ),
	        5 => array( 'val' => 220, 'stat' => 6, 'money' => 14 ),
	        6 => array( 'val' => 250, 'stat' => 7, 'money' => 16 )
	    ),
	    'Pay_Screens' => array(
	        0 => array( 'val' => 5,  'stat' => 1, 'money' => 1  ),
	        1 => array( 'val' => 10, 'stat' => 2, 'money' => 2  ),
	        2 => array( 'val' => 15, 'stat' => 3, 'money' => 4  ),
	        3 => array( 'val' => 20, 'stat' => 4, 'money' => 8  ),
	        4 => array( 'val' => 25, 'stat' => 5, 'money' => 12 ),
	        5 => array( 'val' => 30, 'stat' => 6, 'money' => 14 ),
	        6 => array( 'val' => 40, 'stat' => 7, 'money' => 16 )
	    ),
	    'Pay_Rating' => array(
	        0 => array( 'val' => 10, 'stat' => 1, 'money' => array( 100 => 5,  75 => 4,  50 => 3,  25 => 2,  0 => 1 ) ),
	        1 => array( 'val' => 15, 'stat' => 2, 'money' => array( 100 => 10, 75 => 8,  50 => 6,  25 => 4,  0 => 2 ) ),
	        2 => array( 'val' => 20, 'stat' => 3, 'money' => array( 100 => 15, 75 => 12, 50 => 9,  25 => 6,  0 => 3 ) ),
	        3 => array( 'val' => 30, 'stat' => 4, 'money' => array( 100 => 20, 75 => 16, 50 => 12, 25 => 8,  0 => 4 ) ),
	        4 => array( 'val' => 40, 'stat' => 5, 'money' => array( 100 => 25, 75 => 20, 50 => 15, 25 => 10, 0 => 5 ) ),
	        5 => array( 'val' => 60, 'stat' => 6, 'money' => array( 100 => 30, 75 => 24, 50 => 18, 25 => 12, 0 => 6 ) ),
	        6 => array( 'val' => 80, 'stat' => 7, 'money' => array( 100 => 35, 75 => 28, 50 => 21, 25 => 14, 0 => 7 ) )
	    ),
	    'Pay_Files' => array(
	        0 => array( 'val' => 2,  'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 4,  'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 6,  'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 8,  'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 10, 'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 12, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 15, 'stat' => 7, 'money' => 40 )
	    ),
	    'Pay_FDowns' => array(
	        0 => array( 'val' => 10,   'stat' => 1, 'money' => 1  ),
	        1 => array( 'val' => 30,   'stat' => 2, 'money' => 2 ),
	        2 => array( 'val' => 60,   'stat' => 3, 'money' => 4 ),
	        3 => array( 'val' => 150,  'stat' => 4, 'money' => 8 ),
	        4 => array( 'val' => 300,  'stat' => 5, 'money' => 12 ),
	        5 => array( 'val' => 600,  'stat' => 6, 'money' => 14 ),
	        6 => array( 'val' => 1500, 'stat' => 7, 'money' => 16 )
	    ),
	    'Pay_Member_Comments' => array(
	        0 => array( 'val' => 30,   'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 100,  'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 200,  'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 500,  'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 1000, 'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 1500, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 2000, 'stat' => 7, 'money' => 40 )
	    ),
	    'Pay_Member_Art' => array(
	        0 => array( 'val' => 10,  'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 15,  'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 30,  'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 60,  'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 90,  'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 120, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 150, 'stat' => 7, 'money' => 40 )
	    ),
	    'Pay_Member_Files' => array(
	        0 => array( 'val' => 10,  'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 15,  'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 30,  'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 60,  'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 90,  'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 120, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 150, 'stat' => 7, 'money' => 40 )
	    ),
	    'Pay_Member_Poetry' => array(
	        0 => array( 'val' => 10,  'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 15,  'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 30,  'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 60,  'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 90,  'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 120, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 150, 'stat' => 7, 'money' => 40 )
	    ),
	    'Pay_Member_Tales' => array(
	        0 => array( 'val' => 5,  'stat' => 1, 'money' => 5  ),
	        1 => array( 'val' => 10, 'stat' => 2, 'money' => 10 ),
	        2 => array( 'val' => 15, 'stat' => 3, 'money' => 15 ),
	        3 => array( 'val' => 20, 'stat' => 4, 'money' => 20 ),
	        4 => array( 'val' => 30, 'stat' => 5, 'money' => 25 ),
	        5 => array( 'val' => 40, 'stat' => 6, 'money' => 30 ),
	        6 => array( 'val' => 50, 'stat' => 7, 'money' => 40 )
	    )
	
	);
	   
    public function __construct( $uid )
    {
    	$this->User_id = (int)$uid;
    }
    
    public function plugin_pay_file_downs( $plugin_id, $file_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$fid = (int)$file_id;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `id`=:2 AND `pay_level` < :3 AND `moderated` = :4' );
        $file_info->Execute( $plugin_id, $file_id, 7, 1 );
        
        

        if( !$file_info->GetNum() )
            return 0;
            
        $info = $file_info->FetchArray();
        
        //pay_file_download
        
        $array  = $this->Payments_Array;
        $sarray = $array['Pay_FDowns'];
        
        
        
        if( $info['downloads'] >= $sarray[$info['pay_level']]['val'] )
        {
        	$user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$sarray[$info['pay_level']]['money'].' WHERE `id`=:1 ' );
            $user_update->Execute( $uid );

            $file_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_file` SET `pay_level`=:3 WHERE `fid`=:1 AND `id`=:2 ' );
            $file_update->Execute( $plugin_id, $file_id, $sarray[$info['pay_level']]['stat'] );
        	
            $this->transaction_insert( $uid, 'pay_file_download', $sarray[$info['pay_level']]['money'], $plugin_id );
        }
    	
    }
    
    public function plugin_pay_file_count( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1 AND `money_files` < :2' );
        $file_info->Execute( $plugin_id, 7 );

        if( !$file_info->GetNum() )
            return 0;
            
        $info = $file_info->FetchArray();   

        $file_counts = DBChose::PrepareDriver( 'SELECT COUNT( `id` ) AS `count` FROM `fullrestu_site`.`files_file` WHERE `fid`=:1 AND `moderated` = :2' );
        $file_counts->Execute( $plugin_id, 1 );
        
        $fcount = $file_counts->FetchArray();
        
        //pay_file_download
        
        $array  = $this->Payments_Array;
        $sarray = $array['Pay_Files'];
        
        if( $fcount['count'] >= $sarray[$info['money_files']]['val'] )
        {
        	$user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$sarray[$info['money_files']]['money'].' WHERE `id`=:1 ' );
            $user_update->Execute( $uid );

            $file_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `money_files`=:2 WHERE `id`=:1 ' );
            $file_update->Execute( $plugin_id, $sarray[$info['money_files']]['stat'] );
        	
            $this->transaction_insert( $uid, 'pay_file_count', $sarray[$info['money_files']]['money'], $plugin_id );
        }    	
    }
    
    
    
    public function plugin_pay_comments( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1 AND `money_comments` < :2' );
        $file_info->Execute( $plugin_id, 7 );

        if( !$file_info->GetNum() )
            return 0;
            
        $info = $file_info->FetchArray();

        $comms_counts = DBChose::PrepareDriver( 'SELECT COUNT( `comm_id` ) AS `count` FROM `fullrestu_site`.`commentarys` WHERE `mod_id`=:2 AND `item_id`=:1' );
        $comms_counts->Execute( $plugin_id, 20 );
        
        $ccount = $comms_counts->FetchArray();
        
        //pay_file_download
        
        $array  = $this->Payments_Array;
        $sarray = $array['Pay_Comments'];
        
        if( $ccount['count'] >= $sarray[$info['money_comments']]['val'] )
        {        	
        	$user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$sarray[$info['money_comments']]['money'].' WHERE `id`=:1 ' );
            $user_update->Execute( $uid );

            $file_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `money_comments`=:2 WHERE `id`=:1' );
            $file_update->Execute( $plugin_id, $sarray[$info['money_comments']]['stat'] );
        	
            $this->transaction_insert( $uid, 'pay_file_comment', $sarray[$info['money_comments']]['money'], $plugin_id );
        }      	
    }
    
    public function plugin_pay_screens( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1 AND `money_screens` < :2' );
        $file_info->Execute( $plugin_id, 7 );

        if( !$file_info->GetNum() )
            return 0;
            
        $info = $file_info->FetchArray(); 

        $screen_counts = DBChose::PrepareDriver( 'SELECT COUNT( `id` ) AS `count` FROM `fullrestu_site`.`files_screens` WHERE `fid`=:1 AND `moderated` = :2' );
        $screen_counts->Execute( $plugin_id, 1 );
        
        $scount = $screen_counts->FetchArray();
        
        //pay_file_download
        
        $array  = $this->Payments_Array;
        $sarray = $array['Pay_Screens'];
        
        if( $scount['count'] >= $sarray[$info['money_screens']]['val'] )
        {
        	$user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$sarray[$info['money_screens']]['money'].' WHERE `id`=:1 ' );
            $user_update->Execute( $uid );

            $file_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `money_screens`=:2 WHERE `id`=:1' );
            $file_update->Execute( $plugin_id, $sarray[$info['money_screens']]['stat'] );
        	
            $this->transaction_insert( $uid, 'pay_file_screens', $sarray[$info['money_screens']]['money'], $plugin_id );
        }   
    }
    
    public function plugin_pay_rating( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1 AND `money_screens` < :2' );
        $file_info->Execute( $plugin_id, 7 );

        if( !$file_info->GetNum() )
            return 0;
            
        $info = $file_info->FetchArray(); 
        
        $rat_select = DBChose::PrepareDriver( 'SELECT COUNT( `fid` ) as `num`, SUM( `val` ) as `sum` FROM `fullrestu_site`.`files_rating` WHERE `fid`=:1' );
        $rat_select->Execute( $plugin_id );
                        
        $row = $rat_select->FetchArray();
                        
        $rating = $row['sum'] / $row['num'];
        
        $array  = $this->Payments_Array;
        $sarray = $array['Pay_Rating'];
        
        if( $row['num'] >= $sarray[$info['money_rating']]['val'] )
        {
        	foreach( $sarray[$info['money_rating']]['money'] as $i => $v )
        	{
        		if( $rating >= $i )
        		{
        			$pmoney = $v;
        			break;
        		} 
        	}
        	
        	$user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
            $user_update->Execute( $uid );

            $file_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `money_rating`=:2 WHERE `id`=:1' );
            $file_update->Execute( $plugin_id, $sarray[$info['money_rating']]['stat'] );
        	
            $this->transaction_insert( $uid, 'pay_file_rating', $pmoney, $plugin_id );
        }  
    }
    
    public function plugin_pay_test_scr_moderate( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_scr_moderate', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_scr_lock( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_scr_lock', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_link_moderate( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_link_moderate', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_link_lock( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_link_lock', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_patch_moderate( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_patch_moderate', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_patch_lock( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_patch_lock', $pmoney, $plugin_id ); 
    }
  
    public function plugin_pay_test_main( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_main', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_reqs( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_reqs', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_tags( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_tags', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_auth( $plugin_id )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	$pmoney = 1;
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_auth', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_ranks_author( $plugin_id, $data_pay )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$pmoney = 0;
    	
    	foreach( $data_pay as $i => $v )
    		$pmoney += $v * 3;
    	
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_ranks_author', $pmoney, $plugin_id ); 
    }
    
    public function plugin_pay_test_ranks_tester( $plugin_id, $data_pay )
    {
    	$uid = $this->User_id;
    	$pid = (int)$plugin_id;
    	
    	$pmoney = 0;
    	
    	foreach( $data_pay as $i => $v )
    		$pmoney += $v * 2;
    	
    	
    	$file_info = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files` WHERE `id`=:1' );
        $file_info->Execute( $plugin_id );

        if( !$file_info->GetNum() )
            return 0;
            
        	
        $user_update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`members` SET `igame_gold`=`igame_gold`+'.$pmoney.' WHERE `id`=:1 ' );
        $user_update->Execute( $uid );
        	
        $this->transaction_insert( $uid, 'pay_file_test_ranks_tester', $pmoney, $plugin_id ); 
    }   
    
    
    private function transaction_insert( $user_id, $type, $value, $sub_int = '', $sub_str = '', $sub_text = '' )
    {
    	$trans_insert = DBChose::PrepareDriver( 'INSERT INTO `fullrestu_site`.`wallet_ingold_transactions` ( `user_id`, `type`, `value`, `sub_int`, `sub_str`, `sub_text`, `date` ) VALUES ( :1, :2, :3, :4, :5, :6, :7 )' );
        $trans_insert->Execute( $user_id, $type, $value, $sub_int, $sub_str, $sub_text, date( 'U' ) );
    }
}