<?php
class GameDollImage
{
	
	private $SettedRace = 0;
	private $SettedHair = 0;
	private $SettedHead = 0;
	
	private $RaceId     = 0;
	private $RaceBeast  = 0;
	private $RaceGender = 'male';
	private $RaceHeight = 1;
	private $RaceHair   = 0;
	private $Racehead   = 0;
	
	private $BodyId     = 0;
	private $HairId     = 0;
	private $HeadId     = 0;
	
	
	private $DollLayers = array();
	
	public function __construct()
	{
		$ellemets_array['hair_-1']        = 'none';
        $ellemets_array['head_-1']        = 'none';
        $ellemets_array['neck_-1']        = 'none';
        $ellemets_array['forearm_r_-1']   = 'none';
        $ellemets_array['forearm_l_-1']   = 'none';
        $ellemets_array['upper_arm_r_-1'] = 'none';
        $ellemets_array['upper_arm_l_-1'] = 'none';
        $ellemets_array['chest_-1']       = 'none';
        $ellemets_array['upper_leg_r_-1'] = 'none';
        $ellemets_array['upper_leg_l_-1'] = 'none';
        $ellemets_array['groin_-1']       = 'none';
        $ellemets_array['knee_r_-1']      = 'none';
        $ellemets_array['knee_l_-1']      = 'none';
        $ellemets_array['foot_r_-1']      = 'none';
        $ellemets_array['foot_l_-1']      = 'none';
        $ellemets_array['hand_l_-1']      = 'none';
        $ellemets_array['hand_r_-1']      = 'none';
        $ellemets_array['wrist_r_-1']     = 'none';
        $ellemets_array['wrist_l_-1']     = 'none';
        $ellemets_array['ankle_l_-1']     = 'none';
        $ellemets_array['ankle_r_-1']     = 'none';
        $ellemets_array['neck_1']         = 'none';
        $ellemets_array['forearm_r_1']    = 'none';
        $ellemets_array['forearm_l_1']    = 'none';
        $ellemets_array['upper_arm_r_1']  = 'none';
        $ellemets_array['upper_arm_l_1']  = 'none';
        $ellemets_array['chest_1']        = 'none';
        $ellemets_array['upper_leg_r_1']  = 'none';
        $ellemets_array['upper_leg_l_1']  = 'none';
        $ellemets_array['groin_1']        = 'none';
        $ellemets_array['tool_1']         = 'none';
        $ellemets_array['knee_r_1']       = 'none';
        $ellemets_array['knee_l_1']       = 'none';
        $ellemets_array['foot_r_1']       = 'none';
        $ellemets_array['foot_l_1']       = 'none';
        $ellemets_array['hand_l_1']       = 'none';
        $ellemets_array['hand_r_1']       = 'none';
        $ellemets_array['wrist_r_1']      = 'none';
        $ellemets_array['wrist_l_1']      = 'none';
        $ellemets_array['ankle_l_1']      = 'none';
        $ellemets_array['ankle_r_1']      = 'none';
        $ellemets_array['head_1']         = 'none';
        $ellemets_array['hair_1']         = 'none';
        
        $this->DollLayers = $ellemets_array;
	}
	
	public function SetRace( $id, $gender = 'male' )
	{
		$this->RaceId     = (int)$id;
		
		if( $gender == 'male' || $gender == 'female'  )
		    $this->RaceGender = $gender;
		else
		    die( 'нет такого пола' );
		    
		$this->SettedRace = 1;  
	}
	
    public function SetHair( $id )
	{
		$this->RaceHair   = (int)$id;		    
		$this->SettedHair = 1;  
	}
	
    public function SetHead( $id )
	{
		$this->RaceHead   = (int)$id;		    
		$this->SettedHead = 1;  
	}
	
	public function FaceGen()
	{
		$this->BuildBodyHeadHair(); 
		
		$ellemets_array['hair_-1']        = 'none';
        $ellemets_array['head_-1']        = 'none';
        $ellemets_array['neck_-1']        = 'none';
        $ellemets_array['chest_-1']       = 'none';
        $ellemets_array['neck_1']         = 'none';
        $ellemets_array['chest_1']        = 'none';
        $ellemets_array['head_1']         = 'none';
        $ellemets_array['hair_1']         = 'none';
        
        $out_png = imagecreatefromstring( file_get_contents( dir_DOLL.'empty_1600x2400.png' ) );
	    
        foreach( $ellemets_array  as $i => $v )
        {
            $file = dir_DOLL.$this->DollLayers[$i];
                
            if( file_exists($file) && $this->DollLayers[$i] != 'none' )
            {              	
                $draw = imagecreatefromstring(file_get_contents($file ) );
                imagesetbrush( $out_png, $draw ); // 1 - выход, 2 - то что рисуем сверху
                imageline($out_png, imagesx($out_png) / 2, imagesy($out_png) / 2, imagesx($out_png) / 2, imagesy($out_png) / 2, IMG_COLOR_BRUSHED);	
            }
        }

        imagealphablending($out_png, false);
        imagesavealpha($out_png, true);
        
        $temp_file = 'face_temp_'.md5( mktime() ).'.png';
        
        imagepng( $out_png,  dir_IMAGES.'/character_faces/'.$temp_file, 9, PNG_ALL_FILTERS );
        ImageDestroy ($out_png);

        
        
        require_once( dir_OPENSOURCE.'phpthumb/ThumbLib.inc.php' );
        
        $thumb = PhpThumbFactory::create(  dir_IMAGES.'/character_faces/'.$temp_file );
        
        $thumb->cropFromCenter(300, 1400);
        $thumb->crop( 0, 100, 300, 300 );  
        $thumb->show();
        
        
        unlink( dir_IMAGES.'/character_faces/'.$temp_file );
        exit;
	}
	
	
	public function Execute()
	{
		if( !$this->SettedHead || !$this->SettedHair || !$this->SettedRace )
		    die( 'не достаточно данных для генерации куклы' );
		    
		require_once( dir_OPENSOURCE.'phpthumb/ThumbLib.inc.php' );	
		    
		$this->BuildBodyHeadHair(); 

		$this->DrawDoll();
		
		$this->MakePortrait();
		$this->MakeDialog();
		$this->MakeInventory();
		
		echo '
		   <a href="http://work.fullrest.ru/images/character_dolls/doll_base.png" target="_blank" title="">Исходник</a><br>
		   <a href="http://work.fullrest.ru/images/character_dolls/doll_base_dialog.png" target="_blank" title="">Для диалога</a><br>
		   <a href="http://work.fullrest.ru/images/character_dolls/doll_base_inventory.png" target="_blank" title="">Для инвентаря</a><br>
		   <a href="http://work.fullrest.ru/images/character_dolls/doll_base_portrait.png" target="_blank" title="">Портрет</a><br>		
		';
	}
	
	
	private function MakePortrait()
	{
		$thumb = PhpThumbFactory::create( dir_IMAGES.'/character_dolls/doll_base.png' );
	
        $thumb->cropFromCenter(400, 1800);
    
        $thumb->crop( 0, 300, 400, 450 );
        
        unlink( dir_IMAGES.'/character_dolls/doll_base_portrait.png' );
        
        $thumb->save( dir_IMAGES.'/character_dolls/doll_base_portrait.png', 'png' );	
	}
	
    private function MakeDialog()
	{
		$thumb = PhpThumbFactory::create( dir_IMAGES.'/character_dolls/doll_base.png' );

        $thumb->cropFromCenter(1000, 2000);
    
        $thumb->crop( 0, 400, 1600, 450 );  
   
        $thumb->resize(1000);   

        unlink( dir_IMAGES.'/character_dolls/doll_base_dialog.png' );
        
        $thumb->save( dir_IMAGES.'/character_dolls/doll_base_dialog.png', 'png' );
	}
	
    private function MakeInventory()
	{
		$thumb = PhpThumbFactory::create( dir_IMAGES.'/character_dolls/doll_base.png' );
	
        $thumb->cropFromCenter(700, 1800);
    
        $thumb->crop( 0, 300, 700, 1400 );    
   
        $thumb->resize(400);
        
        unlink( dir_IMAGES.'/character_dolls/doll_base_inventory.png' );
        
        $thumb->save( dir_IMAGES.'/character_dolls/doll_base_inventory.png', 'png' );
	}
	
	
	
	
	private function BuildBodyHeadHair()
	{	 
	    $race_id = $this->RaceId;
	    $head_id = $this->RaceHead;
	    $hair_id = $this->RaceHair;
	    $gender  = $this->RaceGender;

	    $gender_num = 1;
			
		if( $gender == 'female' )
		    $gender_num = 0;
		
		$race_select = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_game`.`basedata_races`, `fullrestu_game`.`basedata_races_attributes`
		                                        WHERE `basedata_races`.`race_id`=:1 
		                                          AND `basedata_races`.`race_id`=`basedata_races_attributes`.`race_id` 
		                                          AND `basedata_races_attributes`.`rattr_male`=:2' );
        $race_select->Execute( $race_id, $gender_num );
        
        $race_row = $race_select->FetchAssoc();
        
        $this->RaceBeast  = $race_row['race_beast'];
        $this->BodyId     = $race_row['bodyset_id_'.$gender];
        $this->RaceHeight = $race_row['rattr_height'];
                
	    
		$race_head = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_game`.`basedata_races_heads` WHERE `race_id`=:1 AND `head_male`=:2 AND `head_id` = :3' );
        $race_head->Execute( $race_id, $gender_num, $head_id );

		$race_hair = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_game`.`basedata_races_hairs` WHERE `race_id`=:1 AND `hair_male`=:2 AND `hair_id` = :3' );
        $race_hair->Execute( $race_id, $gender_num, $hair_id );
        
        $head_row = $race_head->FetchAssoc();
        $hair_row = $race_hair->FetchAssoc();

        $this->HairId = $hair_row['bodyset_id'];
        $this->HeadId = $head_row['bodyset_id'];
			
	    $body_select = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_game`.`bodyparts_sets`, `fullrestu_game`.`bodyparts_sets_images` 
			                                    WHERE `bodyparts_sets`.`bodyset_id` = `bodyparts_sets_images`.`bodyset_id`
			                                      AND `bodyparts_sets`.`bodyset_id` IN ( :1, :2, :3 )');
			
        $body_select->Execute( $this->BodyId, $this->HairId, $this->HeadId );
			    
	    for( $a = 0; $a < $body_select->GetNum(); $a++ )
		{
		    $body_row = $body_select->FetchAssoc();
				
			$this->DollLayers[$body_row['image_name']] = $body_row['bodyset_directory'].'/'.$body_row['image_name'].'.'.$body_row['image_type'];
		}						
	}
	
	private function DrawDoll()
	{    
	    $out_png = imagecreatefromstring( file_get_contents( dir_DOLL.'empty_1600x2400.png' ) );
	    
        foreach( $this->DollLayers as $i => $v )
        {
            $file = dir_DOLL.$v;
                
            if( file_exists($file) && $v != 'none' )
            {              	
                $draw = imagecreatefromstring(file_get_contents($file ) );
                imagesetbrush( $out_png, $draw ); // 1 - выход, 2 - то что рисуем сверху
                imageline($out_png, imagesx($out_png) / 2, imagesy($out_png) / 2, imagesx($out_png) / 2, imagesy($out_png) / 2, IMG_COLOR_BRUSHED);	
            }
        }

        imagealphablending($out_png, false);
        imagesavealpha($out_png, true);
        
        unlink( dir_IMAGES.'/character_dolls/doll_base.png' );

        ImagePng($out_png, dir_IMAGES.'/character_dolls/doll_base.png', 9, PNG_ALL_FILTERS); 
        
        ImageDestroy ($out_png); 
	}
	
}
?>