<?php
function FRB_IconCheck( $folder, $name, $type, $width, $height, $url_out = true )
{
	if( file_exists( dir_MAIN.$folder.$name.'_'.$width.'_'.$height.'.'.$type ) )
	{
		
		if( $url_out )
		    return SHOST.'/'.$folder.$name.'_'.$width.'_'.$height.'.'.$type;
		else
		    return true;
	}
	else
	{
		if( $name == '' || $type == '' )
		    return false;
		
		if( file_exists( dir_MAIN.$folder.$name.'.'.$type ) )
		{
			
			$thumb = PhpThumbFactory::create(  dir_MAIN.$folder.$name.'.'.$type );
			
			$thumb->adaptiveResize( $width, $height );
			
			$thumb->save( dir_MAIN.$folder.$name.'_'.$width.'_'.$height.'.'.$type, $type );
			
			return FRB_IconCheck( $folder, $name, $type, $width, $height, $url_out );
		}
		else
		    return false;
	}
}

function FRB_IconCheckUnAdapt( $folder, $name, $type, $width, $height, $url_out = true )
{
	if( file_exists( dir_MAIN.$folder.$name.'_'.$width.'_'.$height.'.'.$type ) )
	{
		if( $url_out )
		    return SHOST.'/'.$folder.$name.'_'.$width.'_'.$height.'.'.$type;
		else
		    return true;
	}
	else
	{
		if( $name == '' || $type == '' )
		    return false;
		    
		if( file_exists( dir_MAIN.$folder.$name.'.'.$type ) )
		{					
			$thumb = PhpThumbFactory::create(  dir_MAIN.$folder.$name.'.'.$type );
			
			$thumb->resize( $width, $height );
			
			$thumb->save( dir_MAIN.$folder.$name.'_'.$width.'_'.$height.'.'.$type, $type );
			
			return FRB_IconCheck( $folder, $name, $type, $width, $height, $url_out );
		}
	}
}