<?php
if( $_POST['patch_add'] )
{
	$array_ver4 = array(
	    ''       => 1,
	    '_alpha' => 1,
	    '_beta'  => 1,
	    '_rc1'   => 1,
	    '_rc2'   => 1,
	    '_rc3'   => 1,
	    '_final' => 1
	);
	
	$ver1 = (int)$_POST['ver_p1'];
	$ver2 = (int)$_POST['ver_p2'];
	$ver3 = (int)$_POST['ver_p3'];
	$ver4 = $_POST['ver_p4'];
	
	$desc = trim( $_POST['descr'] );
	
	if( $ver1 < 0 || $ver1 > 99 )
	    $errors['ver1_format'] = 1;
	
	if( $ver2 < 0 || $ver2 > 9 )
	    $errors['ver2_format'] = 1;
	    
	if( $ver3 < 0 || $ver3 > 9 )
	    $errors['ver3_format'] = 1;
	    
	if( $array_ver4[$ver4] != 1 )
	    $errors['ver4_format'] = 1; 

	if( empty( $desc ) )
	    $errors['descr_empty'] = 1;

	/*echo '<pre>';
	
	print_r( $errors );
	echo '</pre>';
	    
	exit;*/

	if( sizeof( $errors ) == 0 )
	{
		$user_id = User::GetId();
		$file_id = $minfo['id'];		
		$desc_ed = strip_tags( $desc );
		$desc_ed = htmlspecialchars( $desc_ed );
		$desc_ed = nl2br( $desc_ed );		
		$desc    = htmlspecialchars( $desc );		
		$version = $ver1.'.'.$ver2.'.'.$ver3.$ver4;
		
		$insert2 = DBChose::PrepareDriver( 'INSERT INTO `fullrestu_site`.`files_patchnotes` ( `fid`, `uid`, `version`, `date_add`, `date_update`, `text`, `text_original` ) VALUES( :1, :2, :3, :4, :5, :6, :7 )' );
        $insert2->Execute( $file_id, $user_id, $version, date( 'U' ), date( 'U' ), $desc_ed, $desc );
                    
        HistoryFiles::AddHistory( $file_id, 'plugin_patch_add', '', $desc );
	}    
}

$plug_id = (int)UrlDecoder::GetCUri( 4 );
$button  = 'patch_add_'.$plug_id;


if( UrlDecoder::GetCUri( 3 ) == 'del' && $plug_id > 0 )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_patchnotes` WHERE `patch_id`=:1 AND `deleted`=:2 AND `locked`=:3 AND `fid`=:4' );
    $sel->Execute( $plug_id, 0, 0, $minfo['id'] );
	
    if( $sel->GetNum() )
    {
    	$oplug = $sel->FetchArray();
    	
    	$update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_patchnotes` SET `deleted`=:1, `date_update`=:2 WHERE `patch_id`=:3 AND `deleted`=:4 AND `locked`=:5 AND `fid`=:6' );
        $update->Execute( 1, date( 'U' ), $plug_id, 0, 0, $minfo['id'] );
            
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_patch_deleted', 0, 1, $plug_id );
    }
}
else if( UrlDecoder::GetCUri( 3 ) == 'hide' && $plug_id > 0 )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_patchnotes` WHERE `patch_id`=:1 AND `deleted`=:2 AND `locked`=:3 AND `fid`=:4 AND `show`=:5' );
    $sel->Execute( $plug_id, 0, 0, $minfo['id'], 1 );
	
    if( $sel->GetNum() )
    {
    	$oplug = $sel->FetchArray();
    	
    	$update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_patchnotes` SET `show`=:1, `date_update`=:2 WHERE `patch_id`=:3 AND `deleted`=:4 AND `locked`=:5 AND `fid`=:6 AND `show`=:7' );
        $update->Execute( 0, date( 'U' ), $plug_id, 0, 0, $minfo['id'], 1 );
            
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_patch_hide', 1, 0, $plug_id );
    }
}
else if( UrlDecoder::GetCUri( 3 ) == 'show' && $plug_id > 0 )
{
	$sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_patchnotes` WHERE `patch_id`=:1 AND `deleted`=:2 AND `locked`=:3 AND `fid`=:4 AND `show`=:5' );
    $sel->Execute( $plug_id, 0, 0, $minfo['id'], 0 );
	
    if( $sel->GetNum() )
    {
    	$oplug = $sel->FetchArray();
    	
    	$update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_patchnotes` SET `show`=:1, `date_update`=:2 WHERE `patch_id`=:3 AND `deleted`=:4 AND `locked`=:5 AND `fid`=:6 AND `show`=:7' );
        $update->Execute( 1, date( 'U' ), $plug_id, 0, 0, $minfo['id'], 0 );
            
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_patch_show', 0, 1, $plug_id );
    }
}
else if( UrlDecoder::GetCUri( 3 ) == 'edit' && $plug_id > 0 && $_POST[$button] )
{
	$update = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_patchnotes` WHERE `patch_id`=:1 AND `deleted`=:2 AND `locked`=:3 AND `fid`=:4' );
    $update->Execute( $plug_id, 0, 0, $minfo['id'] );
	
    if( $update->GetNum() )
    	$oplug = $update->FetchArray();
    else
        $errors['plugin_none'] = 1;
    
	$array_ver4 = array(
	    ''       => 1,
	    '_alpha' => 1,
	    '_beta'  => 1,
	    '_rc1'   => 1,
	    '_rc2'   => 1,
	    '_rc3'   => 1,
	    '_final' => 1
	);
	
	$ver1   = (int)$_POST['ver_p1'];
	$ver2   = (int)$_POST['ver_p2'];
	$ver3   = (int)$_POST['ver_p3'];
	$ver4   = $_POST['ver_p4'];	
	$desc   = trim( $_POST['descr'] );	
	$errors = array();
	
	if( $ver1 < 0 || $ver1 > 99 )
	    $errors['ver1_format'] = 1;
	
	if( $ver2 < 0 || $ver2 > 9 )
	    $errors['ver2_format'] = 1;
	    
	if( $ver3 < 0 || $ver3 > 9 )
	    $errors['ver3_format'] = 1;
	    
	if( $array_ver4[$ver4] != 1 )
	    $errors['ver4_format'] = 1; 

	if( empty( $desc ) )
	    $errors['descr_empty'] = 1;	
	    

	if( sizeof( $errors ) == 0 )
	{
		$user_id = User::GetId();
		$file_id = $minfo['id'];		
		$desc_ed = strip_tags( $desc );
		$desc_ed = htmlspecialchars( $desc_ed );
		$desc_ed = nl2br( $desc_ed );		
		$desc    = htmlspecialchars( $desc );		
		$version = $ver1.'.'.$ver2.'.'.$ver3.$ver4;
		
		
		if( $oplug['version'] != $version || $oplug['text_original'] != $desc )
		{
		    
			
			$update = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_patchnotes` SET `version`=:1, `date_update`=:2, `text`=:3, `text_original`=:4 WHERE `patch_id`=:5 AND `deleted`=:6 AND `locked`=:7 AND `fid`=:8' );
            $update->Execute( $version, date( 'U' ), $desc_ed, $desc, $plug_id, 0, 0, $file_id );
            
            if( $oplug['version'] != $version )
                HistoryFiles::AddHistory( $file_id, 'plugin_patch_edited', $oplug['version'], $version, $plug_id );
                
            if( $oplug['text_original'] != $desc )
                HistoryFiles::AddHistory( $file_id, 'plugin_patch_edited', $oplug['text_original'], $desc, $plug_id );  
		}
	} 
}






$patch_list = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_patchnotes` WHERE `fid`=:1 AND `deleted`=:2 ORDER BY `date_add` DESC' );
$patch_list->Execute( $minfo['id'], 0 );


for( $a = 0; $a < $patch_list->GetNum(); $a++ )
	$patch_list1[] = $patch_list->FetchArray();




parent::SetReturnCData( 'patch_list',  $patch_list1    );






