<?php
if( !User::GetRight( 'files_edit_full' ) )
    TempeltateEngine::GenerateError( 403 );

$scr_id = (int)UrlDecoder::GetCUri( 6 );

if( $scr_id > 0 )
{
	$scr_chk = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_screens` WHERE `fid`=:1 AND `id`=:2' );
    $scr_chk->Execute( $minfo['id'], $scr_id );
    
    if( $scr_chk->GetNum() )
    {
    	$scr_row = $scr_chk->FetchArray();

        if( UrlDecoder::GetCUri( 5 ) == 'del' && $scr_row['deleted'] == 0 && $scr_row['locked'] == 0 )
    	{
    		$scr_upd = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_screens` SET `deleted`=:1, `date_update`=:6 WHERE `fid`=:2 AND `deleted`=:3 AND `locked`=:4 AND `id`=:5' );
            $scr_upd->Execute( 1, $minfo['id'], 0, 0, $scr_id, date( 'U' ) );
    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_screen_deleted', $scr_row['name'].'.'.$scr_row['type'], '' );
    	}
    	else if( UrlDecoder::GetCUri( 5 ) == 'res' && $scr_row['deleted'] == 1 && $scr_row['locked'] == 0 )
    	{
    		$scr_upd = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_screens` SET `deleted`=:1, `date_update`=:6 WHERE `fid`=:2 AND `deleted`=:3 AND `locked`=:4 AND `id`=:5' );
            $scr_upd->Execute( 0, $minfo['id'], 1, 0, $scr_id, date( 'U' ) );
    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_screen_restored', $scr_row['name'].'.'.$scr_row['type'], '' );
    	}
        else if( UrlDecoder::GetCUri( 5 ) == 'mod' && $scr_row['deleted'] == 0 && $scr_row['locked'] == 0 && $scr_row['moderated'] == 0  )
    	{
    		$scr_upd = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_screens` SET `moderated`=:1, `date_update`=:6, `muid`=:7 WHERE `fid`=:2 AND `deleted`=:3 AND `locked`=:4 AND `id`=:5' );
            $scr_upd->Execute( 1, $minfo['id'], 0, 0, $scr_id, date( 'U' ), User::GetId() );
    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_screen_moderated', $scr_row['name'].'.'.$scr_row['type'], '' );
    		
    		$check_pay = new MoneyGold( User::GetId() );
                       
            $check_pay->plugin_pay_test_scr_moderate( $minfo['id'] );
    	}
        else if( UrlDecoder::GetCUri( 5 ) == 'lock' && $scr_row['deleted'] == 0 && $scr_row['locked'] == 0 && $scr_row['moderated'] == 1  )
    	{
    		$scr_upd = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_screens` SET `locked`=:1, `date_update`=:6, `show`=:7, `luid`=:8 WHERE `fid`=:2 AND `deleted`=:3 AND `locked`=:4 AND `id`=:5' );
            $scr_upd->Execute( 1, $minfo['id'], 0, 0, $scr_id, date( 'U' ), 1, User::GetId() );
    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_screen_locked', $scr_row['name'].'.'.$scr_row['type'], '' );
    		
    		$check_pay1 = new MoneyGold( User::GetId() );                       
            $check_pay1->plugin_pay_test_scr_lock( $minfo['id'] );
            $check_pay2 = new MoneyGold( $scr_row['uid'] );                       
            $check_pay2->plugin_pay_test_scr_lock( $minfo['id'] );
    	}
    	
    }
}


$scr_list = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_screens`  WHERE `fid`=:1' );
$scr_list->Execute( $minfo['id'] );
$screens_list = array();

for( $a = 0; $a < $scr_list->GetNum(); $a++ )
{
	$srow = $scr_list->FetchArray();
	
	if( $srow['deleted'] == 1 )
	    $screens_list['deleted'][] = $srow;
	else if( $srow['locked'] == 1 )
	    $screens_list['locked'][] = $srow;
	else if( $srow['moderated'] == 1 )
	    $screens_list['moderated'][] = $srow;
	else if( $srow['moderated'] == 0 )
	    $screens_list['unmoderated'][] = $srow;
}


parent::SetReturnCData( 'scr_list', $screens_list);  
parent::SetReturnCData( 'subflag', 'gallery');  