<?php
if( !User::GetRight( 'files_edit_full' ) )
    TempeltateEngine::GenerateError( 403 );

if( $minfo['edited_reqs'] )
{		
        $req = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_requerements` WHERE `gid`=:1 ORDER BY  `id` ASC ' );
        $req->Execute( $minfo['gid'] );
		
        for( $a = 0; $a < $req->GetNum(); $a++ )
            $reqs[] = $req->FetchArray();                
            
        $req_array = array();                 
            
        $req_sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_requerements_list` WHERE `fid`=:1 ORDER BY  `rid` ASC' );
        $req_sel->Execute( $minfo['id'] ); 
        
        for( $a = 0; $a < $req_sel->GetNum(); $a++ )
        {
        	$row = $req_sel->FetchArray();
        	$item_return1['reqs'][$row['rid']] = 1;
        	$req_array[] = $row['rid'];
        }
        
         parent::SetReturnCData( 'reqs1' ,$reqs);
        
        $req_string = implode( ',', $req_array );
}

if( $minfo['edited_tags'] )
{	        
        $tag = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_games_links`, `fullrestu_site`.`files_tags` WHERE `files_games_links`.`gid`=:1 AND `files_games_links`.`tid`=`files_tags`.`id` ORDER BY  `files_games_links`.`tid` ASC ' );
        $tag->Execute( $minfo['gid'] );
        
        for( $a = 0; $a < $tag->GetNum(); $a++ )
            $tags[] = $tag->FetchArray();
            
        $tag_array = array(); 
        
	    $tag_sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_tags_links` WHERE `fid`=:1  ORDER BY  `tid` ASC' );
        $tag_sel->Execute( $minfo['id'] ); 
        
        for( $a = 0; $a < $tag_sel->GetNum(); $a++ )
        {
        	$row = $tag_sel->FetchArray();
        	$item_return1['tags'][$row['tid']] = 1;
        	$tag_array[] = $row['tid'];
        }  

        $req_string = implode( ',', $req_array );
        $tag_string = implode( ',', $tag_array );
        
        $role = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_teams_roles` WHERE NOT `rid`=:1 AND NOT `rid`=:2' );
        $role->Execute( 1, 7 ); 
        
        for( $a = 0; $a < $role->GetNum(); $a++ )
        {
        	$row = $role->FetchAssoc();
        	$roles[$row['rid']] = $row;
        }
        
         parent::SetReturnCData( 'tags1', $tags);
        
        $tag_string = implode( ',', $tag_array );
}

if( $_POST['edit_tag'] && $minfo['edited_tags'] )
{   	    
    foreach( $_POST['tags'] as $i => $v )
       $tag_aarys[] = (int)$i;   

    $tag_implode = implode( ',', $tag_aarys );
    $req_implode = implode( ',', $req_aarys );
    
    if( $tag_string != $tag_implode )
    {
        $tag_del = DBChose::PrepareDriver( 'DELETE FROM `fullrestu_site`.`files_tags_links` WHERE `fid`=:1' );
        $tag_del->Execute( $minfo['id'] );
        	
        foreach( $_POST['tags'] as $i => $v )
        {
            $tag_ins = DBChose::PrepareDriver( 'INSERT INTO `fullrestu_site`.`files_tags_links` ( `fid`, `tid` ) VALUES ( :1, :2 )' );
            $tag_ins->Execute( $minfo['id'], (int)$i );            	
        }
        
    	$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_tags`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 1 );
    	
    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_tags', $tag_string, $tag_implode );
	       	
    	//parent::$Return['item']['tags'] = array();
    	
    	$tag_sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_tags_links` WHERE `fid`=:1  ORDER BY  `tid` ASC' );
        $tag_sel->Execute( $minfo['id'] );         
        
        for( $a = 0; $a < $tag_sel->GetNum(); $a++ )
        {
        	$row = $tag_sel->FetchArray();
        	$item_return1['tags'][$row['tid']] = 1;
        }     	
    }
    
    if( isXmlHttpRequest() )
        exit;

}

if( $_POST['edit_req'] && $minfo['edited_reqs'] )
{	
    foreach( $_POST['reqs'] as $i => $v )
       $req_aarys[] = (int)$i;         	
        
    if( $req_string != $req_implode )
    {
        $req_del = DBChose::PrepareDriver( 'DELETE FROM `fullrestu_site`.`files_requerements_list` WHERE `fid`=:1' );
        $req_del->Execute( $minfo['id'] );
        	
        foreach( $_POST['reqs'] as $i => $v )
        {
            $req_ins = DBChose::PrepareDriver( 'INSERT INTO `fullrestu_site`.`files_requerements_list` ( `fid`, `rid` ) VALUES ( :1, :2 )' );
            $req_ins->Execute( $minfo['id'], (int)$i );            	
        }
        
        $upd2 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_reqs`=:3 WHERE `id`=:1' );
        $upd2->Execute( $minfo['id'], date( 'U' ), 1 );

        HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_reqs', $req_string, $req_implode );	
        
        //parent::$Return['item']['reqs'] = array();
    	
        $req_sel = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_requerements_list` WHERE `fid`=:1 ORDER BY  `rid` ASC' );
        $req_sel->Execute( $minfo['id'] ); 
        
        for( $a = 0; $a < $req_sel->GetNum(); $a++ )
        {
        	$row = $req_sel->FetchArray();
        	$item_return1['tags'][$row['rid']] = 1;
        }
    }
    
    if( isXmlHttpRequest() )
        exit;

}

if( $_POST['edit_info'] )
{
	//echo $_POST['olink'];
	
	if( !empty( $_POST['olink'] ) )
	{
	    $array = explode( '://', $_POST['olink'] );	
	    $http_s = $array[0];
	
	    if( $http_s != 'http' && $http_s != 'https' )
	        $errors['olink_http'] = 1;
	
	    $array2 = explode( '/', $array[1] ); 

	    if( sizeof( $array2 ) == 1 || $array2[1] == '' )
	        $errors['olink_root'] = 1;
	
	    $array3 = explode( '.', $array2[0] ); 

	    for( $a = 0; $a < sizeof( $array3 ); $a++ )
	    {
		    if( !RegEx::check_IsLatinNum( $array3[$a] ) )
		        $errors['olink_domain'] = 1;
	    }
	
	    if( $errors['olink_http'] != 1 && $errors['olink_root'] != 1 && $errors['olink_domain'] != 1 )
	    {
	    	$olink = htmlspecialchars( strip_tags( $_POST['olink'] ) );
	    	
	    	if( $olink != $minfo['link_source'] )
	    	{
	    		$minfo1['link_source'] = $olink;
	    		parent::SetReturnCData( 'minfo', $minfo1);
	    		
	    		$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `link_source`=:2, `date_update`=:3, `edited_main_olink`=:4 WHERE `id`=:1' );
                $insert->Execute( $minfo['id'], $olink, date( 'U' ), 1 );
                
	    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_slink', $minfo['link_source'], $olink );
	    	}
	    	
	    }
	}
	
	
    if( !empty( $_POST['dlink'] ) )
	{
	    $array = explode( '://', $_POST['dlink'] );	
	    $http_s = $array[0];
	
	    if( $http_s != 'http' && $http_s != 'https' )
	        $errors['dlink_http'] = 1;
	
	    $array2 = explode( '/', $array[1] ); 

	    if( sizeof( $array2 ) == 1 || $array2[1] == '' )
	        $errors['dlink_root'] = 1;
	
	    $array3 = explode( '.', $array2[0] );

	    $num = sizeof( $array3 );

	    for( $a = 0; $a < $num; $a++ )
	    {
		    if( !RegEx::check_IsLatinNum( $array3[$a] ) )
		        $errors['dlink_domain'] = 1;
	    }
	    
	    if( $array3[$num - 2] != 'fullrest' || $array3[$num - 1] != 'ru' )
	        $errors['dlink_fullrest'] = 1;
	
	    if( $errors['dlink_http'] != 1 && $errors['dlink_root'] != 1 && $errors['dlink_domain'] != 1 && $errors['dlink_fullrest'] != 1 )
	    {
	    	$dlink = htmlspecialchars( strip_tags( $_POST['dlink'] ) );
	    	
	    	if( $dlink != $minfo['link_forum'] )
	    	{

	    		$minfo1['link_forum'] = $dlink;  		
	    		
	    		$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `link_forum`=:2, `date_update`=:3, `edited_main_dlink`=:4 WHERE `id`=:1' );
                $insert->Execute( $minfo['id'], $dlink, date( 'U' ), 1 );
                
	    		HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_flink', $minfo['link_forum'], $dlink );
	    	}
	    	
	    }
	}
	
	if( !empty( $_POST['title'] ) )
	{
		$title = htmlspecialchars( $_POST['title'] );		
		
		if( $title != $minfo['title'] )
		{
	    	$minfo1['title'] = $title;
	    		
	    	$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `title`=:2, `date_update`=:3, `edited_main_title`=:4 WHERE `id`=:1' );
            $insert->Execute( $minfo['id'], $title, date( 'U' ), 1 );
                
	    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_title', $minfo['title'], $title );	
		}
		
	}
	
    if( !empty( $_POST['otitle'] ) )
	{
		$otitle = htmlspecialchars( $_POST['otitle'] );		
		
		if( $otitle != $minfo['otitle'] )
		{
	    	$minfo1['otitle'] = $otitle;
	    		
	    	$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `otitle`=:2, `date_update`=:3, `edited_main_otitle`=:4 WHERE `id`=:1' );
            $insert->Execute( $minfo['id'], $otitle, date( 'U' ), 1 );
                
	    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_otitle', $minfo['otitle'], $otitle );	
		}
		
	}
	
    if( !empty( $_POST['descr'] ) )
	{
		$descr = htmlspecialchars( $_POST['descr'] );		
		
		if( $descr != $minfo['description'] )
		{
			$minfo1['description'] = $descr;

	    	$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `description`=:2, `date_update`=:3, `edited_main_descr`=:4 WHERE `id`=:1' );
            $insert->Execute( $minfo['id'], $descr, date( 'U' ), 1 );
                
	    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_descr', $minfo['description'], $descr );	
		}
		
	}
	
    $version = htmlspecialchars( (int)$_POST['ver_p1'].'.'.(int)$_POST['ver_p2'].'.'.(int)$_POST['ver_p3'].$_POST['ver_p4'] );

    if( !empty( $version ) )
	{
		
		if( $version != $minfo['version'] )
		{
			$minfo1['version'] = $version;

	    	$insert = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `version`=:2, `date_update`=:3, `edited_main_ver`=:4 WHERE `id`=:1' );
            $insert->Execute( $minfo['id'], $version, date( 'U' ), 1 );
                
	    	HistoryFiles::AddHistory( $minfo['id'], 'plugin_changed_ver', $minfo['version'], $version );	
		}
		
	}
 
    if( isXmlHttpRequest() )
    {
?>
 <table class="standart">
<?php 
        if( $minfo['edited_main_title'] )
        {
?>  
  <tr>
   <td>Заголовок</td>
   <td><input style="width:300px;" type="text"     name="title" value="<?php echo htmlspecialchars_decode( $minfo1['title'] ); ?>"/></td>
  </tr>
<?php 
        }
        
        if( $minfo['edited_main_otitle'] )
        {
?>   
  <tr>
   <td>Оригинальный заголовок</td>
   <td><input style="width:300px;" type="text"     name="otitle" value="<?php echo htmlspecialchars_decode( $minfo1['otitle'] ); ?>"/></td>
  </tr>
<?php
        } 
        if( $minfo['edited_main_dlink'] )
        {   
?>   
  <tr>
   <td>Ссылка на обсуждение</td>
   <td><input style="width:300px;" type="text"     name="dlink" value="<?php echo htmlspecialchars_decode( $minfo1['link_forum'] ); ?>"/></td>
  </tr>
<?php
        }
         
        if( $minfo['edited_main_olink'] )
        {
?>   
  <tr>
   <td>Ссылка на оригинал</td>
   <td><input style="width:300px;" type="text"     name="olink" value="<?php echo htmlspecialchars_decode( $minfo1['link_source'] ); ?>"/></td>
  </tr>
<?php
        }
        
        if( $minfo['edited_main_ver'] )
        {
?>   
  <tr>
   <td>Версия дополнения</td>
   <td>
     <table class="standart">
      <tr>
       <td class="p0 p5_r  w100">
     <select name="ver_p1">
<?php 
        // ВЕРСИЯ
    
        $parts0 = explode( '_', $minfo1['version'] );

        $parts1 = explode( '.', $parts0[0] );

        $selected[$parts0[1]] = ' selected';

        for( $a = 0; $a < 100; $a++ )
        {
?>
     <option value="<?php echo $a; ?>" <?php if( $parts1[0] == $a ) echo ' selected'; ?>><?php echo $a; ?></option>
<?php 
        }
?>
     </select>      
       </td>
       <td class="p0 p5_r  w100">
     <select name="ver_p2">
<?php 
        for( $a = 0; $a <= 100; $a++ )
        {
?>
      <option value="<?php echo $a; ?>" <?php if( $parts1[1] == $a ) echo ' selected'; ?>><?php echo $a; ?></option>
<?php 
        }
?>
     </select>      
       </td>
       <td class="p0 p5_r  w100" >
     <select name="ver_p3">
<?php 
        for( $a = 0; $a <= 100; $a++ )
        {
?>
      <option value="<?php echo $a; ?>" <?php if( $parts1[2] == $a ) echo ' selected'; ?>><?php echo $a; ?></option>
<?php 
        }
?>
     </select>      
       </td>
       <td class="p0" style="width:140px;">
     <select name="ver_p4">
      <option value=""<?php echo $selected[''];?>></option>
      <option value="_alpha"<?php echo $selected['alpha'];?>>alpha</option>
      <option value="_beta"<?php echo $selected['beta'];?>>beta</option>
      <option value="_rc1"<?php echo $selected['rc1'];?>>rc1</option>
      <option value="_rc2"<?php echo $selected['rc2'];?>>rc2</option>
      <option value="_rc3"<?php echo $selected['rc3'];?>>rc3</option>
      <option value="_final"<?php echo $selected['final'];?>>final</option>
     </select>      
       </td>
       <td class="p0">&#160;</td>
      </tr>
     </table>
   </td>
  </tr>
<?php
        }
         
        if( $minfo['edited_main_descr'] )
        {
?>   
  <tr>
   <td>Описание</td>
   <td><textarea name="descr"><?php echo htmlspecialchars_decode( $minfo1['description'] ); ?></textarea></td>
  </tr>
<?php 
        }
?>  
  <tr>
   <td></td>
   <td><input type="submit" name="edit_info" value="Внести изменения" /></td>
  </tr>
 </table>    	
<?php     	
    	exit;
    }

}

if( $_GET['act'] == 'moderate' )
{
	if( $_GET['type'] == 'main' && ( $minfo['edited_main_olink'] || $minfo['edited_main_dlink'] || $minfo['edited_main_title'] || $minfo['edited_main_otitle'] || $minfo['edited_main_descr'] || $minfo['edited_main_ver'] ) )
	{
		
		unset( $minfo['edited_main_olink'], 
		       $minfo['edited_main_dlink'], 
		       $minfo['edited_main_title'], 
		       $minfo['edited_main_otitle'], 
		       $minfo['edited_main_descr'],
		       $minfo['edited_main_ver'],
               $minfo1['edited_main_olink'],
               $minfo1['edited_main_dlink'],
               $minfo1['edited_main_title'],
               $minfo1['edited_main_otitle'],
               $minfo1['edited_main_descr'],
               $minfo1['edited_main_ver']               
		       );
		
		$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_main_olink`=:3, `edited_main_dlink`=:3, `edited_main_title`=:3, `edited_main_otitle`=:3, `edited_main_descr`=:3, `edited_main_ver`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 0 );
        
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_main( $minfo['id'] );
		
		HistoryFiles::AddHistory( $minfo['id'], 'plugin_moderated_main', 1, 1 );	
	}
	else if( $_GET['type'] == 'reqs' && $minfo['edited_reqs'] )
	{
		unset( $minfo['edited_reqs'], $minfo1['edited_reqs'] );
		
		$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_reqs`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 0 );
                    
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_reqs( $minfo['id'] );
        
		HistoryFiles::AddHistory( $minfo['id'], 'plugin_moderated_reqs', 1, 1 );	
	}
	else if( $_GET['type'] == 'tags' && $minfo['edited_tags'] )
	{
		unset( $minfo['edited_tags'], $minfo1['edited_tags'] );
		
		$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_tags`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 0 );
        
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_tags( $minfo['id'] );
        
		HistoryFiles::AddHistory( $minfo['id'], 'plugin_moderated_tags', 1, 1 );	
	}
    else if( $_GET['type'] == 'authors' && $minfo['edited_authors'] )
	{
		unset( $minfo['edited_authors'], $minfo1['edited_authors'] );
		
		$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `edited_authors`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 0 );
        
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_auth( $minfo['id'] );
        
		HistoryFiles::AddHistory( $minfo['id'], 'plugin_moderated_auth', 1, 1 );	
	}
}

if( $_POST['submit_ranks'] && $minfo['deleted'] == 0 && $minfo['complete'] == 1 && $minfo['tested'] == 0 )
{	
	unset( $_POST['submit_ranks'] );
	
	$data_input = array();
	$data_pay   = array(); 
	if( sizeof( $_POST ) == 3 )
	{	
	    foreach( $_POST as $i => $v )
	    {
	    	if( $v >= 1 && $v <= 3 )
	    	{	    
	    	    $parts = explode( '___', $i );	
	    	    if( $rank_list[$parts[1]]['info']['name'] == $parts[0] )
	    	    {
	    	        $data_input[] = 'INSERT INTO `fullrestu_site`.`files_ranks_list` ( `fid`, `rid`, `val` ) VALUES ( \''.$minfo['id'].'\', \''.$parts[1].'\', \''.$v.'\' )';
	    	        $data_pay[]   = $v;
	    	    }

	    	    unset( $parts );
	    	}
	    }		
	}
	
	if( sizeof( $data_input ) == 3 )
	{	    
	    $upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files` SET `date_update`=:2, `tested`=:3 WHERE `id`=:1' );
        $upd1->Execute( $minfo['id'], date( 'U' ), 1 );
        
        foreach( $data_input as $i => $v )
        {
        	$rank_add = DBChose::PrepareDriver( $v );
            $rank_add->Execute();
            
            unset( $rank_add );
        }
	    
	    $check_pay1 = new MoneyGold( $minfo['uid'] );                       
        $check_pay1->plugin_pay_test_ranks_author( $minfo['id'], $data_pay );
        $check_pay2 = new MoneyGold( User::GetId() );                       
        $check_pay2->plugin_pay_test_ranks_tester( $minfo['id'], $data_pay );
	    
	    HistoryFiles::AddHistory( $minfo['id'], 'plugin_moderated_rank', 1, 1 );	
	    
	    $minfo['tested'] = 1; 
		$minfo1['tested'] = 1;
	}
}


if( $_GET['act'] == 'ulink_del' )
{
	$se1 = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_ulinks` WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4' );
    $se1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'] ); 
    
    if( $se1->GetNum() )
    {
    	$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_ulinks` SET `deleted`=\'1\' WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4' );
        $upd1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'] ); 
        
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_links_deleted', 0, 1, (int)$_GET['id'] );	
    }
}
else if( $_GET['act'] == 'moderate'  )
{
	$se1 = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_ulinks` WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4 AND `moderated`=:5' );
    $se1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'], 0 ); 
    
    if( $se1->GetNum() )
    {
    	$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_ulinks` SET `moderated`=\'1\' WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4 AND `moderated`=:5' );
        $upd1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'], 0 ); 
        
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_link_moderate( $minfo['id'] );
        
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_links_moderated', '0', '1', (int)$_GET['id'] );	
    }
}
else if( $_GET['act'] == 'lock' )
{
	$se1 = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_ulinks` WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4 AND `moderated`=:5' );
    $se1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'], 1 ); 
    
    if( $se1->GetNum() )
    {
    	$upd1 = DBChose::PrepareDriver( 'UPDATE `fullrestu_site`.`files_ulinks` SET `locked`=\'1\', `show`=\'1\' WHERE `fid`=:1 AND `deleted` =:2 AND `locked`=:3 AND `link_id`=:4 AND `moderated`=:5' );
        $upd1->Execute( $minfo['id'], 0, 0, (int)$_GET['id'], 1 ); 
        
        $check_pay1 = new MoneyGold( User::GetId() );                       
        $check_pay1->plugin_pay_test_link_lock( $minfo['id'] );
        $check_pay2 = new MoneyGold( $minfo['uid'] );                       
        $check_pay2->plugin_pay_test_link_lock( $minfo['id'] );
        
        HistoryFiles::AddHistory( $minfo['id'], 'plugin_links_locked', '0', '1', (int)$_GET['id'] );	
    }
}



$usels = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_ulinks` WHERE `fid`=:1 AND `deleted` =:2 AND ( `moderated`=:3 OR `locked`=:3 )' );
$usels->Execute( $minfo['id'], 0, 0 ); 

for( $a = 0; $a < $usels->GetNum(); $a++ )
{
	$use_links[] = $usels->FetchArray();
}  


parent::SetReturnCData( 'u_links', $use_links);


        if( $_GET['act'] == 'author_delete' )
        {
        	$aid = (int)$_GET['id'];
        	
        	$selc = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_teams`  WHERE `fid`=:1 AND NOT `rid`=:2 AND NOT `rid`=:3 AND `ta`=:4' );
            $selc->Execute( $minfo['id'], 1, 7, $aid );
            
            if( $selc->GetNum() )
            {
            	$selc_row = $selc->FetchArray();
            	
            	$del = DBChose::PrepareDriver( 'DELETE FROM `fullrestu_site`.`files_teams`  WHERE `fid`=:1 AND NOT `rid`=:2 AND NOT `rid`=:3 AND `ta`=:4' );
                $del->Execute( $minfo['id'], 1, 7, $aid );
                
                if( $selc_row['registered'] )                
                    HistoryFiles::AddHistory( $minfo['id'], 'plugin_author_del', '1,'.$selc_row['rid'].','.$selc_row['person_id'], '' );
                else
                    HistoryFiles::AddHistory( $minfo['id'], 'plugin_author_del', '0,'.$selc_row['rid'].','.$selc_row['person_id'].','.$selc_row['email'], '' );	
            }
        	
        	
        }
        
        $tem = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_teams`, `fullrestu_site`.`members`  WHERE `fid`=:1 AND `registered`=\'1\' AND `members`.`id` = `files_teams`.`person_id` ORDER BY  `files_teams`.`rid` ASC ' );
        $tem->Execute( $minfo['id'] );
        
        for( $a = 0; $a < $tem->GetNum(); $a++ )
            $teams[] = $tem->FetchArray();
            
        unset( $tem );

        $tem = DBChose::PrepareDriver( 'SELECT * FROM `fullrestu_site`.`files_teams`  WHERE `fid`=:1 AND `registered`=\'0\' ORDER BY  `files_teams`.`rid` ASC ' );
        $tem->Execute( $minfo['id'] );
        
        for( $a = 0; $a < $tem->GetNum(); $a++ )
            $teams[] = $tem->FetchArray();
        
        parent::SetReturnCData( 'teams', $teams);
        parent::SetReturnCData( 'roles', $roles);
		parent::SetReturnCData( 'minfo', $minfo1);
		parent::SetReturnCData( 'item',  $item_return1 );


    
