<?php
class Module extends PModule
{
    public function act_index()
    {    		       	    
        $select = DBChose::PrepareDriver( 'SELECT * FROM `game_items`' );
        $select->Execute();
    	$title_str = 'Игры: ';
    	
        for( $a = 0; $a < $select->GetNum(); $a++ )
        {
            $row = $select->FetchAssoc();
        	$games_arr[$row['name']] = $row;
        	
        	$titles[] = $row['title3'];
        }
        
        parent::SetTitle( $title_str.implode( ' | ', $titles ) );
        parent::AddBreadCorn( 'games', 'Игры', '' );
             
    	
    	parent::SetMenuLeft( 1, 0 );
    	
    	parent::AddMenuLeft_head( 'main', 'Игры' ); 
    	
    	foreach( $games_arr as $i => $v )
    		parent::AddMenuLeft_item( 'main', SHOST.'/'.$v['name'], '', 0, $v['title2'], '', array() );
   	    
   	    if( User::GetRight( 'games_add' ) )
   	    {
   	        $article_id = (int)$_GET['id'];

    	    if( $article_id )
    	    {    	    
    	        
    	    	$article_check = DBChose::PrepareDriver( 'SELECT * FROM `game_articles`  WHERE `artic_id`=:1' );
                $article_check->Execute( $article_id );
            
                if( $article_check->GetNum() )
                {
    		        $nrow = $article_check->FetchAssoc();
    		    
    		        if( $nrow['uid'] == User::GetId() )
    		            $owner = true;
    		        else
    		            $owner = false;
            	
    		        if( $nrow['locked'] == 0 && $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'games_restore' ) && ( $owner || User::GetRight( 'games_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `deleted`=:5  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                        $article_update->Execute( $article_id, 0, 1, 1, 0 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && ( $owner || ( User::GetRight( 'games_edit_full' ) && User::GetRight( 'games_delete' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `deleted`=:5  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['blocked'] == 0 && $_GET['act'] == 'lock' && User::GetRight( 'games_lock' ) && ( $owner || User::GetRight( 'games_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `locked`=:5, `show`=:6, `moderated`=:7  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `locked`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1, 1, 1 );
    	            }
    	            else if( $nrow['locked'] == 0 && $nrow['moderated'] == 0 && $_GET['act'] == 'moderate' && User::GetRight( 'games_moderate' ) && ( $owner || User::GetRight( 'games_edit_full' ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `moderated`=:5  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `moderated`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
                    else if( $nrow['locked'] == 0 && $nrow['show'] == 0 && $_GET['act'] == 'show' && ( $owner || ( User::GetRight( 'games_edit_full' ) && User::GetRight( 'games_hide_show' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `show`=:5  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 0, 1 );
    	            }
                    else if( $nrow['locked'] == 0 && $nrow['show'] == 1 && $_GET['act'] == 'hide' && ( $owner || ( User::GetRight( 'games_edit_full' ) && User::GetRight( 'games_hide_show' ) ) ) )
    	            {
    		            $article_update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `show`=:5  WHERE `artic_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                        $article_update->Execute( $article_id, 0, 0, 1, 0 );
    	            }
                }
    	    }
    	
            foreach( $games_arr as $i => $v )
            {
   	            parent::AddMenuLeft_head( 'main'.$i, $v['title2'] ); 

   	            parent::AddMenuLeft_item( 'main'.$i, SHOST.'/games', $v['name'].'-articles',    1, 'Все статьи',      '', array() );
   	            parent::AddMenuLeft_item( 'main'.$i, SHOST.'/games', $v['name'].'-add_article', 1, 'Добавить статью', '', array() );   	        
            }
        
        
        
            parent::AddMenuLeft_head( 'mainx', 'Остальные статьи' );

            parent::AddMenuLeft_item( 'mainx', SHOST.'/games', 'acomposed', 1, 'Составные статьи', '', array() );
   	        parent::AddMenuLeft_item( 'mainx', SHOST.'/games', 'ahidden',   1, 'Скрытые статьи',   '', array() );   
   	        parent::AddMenuLeft_item( 'mainx', SHOST.'/games', 'adeleted',  1, 'Удаленные статьи', '', array() );  
   	    
   	    
   	        $select = DBChose::PrepareDriver( 'SELECT * FROM `game_articles_types`' );
            $select->Execute();
        
            for( $a = 0; $a < $select->GetNum(); $a++ )
            {
                $row = $select->FetchAssoc();
        	    $games_stat[$row['type_id']] = $row;
            }
   	    
   	        $uri_arr = explode( '-', UrlDecoder::GetCUri( 1 ) );
   	        
   	        
   	    
   	        if( $games_arr[$uri_arr[0]]['game_id'] )
   	        {
   	    	    if( $uri_arr[1] == 'articles' )
   	    	    {                    
   	    	        parent::AddBookMark( SHOST.'/games/'.UrlDecoder::GetCUri( 1 ), '',     2, 'Список',     '', array() );
    	            parent::AddBookMark( SHOST.'/games/'.UrlDecoder::GetCUri( 1 ), 'sort', 2, 'Сортировка', '', array() );

    	            if( UrlDecoder::GetCUri( 2 ) == 'sort' )
    	            {
    	                if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                        {
                            unset( $_POST['sorter_checker'] );
            	
            	            foreach( $_POST['order'] as $i => $v )
            	            {            		            		
                                $update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `order`=:1 WHERE `artic_id`=:2' );
                                $update->Execute( (int)$i, (int)$v );
            	            }
            	    
                            exit;
                        }
    	            }
   	        	
   	        	    $this->articles_list( $games_arr[$uri_arr[0]]['game_id'], 1, 0 );

   	        	    if( UrlDecoder::GetCUri( 2 ) == 'sort' )
   	        	        parent::SetFlag1( 'sort' );  	    	    	
   	    	    }
   	    	    else if( $uri_arr[1] == 'add_article' )
   	    	    {
   	    		    if( $_POST['new_news_submit'] )
   	    		    {
   	    		    	 $name   = trim( $_POST['name']        );
   	        	         $title  = trim( $_POST['title']       );
   	        	         $text   = trim( $_POST['text']        );
   	        	         $descr  = trim( $_POST['description'] );  
   	        	         
   	        	         $cat    = (int)$_POST['cat']; 
   	        	         $par    = (int)$_POST['par'];
   	        	          
   	        	         $date   = date( 'U' );   	
   	        	                 	
   	        	         $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	         $bbcode = $bbret['bbcode'];
   	        	         $text   = $bbret['text'];  
   	        	
   	        	         $title  = htmlspecialchars( $title );
   	        	         $descr  = htmlspecialchars( $descr );
   	        	         
   	        	         if( empty( $name ) || $name == '' )
   	        	             $errors['name_empty'] = true;   	        	    

   	        	         if( !RegEx::check_IsLatinNum( $name ) )
   	        	             $errors['name_format'] = true;
   	        	         else
   	        	         {
   	        		         $nchk = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `name`=:1' );  
   	        		         $nchk->Execute( $name );                     
                    
                             if( $nchk->GetNum() ) 
                                 $errors['name_exist'] = true;
   	        	         }
   	        	        
   	        	         if( empty( $title ) || $title == '' )
   	        	             $errors['title_empty'] = true;
   	        	    
   	        	         if( empty( $text ) || $text == '' )
   	        	            $errors['text_empty'] = true; 
   	        	            
   	        	         
   	        	         if( !sizeof( $errors ) )
   	        	         {
   	        	         	  $insert = DBChose::PrepareDriver( 'INSERT INTO `game_articles` ( `parent_id`, `uid`, `date_add`, `date_update`, `type`, `description`, `name`, `title`, `game`,     `text_ready`, `text_bbcode` ) 
                                                                 VALUES                      (  :1,          :2,    :3,         :3,            :4,     :5,            :6,     :7,      :8,     \''.$text.'\', \''.$bbcode.'\' )' );
                              $insert->Execute( $par, User::GetId(), $date, $cat, $descr, $name, $title, $games_arr[$uri_arr[0]]['game_id'] );

                              $select = DBChose::PrepareDriver( 'SELECT * FROM `game_articles`  WHERE `uid`=:1 AND `name`=:2' );
                              $select->Execute( User::GetId(), $name ); 
                    
                    
                              if( $select->GetNum() )
                              {
                    	          $row = $select->FetchAssoc();
                    	
                    	          base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.$uri_arr[0].'-edit_article/'.$row['name'] );
                              }
                              else
                                  $errors['wrong'] = true; 
   	        	         }
   	    		    }
   	    	    	
   	    	    	$select = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `parent_id`=:1 AND `deleted`=:2 AND `game`=:3' );
                    $select->Execute( 0, 0, $games_arr[$uri_arr[0]]['game_id'] );
   	    	    	
   	    	        for( $a = 0; $a < $select->GetNum(); $a++ )
        	            $articles[] = $select->FetchAssoc();

        	        parent::SetReturnCData( 'articles', $articles  );    
   	    		    parent::SetFlag1( 'add' );
   	    	    }
   	    	    else if( $uri_arr[1] == 'edit_article' )
   	    	    {
   	    	    	$nchk = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `name`=:1 AND `deleted`=:2 AND `locked`=:3' );  
   	        		$nchk->Execute( UrlDecoder::GetCUri( 2 ), 0, 0 );  
   	        		
   	        		if( !$nchk->GetNum() )
   	        		    TempeltateEngine::GenerateError( 404 );
   	        		    
   	        		$nrow = $nchk->FetchAssoc();
   	        		
   	        		if(  $nrow['uid'] == User::GetId()  )
   	        		    $owner = true;
   	        		else
   	        		    $owner = false;
   	        		    
   	        		if( ( $owner && User::GetRight( 'games_edit_self' ) ) || User::GetRight( 'games_edit_full' ) )
   	        		{
   	        		    if( $_POST['new_news_submit'] )
   	        			{
   	        			    
   	        				$name   = trim( $_POST['name']        );
   	        	            $title  = trim( $_POST['title']       );
   	        	            $text   = trim( $_POST['text']        );
   	        	            $descr  = trim( $_POST['description'] );  
   	        	         
   	        	            $cat    = (int)$_POST['cat']; 
   	        	            $par    = (int)$_POST['par'];
   	        	             
   	        	            $date   = date( 'U' );   	
   	        	                 	
   	        	            $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	            $bbcode = $bbret['bbcode'];
   	        	            $text   = $bbret['text'];  
   	        	
   	        	            $title  = htmlspecialchars( $title );
   	        	            $descr  = htmlspecialchars( $descr );
   	        	            
   	        	            if( empty( $name ) || $name == '' )
   	        	                $errors['name_empty'] = true;   	        	    

   	        	            if( !RegEx::check_IsLatinNum( $name ) )
   	        	                $errors['name_format'] = true;
   	        	            else
   	        	            {
   	        	            	if( $nrow['name'] != $name )
   	        	            	{
   	        		                $nchk = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `name`=:1' );  
   	        		                $nchk->Execute( $name );                     
                    
                                    if( $nchk->GetNum() ) 
                                        $errors['name_exist'] = true;
   	        	            	}
   	        	            }
   	        	        
   	        	            if( empty( $title ) || $title == '' )
   	        	                $errors['title_empty'] = true;
   	        	    
   	        	            if( empty( $text ) || $text == '' )
   	        	               $errors['text_empty'] = true; 
   	        	               
   	        	               

   	        	            if( !sizeof( $errors ) )
   	        	            {
   	        	                
   	        	            	if( $name != $nrow['name'] )
    		    		    	    $sql_update = 'UPDATE `game_articles` SET `name`=\''.$name.'\', `parent_id`=\''.$par.'\', `type`=\''.$cat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `description`=\''.$descr.'\', `text_ready`=\''.$text.'\', `text_bbcode`=\''.$bbcode.'\' WHERE `artic_id`=\''.$nrow['artic_id'].'\'';
    		    			    else
    		    		    	    $sql_update = 'UPDATE`game_articles` SET `parent_id`=\''.$par.'\', `type`=\''.$cat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `description`=\''.$descr.'\', `text_ready`=\''.$text.'\', `text_bbcode`=\''.$bbcode.'\' WHERE `artic_id`=\''.$nrow['artic_id'].'\'';
    		    	
    		    			    $update = DBChose::PrepareDriver( $sql_update );
                                $update->Execute(); 
    		    		    	
    		    		        if( $nrow['name'] != $name )
   	        	    		    { 
                            	    $select = DBChose::PrepareDriver( 'SELECT * FROM `game_articles`  WHERE `name`=:1' );
                            	    $select->Execute( $name ); 
                    
                    
                            	    if( $select->GetNum() )
                            	    {
                    	       	        $row = $select->FetchAssoc();
                    	
                    	        	    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.$uri_arr[0].'-edit_article/'.$row['name'] );
                            	    }
                            	    else
                                	    $errors['wrong'] = true; 
   	        	    		    }
   	        	    		    else
   	        	    		    {
   	        	                    $nrow['title']       = $_POST['title'];
   	        	                    $nrow['text_bbcode'] = $_POST['text'];
   	        	                    $nrow['description'] = $_POST['description'];     	        	         
   	        	                    $nrow['type']        = $_POST['cat']; 
   	        	                    $nrow['parent_id']   = $_POST['par'];
   	        	    		
   	        	    			    parent::SetFlag3( 'complete' );
   	        	    		    }
   	        	            }
   	        			}
   	        			
   	        			$select = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `parent_id`=:1 AND `deleted`=:2 AND `game`=:3 AND NOT `artic_id`=:4' );
                        $select->Execute( 0, 0, $games_arr[$uri_arr[0]]['game_id'], $nrow['artic_id'] );
   	    	    	
   	    	            for( $a = 0; $a < $select->GetNum(); $a++ )
        	                $articles[] = $select->FetchAssoc();

        	            parent::SetReturnCData( 'articles', $articles  ); 
   	        			
   	        			
   	        			parent::SetReturnCData( 'article', $nrow );
   	        			parent::SetFlag1( 'edit' );
   	        		}    
   	    	    } 	    
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'acomposed' )
   	        {
   	        	parent::AddBookMark( SHOST.'/games/acomposed', '',     2, 'Список',     '', array() );
    	        parent::AddBookMark( SHOST.'/games/acomposed', 'sort', 2, 'Сортировка', '', array() );

    	        if( UrlDecoder::GetCUri( 2 ) == 'sort' )
    	        {
    	            if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                    {
                        unset( $_POST['sorter_checker'] );
            	
            	        foreach( $_POST['order'] as $i => $v )
            	        {            		            		
                            $update = DBChose::PrepareDriver( 'UPDATE `game_articles` SET `order`=:1 WHERE `artic_id`=:2' );
                            $update->Execute( (int)$i, (int)$v );
            	        }
            	    
                        exit;
                    }
    	        }
   	        	
   	        	$this->articles_list( 'all', 'all', 0 );

   	        	if( UrlDecoder::GetCUri( 2 ) == '' )
   	        	    parent::SetFlag1( 'composed' );
   	        	else
   	        	    parent::SetFlag1( 'composed-sort' );
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'ahidden' )
   	        {
   	        	$this->articles_list( 'all', 0, 0 ); 
   	        }
   	        else if( UrlDecoder::GetCUri( 1 ) == 'adeleted' )
   	        {
   	        	$this->articles_list( 'all', 'all', 1 ); 
   	        }
   	    }
   	    
   	    parent::SetReturnCData( 'game',   $uri_arr[0] );
   	    parent::SetReturnCData( 'games',  $games_arr  );
   	    parent::SetReturnCData( 'types',  $games_stat );
   	    parent::SetReturnCData( 'errors', $errors     );
    }
    
    private function articles_list( $game = 'all', $show = 'all', $deleted = 0 )
    {
    	$array_where = array();
    	
    	if( $game !== 'all' )
    	    $array_where[] = ' `game_articles`.`game` = \''.(int)$game.'\' ';
    	    
    	if( $show !== 'all' )
    	    $array_where[] = ' `game_articles`.`show` = \''.(int)$show.'\' ';
        
    	$array_where[] = ' `game_articles`.`deleted` = \''.(int)$deleted.'\' ';     
    	$array_where[] = ' `members`.`id` = `game_articles`.`uid` '; 
    	
    	$select1 = DBChose::PrepareDriver( 'SELECT `game_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender` FROM `game_articles`, `members`  WHERE '.implode( ' AND ', $array_where ).' ORDER BY  `game_articles`.`order` ASC ' );
        $select1->Execute(); 
        
        for( $a = 0; $a < $select1->GetNum(); $a++ )
        {
        	$row = $select1->FetchAssoc();
        	
        	if( $row['parent_id'] == 0 )
        	    $articles[$row['artic_id']] = $row;
        	else
        	{
        	    $sub_articles[$row['game']][$row['parent_id']][$row['artic_id']]  = $row;
                $sub_parents[$row['artic_id']] = ' `game_articles`.`artic_id` = \''.$row['parent_id'].'\' ';
        	}
        	
        }
        
        $select2 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles`  WHERE '.implode( ' OR ', $sub_parents ) );
        $select2->Execute();
        
        for( $a = 0; $a < $select2->GetNum(); $a++ )
        {
        	$row = $select2->FetchAssoc();

        	$parents[$row['game']][$row['artic_id']]  = $row;
        } 
        
        parent::SetReturnCData( 'articles',  $articles     );
        parent::SetReturnCData( 'parents',   $parents      );
        parent::SetReturnCData( 'sarticles', $sub_articles );
        
        parent::SetFlag1( 'list' );
    }
    
    
    
    
}