<?php
class Module extends PModule
{
    public function act_index()
    {    
    	$group_check = DBChose::PrepareDriver( 'SELECT *  FROM `groups` WHERE `name`=:1 AND `show`=\'1\'' );    	
    	$group_check->Execute( UrlDecoder::GetCUri( 0 ) ); 
    	    
    	if( !$group_check->GetNum() )
    	    TempeltateEngine::GenerateError( 404 );
    	    
    	$grow = $group_check->FetchAssoc();
    	
    	if( $grow['ceo'] == User::GetId() )
    	{
    	    $user_right['ceo']   = true;
    	    $user_right['coceo'] = false;	
    	}
    	else if( $grow['co_ceo'] == User::GetId() )
    	{
    	    $user_right['ceo']   = false;
    	    $user_right['coceo'] = true;	
    	}
    	
    	if( UrlDecoder::GetCUri( 1 ) == '' )
    	{
    		parent::SetReturnCData( 'title_icon', 'ico_crown_gold'       ); 
    		parent::SetReturnCData( 'title',      'Описание группы' );

    		if( $grow['ceo'] )
    		    $mems[] = ' \''.$grow['ceo'].'\' ';
    		    
    		if( $grow['co_ceo'] )
    		    $mems[] = ' \''.$grow['co_ceo'].'\' ';    
    		
    		$members = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE `id` IN ( '.implode( ',', $mems ).' )' );    	
    	    $members->Execute();
    	    
    	    for( $a = 0; $a < $members->GetNum(); $a++ )
    	    {
    	    	$row = $members->FetchAssoc();    	    	
    	    	$members_list[$row['id']] = $row;    	    	
    	    }
    	    
    	    parent::SetReturnCData( 'members', $members_list  ); 
    	}
    	else if( UrlDecoder::GetCUri( 1 ) == 'members' )
    	{
    		$ranks = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks` WHERE `gid`=:1 ORDER BY  `groups_ranks`.`pos` ASC ' );    	
    	    $ranks->Execute( $grow['id'] ); 
    	    
    	    for( $a = 0; $a < $ranks->GetNum(); $a++ )
    	    {
    	    	$row = $ranks->FetchAssoc();    	    	
    	    	$ranks_list[$row['rid']] = $row;
    	    }
    	    
    	    $ranks_link = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks_links` WHERE `gid`=:1' );    	
    	    $ranks_link->Execute( $grow['id'] ); 
    	    
    	    for( $a = 0; $a < $ranks_link->GetNum(); $a++ )
    	    {
    	    	$row = $ranks_link->FetchAssoc();    	    	
    	    	$rank_links[$row['uid']][] = $row['rid'];
    	    }
    	    
    	    $members = DBChose::PrepareDriver( 'SELECT DISTINCT ( `members`.`id` ), `members`.* FROM `members`, `members_secgroups` WHERE `members`.`group_primary`=:1 OR ( `members_secgroups`.`gid`=:1 AND `members_secgroups`.`uid`=`members`.`id` ) ORDER BY  `members`.`nick` ASC' );    	
    	    $members->Execute( $grow['id'] );

    	    for( $a = 0; $a < $members->GetNum(); $a++ )
    	    {
    	    	$row = $members->FetchAssoc();    	    	
    	    	$members_list[$row['id']] = $row;    	    	
    	    	$members_id[] = ' \''.$row['id'].'\' ';
    	    }
    	    
    	    $personal = DBChose::PrepareDriver( 'SELECT * FROM `members_personal` WHERE `id` IN ( '.implode( ',', $members_id ).' )' );    	
    	    $personal->Execute();
    	    
    	    for( $a = 0; $a < $personal->GetNum(); $a++ )
    	    {
    	    	$row = $personal->FetchAssoc();    	    	
    	    	$personal_list[$row['id']] = $row;
    	    }
    	    
    	    
    	    
    	    parent::SetReturnCData( 'title_icon', 'ico_friends'          ); 
    		parent::SetReturnCData( 'title',      'Список пользователей' ); 
    	    
    		parent::SetReturnCData( 'links',   $rank_links    ); 
    		parent::SetReturnCData( 'fpers',   $personal_list ); 
    	    parent::SetReturnCData( 'members', $members_list  ); 
    	    parent::SetReturnCData( 'ranks',   $ranks_list    );
    	    parent::SetFlag1( 'members' ); 
    	}
        else if( UrlDecoder::GetCUri( 1 ) == 'reception' )
    	{
    		parent::SetReturnCData( 'title', 'Приемная' ); 
    		
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/reception', '',          2, 'Устав группы',  '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/reception', 'entering',  2, 'Подать заявку', '', array() );
   	        
   	        parent::SetFlag1( 'reception' );
    	}
    	else if( UrlDecoder::GetCUri( 1 ) == 'edit-descr' && ( ( $user_right['ceo'] || $user_right['coceo'] ) || User::GetRight( 'admin_duke_check' ) )  )
    	{
    	    $members = DBChose::PrepareDriver( 'SELECT DISTINCT ( `members`.`id` ), `members`.* FROM `members`, `members_secgroups` WHERE `members`.`group_primary`=:1 OR ( `members_secgroups`.`gid`=:1 AND `members_secgroups`.`uid`=`members`.`id` ) ORDER BY  `members`.`nick` ASC' );    	
    	    $members->Execute( $grow['id'] );

    	    for( $a = 0; $a < $members->GetNum(); $a++ )
    	    {
    	    	$row = $members->FetchAssoc();    	    	
    	    	$members_list[$row['id']] = $row;    	    	
    	    }
    	    
    	    if( $_POST['new_news_submit'] )
    	    {

   	        	$descr = trim( $_POST['descr']  );
   	        	$terms = trim( $_POST['terms']  );  
   	        	
   	        	$bbret  = BBCode::BBCode_to_HTML( $descr );   	        		        	
   	        	$descr_bbcode = $bbret['bbcode'];
   	        	$descr        = $bbret['text']; 

   	        	$bbret  = BBCode::BBCode_to_HTML( $terms );   	        		        	
   	        	$terms_bbcode = $bbret['bbcode'];
   	        	$terms        = $bbret['text']; 
   	        	
   	        	$invite = (int)$_POST['inviting'];
    	    	$exit   = (int)$_POST['exit'];
    	    	
    	    	if( $user_right['ceo'] )
    	    	    $coceo = (int)$_POST['coceo'];
    	    	else
    	    	    $coceo = (int)$grow['co_ceo'];    
    	    	
    	    	$upd = DBChose::PrepareDriver( 'UPDATE `groups` 
    	    	                                SET 
    	    	                                  `open_inviting` = \''.$invite.'\',  
    	    	                                  `open_exit`     = \''.$exit.'\', 
    	    	                                  `description`   = \''.$descr.'\',  
    	    	                                  `descr_bbcode`  = \''.$descr_bbcode.'\', 
    	    	                                  `terms`         = \''.$terms.'\',  
    	    	                                  `terms_bbcode`  = \''.$terms_bbcode.'\', 
    	    	                                  `co_ceo`        = \''.$coceo.'\'
    	    	                                WHERE `id`=\''.$grow['id'].'\'' );    	
    	        $upd->Execute(  );
    	        
    	        $group_check = DBChose::PrepareDriver( 'SELECT *  FROM `groups` WHERE `name`=:1 AND `show`=\'1\'' );    	
    	        $group_check->Execute( UrlDecoder::GetCUri( 0 ) ); 
    	    
    	    
    	        $grow = $group_check->FetchAssoc();
    	    }
    		
    		parent::SetReturnCData( 'title', 'Редактирование описания группы' );

    		parent::SetTemplFile( 'admin_edit' );
    		
    		parent::SetReturnCData( 'memst',    $members_list  );
    	}
        else if( UrlDecoder::GetCUri( 1 ) == 'edit-rights' && ( ( $user_right['ceo'] || $user_right['coceo'] ) || User::GetRight( 'admin_duke_check' ) ) )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), '',          2, 'Список титулов',        '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), 'add-rank',  2, 'Добавить титул',        '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), 'list-rank', 2, 'Распределение титулов', '', array() );
   	        
   	        if( UrlDecoder::GetCUri( 2 ) == '' )
   	        {
   	        	if( $_GET['act'] == 'del' )
   	        	{
   	        		$del1 = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks_links` WHERE `rid`=:1' );
                    $del1->Execute( (int)$_GET['rid'] );  
                    
                    $del2 = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks_rlinks` WHERE `rank_id`=:1' );
                    $del2->Execute( (int)$_GET['rid'] );  
                    
                    $del3 = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks` WHERE `rid`=:1' );
                    $del3->Execute( (int)$_GET['rid'] );  
   	        	}
   	        	
   	        	$rights = DBChose::PrepareDriver( 'SELECT *  FROM `groups_ranks` WHERE `gid`=:1' );    	
    	        $rights->Execute( $grow['id'] ); 
    	        
    	        for( $a =0; $a < $rights->GetNum(); $a++ )
    	        {
    	        	$row = $rights->FetchAssoc();
    	        	
    	        	$right_list[$row['rid']] = $row;
    	        }
   	        	
    	        parent::SetReturnCData( 'rlist', $right_list      );
   	        	parent::SetReturnCData( 'title', 'Список титулов' );
   	        }
   	        else if( UrlDecoder::GetCUri( 2 ) == 'add-rank' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Добавление титула' );
   	        	
   	        	if( $_POST['new_news_submit'] )
    		    {
    			    $name   = trim( $_POST['name']  );
   	        	    $title  = trim( $_POST['title'] );   	        	
   	        	    $text   = trim( $_POST['text']  ); 
   	        	    
   	        	    $title  = htmlspecialchars( $title );
   	        	    $text   = htmlspecialchars(  $text  );
   	        	    
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        		    $nchk = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks` WHERE `name`=:1' );  $nchk->Execute( $name );                     
 
                        if( $nchk->GetNum() ) $errors['name_exist'] = true;
 
   	        	    }
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( !sizeof( $errors ) )
   	        	    {
                        $insert = DBChose::PrepareDriver( 'INSERT INTO `groups_ranks` ( `gid`, `name`, `title`, `description`, `aid` ) 
                                                                            VALUES    (  :1,    :2,     :3,      :4,            :5   )' );
                        $insert->Execute( $grow['id'], $name, $title, $text, User::GetId() );

                        $select = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks`  WHERE `gid`=:1 AND `name`=:2' );
                        $select->Execute( $grow['id'], $name ); 
                    
                    
                        if( $select->GetNum() )
                        {
                    	    $row = $select->FetchAssoc();
                    	
                    	    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-rank/'.$row['name'] );
                        }
                        else
                            $errors['wrong'] = true; 
   	        	    }  
    		    }   	        	    
   	        }
   	        else if( UrlDecoder::GetCUri( 2 ) == 'list-rank' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Распределение титулов' );
   	        	
   	        	if( $_GET['act'] == 'del' )
   	        	{
   	        		$del = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks_links` WHERE `rid`=:1 AND `gid`=:2 AND `uid`=:3' );
                    $del->Execute( (int)$_GET['rid'], $grow['id'], (int)$_GET['uid']  );  
   	        	}
   	        	
   	        	$select = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks`, `groups_ranks_links`, `members` WHERE `groups_ranks`.`rid`=`groups_ranks_links`.`rid` AND `groups_ranks_links`.`uid`=`members`.`id` AND `groups_ranks_links`.`gid`=:1' );
                $select->Execute( $grow['id'] );  
                
                for( $a = 0; $a < $select->GetNum(); $a++ )
                {
                	$row = $select->FetchAssoc();
                	
                	$ranks[$row['rid']]  = $row['title'];
                	$members[$row['rid']][$row['id']] = $row;
                }
                
                parent::SetReturnCData( 'membs', $members );
                parent::SetReturnCData( 'ranks', $ranks   );
   	        }
    	    else if( UrlDecoder::GetCUri( 2 ) == 'edit-rank' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Редактирование титула' );
   	        	
   	            $select = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks`  WHERE `gid`=:1 AND `name`=:2' );
                $select->Execute( $grow['id'], UrlDecoder::GetCUri( 3 ) );                     
                    
                if( $select->GetNum() )
                {
                    $row = $select->FetchAssoc();
                    
                    $right_select = DBChose::PrepareDriver( 'SELECT * FROM `sett_rights_glink`, `sett_rights_list`  
                                                             WHERE `sett_rights_list`.`right_id`=`sett_rights_glink`.`right_id` AND `sett_rights_glink`.`forall`=\'0\' AND `sett_rights_glink`.`gid`=:1' );
                    $right_select->Execute( $grow['id'] ); 
                    
                    for( $a = 0; $a < $right_select->GetNum(); $a++ )
                    {
                    	$rrow = $right_select->FetchAssoc();
                    	
                    	$right_list[$rrow['right_id']] = $rrow;
                    }
                    
                    if( $_POST['new_news_submit'] )
                    {
                        $name   = trim( $_POST['name']  );
   	        	        $title  = trim( $_POST['title'] );   	        	
   	        	        $text   = trim( $_POST['text']  ); 
   	        	        $rights = $_POST['rights'];
   	        	    
   	        	        $title  = htmlspecialchars( $title );
   	        	        $text   = htmlspecialchars(  $text  );
   	        	    
   	        	        if( empty( $name ) || $name == '' )
   	        	            $errors['name_empty'] = true;   	        	    
 
   	        	         if( !RegEx::check_IsLatinNum( $name ) )
   	        	             $errors['name_format'] = true;
   	        	         else
   	        	         {
   	        	         	 if( $row['name'] != $name )
   	        	        	 {
   	        		             $nchk = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks` WHERE `name`=:1' );  $nchk->Execute( $name );                     
 
                                 if( $nchk->GetNum() ) $errors['name_exist'] = true;
   	        	        	 } 
   	        	         }
   	        	        
   	        	         if( empty( $title ) || $title == '' )
   	        	             $errors['title_empty'] = true;
   	        	         //PrintArrayDump( $errors );
   	        	         if( !sizeof( $errors ) )
   	        	         { 
   	        	        	 $del = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks_rlinks` WHERE `group_id`=:1 AND `rank_id`=:2' );
                             $del->Execute( $grow['id'], $row['rid'] );
                             
                             foreach( $rights as $i => $v )
                             {
                             	if( $right_list[$i]['right_id'] )
                             	{
                             		$ins = DBChose::PrepareDriver( 'INSERT INTO `groups_ranks_rlinks` ( `group_id`, `rank_id`, `right_id` ) VALUES ( :1, :2, :3 )' );
                                    $ins->Execute( $grow['id'], $row['rid'], $i );
                             	}
                             }
                             
                             if( $row['name'] != $name )
   	        	        	 {
   	        	        	 	$upd = DBChose::PrepareDriver( 'UPDATE `groups_ranks` SET `name`=:2, `title`=:3, `description`=:4 WHERE `rid`=:1' );
                                $upd->Execute( $row['rid'], $name, $title, $text );
                                
                                base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-rank/'.$name );
   	        	        	 }
   	        	        	 else
   	        	             {
   	        	        	 	$upd = DBChose::PrepareDriver( 'UPDATE `groups_ranks` SET `title`=:2, `description`=:3 WHERE `rid`=:1' );
                                $upd->Execute( $row['rid'], $title, $text );
                                
                                $row['title'] = $title;
                                $row['description'] = $text;
   	        	        	 }
   	        	         } 
                    }
                    
                    $rsel = DBChose::PrepareDriver( 'SELECT * FROM `groups_ranks_rlinks` WHERE `rank_id`=:1 AND `group_id`=:2' );
                    $rsel->Execute( $row['rid'], $grow['id'] );
                    
                    for( $a = 0; $a < $rsel->GetNum(); $a++ )
                    {
                    	$srow = $rsel->FetchAssoc();
                    	
                    	$selected_rights[$srow['right_id']] = true;
                    }
                    
                    parent::SetReturnCData( 'slist', $selected_rights );
                    parent::SetReturnCData( 'rlist', $right_list      );
                    parent::SetReturnCData( 'rrow',  $row             );
                }
   	        }
   	        
   	        parent::SetTemplFile( 'admin_edit' );
    	}
        else if( UrlDecoder::GetCUri( 1 ) == 'edit-users' && ( ( $user_right['ceo'] || $user_right['coceo'] ) || User::GetRight( 'admin_duke_check' ) ) )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), '',      2, 'Список пользователей', '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), 'enter', 2, 'Заявки на вступление', '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ), 'exit',  2, 'Заявки на выход',      '', array() );
   	        
   	        if( UrlDecoder::GetCUri( 2 ) == '' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Список пользователей' );
   	        	
   	            $ranks = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks` WHERE `gid`=:1 ORDER BY  `groups_ranks`.`pos` ASC ' );    	
    	        $ranks->Execute( $grow['id'] ); 
    	    
    	        for( $a = 0; $a < $ranks->GetNum(); $a++ )
    	        {
    	    	    $row = $ranks->FetchAssoc();    	    	
    	    	    $ranks_list[$row['rid']] = $row;
    	        }
    	    
    	        $ranks_link = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks_links` WHERE `gid`=:1' );    	
    	        $ranks_link->Execute( $grow['id'] ); 
    	    
    	        for( $a = 0; $a < $ranks_link->GetNum(); $a++ )
    	        {
    	    	    $row = $ranks_link->FetchAssoc();    	    	
    	    	    $rank_links[$row['uid']][] = $row['rid'];
    	        }
   	        	
   	            $members = DBChose::PrepareDriver( 'SELECT DISTINCT ( `members`.`id` ), `members`.* FROM `members`, `members_secgroups` WHERE `members`.`group_primary`=:1 OR ( `members_secgroups`.`gid`=:1 AND `members_secgroups`.`uid`=`members`.`id` ) ORDER BY  `members`.`nick` ASC' );    	
    	        $members->Execute( $grow['id'] );

    	        for( $a = 0; $a < $members->GetNum(); $a++ )
    	        {
    	    	    $row = $members->FetchAssoc();    	    	
    	    	    $members_list[$row['id']] = $row;    	    	
    	    	    $members_id[] = ' \''.$row['id'].'\' ';
    	        }
    	    
    	    	$personal = DBChose::PrepareDriver( 'SELECT * FROM `members_personal` WHERE `id` IN ( '.implode( ',', $members_id ).' )' );    	
    	    	$personal->Execute();
    	    
    	    	for( $a = 0; $a < $personal->GetNum(); $a++ )
    	    	{
    	    		$row = $personal->FetchAssoc();    	    	
    	    		$personal_list[$row['id']] = $row;
    	    	}
    	    	
    	    	parent::SetReturnCData( 'links',   $rank_links    ); 
    		    parent::SetReturnCData( 'fpers',   $personal_list ); 
    	        parent::SetReturnCData( 'members', $members_list  ); 
    	        parent::SetReturnCData( 'ranks',   $ranks_list    );
   	        }
    	    else if( UrlDecoder::GetCUri( 2 ) == 'user-edit' )
   	        {
   	        	$user_id = (int)UrlDecoder::GetCUri( 3 );
   	        	
   	        	$member = DBChose::PrepareDriver( 'SELECT DISTINCT ( `members`.`id` ), `members`.* FROM `members`, `members_secgroups` WHERE ( `members`.`group_primary`=:1 OR ( `members_secgroups`.`gid`=:1 AND `members_secgroups`.`uid`=`members`.`id` ) ) AND `members`.`id`=:2' );    	
    	        $member->Execute( $grow['id'], $user_id );
    	        
    	        if( !$member->GetNum() )
    	            TempeltateEngine::GenerateError( 404 );   	                	            
    	            
    	        $mrow = $member->FetchAssoc();
    	        
   	            $ranks = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks` WHERE `gid`=:1 ORDER BY  `groups_ranks`.`pos` ASC ' );    	
    	        $ranks->Execute( $grow['id'] ); 
    	    
    	        for( $a = 0; $a < $ranks->GetNum(); $a++ )
    	        {
    	    	    $row = $ranks->FetchAssoc();    	    	
    	    	    $ranks_list[$row['rid']] = $row;
    	        }
    	        
    	        if( $_POST['new_news_submit'] )
    	        {
    	        	$del = DBChose::PrepareDriver( 'DELETE FROM `groups_ranks_links` WHERE `gid`=:1 AND `uid`=:2' );    	
    	            $del->Execute( $grow['id'], $user_id ); 
    	            
    	            foreach( $_POST['ranks'] as $i => $v )
    	            {
    	            	if( $ranks_list[$i]['rid'] == $i )
    	            	{
    	            		$ins = DBChose::PrepareDriver( 'INSERT `groups_ranks_links` ( `gid`, `uid`, `rid` ) VALUES ( :1, :2, :3 )' );    	
    	                    $ins->Execute( $grow['id'], $user_id, $i ); 
    	            	}
    	            }
    	        }
    	    
    	        $ranks_link = DBChose::PrepareDriver( 'SELECT *  FROM  `groups_ranks_links` WHERE `gid`=:1 AND `uid`=:2' );    	
    	        $ranks_link->Execute( $grow['id'], $user_id ); 
    	    
    	        for( $a = 0; $a < $ranks_link->GetNum(); $a++ )
    	        {
    	    	    $row = $ranks_link->FetchAssoc();    	    	
    	    	    $rank_links[$row['rid']] = true;
    	        }
   	        	
   	        	parent::SetReturnCData( 'title', 'Редактирование пользователя '.$mrow['nick'] );
   	        	
   	        	parent::SetReturnCData( 'ranks', $ranks_list );
   	        	parent::SetReturnCData( 'links', $rank_links ); 
   	        	parent::SetReturnCData( 'mrow',  $mrow       ); 
   	        }
   	        else if( UrlDecoder::GetCUri( 2 ) == 'enter' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Заявки на вступление' );
   	        }
    	    else if( UrlDecoder::GetCUri( 2 ) == 'exit' )
   	        {
   	        	parent::SetReturnCData( 'title', 'Заявки на выход' );
   	        }
   	        
   	        parent::SetTemplFile( 'admin_edit' );
    	}
    	
        parent::SetReturnCData( 'errors',   $errors );
    	parent::SetReturnCData( 'grow',     $grow   );    
    	parent::SetReturnCData( 'group_en', true    );
    	parent::SetTemplSite( 'fullrestbox_sonet'   );
    }
}