<?php
class Module extends PModule
{
    public function act_index()
    {    		       	    
   	    parent::AddBreadCorn( SHOST.'/news', 'Новости', '' );
   	    parent::SetTitle( 'Новости' );
    	
    	if( UrlDecoder::GetCUri( 1 ) == 'evening-tamriel' )
    	    $this->module_evening_tamriel();
    	elseif( UrlDecoder::GetCUri( 1 ) == 'archive' )
    	    $this->module_archive();
    	elseif( UrlDecoder::GetCUri( 1 ) == 'articles' )
    	    $this->module_articles();    
    	elseif( UrlDecoder::GetCUri( 1 ) == 'interviews' )
    	    $this->module_interviews();
    	elseif( UrlDecoder::GetCUri( 1 ) == 'reviews' )
    	    $this->module_reviews();
    	elseif( UrlDecoder::GetCUri( 1 ) == 'admin' )
    	    $this->module_admin();
    	elseif( UrlDecoder::GetCUri( 1 ) == '' )
    	    $this->module_index();    
    	    
  	    
  	    $this->create_bookmarks();
    }
    
    
    public function act_bbcode()
    { 
    	parent::SetTemplFile( 'tpl_bbcode' );
    }
    
    public function module_index()
    {
    	parent::SetTitle( 'Последние новости' );
    	
    	if( $_GET['act'] == 'ajax' /*&& isXmlHttpRequest()*/ )
    	{
    		$news_id = (int)$_GET['id'];
    		
    		$news_check = DBChose::PrepareDriver( 'SELECT *  FROM `news` WHERE `deleted`=\'0\' AND `show`=\'1\' AND `blocked`=\'0\' AND `news_id`=:1' );    	
    	    $news_check->Execute( $news_id ); 
    	    
    	    if( !$news_check->GetNum() )
    	        die( 'false' );
    	        
    	    $nrow = $news_check->FetchAssoc();
    	    
    	    if( $nrow['uid'] == User::GetId() )
    	        $owner = true;
    	    else
    	        $owner = false;
    	        
    		
    	    if( $_GET['subact'] == 'hide' && ( $owner || User::GetRight( 'news_hide_show' ) ) )
    	    {
    	    	$hide = DBChose::PrepareDriver( 'UPDATE `news` SET `deleted`=:1, `show`=:2 WHERE `news_id`=:3 AND `blocked`=:4' );    	
    	        $hide->Execute( 0, 0, $news_id, 0 ); 
    	        
    	        $check = DBChose::PrepareDriver( 'SELECT *  FROM `news` WHERE `deleted`=:1 AND `show`=:2 AND `news_id`=:3 AND `blocked`=:4' );    	
    	        $check->Execute( 0, 0, $news_id, 0 ); 
    	        
    	        if( $check->GetNum() )
    	    	  	die( 'true' );
    	    	else
    	    	    die( 'false' );
    	    }
    	    else if( $_GET['subact'] == 'edit' && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	    {
    	    	echo '
 <div class="p10_t p5_r p10_b">
  <form action="'.SHOST.'/news?act=ajax&subact=edit_send&id='.$nrow['news_id'].'" class="FRBOX_news_ajax_edit" method="post">
   <textarea id="FRBOX_NewsTXTArea_'.$nrow['news_id'].'" name="edit_text" class="FRBOX_BBCodeGear_Allowed wp100 h400">'.stripcslashes( htmlspecialchars_decode( $nrow['text_original'] ) ).'</textarea>
   <input type="hidden" name="news_newsid" value="'.$nrow['news_id'].'" />
   <div class="warp10"></div>
   <center><input type="submit" name="news_ajax_editer" value="Внести изменения" id="FRBOX_news_ajax_editer_'.$nrow['news_id'].'" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" name="news_ajax_canceler" id="FRBOX_news_ajax_cancel_'.$nrow['news_id'].'" class="FRBOX_news_ajax_cancel" value="Отменить изменения" /></center>
  </form>
 </div>';
    	    }
    	    else if( $_GET['subact'] == 'edit_send' && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	    {
    	    	if( $_POST['news_ajax_editer'] )
    	    	{    	    		
    	    		$text   = trim( $_POST['edit_text'] );
    	    	    $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];     	        	
   	        	    
   	        	    if( empty( $text ) || $text == '' )
   	        	        $errors['text_empty'] = true; 
   	        	        
   	        	    if( !sizeof( $errors ) )
   	        	    {
   	        	    	$update = DBChose::PrepareDriver( 'UPDATE `news` SET `text`=\''.$text.'\', `text_original`=\''.$bbcode.'\' WHERE `news_id`=\''.$news_id.'\'' );    	
    	                $update->Execute();

    	                echo $text;
    	                exit;
   	        	    } 
   	        	    else
   	        	        die( 'false' );  	        	    
    	    	}  
    	    	else
    	    	    die( 'false' );  
    	    }
    	    else if( $_GET['subact'] == 'lock' && User::GetRight( 'news_lock' ) )
    	    {
    	    	$lock = DBChose::PrepareDriver( 'UPDATE `news` SET `deleted`=:1, `moderated`=:2, `show`=:3, `blocked`=:4 WHERE `news_id`=:5' );    	
    	        $lock->Execute( 0, 1, 1, 1, $news_id ); 
    	        
    	        $check = DBChose::PrepareDriver( 'SELECT *  FROM `news` WHERE `deleted`=:1 AND `moderated`=:2 AND `show`=:3 AND `blocked`=:4 AND `news_id`=:5' );    	
    	        $check->Execute( 0, 1, 1, 1, $news_id ); 
    	        
    	        if( $check->GetNum() )
    	    	  	die( 'true' );
    	    	else
    	    	    die( 'false' );
    	    }
    	    else if( $_GET['subact'] == 'delete' && ( $owner || User::GetRight( 'news_delete' ) ) )
    	    {
    	    	$delete = DBChose::PrepareDriver( 'UPDATE `news` SET `deleted`=:1 WHERE `news_id`=:2 AND `blocked`=:3' );    	
    	        $delete->Execute( 1, $news_id, 0 ); 
    	        
    	        $check = DBChose::PrepareDriver( 'SELECT *  FROM `news` WHERE `deleted`=:1 AND `news_id`=:2 AND `blocked`=:3' );    	
    	        $check->Execute( 1, $news_id, 0 ); 
    	        
    	        if( $check->GetNum() )
    	    	  	die( 'true' );
    	    	else
    	    	    die( 'false' );
    	    }
    		
    		exit;
    	}
    	
    	
    	$news = DBChose::PrepareDriver( 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` 
    	                                 FROM `news`, `members` 
    	                                 WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\'
    	                                 ORDER BY  `news`.`date_add` DESC 
    	                                 LIMIT 0, 10' );
    	
    	$news->Execute();
    	
    	$news_items = array();
    	
    	for( $a = 0; $a < $news->GetNum(); $a++ )
    	    $news_items[] = $news->FetchAssoc();

    	$files = DBChose::PrepareDriver( 'SELECT `files`.*, `members`.`nick`, `members`.`gender`, `members`.`page` 
    	                                 FROM `files`, `members` 
    	                                 WHERE `files`.`uid`=`members`.`id` AND `files`.`deleted`=\'0\' AND `files`.`show`=\'1\' AND `files`.`complete`=\'1\'
    	                                 ORDER BY  `files`.`date_add` DESC 
    	                                 LIMIT 0, 20' );
    	
    	$files->Execute();
    	
    	$file_items = array();
    	
    	for( $a = 0; $a < $files->GetNum(); $a++ )
    	    $file_items[] = $files->FetchAssoc(); 

    	    
    	$articles = DBChose::PrepareDriver( 'SELECT `news_articles` . * , `members`.`nick` , `members`.`gender` , `members`.`page` 
												FROM `news_articles` , `members` 
												WHERE `news_articles`.`uid` = `members`.`id` 
												AND `news_articles`.`deleted` = \'0\' AND `news_articles`.`show` = \'1\' AND `news_articles`.`moderated` = \'1\' AND `news_articles`.`type` = \'article\'
												ORDER BY `news_articles`.`date_add` DESC 
												LIMIT 0 , 3' );
    	
    	$articles->Execute();
    	
    	$article_items = array();
    	
    	for( $a = 0; $a < $articles->GetNum(); $a++ )
    	    $article_items[] = $articles->FetchAssoc();

    	$interviews = DBChose::PrepareDriver( 'SELECT `news_articles` . * , `members`.`nick` , `members`.`gender` , `members`.`page` 
												FROM `news_articles` , `members` 
												WHERE `news_articles`.`uid` = `members`.`id` 
												AND `news_articles`.`deleted` = \'0\' AND `news_articles`.`show` = \'1\' AND `news_articles`.`moderated` = \'1\' AND `news_articles`.`type` = \'interview\'
												ORDER BY `news_articles`.`date_add` DESC 
												LIMIT 0 , 3' );
    	
    	$interviews->Execute();
    	
    	$interview_items = array();
    	
    	for( $a = 0; $a < $interviews->GetNum(); $a++ )
    	    $interview_items[] = $interviews->FetchAssoc();         	    
    	    
    	$return_data['news']   = $news_items; 
    	$return_data['files']  = $file_items;
    	$return_data['articles']  = $article_items;
    	$return_data['interviews']  = $interview_items;    	

    	parent::SetReturnData( $return_data );
    }
    
    public function module_archive()
    {
    	parent::SetTitle( 'Архив редакции' );
    	parent::SetMenuLeft( 1, 1 );
    	
    	
    	parent::AddMenuLeft_head( 'main0', 'Наше всё' ); 
   	    parent::AddMenuLeft_item( 'main0', SHOST.'/news/archive', 'articles',   2, 'Статьи',   '', array() );
   	    parent::AddMenuLeft_item( 'main0', SHOST.'/news/archive', 'interviews', 2, 'Интервью', '', array() );
   	    
   	    parent::AddMenuLeft_head( 'main00', 'Обзоры по играм' ); 
        $rev_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_reviews_cats` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	$rev_cat->Execute();
    		
        for( $a = 0; $a < $rev_cat->GetNum(); $a++ )
        {
    	    $row = $rev_cat->FetchAssoc();
    	    parent::AddMenuLeft_item( 'main00', SHOST.'/news/archive', $row['name'],  2, $row['title'],        '', array() );
    	    
    	    $ctag[$row['name']] = $row;
        } 
    	
    	parent::AddMenuLeft_head( 'main', 'Новости по категориям' ); 
        $news_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_tags` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	$news_cat->Execute();
    		
        for( $a = 0; $a < $news_cat->GetNum(); $a++ )
        {
    	    $row = $news_cat->FetchAssoc();
    	    parent::AddMenuLeft_item( 'main', SHOST.'/news/archive', $row['name'],  2, $row['title'],        '', array() );
    	    
    	    $ntag[$row['name']] = $row;
        }        

   	    parent::AddMenuLeft_head( 'main1', 'Новости по годам' ); 
   	    
   	    $date_start = 2006;
   	    $date_end   = date( 'Y' );
   	    $date_uri2  = (int)UrlDecoder::GetCUri( 2 );
   	    
   	    for( $a = $date_end; $a >= $date_start; $a-- )
   	    	parent::AddMenuLeft_item( 'main1', SHOST.'/news/archive', $a,        2, $a.' год',       '', array() );

   	    if( UrlDecoder::GetCUri( 2 ) == '' )
   	        $sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\' ORDER BY  `news`.`date_add` DESC';
   	    else if( UrlDecoder::GetCUri( 2 ) == 'articles' )
   	    {
   	        parent::SetTitle( 'Интервью | Архив редакции' );
   	        $sql_query = 'SELECT `news_articles`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_articles`, `members` WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=\'0\' AND `news_articles`.`show`=\'1\' AND `news_articles`.`moderated`=\'1\' AND `news_articles`.`type`=\'article\' ORDER BY  `news_articles`.`date_add` DESC';
   	    }    
   	    else if( UrlDecoder::GetCUri( 2 ) == 'interviews' )
   	    {
   	        parent::SetTitle( 'Интервью | Архив редакции' );
   	    	$sql_query = 'SELECT `news_articles`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_articles`, `members` WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=\'0\' AND `news_articles`.`show`=\'1\' AND `news_articles`.`moderated`=\'1\' AND `news_articles`.`type`=\'interview\' ORDER BY  `news_articles`.`date_add` DESC';    
   	    }
   	    else if( $ntag[UrlDecoder::GetCUri( 2 )]['ntag_id'] > 0 )
   	    {
   	        parent::SetTitle( $ntag[UrlDecoder::GetCUri( 2 )]['title'].' | Архив редакции' );
   	    	$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\' AND `news`.`ntag_id`=\''.$ntag[UrlDecoder::GetCUri( 2 )]['ntag_id'].'\' ORDER BY  `news`.`date_add` DESC';
   	    }
   	    else if( $date_uri2 >= $date_start && $date_uri2 <= $date_end )
   	    {
   	        parent::SetTitle( 'Новости за '.$date_uri2.'й год | Архив редакции' );
   	    	$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\' AND `news`.`date_add`>=\''.mktime( 0, 0, 0, 1, 1, $date_uri2 ).'\' AND `news`.`date_add` < \''.mktime( 0, 0, 0, 1, 1, $date_uri2 + 1 ).'\' ORDER BY  `news`.`date_add` DESC';
   	    }
   	    else if( $ctag[UrlDecoder::GetCUri( 2 )]['revc_id'] > 0 )
        {
   	        parent::SetTitle( $ctag[UrlDecoder::GetCUri( 2 )]['title'].' | Архив редакции' );
        	$sql_query = 'SELECT `news_reviews_items`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_reviews_items`, `members` WHERE `news_reviews_items`.`uid`=`members`.`id` AND `news_reviews_items`.`deleted`=\'0\' AND `news_reviews_items`.`show`=\'1\' AND `news_reviews_items`.`moderated`=\'1\' AND `news_reviews_items`.`revc_id`=\''.$ctag[UrlDecoder::GetCUri( 2 )]['revc_id'].'\' ORDER BY  `news_reviews_items`.`date_add` DESC';
        }    
   	    else
        {
        	
        	$item = DBChose::PrepareDriver( 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
                                             WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\' AND `name`=\''.UrlDecoder::GetCUri( 2 ).'\'' );    	
    	    $item->Execute();
    	    
    	    if( !$item->GetNum() )
    	    {
        	  	$rcat = DBChose::PrepareDriver( 'SELECT `news_reviews_items`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_reviews_items`, `members` 
                                                 WHERE `news_reviews_items`.`uid`=`members`.`id` AND `news_reviews_items`.`deleted`=\'0\' AND `news_reviews_items`.`show`=\'1\' AND `news_reviews_items`.`moderated`=\'1\' AND `name`=\''.UrlDecoder::GetCUri( 2 ).'\'' );    	
    	        $rcat->Execute();
    	        
    	        if( !$rcat->GetNum() ) 
    	        {
    	            $acat = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_articles`, `members` 
                                                 WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=\'0\' AND `news_articles`.`show`=\'1\' AND `news_articles`.`moderated`=\'1\' AND `name`=\''.UrlDecoder::GetCUri( 2 ).'\'' );    	
    	            $acat->Execute();
    	            
    	            if( !$acat->GetNum() ) 
    	    	        TempeltateEngine::GenerateError( 404 );
    	            else
    	    	    {
    	    	        $item_row = $acat->FetchAssoc();
    	    	        parent::SetTitle( $item_row['title'].' | Архив редакции' );
    	    	        parent::SetFlag2( 'review' );
    	    	    }
    	        }
    	    	else
    	    	{
    	    	    $item_row = $rcat->FetchAssoc();
    	    	    parent::SetTitle( $item_row['title'].' | Архив редакции' );
    	    	    parent::SetFlag2( 'review' );
    	    	}
    	    }
        	else
        	{        		  	
        	    $item_row = $item->FetchAssoc();
        	    parent::SetTitle( $item_row['title'].' | Архив редакции' );
        	    parent::SetFlag1( 'item' );
        	}
        	
        	parent::SetReturnCData( 'item', $item_row );        	
        }
   	        
   	        
   	    $news = DBChose::PrepareDriver( $sql_query );
    	
    	$news->Execute();
    	
    	$news_items = array();
    	
    	for( $a = 0; $a < $news->GetNum(); $a++ )
    	    $news_items[] = $news->FetchAssoc();
    	
    	parent::SetReturnCData( 'news', $news_items );    	
    	parent::SetReturnCData( 'ntag', $ntag       );
   	    	
   	    parent::AddBreadCorn( 'archive', 'Архив редакции', '' );
    	
    	parent::SetTemplFile( 'tpl_archive' );
    }
    
    public function module_articles()
    {
    	$reviews = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
    	                                    FROM `news_articles`, `members` 
    	                                    WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=:1 AND `news_articles`.`show`=:2 AND `news_articles`.`moderated`=:3 AND `news_articles`.`type`=:4  
    	                                    ORDER BY `date_add` DESC LIMIT 0 , 20' );
        $reviews->Execute( 0, 1, 1, 'article' );    		
    	parent::SetTitle( 'Статьи' );	
        parent::SetMenuLeft( 1, 1 );    	
    	parent::AddMenuLeft_head( 'main', 'Последние статьи' ); 
    	    
        for( $a = 0; $a < $reviews->GetNum(); $a++ )
    	{
   	        $row = $reviews->FetchAssoc();
   	            
   	        $reviews_list[] = $row;
    	    if( $a == 0 )
    	    	$row['name'] = '';
    	    	
    	    parent::AddMenuLeft_item( 'main', SHOST.'/news/articles', $row['name'], 2, $row['stitle'], '', array() );
    	}
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$rrow = $reviews_list[0];
    		parent::SetTitle( $rrow['title'].' | Статьи' );
    	}
    	else
    	{
    		$review = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
    	                                       FROM `news_articles`, `members` 
    	                                       WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=:1 AND `news_articles`.`show`=:2 AND `news_articles`.`moderated`=:3 AND `news_articles`.`name`=:4' );
            $review->Execute( 0, 1, 1, UrlDecoder::GetCUri( 2 ) ); 
            
            if( !$review->GetNum() )
                TempeltateEngine::GenerateError( 404 );
                
            $rrow = $review->FetchAssoc();

            parent::SetTitle( $rrow['title'].' | Статьи' );
    	}
    		
    	parent::SetReturnCData( 'review',       $rrow         );
        parent::SetReturnCData( 'reviews_list', $reviews_list );
        parent::SetFlag1( 'review' );
    	parent::SetTemplFile( 'tpl_articles' );
    	    	
    	parent::AddBreadCorn( 'articles', 'Статьи', '' );
    	
    }
    
    public function module_interviews()
    {
    	$reviews = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
    	                                    FROM `news_articles`, `members` 
    	                                    WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=:1 AND `news_articles`.`show`=:2 AND `news_articles`.`moderated`=:3 AND `news_articles`.`type`=:4  
    	                                    ORDER BY `news_articles`.`date_add` DESC LIMIT 0 , 20' );
        $reviews->Execute( 0, 1, 1, 'interview' );    		
    	parent::SetTitle( 'Интервью' );	
        parent::SetMenuLeft( 1, 1 );    	
    	parent::AddMenuLeft_head( 'main', 'Последние интервью' ); 
    	    
        for( $a = 0; $a < $reviews->GetNum(); $a++ )
    	{
   	        $row = $reviews->FetchAssoc();
   	            
   	        $reviews_list[] = $row;
    	    if( $a == 0 )
    	    	$row['name'] = '';
    	    	
    	    parent::AddMenuLeft_item( 'main', SHOST.'/news/interviews', $row['name'], 2, $row['stitle'], '', array() );
    	}
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$rrow = $reviews_list[0];
    		parent::SetTitle( $rrow['title'].' | Интервью' );
    	}
    	else
    	{
    		$review = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
    	                                       FROM `news_articles`, `members` 
    	                                       WHERE `news_articles`.`uid`=`members`.`id` AND `news_articles`.`deleted`=:1 AND `news_articles`.`show`=:2 AND `news_articles`.`moderated`=:3 AND `news_articles`.`name`=:4' );
            $review->Execute( 0, 1, 1, UrlDecoder::GetCUri( 2 ) ); 
            
            if( !$review->GetNum() )
                TempeltateEngine::GenerateError( 404 );
                
            $rrow = $review->FetchAssoc();   

            parent::SetTitle( $rrow['title'].' | Интервью' );
    	}
    		
    	parent::SetReturnCData( 'review',       $rrow         );
        parent::SetReturnCData( 'reviews_list', $reviews_list );
        parent::SetFlag1( 'review' );
    	parent::SetTemplFile( 'tpl_articles' );
    	
    	parent::AddBreadCorn( 'interviews', 'Интервью', '' );
    	
    }
    
    public function module_reviews()
    {
        $reviews = DBChose::PrepareDriver( 'SELECT `news_reviews_items`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
                                            FROM `news_reviews_items`, `members`  
                                            WHERE `news_reviews_items`.`uid`=`members`.`id` AND  `news_reviews_items`.`deleted`=:1 AND `news_reviews_items`.`show`=:2 AND `news_reviews_items`.`moderated`=:3 
                                            ORDER BY `news_reviews_items`.`date_add` DESC LIMIT 0 , 20' );
        $reviews->Execute( 0, 1, 1 );    		
    	parent::SetTitle( 'Обзоры' );	
        parent::SetMenuLeft( 1, 1 );    	
    	parent::AddMenuLeft_head( 'main', 'Последние обзоры' ); 
    	    
        for( $a = 0; $a < $reviews->GetNum(); $a++ )
    	{
   	        $row = $reviews->FetchAssoc();
   	            
   	        $reviews_list[] = $row;
    	    if( $a == 0 )
    	    	$row['name'] = '';
    	    	
    	    parent::AddMenuLeft_item( 'main', SHOST.'/news/reviews', $row['name'], 2, $row['stitle'], '', array() );
    	}
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		$rrow = $reviews_list[0];
    		parent::SetTitle( $rrow['title'].' | Обзоры' );
    	}
    	else
    	{
    		$review = DBChose::PrepareDriver( 'SELECT `news_reviews_items`.*, `members`.`page` AS `page`, `members`.`gender` AS `gender`, `members`.`nick` AS `nick` 
    		                                   FROM `news_reviews_items`, `members` 
    		                                   WHERE `news_reviews_items`.`uid`=`members`.`id` AND `news_reviews_items`.`deleted`=:1 AND `news_reviews_items`.`show`=:2 AND `news_reviews_items`.`moderated`=:3 AND `news_reviews_items`.`name`=:4' );
            $review->Execute( 0, 1, 1, UrlDecoder::GetCUri( 2 ) ); 
            
            if( !$review->GetNum() )
                TempeltateEngine::GenerateError( 404 );
                
            $rrow = $review->FetchAssoc(); 
            parent::SetTitle( $rrow['title'].' | Обзоры' );    
    	}
    		
    	parent::SetReturnCData( 'review',       $rrow         );
        parent::SetReturnCData( 'reviews_list', $reviews_list );
        parent::SetFlag1( 'review' );
    	parent::SetTemplFile( 'tpl_articles' );
    	parent::AddBreadCorn( 'reviews', 'Обзоры', '' );
    	
    }
    
    public function module_admin()
    {
    	if( !User::GetRight( 'news_access' ) )
    	    TempeltateEngine::GenerateError( 403 );

    	parent::SetTemplFile( 'tpl_admin' );
    	
    	$news_id = (int)$_GET['id'];

    	if( $news_id )
    	{    	    
    	    $news_check = DBChose::PrepareDriver( 'SELECT * FROM `news`  WHERE `news_id`=:1' );
            $news_check->Execute( $news_id );
            
            if( $news_check->GetNum() )
            {
    		    $nrow = $news_check->FetchAssoc();
    		    
    		    if( $nrow['uid'] == User::GetId() )
    		        $owner = true;
    		    else
    		        $owner = false;
            	
    		    if( $nrow['blocked'] == 0 && $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'news_restore' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `deleted`=:5  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $news_id, 0, 1, 1, 0 );
    	        }
    	        else if( $nrow['blocked'] == 0 && $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_delete' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `deleted`=:5  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $news_id, 0, 0, 0, 1 );
    	        }
    	        else if( $nrow['blocked'] == 0 && $nrow['blocked'] == 0 && $_GET['act'] == 'lock' && User::GetRight( 'news_lock' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `blocked`=:5, `show`=:6, `moderated`=:7  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `blocked`=:4' );
                    $news_update->Execute( $news_id, 0, 0, 0, 1, 1, 1 );
    	        }
    	        else if( $nrow['blocked'] == 0 && $nrow['moderated'] == 0 && $_GET['act'] == 'moderate' && User::GetRight( 'news_moderate' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `moderated`=:5  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `moderated`=:4' );
                    $news_update->Execute( $news_id, 0, 0, 0, 1 );
    	        }
                else if( $nrow['blocked'] == 0 && $nrow['show'] == 0 && $_GET['act'] == 'show' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `show`=:5  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $news_id, 0, 0, 0, 1 );
    	        }
                else if( $nrow['blocked'] == 0 && $nrow['show'] == 1 && $_GET['act'] == 'hide' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news` SET `show`=:5  WHERE `news_id`=:1 AND `blocked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $news_id, 0, 0, 1, 0 );
    	        }
            }
    	}

        $review_id = (int)$_GET['rid'];

    	if( $review_id )
    	{    	    
    	    
    		$news_check = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `rev_id`=:1' );
            $news_check->Execute( $review_id );
            
            if( $news_check->GetNum() )
            {
    		    $nrow = $news_check->FetchAssoc();

    		    if( $nrow['uid'] == User::GetId() )
    		        $owner = true;
    		    else
    		        $owner = false;
            	
    		        
    		        
    		    if( $nrow['locked'] == 0 && $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'news_restore' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `deleted`=:5  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 1, 1, 0 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_delete' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `deleted`=:5  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 0, 0, 1 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['blocked'] == 0 && $_GET['act'] == 'lock' && User::GetRight( 'news_lock' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `locked`=:5, `show`=:6, `moderated`=:7  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `locked`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 0, 0, 1, 1, 1 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['moderated'] == 0 && $_GET['act'] == 'moderate' && User::GetRight( 'news_moderate' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `moderated`=:5  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `moderated`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 0, 0, 1 );
    	        }
                else if( $nrow['locked'] == 0 && $nrow['show'] == 0 && $_GET['act'] == 'show' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `show`=:5  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 0, 0, 1 );
    	        }
                else if( $nrow['locked'] == 0 && $nrow['show'] == 1 && $_GET['act'] == 'hide' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_items` SET `show`=:5  WHERE `rev_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $nrow['rev_id'], 0, 0, 1, 0 );
                    
                    
    	        }

            }
    	}

       $ann_id = (int)$_GET['aid'];

    	if( $ann_id )
    	{    	        	    
    		$news_check = DBChose::PrepareDriver( 'SELECT * FROM `news_announce`  WHERE `ann_id`=:1' );
            $news_check->Execute( $ann_id );
            
            if( $news_check->GetNum() )
            {
    		    $nrow = $news_check->FetchAssoc();

    		    if( User::GetRight( 'news_edit_full' ) && $_GET['act'] == 'act' && !$nrow['ann_active'] )
    	        {
    		        $news_update1 = DBChose::PrepareDriver( 'UPDATE `news_announce` SET `ann_active`=:1' );
                    $news_update1->Execute( 0 );
                    
    	        	$news_update = DBChose::PrepareDriver( 'UPDATE `news_announce` SET `ann_active`=:2  WHERE `ann_id`=:1 ' );
                    $news_update->Execute( $nrow['ann_id'], 1 );
    	        }
    	        else if( User::GetRight( 'news_edit_full' ) && $_GET['act'] == 'unact' && $nrow['ann_active'] )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_announce` SET `ann_active`=:2  WHERE `ann_id`=:1' );
                    $news_update->Execute( $nrow['ann_id'], 0 );
                    
    	        }
            }
    	}
    	
        $article_id = (int)$_GET['aiid'];

    	if( $article_id )
    	{    	    
    	    
    		$news_check = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`  WHERE `atc_id`=:1' );
            $news_check->Execute( $article_id );
            
            if( $news_check->GetNum() )
            {
    		    $nrow = $news_check->FetchAssoc();

    		    if( $nrow['uid'] == User::GetId() )
    		        $owner = true;
    		    else
    		        $owner = false;
            	
    		        
    		        
    		    if( $nrow['locked'] == 0 && $nrow['deleted'] == 1 && $_GET['act'] == 'restore' && User::GetRight( 'news_restore' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `deleted`=:5  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 1, 1, 0 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['deleted'] == 0 && $_GET['act'] == 'delete' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_delete' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `deleted`=:5  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `deleted`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 0, 0, 1 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['blocked'] == 0 && $_GET['act'] == 'lock' && User::GetRight( 'news_lock' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `locked`=:5, `show`=:6, `moderated`=:7  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `locked`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 0, 0, 1, 1, 1 );
    	        }
    	        else if( $nrow['locked'] == 0 && $nrow['moderated'] == 0 && $_GET['act'] == 'moderate' && User::GetRight( 'news_moderate' ) && ( $owner || User::GetRight( 'news_edit_full' ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `moderated`=:5  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `moderated`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 0, 0, 1 );
    	        }
                else if( $nrow['locked'] == 0 && $nrow['show'] == 0 && $_GET['act'] == 'show' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `show`=:5  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 0, 0, 1 );
    	        }
                else if( $nrow['locked'] == 0 && $nrow['show'] == 1 && $_GET['act'] == 'hide' && ( $owner || ( User::GetRight( 'news_edit_full' ) && User::GetRight( 'news_hide_show' ) ) ) )
    	        {
    		        $news_update = DBChose::PrepareDriver( 'UPDATE `news_articles` SET `show`=:5  WHERE `atc_id`=:1 AND `locked`=:2 AND `deleted`=:3 AND `show`=:4' );
                    $news_update->Execute( $nrow['atc_id'], 0, 0, 1, 0 );
                    
                    
    	        }

            }
    	}
    	    
    	if( UrlDecoder::GetCUri( 2 ) == 'add' && User::GetRight( 'news_add' ) )
    	{
    		if( $_POST['new_news_submit'] )
    		{
    			$name   = trim( $_POST['name']  );
   	        	$title  = trim( $_POST['title'] );
   	        	$title  = htmlspecialchars( $title );
   	        	$text   = trim( $_POST['text']  ); 
   	        	$ncat   = (int)$_POST['ncat']; 
   	        	$date   = date( 'U' );
   	        	
   	        	$bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];  
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                    $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                    $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                    if( $nchk->GetNum() ) $errors['name_exist'] = true;
                    if( $rchk->GetNum() ) $errors['name_exist'] = true;
                    if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $text ) || $text == '' )
   	        	    $errors['text_empty'] = true; 
   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `news` ( `ntag_id`, `uid`, `date_add`, `date_update`, `show`, `text_type`, `name`, `title`,     `text`,        `text_original` ) 
                                                                VALUES    (  :1,        :2,    :3,         :3,            :4,     :5,          :6,     :7,     \''.$text.'\', \''.$bbcode.'\' )' );
                    $insert->Execute( $ncat, User::GetId(), $date, 1, 'bbcode', $name, $title );

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `news`  WHERE `uid`=:1 AND `name`=:2' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-news/'.$row['name'] );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}     	        	    
    		}
    		
    		$news_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_tags` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	    $news_cat->Execute();
    		
    	    for( $a = 0; $a < $news_cat->GetNum(); $a++ )
    	        $ncats[] = $news_cat->FetchAssoc();
    	        
    		parent::SetReturnCData( 'ncat', $ncats );
    		parent::SetFlag1( 'add' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'edit-news' )
    	{
    		$news_check = DBChose::PrepareDriver( 'SELECT * FROM `news`  WHERE `name`=:1 AND `blocked`=:2 AND `deleted`=:3' );
            $news_check->Execute( UrlDecoder::GetCUri( 3 ), 0, 0 );
            
            if( $news_check->GetNum() )
            {
    		    $nrow = $news_check->FetchAssoc();
    		    
    		    if( $nrow['uid'] == User::GetId() )
    		        $owner = true;
    		    else
    		        $owner = false;
    		        
    		    if( ( ( $owner && User::GetRight( 'news_edit_self' ) ) || User::GetRight( 'news_edit_full' ) )  )
    		    {
    		    	if( $_POST['edit_news_submit'] )
    		    	{
    		    		$name   = trim( $_POST['name']  );
   	        			$title  = trim( $_POST['title'] );
   	        			$title  = htmlspecialchars( $title );
   	        			$text   = trim( $_POST['text']  ); 
   	        			$ncat   = (int)$_POST['ncat']; 
   	        			$date   = date( 'U' );
   	        	
   	        			$bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        			$bbcode = $bbret['bbcode'];
   	        			$text   = $bbret['text'];  
   	        	
   	        			if( empty( $name ) || $name == '' )
   	        	    		$errors['name_empty'] = true;   	        	    

   	        			if( !RegEx::check_IsLatinNum( $name ) )
   	        	   		    $errors['name_format'] = true;
   	        			else if( $name != $nrow['name'] )
   	        			{
   	        		        $nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                            $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                            $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                            if( $nchk->GetNum() ) $errors['name_exist'] = true;
                            if( $rchk->GetNum() ) $errors['name_exist'] = true;
                            if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        			}
   	        	        
   	        			if( empty( $title ) || $title == '' )
   	        	    		$errors['title_empty'] = true;
   	        	    
   	        			if( empty( $text ) || $text == '' )
   	        	    		$errors['text_empty'] = true;     		    	
    		    	
    		    		if( !sizeof( $errors ) )
    		    		{
    		    			if( $name != $nrow['name'] )
    		    		    	$sql_update = 'UPDATE `news` SET `ntag_id`=\''.$ncat.'\', `name`=\''.$name.'\', `title`=\''.$title.'\', `text`=\''.$text.'\', `text_original`=\''.$bbcode.'\', `date_update`=\''.$date.'\' WHERE `news_id`=\''.$nrow['news_id'].'\'';
    		    			else
    		    		    	$sql_update = 'UPDATE `news` SET `ntag_id`=\''.$ncat.'\', `title`=\''.$title.'\', `text`=\''.$text.'\', `text_original`=\''.$bbcode.'\', `date_update`=\''.$date.'\' WHERE `news_id`=\''.$nrow['news_id'].'\'';
    		    	
    		    			$update = DBChose::PrepareDriver( $sql_update );
                            $update->Execute(); 
    		    		    	
    		    		    if( $nrow['name'] != $name )
   	        	    		{ 
                            	$select = DBChose::PrepareDriver( 'SELECT * FROM `news`  WHERE `name`=:1' );
                            	$select->Execute( $name ); 
                    
                    
                            	if( $select->GetNum() )
                            	{
                    	       	    $row = $select->FetchAssoc();
                    	
                    	        	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.$row['name'] );
                            	}
                            	else
                                	$errors['wrong'] = true; 
   	        	    		}
   	        	    		else
   	        	    		{
   	        	    			$nrow['ntag_id']       = $_POST['ncat'];
   	        	    			$nrow['title']         = $_POST['title'];
   	        	    			$nrow['text_original'] = $_POST['text'];
   	        	    		
   	        	    			parent::SetFlag3( 'complete' );
   	        	    		}
    		    		}
    		    	}
    		    }
    		    else
    		        TempeltateEngine::GenerateError( 403 );
    		                		
    		    $news_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_tags` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	        $news_cat->Execute();
    		
    	        for( $a = 0; $a < $news_cat->GetNum(); $a++ )
    	            $ncats[] = $news_cat->FetchAssoc();
    	            
            }
            else
                TempeltateEngine::GenerateError( 404 );
    	        
    		parent::SetReturnCData( 'nrow', $nrow  );
            parent::SetReturnCData( 'ncat', $ncats );
    		parent::SetFlag1( 'news_edit' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'my-full' )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`uid`=\''.User::GetId().'\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    		parent::SetFlag2( 'my'        );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'my-unmoderated' )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`uid`=\''.User::GetId().'\' AND `news`.`moderated`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    		parent::SetFlag2( 'my'        );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'my-unlocked' )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`uid`=\''.User::GetId().'\' AND `news`.`blocked`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    		parent::SetFlag2( 'my'        );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'my-hided' )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`uid`=\''.User::GetId().'\' AND `news`.`show`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    		parent::SetFlag2( 'my'        );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == '' )
        {
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` 
    	                  FROM `news`, `members` 
    	                  WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'1\' AND `news`.`moderated`=\'1\'
    	                  ORDER BY  `news`.`date_add` DESC 
    	                  LIMIT 0, 10';
    		
    		parent::SetFlag1( 'news_list' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'unmoderated' && User::GetRight( 'news_moderate' ) )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`moderated`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'unlocked' && User::GetRight( 'news_lock' ) )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`blocked`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'hided' && User::GetRight( 'news_hide_show' ) )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'0\' AND `news`.`show`=\'0\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'deleted' && User::GetRight( 'news_restore' ) )
    	{
    		$sql_query = 'SELECT `news`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news`, `members` 
    		              WHERE `news`.`uid`=`members`.`id` AND `news`.`deleted`=\'1\'
    		              ORDER BY  `news`.`date_add` DESC';
    		
    		parent::SetFlag1( 'news_list' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'review-cats' )
    	{
    	    if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
            {
                unset( $_POST['sorter_checker'] );
            	
            	foreach( $_POST['order'] as $i => $v )
            	{            		            		
                    $update = DBChose::PrepareDriver( 'UPDATE `news_reviews_cats` SET `pos`=:1 WHERE `revc_id`=:2' );
                    $update->Execute( (int)$i, (int)$v );
            	}
            	    
                exit;
            }
            
    	    if( $_GET['act'] == 'show'  )
    	    {
    		    $rcat_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_cats` SET `show`=:3  WHERE `revc_id`=:1 AND `show`=:2' );
                $rcat_update->Execute( (int)$_GET['id'], 0, 1 );
    	    }
            else if( $_GET['act'] == 'hide' )
    	    {
    		    $rcat_update = DBChose::PrepareDriver( 'UPDATE `news_reviews_cats` SET `show`=:3  WHERE `revc_id`=:1 AND `show`=:2' );
                $rcat_update->Execute( (int)$_GET['id'], 1, 0 );
    	    }
    		
    		$rev_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_reviews_cats` ORDER BY  `pos` ASC ' );    	
    	    $rev_cat->Execute();
    	    
    	    for( $a = 0; $a < $rev_cat->GetNum(); $a++ )
    	        $rev_cats[] = $rev_cat->FetchAssoc();    
    	        	    
    	    parent::SetReturnCData( 'rev_cats', $rev_cats );
    		
    		parent::SetFlag1( 'rcats' );
    		parent::SetTemplFile( 'tpl_admin_review' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'review-list' )
    	{    		
    		$rev_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_reviews_cats` ORDER BY  `pos` ASC ' );    	
    	    $rev_cat->Execute();
    	    
    	    for( $a = 0; $a < $rev_cat->GetNum(); $a++ )
    	        $rev_cats[] = $rev_cat->FetchAssoc(); 
    	        
    	        
    	    $reviews = DBChose::PrepareDriver( 'SELECT `news_reviews_items`.*, `members`.`nick`, `members`.`gender`, `members`.`page` FROM `news_reviews_items`, `members` WHERE `news_reviews_items`.`uid`=`members`.`id` AND `news_reviews_items`.`deleted`=\'0\' ORDER BY  `news_reviews_items`.`date_add` DESC' );    	
    	    $reviews->Execute();    

    	    for( $a = 0; $a < $reviews->GetNum(); $a++ )
    	    {
    	    	$row = $reviews->FetchAssoc();

    	    	$review_list[$row['revc_id']][] = $row;
    	    }
    	    
    	    parent::SetReturnCData( 'review_list', $review_list );
    	    parent::SetReturnCData( 'rev_cats',    $rev_cats    );
    	    parent::SetFlag1( 'rlist' );
    	    parent::SetTemplFile( 'tpl_admin_review' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'review-cadd' )
    	{
    	    if( $_POST['cadd_submit'] )
    		{
    			$name   = trim( $_POST['name']   );
   	        	$title  = trim( $_POST['title']  );   	        	
   	        	$title  = htmlspecialchars( $title  );
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_cats` WHERE `name`=:1' );  $nchk->Execute( $name );                     
                    $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_tags`         WHERE `name`=:1' );  $rchk->Execute( $name );
                    
                    if( $nchk->GetNum() ) $errors['name_exist'] = true;
                    if( $rchk->GetNum() ) $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;   	        	    
   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `news_reviews_cats` ( `name`, `title` ) VALUES (  :1, :2 )' );
                    $insert->Execute( $name, $title );

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_cats`  WHERE `name`=:1' );
                    $select->Execute( $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/news/admin/review-cats' );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}       			
    		}    		
    		
    		parent::SetFlag1( 'cadd' );
    		parent::SetTemplFile( 'tpl_admin_review' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'edit-rcat' )
    	{
    	    $nchk1 = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_cats` WHERE `name`=:1' );  
    	    $nchk1->Execute( UrlDecoder::GetCUri( 3 ) );

    	    if( !$nchk1->GetNum() )
    		    TempeltateEngine::GenerateError( 404 );
    		    
    		$rrow = $nchk1->FetchAssoc( 0 );
    		
    		if( $_POST['cadd_submit']  )
    		{
    			$name   = trim( $_POST['name']   );
   	        	$title  = trim( $_POST['title']  );   	        	
   	        	$title  = htmlspecialchars( $title  );
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else if( $rrow['name'] != $name )
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_cats` WHERE `name`=:1' );  $nchk->Execute( $name );                     
                    $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_tags`         WHERE `name`=:1' );  $rchk->Execute( $name );
                    
                    if( $nchk->GetNum() ) $errors['name_exist'] = true;
                    if( $rchk->GetNum() ) $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;   	        	    
   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    if( $rrow['name'] != $name )
                        $sql_update = 'UPDATE `news_reviews_cats` SET `name`=\''.$name.'\', `title`=\''.$title.'\' WHERE `revc_id`=:1';
                    else
                        $sql_update = 'UPDATE `news_reviews_cats` SET `title`=\''.$title.'\' WHERE `revc_id`=:1'; 
   	        		
   	        		$update = DBChose::PrepareDriver( $sql_update );
                    $update->Execute( $rrow['revc_id'] );
                    
   	        	    if( $rrow['name'] != $name )
   	        	    { 
                        $select = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_cats`  WHERE `name`=:1' );
                        $select->Execute( $name ); 
                    
                        if( $select->GetNum() )
                        {
                    	    $row = $select->FetchAssoc();
                    	
                    	    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.$row['name'] );
                        }
                        else
                            $errors['wrong'] = true; 
   	        	    }
   	        	    else
   	        	    {
   	        	    	$rrow['title'] = $_POST['title'];
   	        	    	$rrow['name']  = $_POST['name'];
   	        	    		
   	        	    	parent::SetFlag3( 'complete' );
   	        	    }
   	        	}       			
    		}    		
    		
    		parent::SetReturnCData( 'rrow', $rrow );
    		parent::SetFlag1( 'cedit' );
    		parent::SetTemplFile( 'tpl_admin_review' );
    	}    	
        else if( UrlDecoder::GetCUri( 2 ) == 'review-add' )
    	{
    		if( $_POST['radd_submit'] )
    		{
    			$name   = trim( $_POST['name']   );
   	        	$title  = trim( $_POST['title']  );
   	        	$stitle = trim( $_POST['stitle'] );
   	        	$text   = trim( $_POST['text']   );
   	        	$url    = trim( $_POST['url']    );  
   	        	$rcat   = (int)$_POST['rcat']; 
   	        	$date   = date( 'U' );
   	        	
   	        	$bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];  
   	        	
   	        	$title  = htmlspecialchars( $title  );
   	        	$stitle = htmlspecialchars( $stitle );
   	        	$url    = htmlspecialchars( $_POST['url']    ); 
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                    $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                    $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                    if( $nchk->GetNum() ) $errors['name_exist'] = true;
                    if( $rchk->GetNum() ) $errors['name_exist'] = true;
                    if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $stitle ) || $stitle == '' )
   	        	    $errors['stitle_empty'] = true;
   	        	    
   	        	if( empty( $text ) || $text == '' )
   	        	    $errors['text_empty'] = true; 
   	        	    

   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `news_reviews_items` ( `revc_id`, `uid`, `date_add`, `date_update`, `show`, `name`, `title`,`stitle`,       `text`,        `bbcode`,        `url`    ) 
                                                                              VALUES    (  :1,        :2,    :3,         :3,            :4,     :5,     :6,     :7,        \''.$text.'\', \''.$bbcode.'\', \''.$url.'\' )' );
                    $insert->Execute( $rcat, User::GetId(), $date, 1,  $name, $title, $stitle );

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `uid`=:1 AND `name`=:2' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-review/'.$row['name'] );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}       			
    		}
    		
    		$rev_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_reviews_cats` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	    $rev_cat->Execute();
    	    
    	    for( $a = 0; $a < $rev_cat->GetNum(); $a++ )
    	        $rev_cats[] = $rev_cat->FetchAssoc();  
    	          	    
    	    parent::SetReturnCData( 'rev_cats', $rev_cats );
    		
    		parent::SetFlag1( 'radd' );
    		parent::SetTemplFile( 'tpl_admin_review' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'edit-review' )
    	{
    		$nchk1 = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items` WHERE `name`=:1 AND `locked`=:2' );  
    	    $nchk1->Execute( UrlDecoder::GetCUri( 3 ), 0 );

    	    if( !$nchk1->GetNum() )
    		    TempeltateEngine::GenerateError( 404 );
    		    
    		$rrow = $nchk1->FetchAssoc( 0 );
    		
    		if( 1 )
    		{
    		    if( $_POST['radd_submit'] )
    		    {
    			    $name   = trim( $_POST['name']   );
   	        	    $title  = trim( $_POST['title']  );
   	        	    $stitle = trim( $_POST['stitle'] );
   	        	    $text   = trim( $_POST['text']   );
   	        	    $url    = trim( $_POST['url']    );  
   	        	    $rcat   = (int)$_POST['rcat']; 
   	        	    $date   = date( 'U' );
   	        	
   	        	    $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];  
   	        	
   	        	    $title  = htmlspecialchars( $title  );
   	        	    $stitle = htmlspecialchars( $stitle );
   	        	    $url    = htmlspecialchars( $_POST['url']    ); 
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        	    	if( $rrow['name'] != $name )
   	        	    	{
   	        		        $nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                            $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                            $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                            if( $nchk->GetNum() ) $errors['name_exist'] = true;
                            if( $rchk->GetNum() ) $errors['name_exist'] = true;
                            if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        	    	}
   	        	    } 
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( empty( $stitle ) || $stitle == '' )
   	        	        $errors['stitle_empty'] = true;
   	        	    
   	        	    if( empty( $text ) || $text == '' )
   	        	        $errors['text_empty'] = true; 
   	        	    

   	        	    
   	        	    if( !sizeof( $errors ) )
   	        	    {
                        if( $rrow['name'] != $name )
                            $sql_update = 'UPDATE `news_reviews_items` SET `name`=\''.$name.'\', `revc_id`=\''.$rcat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `text`=\''.$text.'\', `bbcode`=\''.$bbcode.'\', `url`=\''.$url.'\' WHERE `rev_id`=:1';
                        else
                            $sql_update = 'UPDATE `news_reviews_items` SET `revc_id`=\''.$rcat.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `text`=\''.$text.'\', `bbcode`=\''.$bbcode.'\', `url`=\''.$url.'\' WHERE `rev_id`=:1';

   	        	       	$update = DBChose::PrepareDriver( $sql_update );
                        $update->Execute( $rrow['rev_id'] );
                    
   	        	        if( $rrow['name'] != $name )
   	        	        { 
                            $select = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );
                            $select->Execute( $name ); 
                    
                            if( $select->GetNum() )
                            {
                    	        $row = $select->FetchAssoc();
                    	
                    	        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.$row['name'] );
                            }
                            else
                                $errors['wrong'] = true; 
   	        	        }
   	        	        else
   	        	        {  	        	       	        	    
   	        	    	    $rrow['title'] = $_POST['title'];
   	        	    	    $rrow['name']    = $_POST['name'];
   	        	    	    $rrow['stitle']  = $_POST['stitle'];
   	        	    	    $rrow['text']    = $_POST['text'];
   	        	    	    $rrow['url'] =    $_POST['url'];
   	        	    	    $rrow['revc_id']  = $_POST['rcat'];
   	        	    		
   	        	    	    parent::SetFlag3( 'complete' );
   	        	        }     
   	        	    }       			
    		    }
    		}
    		
    		$rev_cat = DBChose::PrepareDriver( 'SELECT * FROM  `news_reviews_cats` WHERE `show`=\'1\' ORDER BY  `pos` ASC ' );    	
    	    $rev_cat->Execute();
    	    
    	    for( $a = 0; $a < $rev_cat->GetNum(); $a++ )
    	        $rev_cats[] = $rev_cat->FetchAssoc();  
    	          	    
    	    parent::SetReturnCData( 'rev_cats', $rev_cats );
    		parent::SetReturnCData( 'rrow', $rrow );
    		parent::SetFlag1( 'redit' );
    		parent::SetTemplFile( 'tpl_admin_review' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'announce-active' )
    	{
    		$ann = DBChose::PrepareDriver( 'SELECT  `news_announce`.*, `members`.`gender` AS `gender`, `members`.`page` AS `page`, `members`.`nick` AS `nick` FROM `news_announce`, `members` WHERE `news_announce`.`ann_active`=:1 AND `news_announce`.`uid`=`members`.`id` ORDER BY `ann_date_add` DESC ' );    	
    	    $ann->Execute( 1 );
    	    
    	    for( $a = 0; $a < $ann->GetNum(); $a++ )
    	    	$anns[] = $ann->FetchAssoc();
    	    	
    		parent::SetReturnCData( 'anns', $anns );
    		parent::SetFlag1( 'list' );
    		parent::SetTemplFile( 'tpl_admin_announce' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'announce-list' )
    	{
    		$ann = DBChose::PrepareDriver( 'SELECT  `news_announce`.*, `members`.`gender` AS `gender`, `members`.`page` AS `page`, `members`.`nick` AS `nick` FROM `news_announce`, `members` WHERE `news_announce`.`ann_active`=:1 AND `news_announce`.`uid`=`members`.`id` ORDER BY `ann_date_add` DESC ' );    	
    	    $ann->Execute( 0 );
    	    
    	    for( $a = 0; $a < $ann->GetNum(); $a++ )
    	    	$anns[] = $ann->FetchAssoc();
    	    	
    		parent::SetReturnCData( 'anns', $anns );    		
    		parent::SetFlag1( 'list' );
    		parent::SetTemplFile( 'tpl_admin_announce' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'announce-add' )
    	{
    		if( $_POST['cadd_submit'] )
    		{
   	        	$title  = trim( $_POST['title']  );
   	        	$text   = trim( $_POST['text']   );
   	        	$date   = date( 'U' );
   	        	
   	        	$bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];  
   	        	
   	        	$title  = htmlspecialchars( $title  );
   	        	

   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $text  ) || $text == '' )
   	        	    $errors['text_empty'] = true;
   	        	    

   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `news_announce` ( `ann_active`, `uid`, `ann_date_add`, `ann_date_update`, `ann_title`,       `ann_text`,        `ann_bbcode`    ) 
                                                                         VALUES    (  :1,           :2,    :3,             :3,               :4,       \''.$text.'\', \''.$bbcode.'\' )' );
                    $insert->Execute( 0, User::GetId(), $date, $title );
                    	
                    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/announce-list' );

   	        	}  
    		}
    		
    		parent::SetFlag1( 'add' );
    		parent::SetTemplFile( 'tpl_admin_announce' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'announce-edit' )
    	{
    		$nchk1 = DBChose::PrepareDriver( 'SELECT * FROM `news_announce` WHERE `ann_id`=:1' );  
    	    $nchk1->Execute( UrlDecoder::GetCUri( 3 ) );

    	    if( !$nchk1->GetNum() )
    		    TempeltateEngine::GenerateError( 404 );
    		    
    		$rrow = $nchk1->FetchAssoc();
    		
    		if( 1 )
    		{
    		    if( $_POST['cadd_submit'] )
    		    {
   	        	    $title  = trim( $_POST['title']  );
   	        	    $text   = trim( $_POST['text']   );
   	        	    $date   = date( 'U' );
   	        	
   	        	    $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];  
   	        	
   	        	    $title  = htmlspecialchars( $title  );  	        	
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( empty( $text  ) || $text == '' )
   	        	        $errors['text_empty'] = true;   	        	    

   	        	    
   	        	    if( !sizeof( $errors ) )
   	        	    {
   	        	       	$update = DBChose::PrepareDriver( 'UPDATE `news_announce` SET `ann_date_update`=:1, `ann_title`=:2, `ann_text`=\''.$text.'\', `ann_bbcode`=\''.$bbcode.'\' WHERE `ann_id`=:3' );
                        $update->Execute( $date, $title, $rrow['ann_id'] );
                           	       	        	    
   	        	    	$rrow['ann_title'] = $_POST['title'];
   	        	    	$rrow['ann_bbcode']  = $_POST['text'];
   	        	    		
   	        	    	parent::SetFlag3( 'complete' );   
   	        	    }       			
    		    }
    		}
    		
    		parent::SetReturnCData( 'ann', $rrow );
    		
    		parent::SetFlag1( 'edit' );
    		parent::SetTemplFile( 'tpl_admin_announce' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'artint-alist' || UrlDecoder::GetCUri( 2 ) == 'artint-ilist' )
    	{
    		if( UrlDecoder::GetCUri( 2 ) == 'artint-alist' )
    		{
    		    $type = 'article';
    		    parent::SetReturnCData( 'type', 'articles' ); 
    		}
    		else
    		{
    		    $type = 'interview';
    		    parent::SetReturnCData( 'type', 'interviews' ); 
    		}
    		
    		$update = DBChose::PrepareDriver( 'SELECT `news_articles`.*, `members`.`gender` AS `gender`, `members`.`nick` AS `nick`, `members`.`page` AS `page` FROM `news_articles`, `members` WHERE `news_articles`.`type`=:1 AND `news_articles`.`deleted`=:2 AND `news_articles`.`uid`=`members`.`id` ORDER BY `news_articles`.`date_add` DESC' );
            $update->Execute( $type, 0 );
    		
            for( $a = 0; $a < $update->GetNum(); $a++ )
                $articles[] = $update->FetchAssoc();
                
            parent::SetReturnCData( 'articles', $articles );    
            
    		parent::SetFlag1( 'list' );
    		parent::SetTemplFile( 'tpl_admin_artint' );
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'artint-aadd'  || UrlDecoder::GetCUri( 2 ) == 'artint-iadd'  )
    	{
    		if( UrlDecoder::GetCUri( 2 ) == 'artint-aadd' )
    		    $type = 'article';
    		else
    		    $type = 'interview';
    		    
    		if( $_POST['radd_submit'] )
    		{
    			$name   = trim( $_POST['name']   );
   	        	$title  = trim( $_POST['title']  );
   	        	$stitle = trim( $_POST['stitle'] );
   	        	$text   = trim( $_POST['text']   );  
   	        	$date   = date( 'U' );
   	        	
   	        	$bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];  
   	        	
   	        	$title  = htmlspecialchars( $title  );
   	        	$stitle = htmlspecialchars( $stitle );
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                    $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                    $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                    if( $nchk->GetNum() ) $errors['name_exist'] = true;
                    if( $rchk->GetNum() ) $errors['name_exist'] = true;
                    if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $stitle ) || $stitle == '' )
   	        	    $errors['stitle_empty'] = true;
   	        	    
   	        	if( empty( $text ) || $text == '' )
   	        	    $errors['text_empty'] = true;    	        	    

   	        	    
   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `news_articles` ( `type`, `uid`, `date_add`, `date_update`, `show`, `name`, `title`,`stitle`,       `text`,        `bbcode`     ) 
                                                                         VALUES    (  :1,     :2,    :3,         :3,            :4,     :5,     :6,     :7,        \''.$text.'\', \''.$bbcode.'\' )' );
                    $insert->Execute( $type, User::GetId(), $date, 1,  $name, $title, $stitle );

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`  WHERE `uid`=:1 AND `name`=:2' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-article/'.$row['name'] );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}     			
    		}
    		
    		parent::SetFlag1( 'add' );
    		parent::SetTemplFile( 'tpl_admin_artint' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'edit-article' )
    	{
    		$nchk1 = DBChose::PrepareDriver( 'SELECT * FROM `news_articles` WHERE `name`=:1 AND `locked`=:2' );  
    	    $nchk1->Execute( UrlDecoder::GetCUri( 3 ), 0 );

    	    if( !$nchk1->GetNum() )
    		    TempeltateEngine::GenerateError( 404 );
    		    
    		$rrow = $nchk1->FetchAssoc( 0 );
    		
    		if( 1 )
    		{
    		    if( $_POST['radd_submit'] )
    		    {
    			    $name   = trim( $_POST['name']   );
   	        	    $title  = trim( $_POST['title']  );
   	        	    $stitle = trim( $_POST['stitle'] );
   	        	    $text   = trim( $_POST['text']   );
   	        	    $date   = date( 'U' );
   	        	
   	        	    $bbret  = BBCode::BBCode_to_HTML( $text );   	        		        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];  
   	        	
   	        	    $title  = htmlspecialchars( $title  );
   	        	    $stitle = htmlspecialchars( $stitle );
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        	    	if( $rrow['name'] != $name )
   	        	    	{
   	        		        $nchk = DBChose::PrepareDriver( 'SELECT * FROM `news`                WHERE `name`=:1' );  $nchk->Execute( $name );                     
                            $rchk = DBChose::PrepareDriver( 'SELECT * FROM `news_reviews_items`  WHERE `name`=:1' );  $rchk->Execute( $name );
                            $achk = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`       WHERE `name`=:1' );  $achk->Execute( $name ); 
                    
                            if( $nchk->GetNum() ) $errors['name_exist'] = true;
                            if( $rchk->GetNum() ) $errors['name_exist'] = true;
                            if( $achk->GetNum() ) $errors['name_exist'] = true;
   	        	    	}
   	        	    } 
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( empty( $stitle ) || $stitle == '' )
   	        	        $errors['stitle_empty'] = true;
   	        	    
   	        	    if( empty( $text ) || $text == '' )
   	        	        $errors['text_empty'] = true; 
   	        	    

   	        	    
   	        	    if( !sizeof( $errors ) )
   	        	    {
                        if( $rrow['name'] != $name )
                            $sql_update = 'UPDATE `news_articles` SET `name`=\''.$name.'\', `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `text`=\''.$text.'\', `bbcode`=\''.$bbcode.'\' WHERE `atc_id`=:1';
                        else
                            $sql_update = 'UPDATE `news_articles` SET `date_update`=\''.$date.'\', `title`=\''.$title.'\', `stitle`=\''.$stitle.'\', `text`=\''.$text.'\', `bbcode`=\''.$bbcode.'\' WHERE `atc_id`=:1';

   	        	       	$update = DBChose::PrepareDriver( $sql_update );
                        $update->Execute( $rrow['atc_id'] );
                    
   	        	        if( $rrow['name'] != $name )
   	        	        { 
                            $select = DBChose::PrepareDriver( 'SELECT * FROM `news_articles`  WHERE `name`=:1' );
                            $select->Execute( $name ); 
                    
                            if( $select->GetNum() )
                            {
                    	        $row = $select->FetchAssoc();
                    	
                    	        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.$row['name'] );
                            }
                            else
                                $errors['wrong'] = true; 
   	        	        }
   	        	        else
   	        	        {  	        
   	        	    	    $rrow['title'] = $_POST['title'];
   	        	    	    $rrow['name']    = $_POST['name'];
   	        	    	    $rrow['stitle']  = $_POST['stitle'];
   	        	    	    $rrow['text']    = $_POST['text'];
   	        	    		
   	        	    	    parent::SetFlag3( 'complete' );
   	        	        }     
   	        	    }       			
    		    }
    		}
    	          	    
    		parent::SetReturnCData( 'rrow', $rrow );
    		parent::SetFlag1( 'edit' );
    		parent::SetTemplFile( 'tpl_admin_artint' );    		    
    	}
    	
    	$news = DBChose::PrepareDriver( $sql_query );    	
    	$news->Execute(); 
    	   	
    	$news_items = array(); 
    	   	
    	for( $a = 0; $a < $news->GetNum(); $a++ )
    	    $news_items[] = $news->FetchAssoc();
    	
    	 
    	
    	    
    	parent::SetMenuLeft( 1, 1 );
    	
    	parent::AddMenuLeft_head( 'main', 'Все новости' ); 

   	    parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', '',            2, 'На главной',        '', array() );
   	    
   	    if( User::GetRight( 'news_moderate' ) )
   	        parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', 'unmoderated', 2, 'Не модерированные', '', array() );
   	        
   	    if( User::GetRight( 'news_lock' ) )    
   	        parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', 'unlocked',    2, 'Не одобренные',     '', array() );
   	        
   	    if( User::GetRight( 'news_hide_show' ) )    
   	        parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', 'hided',       2, 'Скрытые',           '', array() );
   	        
   	    if( User::GetRight( 'news_restore' ) )    
   	        parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', 'deleted',     2, 'Удаленные',         '', array() );
   	        
   	    if( User::GetRight( 'news_add' ) )    
   	        parent::AddMenuLeft_item( 'main', SHOST.'/news/admin', 'add',         2, 'Добавить новость',  '', array() ); 

   	    parent::AddMenuLeft_head( 'main1', 'Мои новости' ); 

   	    parent::AddMenuLeft_item( 'main1', SHOST.'/news/admin', 'my-full',        2, 'Весь список',       '', array() );
   	    parent::AddMenuLeft_item( 'main1', SHOST.'/news/admin', 'my-unmoderated', 2, 'Не модерированные', '', array() );
   	    parent::AddMenuLeft_item( 'main1', SHOST.'/news/admin', 'my-unlocked',    2, 'Не одобренные',     '', array() );
   	    parent::AddMenuLeft_item( 'main1', SHOST.'/news/admin', 'my-hided',       2, 'Скрытые',           '', array() );
   	    
   	    
   	    if( User::GetRight( 'news_announce_access' ) )
   	    {
   	        parent::AddMenuLeft_head( 'main2', 'Объявления' );    	        
   	        parent::AddMenuLeft_item( 'main2', SHOST.'/news/admin', 'announce-active', 2, 'Активные объявления',   '', array() );
   	        parent::AddMenuLeft_item( 'main2', SHOST.'/news/admin', 'announce-list',   2, 'Неактивные объявления', '', array() );
   	        
   	        if( User::GetRight( 'news_announce_add' ) )
   	            parent::AddMenuLeft_item( 'main2', SHOST.'/news/admin', 'announce-add',    2, 'Добавить объявление',   '', array() );
   	    }
   	    
   	    parent::AddMenuLeft_head( 'main3', 'Обзоры' ); 

   	    parent::AddMenuLeft_item( 'main3', SHOST.'/news/admin', 'review-cats', 2, 'Категории обзоров',  '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/news/admin', 'review-list', 2, 'Список обзоров',     '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/news/admin', 'review-cadd', 2, 'Добавить категорию', '', array() );
   	    parent::AddMenuLeft_item( 'main3', SHOST.'/news/admin', 'review-add',  2, 'Добавить обзор',     '', array() );
   	    
   	    parent::AddMenuLeft_head( 'main4', 'Статьи и интервью' ); 

   	    parent::AddMenuLeft_item( 'main4', SHOST.'/news/admin', 'artint-alist', 2, 'Список статей',     '', array() );
   	    parent::AddMenuLeft_item( 'main4', SHOST.'/news/admin', 'artint-ilist', 2, 'Список интервью',   '', array() );
   	    parent::AddMenuLeft_item( 'main4', SHOST.'/news/admin', 'artint-aadd',  2, 'Добавить статью',   '', array() );
   	    parent::AddMenuLeft_item( 'main4', SHOST.'/news/admin', 'artint-iadd',  2, 'Добавить интервью', '', array() );
    	    
    	parent::AddBreadCorn( 'admin', 'Редакция ВТ', '' );
    	parent::SetTitle( 'Редакция ВТ' );
    	
    	
    	parent::SetReturnCData( 'news',   $news_items );
    	parent::SetReturnCData( 'errors', $errors     );
    }

    private function create_bookmarks()
    {
    	parent::AddBookMark( SHOST.'/news', '',                1, 'Последние новости', '', array() );
    	parent::AddBookMark( SHOST.'/news', 'reviews',         1, 'Обзоры',            '', array() );  
    	parent::AddBookMark( SHOST.'/news', 'articles',        1, 'Статьи',            '', array() );     	    
   	    parent::AddBookMark( SHOST.'/news', 'interviews',      1, 'Интервью',          '', array() );   	      	    
  	    parent::AddBookMark( SHOST.'/news', 'archive',         1, 'Архив',             '', array() );     
  	    
  	    if( User::GetRight( 'news_access' ) )
  	        parent::AddBookMark( SHOST.'/news', 'admin', 1, 'Редакция ВТ', '', array() );
    }
}

?>