<?php

class Module extends PModule
{
    public function act_index()
    {
        if( UrlDecoder::GetCUri( 1 ) == ''  )
        {
        	$this->main_info();
        	return;
        }
        else
        {
        	$article = DBChose::PrepareDriver( 'SELECT `game_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender`   
    	                                    FROM `game_articles`, `members` 
    	                                    WHERE `game_articles`.`uid`=`members`.`id` AND `game_articles`.`game`=:1 AND `game_articles`.`parent_id`=:2 AND `game_articles`.`name`=:3 AND `game_articles`.`deleted`=:4 AND `game_articles`.`show`=:5 AND `game_articles`.`moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
            $article->Execute( 5, 0, UrlDecoder::GetCUri( 1 ), 0, 1, 1 );
            
            if( $article->GetNum() )            	
            	$this->main_article( $article->FetchAssoc() );
            else                       
                TempeltateEngine::GenerateError( 404 ); 
        }
    }
    
    private function main_info()
    {
    	if( UrlDecoder::GetCUri( 1 ) == '' )
    	    $text_name = 'oblivion';
    	else
    	    $text_name = UrlDecoder::GetCUri( 1 );
    	
    	if( count( UrlDecoder::GetUri() ) >= 3 )
    	    TempeltateEngine::GenerateError( 404 ); 
    	    
        parent::AddBreadCorn(  SHOST.'/skyrim', 'The Elder Scrolls 5',  '' );
    	    
        
        parent::SetTitle( 'Skyrim' );
        
        
        parent::SetReturnData( $data );
        
        parent::SetTemplFile( 'tpl_introduction' );
        $this->make_left_menu();
    }    
    
    private function main_article( $arow )
    {
    	parent::AddBreadCorn(  SHOST.'/skyrim',   'The Elder Scrolls 5',  ''                   );
    	parent::AddBreadCorn(        $arow['name'],  $arow['title'],         $arow['description'] );
    	
    	$article = DBChose::PrepareDriver( 'SELECT `game_articles`.*, `members`.`page` AS `page`, `members`.`nick` AS `nick`, `members`.`gender` AS `gender`   
    	                                    FROM `game_articles`, `members` 
    	                                    WHERE `game_articles`.`uid`=`members`.`id` AND `game_articles`.`game`=:1 AND `game_articles`.`parent_id`=:2 AND `game_articles`.`deleted`=:3 AND `game_articles`.`show`=:4 AND `game_articles`.`moderated`=:5 
    	                                    ORDER BY  `game_articles`.`order` ASC ' );
        $article->Execute( 5, $arow['artic_id'], 0, 1, 1 );
        
        if( $article->GetNum() )
        {
        	if( count( UrlDecoder::GetUri() ) >= 4 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
        	$setted = 0;
        	
        	for( $a = 0; $a < $article->GetNum(); $a++ )
        	{
        		$row = $article->FetchAssoc();
        		
        		if( $a == 0 && UrlDecoder::GetCUri( 2 ) == '' )
        		{
        			$return_data['article'] = $row;
        			$setted = 1;
        			parent::AddBookMark( SHOST.'/skyrim/'.UrlDecoder::GetCUri( 1 ), '', 2, $row['title'],   $row['description'], array() );
        		}
        		else if( UrlDecoder::GetCUri( 2 ) == $row['name'] )
        		{
        			$return_data['article'] = $row;
        			$setted = 1;
        			parent::AddBookMark( SHOST.'/skyrim/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $row['title'],   $row['description'], array() );
        		}
        		else
        			parent::AddBookMark( SHOST.'/skyrim/'.UrlDecoder::GetCUri( 1 ), $row['name'], 2, $row['title'],   $row['description'], array() );
        	}  

        	if( !$setted )
        	    TempeltateEngine::GenerateError( 404 );
        }
        else
        {
        	if( count( UrlDecoder::GetUri() ) >= 3 )
    	        TempeltateEngine::GenerateError( 404 );
    	        
    	    $return_data['article'] = $arow;
        }
            
    	parent::SetTitle( $return_data['article']['title'].' (TES5: Skyrim)' );
    	parent::SetReturnData( $return_data );
    	
    	parent::SetTemplFile( 'tpl_articles' );
        $this->make_left_menu();
    }

   
    
    
    
    
    
    
    
    
    

    private function make_left_menu()
    {
   	    parent::SetMenuLeft( 1, 0 );
    	
    	parent::AddMenuLeft_head( 'main', 'Общая информация' ); 

   	    parent::AddMenuLeft_item( 'main', SHOST.'/skyrim', '',                    1, 'Введение',             '', array() );
  
      	    
   	    
        $solutions1 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions1->Execute( 5, 1, 0, 0, 1, 1 );
        
        if( $solutions1->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main4', 'Статьи' ); 
        	
        	for( $a = 0; $a < $solutions1->GetNum(); $a++ )
        	{
        		$row = $solutions1->FetchAssoc();
        		parent::AddMenuLeft_item( 'main4', SHOST.'/skyrim', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    
   	    $solutions2 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions2->Execute( 5, 2, 0, 0, 1, 1 );
        
        if( $solutions2->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main5', 'Прохождения' );
        	
        	for( $a = 0; $a < $solutions2->GetNum(); $a++ )
        	{
        		$row = $solutions2->FetchAssoc();
        		parent::AddMenuLeft_item( 'main5', SHOST.'/skyrim', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    
        $solutions3 = DBChose::PrepareDriver( 'SELECT * FROM `game_articles` WHERE `game`=:1 AND `type`=:2 AND `parent_id`=:3 AND `deleted`=:4 AND `show`=:5 AND `moderated`=:6 ORDER BY  `game_articles`.`order` ASC ' );
        $solutions3->Execute( 5, 3, 0, 0, 1, 1 );
        
        if( $solutions3->GetNum() )
        {
        	parent::AddMenuLeft_head( 'main6', 'Руководства' );
        	
        	for( $a = 0; $a < $solutions3->GetNum(); $a++ )
        	{
        		$row = $solutions3->FetchAssoc();
        		parent::AddMenuLeft_item( 'main6', SHOST.'/skyrim', $row['name'],    1, $row['title'], $row['description'], array() );
        	}
        }
   	    

    }

        
}