<?php

class Module extends PModule
{
    public function act_index()
    {
   	    if( UrlDecoder::GetCUri( 1 ) == '' )
    	    $this->thewall();
   	    
    	parent::SetTemplSite( 'fullrestbox_sonet' );  	    
    }

    public function act_info()   { require_once( 'sonet/sonet_info.php'   ); }    
    public function act_photos() { require_once( 'sonet/sonet_photos.php' ); }   
    
    public function act_friends()
    {
    	parent::SetReturnCData( 'title_icon', 'ico_users' );
    	
    	parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/friends', '',        2, 'Все друзья', '', array() );
   	    parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/friends', 'online',  2, 'В сети',     '', array() );
   	    
   	    if( SonetUserPage::GetIsOwner() )
   	    {
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/friends', 'request', 2, 'Заявки',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/friends', 'ignored', 2, 'Игнор лист', '', array() );
   	    }
   	    
   	    $grps = DBChose::PrepareDriver( 'SELECT * FROM `groups`' );
        $grps->Execute();
        
        $ignr = DBChose::PrepareDriver( 'SELECT * FROM `members_ignore_list` WHERE `owner_id`=:1' );
        $ignr->Execute( User::GetId() );
        
        for( $a =0; $a < $grps->GetNum(); $a++ )
        {
        	$row = $grps->FetchAssoc();
        	$groups_list[$row['id']] = $row;
        }
        
        for( $a =0; $a < $ignr->GetNum(); $a++ )
        {
        	$row = $ignr->FetchAssoc();
        	$ignore_list[$row['ignore_id']] = true;
        }
        
        if( !SonetUserPage::GetIsOwner() )
        {
        	$frds = DBChose::PrepareDriver( 'SELECT * FROM `members_friendlist` WHERE ( `to`=:1 OR `from`=:1 ) AND `confirm`=:2' );
            $frds->Execute( User::GetId(), 1 );
            
            for( $a = 0; $a < $frds->GetNum(); $a++ )
            {
            	$row = $frds->FetchAssoc();
            	
            	if( $row['to'] == User::GetId() )
            	    $frds_list[$row['from']] = true;
            	else if( $row['from'] == User::GetId() )
            	    $frds_list[$row['to']] = true;            	
            }
        }
        
   	    
   	    if( UrlDecoder::GetCUri( 2 ) == '' )
   	    {
   	    	$friends = DBChose::PrepareDriver( 'SELECT * FROM `members_friendlist` WHERE ( `to`=:1 OR `from`=:1 ) AND `confirm`=:2' );
            $friends->Execute( SonetUserPage::GetId(), 1 );
            
            $friend_list = array();
            
            for( $a = 0; $a < $friends->GetNum(); $a++ )
            {
            	$row = $friends->FetchAssoc();
            	
            	if( $row['to'] == SonetUserPage::GetId() )
            	    $friend_list[$row['from']] = '\''.$row['from'].'\'';
            	else if( $row['from'] == SonetUserPage::GetId() )
            	    $friend_list[$row['to']] = '\''.$row['to'].'\'';            	
            }
            
            $members = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE `id` IN( '.implode( ', ', $friend_list ).' )' );
            $members->Execute();
            
            $pers = DBChose::PrepareDriver( 'SELECT `id`, `name`, `lastname`, `patronymic` FROM `members_personal`  WHERE `id` IN( '.implode( ', ', $friend_list ).' )' );
            $pers->Execute();
   	    	
            for( $a = 0; $a < $members->GetNum(); $a++ )
            	$members_list[] = $members->FetchAssoc();
            	
            for( $a = 0; $a < $pers->GetNum(); $a++ )
            {
            	$row = $pers->FetchAssoc(); 
            	$perses_list[$row['id']] = $row;
            }	
            
            parent::SetReturnCData( 'fpers',   $perses_list  );	
            parent::SetReturnCData( 'fmembs',  $members_list );	
   	    	parent::SetTitle( 'Список всех друзей' );
   	    }
   	    else if( UrlDecoder::GetCUri( 2 ) == 'online' )
   	    {
   	    	$friends = DBChose::PrepareDriver( 'SELECT * FROM `members_friendlist` WHERE ( `to`=:1 OR `from`=:1 ) AND `confirm`=:2' );
            $friends->Execute( SonetUserPage::GetId(), 1 );
            
            $friend_list = array();
            
            for( $a = 0; $a < $friends->GetNum(); $a++ )
            {
            	$row = $friends->FetchAssoc();
            	
            	if( $row['to'] == SonetUserPage::GetId() )
            	    $friend_list[$row['from']] = '\''.$row['from'].'\'';
            	else if( $row['from'] == SonetUserPage::GetId() )
            	    $friend_list[$row['to']] = '\''.$row['to'].'\'';            	
            }
            
            $members = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE `id` IN( '.implode( ', ', $friend_list ).' ) AND `last_online` > :1' );
            $members->Execute( date( 'U' ) - 600 );

            $pers = DBChose::PrepareDriver( 'SELECT `id`, `name`, `lastname`, `patronymic`  FROM `members_personal`  WHERE `id` IN( '.implode( ', ', $friend_list ).' )' );
            $pers->Execute();
   	    	
            for( $a = 0; $a < $members->GetNum(); $a++ )
            	$members_list[] = $members->FetchAssoc();
            	
            for( $a = 0; $a < $pers->GetNum(); $a++ )
            {
            	$row = $pers->FetchAssoc(); 
            	$perses_list[$row['id']] = $row;
            }	
            
            parent::SetReturnCData( 'fpers',   $perses_list  );	
            parent::SetReturnCData( 'fmembs',  $members_list );   	    	
   	    	parent::SetTitle( 'Список друзей в онлайне' );
   	    }
   	    else if( UrlDecoder::GetCUri( 2 ) == 'request' && SonetUserPage::GetIsOwner() )
   	    {
   	    	parent::SetTitle( 'Список заявок на дружбу' );
   	    }
   	    else if( UrlDecoder::GetCUri( 2 ) == 'ignored' && SonetUserPage::GetIsOwner() )
   	    {
   	    	parent::SetTitle( 'Список игнорируемых пользователей' );
   	    }
   	    
   	    parent::SetReturnCData( 'frds_list',   $frds_list   );
   	    parent::SetReturnCData( 'ignore_list', $ignore_list );
   	    parent::SetReturnCData( 'groups_list', $groups_list );	
   	    parent::SetReturnCData( 'title',    'Друзья' );
    	
    	parent::SetTemplSite( 'fullrestbox_sonet' );
    	parent::SetTemplModule( 'base'            );
        parent::SetTemplFile(   'tpl_friends'     );  	    
    }
    
    public function act_groups()
    {
    	parent::SetReturnCData( 'title_icon', 'ico_crown_gold' );
    	
    	parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/groups', '',        2, 'Текущие группы',   '', array() );
   	    parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/groups', 'system',  2, 'Системные группы', '', array() );
   	    //parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/groups', 'history', 2, 'История',          '', array() );
    	
    	
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    		if( $_GET['act'] == 'pset' && (int)$_GET['gid'] > 0 && SonetUserPage::GetId() == User::GetId() && User::GetPGroup() != (int)$_GET['gid'] )
    		{
    			$groupd_id = (int)$_GET['gid'];
    			
    			$check1 = DBChose::PrepareDriver( 'SELECT * FROM `members_secgroups` WHERE `gid`=:1' );
                $check1->Execute( $groupd_id );
                
                if( $check1->GetNum() )
                {
                	$upd1 = DBChose::PrepareDriver( 'UPDATE `members_secgroups` SET `gid`=:3 WHERE `gid`=:1 AND `uid`=:2' );
                    $upd1->Execute( $groupd_id, User::GetId(), User::GetPGroup() );
                    
                    $upd2 = DBChose::PrepareDriver( 'UPDATE `members` SET `group_primary`=:2 WHERE `id`=:1' );
                    $upd2->Execute( User::GetId(), $groupd_id );                  
                    
                    User::ReExecute( User::GetId() );
                }
    		}
    		
    		$groups_ids = array();
    		
    		$pgroup = DBChose::PrepareDriver( 'SELECT 
    		                                     `groups`.`id` AS `id`, `groups`.`title` AS `title`, `groups`.`name` AS `name`, `groups`.`color` AS `color`  
    		                                   FROM `members`, `groups`  
    		                                   WHERE `members`.`id`=:1 AND `members`.`group_primary`=`groups`.`id`' );
            $pgroup->Execute( SonetUserPage::GetId() );
            
            $prow = $pgroup->FetchAssoc();
            
            $sgroup = DBChose::PrepareDriver( 'SELECT 
                                                 `groups`.`id` AS `id`, `groups`.`title` AS `title`, `groups`.`name` AS `name`, `groups`.`color` AS `color` 
                                               FROM `members_secgroups`, `groups` 
                                               WHERE `members_secgroups`.`uid`=:1 AND `members_secgroups`.`gid`=`groups`.`id` ORDER BY  `groups`.`title` ASC ' );
            $sgroup->Execute( SonetUserPage::GetId() );
            
            for( $a = 0; $a < $sgroup->GetNum(); $a++ )
            	$sgroups[] = $sgroup->FetchAssoc();           	
            
            
    		parent::SetReturnCData( 'pgroup',  $prow    );
    		parent::SetReturnCData( 'sgroups', $sgroups );  
    		parent::SetTitle( 'Текущие группы' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'system' )
    	{
    		$users = array();
    		
    		$groups = DBChose::PrepareDriver( 'SELECT * FROM `groups` WHERE `show`=:1 ORDER BY  `title` ASC ' );
            $groups->Execute( 1 );
            
            for( $a = 0; $a < $groups->GetNum(); $a++ )
            {
                $row = $groups->FetchAssoc();
            	$groups_list[] = $row;
            	
            	if( $row['ceo'] )
            	    $users[$row['ceo']] = '\''.$row['ceo'].'\'';
            	    
            	if( $row['co_ceo'] )
            	    $users[$row['co_ceo']] = '\''.$row['co_ceo'].'\'';    
            }
            
            $user = DBChose::PrepareDriver( 'SELECT * FROM `members` WHERE `id` IN( '.implode( ', ', $users ).' )' );
            $user->Execute();
            
            for( $a = 0; $a < $user->GetNum(); $a++ )
            {
            	$row = $user->FetchAssoc();
            	$users_list[$row['id']] = $row;
            }
                
            parent::SetReturnCData( 'users_list', $users_list );    
    		parent::SetReturnCData( 'groups_list', $groups_list );
    		parent::SetTitle( 'Системные группы' );
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'history' )
    	{
    		parent::SetTitle( 'История' );
    	}
    	
    	parent::SetReturnCData( 'title',    'Группы' );
    	parent::SetTemplSite( 'fullrestbox_sonet' );
    	parent::SetTemplModule( 'base'            );
        parent::SetTemplFile(   'tpl_groups'      );  	    
    }
    
    public function act_avatar()   { require_once( 'sonet/sonet_avatar.php'   ); }    
    public function act_personal() { require_once( 'sonet/sonet_personal.php' ); }  
    
    public function act_settings()
    {    	
    	parent::SetReturnCData( 'title_icon', 'ico_gear' );
    	
    	if( User::GetId() != SonetUserPage::GetId() )
    	    die( 'too shame for u' );   
    	    
        $settings_base = DBChose::PrepareDriver( 'SELECT * FROM `members_settings_list` WHERE `members_settings_list`.`extends` = \'default_page\' OR `members_settings_list`.`extends` = \'info\'' );
        $settings_base->Execute();
        
        $settings_list = array();
        
        $settings_select = DBChose::PrepareDriver( 'SELECT * FROM `members_settings`, `members_settings_list` 
   	                                                WHERE `members_settings`.`uid` = :1 AND ( `members_settings_list`.`extends` = \'default_page\' OR `members_settings_list`.`extends` = \'info\' ) AND `members_settings`.`set_id`=`members_settings_list`.`set_id`' );
        $settings_select->Execute( User::GetId() );
        
        if( $settings_base->GetNum() != $settings_select->GetNum() )
        {
        	for( $a = 0; $a < $settings_base->GetNum(); $a++ )
        	{
        		$row = $settings_base->FetchAssoc();        		
        		$settings_list[$row['name']] = $row['default'];
        		
        		$settings_insert = DBChose::PrepareDriver( 'INSERT INTO `members_settings` ( `set_id`, `uid`, `val` ) VALUES ( :1, :2, :3 )' );
                $settings_insert->Execute( $row['set_id'], User::GetId(), $row['default'] );
        	}
        }
        else
        {
            for( $a = 0; $a < $settings_select->GetNum(); $a++ )
        	{
        		$row = $settings_select->FetchAssoc();        		
        		$settings_list[$row['name']] = $row['val'];
        	}        	
        }
        
        for( $a = 0; $a < $settings_base->GetNum(); $a++ )
        {
        	$row = $settings_base->FetchAssoc();        		
            $scurr[$row['name']] = $row;
        }
        
        if( $_POST['data_submit'] )
   	    {
   	    	    foreach( $_POST['settings'] as $i => $v )
                {                	
                	$update = DBChose::PrepareDriver( 'UPDATE `members_settings` SET `val` =:1 WHERE `set_id`=:2 AND `uid`=:3' );
                    $update->Execute( (int)$v, $scurr[$i]['set_id'], User::GetId() );                    
                    $settings_list[$i] = $v;
                }
                
                parent::SetReturnCData( 'add_ready', true );
   	    }  

       	if( UrlDecoder::GetCUri( 2 ) == '' )
   	    {  	    	 	  	    	
   	    	$field_list = array(
   	    	    'ginfo'     => array( 'title' => 'Раздел Информация', 'value' => '' ),
   	    	    'gcontacts' => array( 'title' => 'Раздел Контакты',   'value' => '' )    	   	    	
   	    	);   	    	
   	    	
   	    	parent::SetTitle( 'Настройки главной страницы' );   	    	
   	    }
   	    else if( UrlDecoder::GetCUri( 2 ) == 'info' )
   	    {  	    	 	  	    	
   	    	$field_list = array(
   	    	    'personal'  => array( 'title' => 'Раздел Информация', 'value' => '' ),
   	    	    'contacts'  => array( 'title' => 'Раздел Контакты',   'value' => '' ), 
   	    	    'interests' => array( 'title' => 'Раздел Интересы',   'value' => '' )   	   	    	
   	    	);   	    	
   	    	
   	    	parent::SetTitle( 'Настройки информационной страницы' );   	    	
   	    }
    	    
    	parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/settings', '',         2, 'Главная',     '', array() );
   	    parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/settings', 'info',     2, 'Информации',  '', array() );
   	    //parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/settings', 'friends',  2, 'Друзья',      '', array() );
   	    //parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/settings', 'messages', 2, 'Сообщения',   '', array() ); 
   	    //parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/settings', 'notifys',  2, 'Уведомления', '', array() );         
    	
    	parent::SetReturnCData( 'field_list',    $field_list    );
    	parent::SetReturnCData( 'settings_list', $settings_list );
   	    
   	    parent::SetReturnCData( 'title',    'Редактирование настроек' );   	    	
    	parent::SetTemplSite( 'fullrestbox_sonet' );
    	parent::SetTemplModule( 'edit'            );
        parent::SetTemplFile(   'tpl_settings'      );  	    
    }
    
    public function act_art()
    {
    	parent::SetReturnCData( 'title_icon', 'ico_album2' );
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    	    if( SonetUserPage::GetIsOwner() )
   	        {
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', '',          2, 'Список альбомов', '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', 'add-album', 2, 'Добавить альбом', '', array() );
   	            
   	            
   	            if( $_GET['act'] == 'show' )
   	            {   	            	
   	            	$update = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `show`=:3, `date_update`=:4 WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:5 AND `show`=:6' );
                    $update->Execute( User::GetId(), (int)$_GET['id'],  1, date( 'U' ), 0, 0 );
   	            }
   	            else if( $_GET['act'] == 'hide' )
   	            {
   	            	$update = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `show`=:3, `date_update`=:4 WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:5 AND `show`=:6' );
                    $update->Execute( User::GetId(), (int)$_GET['id'],  0, date( 'U' ), 0, 1 );
   	            }
   	            
   	            $select4 = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `show`=:2  AND `deleted`=:3 ' );   	        
                $select4->Execute( SonetUserPage::GetId(), 0, 0 );
                
   	            for( $a = 0; $a < $select4->GetNum(); $a++ )
                {
            	    $row = $select4->FetchAssoc();
            	
            	    $album_hide[] = $row;
            	
            	    $ids[$row['aid']] = '\''.$row['aid'].'\'';
                }
                
                parent::SetReturnCData( 'albums_hide', $album_hide ); 
   	        }
    		
    		$sets = DBChose::PrepareDriver( 'SELECT DISTINCT( `art_images`.`aid` ), COUNT( * ) AS `count`, `art_images_albums`.*  
                                             FROM `art_images`, `art_images_albums` 
                                             WHERE 
                                               `art_images`.`aid`=`art_images_albums`.`aid` AND 
                                               `art_images_albums`.`uid` = :1               AND 
                                               `art_images_albums`.`deleted`=:2             AND 
                                               `art_images_albums`.`show`=:3                AND
                                               `art_images`.`deleted`=:2                    AND
                                               `art_images`.`show`=:3
                                             GROUP BY `art_images`.`aid` ORDER BY  `art_images_albums`.`date_add` DESC' );
            $sets->Execute( SonetUserPage::GetId(), 0, 1 ); 

            
	
            for( $a = 0; $a < $sets->GetNum(); $a++ )
            {
                $row = $sets->FetchAssoc();
            	
            	$items[] = $row;
            	
            	$ids[$row['aid']] = '\''.$row['aid'].'\'';
            }  
            
    	    $select3 = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE NOT `aid` IN ( '.implode( ', ', $ids ).' ) AND `uid`=:1 AND `show`=:2  AND `deleted`=:3 ' );   	        
            $select3->Execute( SonetUserPage::GetId(), 1, 0 );
            
            
            
            for( $a = 0; $a < $select3->GetNum(); $a++ )
            {
            	$row = $select3->FetchAssoc();
            	
            	$items[] = $row;
            	
            	$ids[$row['aid']] = '\''.$row['aid'].'\'';
            }
            
                    
    		parent::SetReturnCData( 'albums', $items );
            parent::SetTitle( 'Список арт-альбомов'  );
            parent::SetReturnCData( 'title',    'Творческие изображения' ); 
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'add-album' && SonetUserPage::GetIsOwner() )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', '',          2, 'Список альбомов', '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', 'add-album', 2, 'Добавить альбом', '', array() );
   	        
   	        if( $_POST['album_submit'] )
   	        {
   	        	$name  = $_POST['name'];
   	        	$title = trim( $_POST['title']       );
   	        	$descr = trim( $_POST['description'] );	        	
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	    
   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums`  WHERE `name`=:1' );
                    $nchk->Execute( $name );  
                    
                    if( $nchk->GetNum() )
                        $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title = '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	$title = htmlspecialchars( $_POST['title']       );
   	        	$descr = htmlspecialchars( $_POST['description'] ); 

   	        	
   	        	if( !sizeof( $errors ) )
   	        	{
   	        		$insert = DBChose::PrepareDriver( 'INSERT INTO `art_images_albums` ( `uid`, `name`, `title`, `description`, `date_add`, `date_update` ) VALUES ( :1, :2, :3, :4, :5, :5 ) ' );
                    $insert->Execute( User::GetId(), $name, $title, $descr, date( 'U' ) ); 

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `name`=:2 ' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    if( $select->GetNum() )
                        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-album/'.$name );
                    else
                        $errors['wrong'] = true;
   	        	}  	        	   	            
   	        	    
   	        	parent::SetReturnCData( 'errors', $errors ); 
   	        }
    		
    		
            parent::SetTitle( 'Добавление нового арт альбом'  );
            parent::SetReturnCData( 'title',    'Добавление нового арт альбома' ); 
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'edit-album' && SonetUserPage::GetIsOwner() )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', '',                                2, 'Список альбомов',  '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art', UrlDecoder::GetCUri( 3 ),          2, 'Просмотр альбома', '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art/edit-album/'.UrlDecoder::GetCUri( 3 ), '',           4, 'Редактирование альбома',  '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art/edit-album/'.UrlDecoder::GetCUri( 3 ), 'image-add',  4, 'Добавить изображение',    '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/art/edit-album/'.UrlDecoder::GetCUri( 3 ), 'image-sort', 4, 'Сортировать изображения', '', array() );
   	        
   	        $aname = UrlDecoder::GetCUri( 3 );
   	        
   	        $album = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `name`=:2 ' );
            $album->Execute( User::GetId(), $aname ); 
            
            if( !$album->GetNum() )
                base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ) );
                
            $arow = $album->FetchAssoc();    
   	        
   	        if( UrlDecoder::GetCUri( 4 ) == '' )
   	        {
   	        	if( $_POST['album_edit'] )
   	        	{
   	        	    $name  = $_POST['name'];
   	        	    $title = trim( $_POST['title']       );
   	        	    $descr = trim( $_POST['description'] );        	   	        	   	        	
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;        	    
   	        	    
   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        		    if( $arow['name'] != $name )
   	        		    {
   	        	    	    $nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums`  WHERE `name`=:1' );
                            $nchk->Execute( $name );  
                    
                            if( $nchk->GetNum() )
                                $errors['name_exist'] = true;
   	        		    }
   	        	    }
   	        	        
   	        	    if( empty( $title ) || $title = '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    $title = htmlspecialchars( $_POST['title']       );
   	        	    $descr = htmlspecialchars( $_POST['description'] ); 
   	        	
   	        	    if( !sizeof( $errors ) )
   	        	    {
   	        		    if( $arow['name'] == $name )
   	        		        $name == $arow['name'];
   	        	    	
   	        	    	$update = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `name`=:1, `title`=:2, `description`=:3, `date_update`=:4 WHERE `uid`=:5 AND `name`=:6' );
                        $update->Execute( $name, $title, $descr, date( 'U' ), User::GetId(), $arow['name'] ); 
                        
                        $arow['title']       = $title;
                        $arow['description'] = $descr;
                        
                        parent::SetFlag2( 'complete' );

                        if( $arow['name'] != $name )
                        {
                            $select = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `name`=:2 ' );
                            $select->Execute( User::GetId(), $name ); 
                    
                            if( $select->GetNum() )
                                base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-album/'.$name );
                            else
                                $errors['wrong'] = true;
                        }
   	        	    }  
   	        	}
   	        	
   	        	if( $_POST['icon_send'] )
   	        	{
    		        $file    = $_FILES['art_image'];
		
		            $allowed_types = array( 'jpg' => 1, 'gif' => 1, 'png' => 1 );
		
		            $allowed_size  =  512 * 1024; // 256 kb
		
		            $name_parts = explode( '.', $file['name'] );
		
		            $file_type = strtolower( $name_parts[ sizeof( $name_parts ) - 1] );
		    
		    
		            if( $allowed_size < $file['size'] )
		                $errors1['file_size'] = 1;
		        
		            if( $file_type == 'jpeg' )
		                $file_type = 'jpg';    
		    
		            if( !$allowed_types[$file_type] )
		                $errors1['file_type'] = 1;
		        
            
                    if( !sizeof( $errors1 ) )
                    {
                        $thumb = PhpThumbFactory::create(  $file['tmp_name'] );
            
                        $dimensions = $thumb->getCurrentDimensions();
            
                        if( $dimensions['height'] < 150 || $dimensions['width'] < 239 )
                            $errors1['file_format'] = 1;
                        else
                        {
                        	if( $arow['icon_name'] != '' && $arow['icon_type'] != '' )
                        	{
                        	    foreach( glob( dir_MAIN."uploads/art_gallery/".$arow['icon_name']."_*.".$arow['icon_type'] ) as $filename ) 
                                    unlink( $filename );
                        	}
                        	
                        	$file_name = User::GetId().'_'.$arow['aid'].'_'.md5( microtime() );
            	
                            $newfilename =  dir_MAIN.'uploads/art_gallery/'.$file_name.'.'.$file_type;
                            move_uploaded_file($_FILES['art_image']['tmp_name'], $newfilename);

                            $update = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `icon_name`=:1, `icon_type`=:2, `date_update`=:3 WHERE `uid`=:4 AND `aid`=:5' );
                            $update->Execute( $file_name, $file_type,  date( 'U' ), User::GetId(), $arow['aid'] ); 
                            
                            $arow['icon_name'] = $file_name;
                            $arow['icon_type'] = $file_type;
                           
                        }                           
   	        	    }
   	        	}
   	        	
   	           	if( $_POST['image_edit'] )
   	            {
   	        	    $title = $_POST['title'];
   	        	    $descr = $_POST['description'];
   	        	    $album = $_POST['album'];
   	        	
   	        	    $alb_chk = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:3' );
                    $alb_chk->Execute( User::GetId(), $album, 0 ); 
                
   	        	    if( $alb_chk->GetNum() && $title != '' && !empty( $title ) )
   	        	    {
   	        	        $title = trim( $title );
   	        	        $descr = trim( $descr );
   	        	
   	        	        $title = htmlspecialchars( $title );
   	        	        $descr = htmlspecialchars( $descr );
   	        	
   	                    $date = date( 'U' );
   	        	        $uid  = User::GetId();
   	        		
   	        	        $update = DBChose::PrepareDriver( 'UPDATE `art_images` SET `date_update`=:3, `title`=:4, `description`=:5, `aid`=:8 WHERE `uid`=:1 AND `aid`=:2 AND `iid`=:6 AND `deleted`=:7' );
                        $update->Execute( $uid, $arow['aid'], $date, $title, $descr, (int)$_POST['image_id'], 0, $album );
                    
                        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'#image_'.(int)$_POST['photo_id'] );
   	                }
   	            }
   	            
   	           	if( $_POST['album_delete'] )
   	            {  	        	
   	        	    if( $_POST['images_selection'] == 'delete' )
   	        	    {
   	        	        $alb_del = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `deleted`=:4, `date_update`=:5 WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:3' );
                        $alb_del->Execute( User::GetId(), $arow['aid'], 0, 1, date( 'U' )  ); 
                        
                        $img_del = DBChose::PrepareDriver( 'UPDATE `art_images` SET `deleted`=:3, `date_update`=:4  WHERE `uid`=:1 AND `aid`=:2' );
                        $img_del->Execute( User::GetId(), $arow['aid'], 1, date( 'U' ) );    	        	    	
   	        	    	
   	        	        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ) );
   	        	    }
   	        	    else
   	        	    {
   	        		    $album = (int)$_POST['images_selection'];
   	        		
   	        		    $alb_chk = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:3' );
                        $alb_chk->Execute( User::GetId(), $album, 0 ); 
                    
                        if( $alb_chk->GetNum() && $arow['aid'] != $album )
   	        	        {
   	        	            $aarow = $alb_chk->FetchAssoc();
   	        	        	
   	        	        	$alb_del = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `deleted`=:4, `date_update`=:5 WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:3' );
                            $alb_del->Execute( User::GetId(), $arow['aid'], 0, 1, date( 'U' )  ); 
                        
                            $img_del = DBChose::PrepareDriver( 'UPDATE `art_images` SET `aid`=:3, `date_update`=:4  WHERE `uid`=:1 AND `aid`=:2' );
                            $img_del->Execute( User::GetId(), $arow['aid'], $album, date( 'U' ) ); 
   	        	    	
   	        	    	
   	        	    	    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.$aarow['name'] );	
   	        	        }   	        	    
   	        	    }
   	            }
   	            
   	            if( $_GET['act'] == 'show' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_images` SET `show`=:3, `date_update`=:4 WHERE `uid`=:1 AND `aid`=:2 AND `iid`=:5 AND `deleted`=:6 AND `show`=:7 AND `locked`=:8' );
                    $update->Execute( User::GetId(), $arow['aid'],  1, date( 'U' ), (int)$_GET['id'], 0, 0, 0 );
                
                    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'#image_'.(int)$_GET['id'] );
   	            }
   	            else if( $_GET['act'] == 'hide' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_images` SET `show`=:3, `date_update`=:4 WHERE `uid`=:1 AND `aid`=:2 AND `iid`=:5 AND `deleted`=:6 AND `show`=:7 AND `locked`=:8' );
                    $update->Execute( User::GetId(), $arow['aid'],  0, date( 'U' ), (int)$_GET['id'], 0, 1, 0 );
                
                    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'#image_'.(int)$_GET['id'] );
   	            }
   	            else if( $_GET['act'] == 'del' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_images` SET `deleted`=:3, `date_update`=:4 WHERE `uid`=:1 AND `aid`=:2 AND `iid`=:5 AND `deleted`=:6 AND `locked`=:7' );
                    $update->Execute( User::GetId(), $arow['aid'],  1, date( 'U' ), (int)$_GET['id'], 0, 0 );
                
                    base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ) );
   	            }
   	        	
   	        	parent::SetFlag1( 'edit' );
   	        }
   	        else if( UrlDecoder::GetCUri( 4 ) == 'image-add' )
   	        {
   	        	if( $_POST['add_new_image'] )
   	        	{
   	        	    $name  = $_POST['name'];
   	        	    $title = trim( $_POST['title']       );
   	        	    $descr = trim( $_POST['description'] );	        	
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    
   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        		    $nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_images`  WHERE `name`=:1' );
                        $nchk->Execute( $name );  
                    
                        if( $nchk->GetNum() )
                            $errors['name_exist'] = true;
   	        	    }
   	        	        
   	        	    if( empty( $title ) || $title = '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    $title = htmlspecialchars( $_POST['title']       );
   	        	    $descr = htmlspecialchars( $_POST['description'] ); 
   	        	
   	        	
    		        $file    = $_FILES['art_image'];		
		            $allowed_types = array( 'jpg' => 1, 'gif' => 1, 'png' => 1 );		
		            $allowed_size  = 2 * 1024 * 1024;		
		            $name_parts = explode( '.', $file['name'] );		
		            $file_type = strtolower( $name_parts[ sizeof( $name_parts ) - 1] );		    
		    
		            if( $allowed_size < $file['size'] )
		                $errors['file_size'] = 1;
		        
		            if( $file_type == 'jpeg' )
		                $file_type = 'jpg';    
		    
		            if( !$allowed_types[$file_type] )
		                $errors['file_type'] = 1; 

		                
   	        	    if( !sizeof( $errors ) )
   	        	    {
   	        	    	$file_name = User::GetId().'_'.$arow['aid'].'_'.md5( microtime() );
            	
                        $newfilename =  dir_MAIN.'uploads/art_gallery/'.$file_name.'.'.$file_type;
                        move_uploaded_file($_FILES['art_image']['tmp_name'], $newfilename);
                        
                        $insert = DBChose::PrepareDriver( 'INSERT INTO `art_images` ( `aid`, `uid`, `name`, `file_name`, `file_type`, `title`, `description`, `date_add`, `date_update` ) VALUES ( :1, :2, :3, :4, :5, :6, :7, :8, :8 )' );
                        $insert->Execute( $arow['aid'], User::GetId(), $name, $file_name, $file_type, $title, $descr, date( 'U' ) );
                        

                        $select = DBChose::PrepareDriver( 'SELECT * FROM `art_images` WHERE `aid`=:1 AND `uid`=:2 AND `name`=:3 AND `file_name`=:4 AND `file_type`=:5' );
                        $select->Execute( $arow['aid'], User::GetId(), $name, $file_name, $file_type );
                        
                        if( $select->GetNum() )
                        {
                            $update = DBChose::PrepareDriver( 'UPDATE `art_images_albums` SET `date_update`=:1 WHERE `uid`=:2 AND `aid`=:3' );
                            $update->Execute( date( 'U' ), User::GetId(), $arow['aid'] ); 
                        	
                        	$row = $select->FetchAssoc();
                            
                        	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ).'/'.UrlDecoder::GetCUri( 3 ).'#image_'.$row['iid'] );
                        }
                        else
                            $errors['wrong'] = 1;
   	        	    }
   	        	}
   	        	
   	        	parent::SetFlag1( 'add' );
   	        }
   	        else if( UrlDecoder::GetCUri( 4 ) == 'image-sort' )
   	        {
   	            if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
                {
            	    unset( $_POST['sorter_checker'] );
            	
            	    foreach( $_POST['order'] as $i => $v )
            	    {            		            		
            		    $update = DBChose::PrepareDriver( 'UPDATE `art_images` SET `pos`=:1 WHERE `uid`=:2 AND `aid`=:3 AND `iid`=:4' );
                        $update->Execute( (int)$i, User::GetId(), $arow['aid'], (int)$v );
            	    }
            	    
            	    exit;
                }
                
                
   	        	
   	        	parent::SetFlag1( 'sort' );
   	        }
   	        
   	        $alb_sel = DBChose::PrepareDriver( 'SELECT * FROM `art_images_albums` WHERE `uid`=:1 AND `deleted`=:2' );
            $alb_sel->Execute( User::GetId(), 0 ); 
   	        
   	        $img_sel = DBChose::PrepareDriver( 'SELECT * FROM `art_images` WHERE `uid`=:1 AND `aid`=:2 AND `deleted`=:3 ORDER BY `pos` ASC' );
            $img_sel->Execute( User::GetId(), $arow['aid'], 0 );
            
            for( $a = 0; $a < $img_sel->GetNum(); $a++ )
                $images[] = $img_sel->FetchAssoc();
   	        
            for( $a = 0; $a < $alb_sel->GetNum(); $a++ )
                $albums[] = $alb_sel->FetchAssoc();
   	        

            parent::SetReturnCData( 'albums',  $albums  ); 
            parent::SetReturnCData( 'images',  $images  ); 
            parent::SetReturnCData( 'errors1', $errors1 ); 
   	        parent::SetReturnCData( 'errors',  $errors  ); 
   	        parent::SetReturnCData( 'arow',    $arow    ); 
    		parent::SetTitle( 'Редактирование альбома'  );
            parent::SetReturnCData( 'title',    'Редактирование альбома' ); 
    	}
    	else
    	{    		
    		if( SonetUserPage::GetIsOwner() )
    		   $chk_sql = 'SELECT *  FROM `art_images_albums` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3';
    		else
    		   $chk_sql = 'SELECT *  FROM `art_images_albums` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3 AND `show`=:4';
    		
    		$check = DBChose::PrepareDriver( $chk_sql );
            $check->Execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 2 ), 1 );

            if( !$check->GetNum() )
    		    die( '1111' );
    		
    		$arow = $check->FetchAssoc();
    		
    		parent::SetReturnCData( 'title', 'Альбом: '.$arow['title'] ); 
    		    
    		if( UrlDecoder::GetCUri( 3 ) == '' )
    		{
    		    parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ),                              '',          2, 'Список альбомов',        '', array() );
    			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ), '',          3, 'Просмотр альбома',       '', array() );
    			if( SonetUserPage::GetIsOwner() )
    		    {    	            
   	                parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-album', UrlDecoder::GetCUri( 2 ),              3, 'Редактирование альбома', '', array() );
   	                parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/edit-album/'.UrlDecoder::GetCUri( 2 ), 'image-add', 3, 'Добавить изображение',   '', array() ); 
    		    }
    			
    			$images = DBChose::PrepareDriver( 'SELECT *  FROM `art_images` WHERE `uid`=:1 AND `deleted`=:2 AND `show`=:3 AND `aid`=:4 ORDER BY `pos` ASC' );
                $images->Execute( SonetUserPage::GetId(), 0, 1, $arow['aid'] );
                
                for( $a = 0; $a < $images->GetNum(); $a++ )
                	$images_list[] = $images->FetchAssoc();

                parent::SetFlag1( 'image-list' );
                parent::SetReturnCData( 'images', $images_list ); 	
    		}
    		else
    		{
    			$image_name = UrlDecoder::GetCUri( 3 );
    			
    			$image = DBChose::PrepareDriver( 'SELECT *  FROM `art_images` WHERE `uid`=:1 AND `deleted`=:2 AND `show`=:3 AND `aid`=:4 AND `name`=:5' );
                $image->Execute( SonetUserPage::GetId(), 0, 1, $arow['aid'], $image_name );
                
                if( !$image->GetNum() )
                    die( '2222' );
                    
                $irow = $image->FetchAssoc();  

                $images = DBChose::PrepareDriver( 'SELECT *  FROM `art_images` WHERE `uid`=:1 AND `deleted`=:2 AND `show`=:3 AND `aid`=:4 ORDER BY  `pos` ASC' );
                $images->Execute( SonetUserPage::GetId(), 0, 1, $arow['aid'] );
                
                for( $a = 0; $a < $images->GetNum(); $a++ )
                	$images_list[] = $images->FetchAssoc();

                parent::SetReturnCData( 'images_list', $images_list   ); 
                parent::SetReturnCData( 'title',       $irow['title'] ); 
                parent::SetReturnCData( 'image',       $irow          ); 	
                parent::SetFlag1( 'image-current' );
                
                parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ),                              '',            2, 'Список альбомов',         '', array() );
                parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ), '',            3, 'Альбом: '.$arow['title'], '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.UrlDecoder::GetCUri( 2 ), $irow['name'], 3, 'Просмотр изображения',    '', array() );    
                   
    		}
    		
    		parent::SetReturnCData( 'arow',       $arow          );
    	}
    	   	    	  	    	
    	parent::SetTemplSite(   'fullrestbox_sonet'       );
    	parent::SetTemplModule( 'content'            );
        parent::SetTemplFile(   'tpl_art'      );  
    }
    
    public function act_poetry()
    {
    	parent::SetReturnCData( 'title_icon', 'ico_notes1' );
    	parent::SetReturnCData( 'title',    'Стихи' );
    	parent::SetTitle( 'Стихи' );
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    	    if( SonetUserPage::GetIsOwner() )
   	        {
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', '',            2, 'Список стихов',     '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'add-poetry',  2, 'Добавить стих',     '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'sort-poetry', 2, 'Сортировать стихи', '', array() );
   	            
   	            if( $_GET['act'] == 'heaven' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `show`=:1, `date_update`=:2 WHERE `uid`=:3 AND `pid`=:4 AND `deleted`=:5 AND `show`=:6 AND `locked`=:7' );
                    $update->Execute( 1, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 0, 0 );

   	            }
   	            else if( $_GET['act'] == 'hell' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `show`=:1, `date_update`=:2 WHERE `uid`=:3 AND `pid`=:4 AND `deleted`=:5 AND `show`=:6 AND `locked`=:7' );
                    $update->Execute( 0, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 1, 0 );
   	            }
   	            else if( $_GET['act'] == 'haron' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `deleted`=:1, `date_update`=:2 WHERE `uid`=:3 AND `pid`=:4 AND `deleted`=:5 AND `locked`=:6' );
                    $update->Execute( 1, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 0 );
   	            } 

   	            $hselect = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `show`=:2 AND `deleted`=:3 ORDER BY `pos` ASC' );
                $hselect->execute( SonetUserPage::GetId(), 0, 0 );

                for( $a = 0; $a < $hselect->GetNum(); $a++ )
                    $htales[] = $hselect->FetchAssoc();
   	        }
    		
    		$select = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `show`=:2 AND `deleted`=:3 ORDER BY `pos` ASC' );
            $select->execute( SonetUserPage::GetId(), 1, 0 );

            for( $a = 0; $a < $select->GetNum(); $a++ )
                $tales[] = $select->FetchAssoc();
                
                

    	
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'add-poetry' && SonetUserPage::GetIsOwner() )
    	{
    		parent::SetTitle( 'Добавление стихотворения' );
    		
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', '',            2, 'Список стихов',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'add-poetry',  2, 'Добавить стих',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'sort-poetry', 2, 'Сортировать стихи', '', array() );
   	        
   	        if( $_POST['tale_submit'] )
   	        {
   	        	$ptext  = trim( $_POST['text']            );
   	        	$bbret  = BBCode::BBCode_to_HTML( $ptext );   	        	
   	        	$name   = trim( $_POST['name']          );
   	        	$title  = trim( $_POST['title']        );
   	        	$descr  = trim( $_POST['description'] ); 
   	        	$title  = htmlspecialchars( $title   ); 	        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];   	        	
   	        	$date   = date( 'U' );
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry`  WHERE `name`=:1' );
                    $nchk->Execute( $name );  
                    
                    if( $nchk->GetNum() )
                        $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $text ) || $text == '' )
   	        	    $errors['text_empty'] = true; 

   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `art_poetry` ( `uid`, `date_add`, `date_update`, `name`, `title`, `text`, `bbcode` ) VALUES( :1, :2, :2, :3, :4, :5, :6 )' );
                    $insert->Execute( User::GetId(), $date, $name, $title, $text, $bbcode ); 

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry`  WHERE `uid`=:1 AND `name`=:2' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.$row['name'] );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}    
   	        }
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'sort-poetry' && SonetUserPage::GetIsOwner() )
    	{
    		parent::SetTitle( 'Сортировка стихотворений' );
    		
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', '',            2, 'Список стихов',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'add-poetry',  2, 'Добавить стих',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'sort-poetry', 2, 'Сортировать стихи', '', array() );
   	        
    	   	if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
            {
                unset( $_POST['sorter_checker'] );
            	
            	foreach( $_POST['order'] as $i => $v )
            	{            		            		
                    $update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `pos`=:1 WHERE `uid`=:2 AND `pid`=:3' );
                    $update->Execute( (int)$i, User::GetId(), (int)$v );
            	}
            	    
                exit;
            }
   	        
   	        $select = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `deleted`=:2 ORDER BY `pos` ASC' );
            $select->execute( SonetUserPage::GetId(), 0 );

            for( $a = 0; $a < $select->GetNum(); $a++ )
                $tales[] = $select->FetchAssoc();
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'edit-poetry' && SonetUserPage::GetIsOwner() )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', '',          2, 'Список стихов',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', UrlDecoder::GetCUri( 3 ),          2, 'Просмотр стиха',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry/edit-poetry', UrlDecoder::GetCUri( 3  ),  3, 'Редактировать стих',     '', array() );
    		    		
    		
    		$select = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3' );
            $select->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 3 ) );
            
            if( $select->GetNum() )
            {
            	$tale = $select->FetchAssoc();            	
            	
                if( $_POST['tale_edit'] )
    		    {
    		        $ptext  = trim( $_POST['text']            );
   	        	    $bbret  = BBCode::BBCode_to_HTML( $ptext );   	        	
   	        	    $name   = trim( $_POST['name']          );
   	        	    $title  = trim( $_POST['title']        );
   	        	    $descr  = trim( $_POST['description'] ); 
   	        	    $title  = htmlspecialchars( $title   ); 	        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];   	        	
   	        	    $date   = date( 'U' );
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        	    	if( $tale['name'] != $name )
   	        	    	{
   	        		        $nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry`  WHERE `name`=:1' );
                            $nchk->Execute( $name );  
                    
                            if( $nchk->GetNum() )
                                $errors['name_exist'] = true;
   	        	    	}
   	        	    }
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( empty( $text ) || $text == '' )
   	        	        $errors['text_empty'] = true; 

   	        	    if( !sizeof( $errors ) )
   	        	    {
                        $update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `date_update`=:2, `name`=:3, `title`=:4, `text`=:5, `bbcode`=:6 WHERE `uid`=:1 AND `name`=:7' );
                        $update->Execute( User::GetId(), $date, $name, $title,  $text, $bbcode, $tale['name'] ); 
                        if( $tale['name'] != $name )
   	        	    	{ 
                            $select = DBChose::PrepareDriver( 'SELECT * FROM `art_poetry`  WHERE `uid`=:1 AND `name`=:2' );
                            $select->Execute( User::GetId(), $name ); 
                    
                    
                            if( $select->GetNum() )
                            {
                    	        $row = $select->FetchAssoc();
                    	
                    	        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.$row['name'] );
                            }
                            else
                                $errors['wrong'] = true; 
   	        	    	}
   	        	    	else
   	        	    	{
   	        	    		$tale['title']       = $_POST['title'];
   	        	    		$tale['description'] = $_POST['description'];
   	        	    		$tale['text']        = $_POST['text'];
   	        	    		
   	        	    		parent::SetFlag1( 'complete' );
   	        	    	}
   	        	    }
    		    }
            }
            else
                die( 'bbbbbbb' );
    	}
    	else
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', '',          2, 'Список стихов',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', UrlDecoder::GetCUri( 2 ),          2, 'Просмотр стиха',      '', array() );
    		
    		if( SonetUserPage::GetIsOwner() )
    		{
    			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry/edit-poetry', UrlDecoder::GetCUri( 2 ),  3, 'Редактировать стих',     '', array() );
    			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/poetry', 'add-poetry',  2, 'Добавить стих',     '', array() );
    			
    			$sel_sql = 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3';
    		}
    		else
    		    $sel_sql = 'SELECT * FROM `art_poetry` WHERE `uid`=:1 AND `deleted`=:2 AND `show`=:4 AND `name`=:3';
    		
            $select = DBChose::PrepareDriver( $sel_sql );
            $select->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 2 ), 1 );
            
            if( $select->GetNum() )
            {
            	$tale = $select->FetchAssoc();
            	
            	$update = DBChose::PrepareDriver( 'UPDATE `art_poetry` SET `views`=`views`+1 WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3' );
                $update->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 2 ) );
            
            	parent::SetTitle( $tale['title'] );
            	parent::SetReturnCData( 'title',    $tale['title'] );
            }
            else
                die( 'aaaaaa' );
    	}
    	
    	parent::SetReturnCData( 'htales',   $htales );
    	parent::SetReturnCData( 'tale',     $tale   ); 
    	parent::SetReturnCData( 'errors',   $errors ); 
    	parent::SetReturnCData( 'tales',    $tales  ); 
    	
    	parent::SetTemplSite(   'fullrestbox_sonet' );
    	parent::SetTemplModule( 'content'            );
        parent::SetTemplFile(   'tpl_poetry'      );  
    }
    
    public function act_tales()
    {
    	parent::SetReturnCData( 'title_icon', 'ico_doc22' );
    	parent::SetTitle( 'Рассказы' );
    	parent::SetReturnCData( 'title',    'Рассказы' );
    	
    	if( UrlDecoder::GetCUri( 2 ) == '' )
    	{
    	    if( SonetUserPage::GetIsOwner() )
   	        {
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', '',          2, 'Список рассказов',      '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'add-tale',  2, 'Добавить рассказ',     '', array() );
   	            parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'sort-tale', 2, 'Сортировать рассказы', '', array() );
   	            
   	            if( $_GET['act'] == 'heaven' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `show`=:1, `date_update`=:2 WHERE `uid`=:3 AND `tid`=:4 AND `deleted`=:5 AND `show`=:6 AND `locked`=:7' );
                    $update->Execute( 1, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 0, 0 );

   	            }
   	            else if( $_GET['act'] == 'hell' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `show`=:1, `date_update`=:2 WHERE `uid`=:3 AND `tid`=:4 AND `deleted`=:5 AND `show`=:6 AND `locked`=:7' );
                    $update->Execute( 0, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 1, 0 );
   	            }
   	            else if( $_GET['act'] == 'haron' )
   	            {
   	        	    $update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `deleted`=:1, `date_update`=:2 WHERE `uid`=:3 AND `tid`=:4 AND `deleted`=:5 AND `locked`=:6' );
                    $update->Execute( 1, date( 'U' ), User::GetId(), (int)$_GET['id'], 0, 0 );
   	            } 

   	            $hselect = DBChose::PrepareDriver( 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `show`=:2 AND `deleted`=:3 ORDER BY `pos` ASC' );
                $hselect->execute( SonetUserPage::GetId(), 0, 0 );

                for( $a = 0; $a < $hselect->GetNum(); $a++ )
                    $htales[] = $hselect->FetchAssoc();
   	        }
    		
    		$select = DBChose::PrepareDriver( 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `show`=:2 AND `deleted`=:3 ORDER BY `pos` ASC' );
            $select->execute( SonetUserPage::GetId(), 1, 0 );

            for( $a = 0; $a < $select->GetNum(); $a++ )
                $tales[] = $select->FetchAssoc();
                
                

    	
    	}
    	else if( UrlDecoder::GetCUri( 2 ) == 'add-tale' && SonetUserPage::GetIsOwner() )
    	{
    		parent::SetTitle( 'Добавление рассказа' );
    		
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', '',          2, 'Список рассказов',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'add-tale',  2, 'Добавить рассказ',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'sort-tale', 2, 'Сортировать рассказы', '', array() );
   	        
   	        if( $_POST['tale_submit'] )
   	        {
   	        	$ptext  = trim( $_POST['text']            );
   	        	$bbret  = BBCode::BBCode_to_HTML( $ptext );   	        	
   	        	$name   = trim( $_POST['name']          );
   	        	$title  = trim( $_POST['title']        );
   	        	$descr  = trim( $_POST['description'] ); 
   	        	$title  = htmlspecialchars( $title   );
   	        	$descr  = htmlspecialchars( $descr  );   	        	
   	        	$bbcode = $bbret['bbcode'];
   	        	$text   = $bbret['text'];   	        	
   	        	$date   = date( 'U' );
   	        	
   	        	if( empty( $name ) || $name == '' )
   	        	    $errors['name_empty'] = true;   	        	    

   	        	if( !RegEx::check_IsLatinNum( $name ) )
   	        	    $errors['name_format'] = true;
   	        	else
   	        	{
   	        		$nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_tales`  WHERE `name`=:1' );
                    $nchk->Execute( $name );  
                    
                    if( $nchk->GetNum() )
                        $errors['name_exist'] = true;
   	        	}
   	        	        
   	        	if( empty( $title ) || $title == '' )
   	        	    $errors['title_empty'] = true;
   	        	    
   	        	if( empty( $text ) || $text == '' )
   	        	    $errors['text_empty'] = true; 

   	        	if( !sizeof( $errors ) )
   	        	{
                    $insert = DBChose::PrepareDriver( 'INSERT INTO `art_tales` ( `uid`, `date_add`, `date_update`, `name`, `title`, `description`, `text`, `bbcode` ) VALUES( :1, :2, :2, :3, :4, :5, :6, :7 )' );
                    $insert->Execute( User::GetId(), $date, $name, $title, $descr, $text, $bbcode );

                    $select = DBChose::PrepareDriver( 'SELECT * FROM `art_tales`  WHERE `uid`=:1 AND `name`=:2' );
                    $select->Execute( User::GetId(), $name ); 
                    
                    
                    if( $select->GetNum() )
                    {
                    	$row = $select->FetchAssoc();
                    	
                    	base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.$row['name'] );
                    }
                    else
                        $errors['wrong'] = true; 
   	        	}    
   	        }
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'sort-tale' && SonetUserPage::GetIsOwner() )
    	{
    		parent::SetTitle( 'Сортировка рассказов' );
    		
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', '',          2, 'Список рассказов',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'add-tale',  2, 'Добавить рассказ',     '', array() );
   	        parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'sort-tale', 2, 'Сортировать рассказы', '', array() );
   	        
    	   	if( $_GET['act'] == 'sorter' && $_POST['sorter_checker'] == 'gogogo' )
            {
                unset( $_POST['sorter_checker'] );
            	
            	foreach( $_POST['order'] as $i => $v )
            	{            		            		
                    $update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `pos`=:1 WHERE `uid`=:2 AND `tid`=:3' );
                    $update->Execute( (int)$i, User::GetId(), (int)$v );
            	}
            	    
                exit;
            }
   	        
   	        $select = DBChose::PrepareDriver( 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `deleted`=:2 ORDER BY `pos` ASC' );
            $select->execute( SonetUserPage::GetId(), 0 );

            for( $a = 0; $a < $select->GetNum(); $a++ )
                $tales[] = $select->FetchAssoc();
    	}
        else if( UrlDecoder::GetCUri( 2 ) == 'edit-tale' && SonetUserPage::GetIsOwner() )
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', '',          2, 'Список рассказов',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', UrlDecoder::GetCUri( 3 ),          2, 'Просмотр рассказа',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales/edit-tale', UrlDecoder::GetCUri( 3  ),  3, 'Редактировать рассказ',     '', array() );
    		    		
    		
    		$select = DBChose::PrepareDriver( 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3' );
            $select->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 3 ) );
            
            if( $select->GetNum() )
            {
            	$tale = $select->FetchAssoc();            	
            	
                if( $_POST['tale_edit'] )
    		    {
    		        $ptext  = trim( $_POST['text']            );
   	        	    $bbret  = BBCode::BBCode_to_HTML( $ptext );   	        	
   	        	    $name   = trim( $_POST['name']          );
   	        	    $title  = trim( $_POST['title']        );
   	        	    $descr  = trim( $_POST['description'] ); 
   	        	    $title  = htmlspecialchars( $title   );
   	        	    $descr  = htmlspecialchars( $descr  );   	        	
   	        	    $bbcode = $bbret['bbcode'];
   	        	    $text   = $bbret['text'];   	        	
   	        	    $date   = date( 'U' );
   	        	
   	        	    if( empty( $name ) || $name == '' )
   	        	        $errors['name_empty'] = true;   	        	    

   	        	    if( !RegEx::check_IsLatinNum( $name ) )
   	        	        $errors['name_format'] = true;
   	        	    else
   	        	    {
   	        	    	if( $tale['name'] != $name )
   	        	    	{
   	        		        $nchk = DBChose::PrepareDriver( 'SELECT * FROM `art_tales`  WHERE `name`=:1' );
                            $nchk->Execute( $name );  
                    
                            if( $nchk->GetNum() )
                                $errors['name_exist'] = true;
   	        	    	}
   	        	    }
   	        	        
   	        	    if( empty( $title ) || $title == '' )
   	        	        $errors['title_empty'] = true;
   	        	    
   	        	    if( empty( $text ) || $text == '' )
   	        	        $errors['text_empty'] = true; 

   	        	    if( !sizeof( $errors ) )
   	        	    {
                        $update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `date_update`=:2, `name`=:3, `title`=:4, `description`=:5, `text`=:6, `bbcode`=:7 WHERE `uid`=:1 AND `name`=:8' );
                        $update->Execute( User::GetId(), $date, $name, $title, $descr, $text, $bbcode, $tale['name'] ); 
                        if( $tale['name'] != $name )
   	        	    	{ 
                            $select = DBChose::PrepareDriver( 'SELECT * FROM `art_tales`  WHERE `uid`=:1 AND `name`=:2' );
                            $select->Execute( User::GetId(), $name ); 
                    
                    
                            if( $select->GetNum() )
                            {
                    	        $row = $select->FetchAssoc();
                    	
                    	        base_redirect( 0, SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/'.UrlDecoder::GetCUri( 1 ).'/'.$row['name'] );
                            }
                            else
                                $errors['wrong'] = true; 
   	        	    	}
   	        	    	else
   	        	    	{
   	        	    		$tale['title']       = $_POST['title'];
   	        	    		$tale['description'] = $_POST['description'];
   	        	    		$tale['text']        = $_POST['text'];
   	        	    		
   	        	    		parent::SetFlag1( 'complete' );
   	        	    	}
   	        	    }
    		    }
            }
            else
                die( 'bbbbbbb' );
    	}
    	else
    	{
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', '',          2, 'Список рассказов',      '', array() );
    		parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', UrlDecoder::GetCUri( 2 ),          2, 'Просмотр рассказа',      '', array() );
    		
    		if( SonetUserPage::GetIsOwner() )
    		{
    			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales/edit-tale', UrlDecoder::GetCUri( 2 ),  3, 'Редактировать рассказ',     '', array() );
    			parent::AddBookMark( SHOST.'/'.UrlDecoder::GetCUri( 0 ).'/tales', 'add-tale',  2, 'Добавить рассказ',     '', array() );
    			
    			$sel_sql = 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3';
    		}
    		else
    		    $sel_sql = 'SELECT * FROM `art_tales` WHERE `uid`=:1 AND `deleted`=:2 AND `show`=:4 AND `name`=:3';
    		
            $select = DBChose::PrepareDriver( $sel_sql );
            $select->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 2 ), 1 );
            
            if( $select->GetNum() )
            {
            	$tale = $select->FetchAssoc();
            	
            	$update = DBChose::PrepareDriver( 'UPDATE `art_tales` SET `views`=`views`+1 WHERE `uid`=:1 AND `deleted`=:2 AND `name`=:3' );
                $update->execute( SonetUserPage::GetId(), 0, UrlDecoder::GetCUri( 2 ) );
            
            	parent::SetTitle( $tale['title'] );
            	parent::SetReturnCData( 'title',    $tale['title'] );
            }
            else
                die( 'aaaaaa' );
    	}
    	
    	parent::SetReturnCData( 'htales',   $htales );
    	parent::SetReturnCData( 'tale',     $tale   ); 
    	parent::SetReturnCData( 'errors',   $errors ); 
    	parent::SetReturnCData( 'tales',    $tales  ); 
    	
    	   	    	
    	parent::SetTemplSite(   'fullrestbox_sonet' );
    	parent::SetTemplModule( 'content'            );
        parent::SetTemplFile(   'tpl_tales'      );  
    }
    
    private function thewall() { require_once( 'sonet/sonet_thewall.php' ); }
}