<?if( PMReturn::GetFLAG1() == 'add' ):?>
<h2>Добавление статьи</h2>
  <div class="warp10"></div>
  <div class="status_info">
   <div class="title"><span></span>Справочная информация.</div>
   <div class="txt">
Для добавлении статьи необходимо заполнить четыре обязательных поля.<br /><br />

<b>Название ссылки</b> – это очень важное поле, это название будет использоваться в адресе вашей статьи, для примера: если название будет «<b>my-first-review</b>» 
то эта статья будет доступен по ссылке вида <?=SHOST?>/news/reviews/<b>my-first-review</b> . На это поле накладываются строжайшие 
ограничение на ввод символов, разрешены только: a-z A-Z - _. Стоит отметить, что никакие пробелы или любые символы недопустимы.<br /><br />

<b>Название статьи</b> – это название вашего стать, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />

<b>Короткое название статьи</b> – это название статьи будет использоваться в левом меню, поэтому делайте его как можно короче, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />

<b>Текст статьи</b> – текст вашей статьи, форматирование производится при помощи панели ББ-кодов (выделите текст и она влючится), не может быть пустым.<br /><br />
   </div>
  </div>
  <div class="warp10"></div>
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении обзора произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении статьи в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить статью через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['stitle_empty'] ):?>
    Короткое название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст статьи не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>  
<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>" method="post">
<table class="standart">
 <tr>
  <td class="p5 w175"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=$_POST['name']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Название статьи:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=$_POST['title']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Короткое название статьи:</b></td>
  <td class="p5"><input class="wp100" name="stitle" type="text" value="<?=$_POST['stitle']?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Текст статьи:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h250" name="text"><?=$_POST['text']?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w175"></td>
  <td class="p5 a_right"><input name="radd_submit" type="submit" value="Добавить статью" /></td>
 </tr>   
</table>
</form>
<?elseif( PMReturn::GetFLAG1() == 'edit' ):?>
<h2>Редактирование статьи</h2>
   <?if( PMReturn::GetFLAG3() == 'complete'  ):?> 
 <div class="warp10"></div>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, 1500); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="status_success">
   <div class="title"><span></span>Редактирование завершено!</div>
   <div class="txt">Введенные данные записаны и сохраненные в нашей базе данных.</div>
  </div>
  <div class="warp20"></div>
 </div>  
   <?endif;?>
  <div class="warp10"></div>
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении обзора произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении статьи в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить статью через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустимы только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['stitle_empty'] ):?>
    Короткое название статьи не может быть пустым<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['text_empty'] ):?>
    Текст статьи не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>  
<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>" method="post">
<table class="standart">
 <tr>
  <td class="p5 w175"><b>Название ссылки:</b></td>
  <td class="p5"><input class="wp100" name="name" type="text" value="<?=stripcslashes( htmlspecialchars_decode( $RTDT['rrow']['name'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Название статьи:</b></td>
  <td class="p5"><input class="wp100" name="title" type="text" value="<?=stripcslashes( htmlspecialchars_decode( $RTDT['rrow']['title'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Короткое название статьи:</b></td>
  <td class="p5"><input class="wp100" name="stitle" type="text" value="<?=stripcslashes( htmlspecialchars_decode( $RTDT['rrow']['stitle'] ) )?>" /></td>
 </tr>
 <tr>
  <td class="p5 w175"><b>Текст статьи:</b></td>
  <td class="p5"><textarea class="FRBOX_BBCodeGear_Allowed wp100 h250" name="text"><?=stripcslashes( htmlspecialchars_decode( $RTDT['rrow']['bbcode'] ) )?></textarea></td>
 </tr>
 <tr>
  <td class="p5 w175"></td>
  <td class="p5 a_right"><input name="radd_submit" type="submit" value="Редактировать статью" /></td>
 </tr>   
</table>
</form>
<?elseif( PMReturn::GetFLAG1() == 'list' ):?>
<table class="bbcode">
 <thead>
  <tr>
   <td>Автор:</td>
   <td>Название:</td>
   <td></td> 
  </tr> 
 </thead>
 <tbody>
<?foreach( $RTDT['articles'] as $i => $v ):?>
  <tr class="hvr_bg2">    
   <td class="p5 w175"><a class="bbcode_user_<?=$v['gender']?> txt_undec bold" href="<?=SHOST.'/'.$v['page']?>" title="Ссылка на страницу пользователя <?=$v['nick']?>"><?=$v['nick']?></a></td>
   <td class="p5"><a class="bbcode d_block txt_undec" href="<?=SHOST?>/news/<?=$RTDT['type']?>/<?=$v['name']?>" title="Ссылка на статью" target="_self"><?=$v['title']?></a></td>
   <td class="p5 w150 a_center">
  <?if( $v['locked'] == 0 && ( PMReturn::GetFLAG2() == 'my' || ( $v['uid'] == User::GetId() && User::GetRight( 'news_edit_self' ) ) ) ):?>
    <?if( $v['deleted'] == 1 && User::GetRight( 'news_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=restore&aiid=<?=$v['atc_id']?>" title="Восстановить статью"></a>
    <?elseif( $v['deleted'] == 0 ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=delete&aiid=<?=$v['atc_id']?>" title="Удалить статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'news_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=lock&aiid=<?=$v['atc_id']?>" title="Одобрить статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'news_moderate' ) && $v['deleted'] == 0 ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=moderate&aiid=<?=$v['atc_id']?>" title="Модерировать статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=hide&aiid=<?=$v['atc_id']?>" title="Скрыть статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=show&aiid=<?=$v['atc_id']?>" title="Показать статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_news1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-article/<?=$v['name']?>" title="Редактировать новость"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?elseif( $v['locked'] == 0 && User::GetRight( 'news_edit_full' )  ):?> 
    <?if( $v['deleted'] == 1 && User::GetRight( 'news_restore' ) ):?> 
   <a class="ico_tick8 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=restore&aiid=<?=$v['atc_id']?>" title="Восстановить статью"></a>
    <?elseif( $v['deleted'] == 0 && User::GetRight( 'news_delete' ) ):?>
   <a class="ico_cross1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=delete&aiid=<?=$v['atc_id']?>" title="Удалить статью"></a>
    <?endif;?>
    <?if( $v['locked'] == 0 && User::GetRight( 'news_lock' ) && $v['deleted'] == 0 ):?>       
   <a class="ico_thumbs_up flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=lock&aiid=<?=$v['atc_id']?>" title="Одобрить статью"></a>
    <?endif;?>
    <?if( $v['moderated'] == 0 && User::GetRight( 'news_moderate' ) ):?>  
   <a class="ico_tick1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=moderate&aiid=<?=$v['atc_id']?>" title="Модерировать статью"></a>
    <?endif;?>
    
    <?if( $v['show'] && User::GetRight( 'news_hide_show' ) && $v['deleted'] == 0 ):?>    
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=hide&aiid=<?=$v['atc_id']?>" title="Скрыть статью"><span class="ic_minus1_br"></span></a>
    <?elseif( !$v['show'] && User::GetRight( 'news_hide_show' ) && $v['deleted'] == 0 ):?>   
   <a class="ico_eye_open flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>?act=show&aiid=<?=$v['atc_id']?>" title="Показать статью"><span class="ic_plus1_br"></span></a>
    <?endif;?>
    <?if( $v['deleted'] == 0 ):?>  
   <a class="ico_news1 flt_right m5_l show_onhover2" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-article/<?=$v['name']?>" title="Редактировать статью"><span class="ic_pencil_br"></span></a>
    <?endif;?>
   <div class="flt_right" style="width:20px;height:20px;"></div>
  <?else:?>
   <span class="d_block flt_right lh_big">одобрена</span><span class="ico_thumbs_up flt_right m5_r"></span>   
  <?endif;?>   
   </td>
  </tr>             	 	
<?endforeach;?>  
 </tbody> 
</table>
<?endif;?>
