<?if( UrlDecoder::GetCUri( 2 ) == 'add-album' && SonetUserPage::GetIsOwner()  ):?>
  <div class="status_info">
   <div class="title"><span></span>Справочная информация.</div>
   <div class="txt">
    Для добавления творческого альбома необходимо заполнить два обязательных поля и одно необязательное.<br /><br />
    <b>Название ссылки</b> – это очень важное поле, это название будет использоваться в адресе вашего альбома, для примера: если название будет «<b>my-first-art</b>» 
    то этот альбом будет доступен по ссылке вида <?=SHOST?>/<?=User::GetPage()?>/art/<b>my-first-art</b> . На это поле накладываются строжайшие ограничение на ввод символов, разрешены 
    только: a-z A-Z - _. Стоит отметить, что никакие пробелы или любые символы недопустимы.<br /><br />
    <b>Название альбома</b> – это название вашего творческого альбома, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />
    <b>Описание альбома</b> – краткое или развернутое описание вашего альбома, может быть пустым.<br /><br />  
   </div>
  </div>
  <div class="warp20"></div>
  <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении нового альбома произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении альбома в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить альбом через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустим только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название альбома не может быть пустым<br /><br />
   <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>  
  
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>" method="post">
   <table class="standart">
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Название ссылки:</b></td>
     <td class="p5 w300"><input class="w400" name="name" type="text" value="<?=$_POST['name']?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Название альбома:</b></td>
     <td class="p5 w300"><input class="w400" name="title" type="text" value="<?=$_POST['title']?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Описание альбома:</b></td>
     <td class="p5 w400"><textarea class="w400 h75" name="description"><?=$_POST['description']?></textarea></td>
     <td><br /></td>
    </tr> 
    <tr>
     <td class="p5 w150"></td>
     <td class="p5 w400 a_right"><input name="album_submit" type="submit" value="Добавить альбом" /></td>
     <td><br /></td>
    </tr>      
   </table> 
  </form>
<?elseif( UrlDecoder::GetCUri( 2 ) == 'edit-album' ):?>
  <?if( PMReturn::GetFLAG1() == 'edit' ):?>
    <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении нового альбома произошла ошибка!</div>
   <div class="txt">
     <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении альбома в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить альбом через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
     <?endif;?>
     <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
     <?endif;?>
     <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустим только следующие символы:  a-z A-Z - _<br /><br />
     <?endif;?>
     <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
     <?endif;?>
     <?if( $RTDT['errors']['title_empty'] ):?>
    Название альбома не может быть пустым<br /><br />
     <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
   <?endif;?>  
  
   <?if( PMReturn::GetFLAG2() == 'complete'  ):?> 
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, 1500); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="status_success">
   <div class="title"><span></span>Редактирование завершено!</div>
   <div class="txt">Введенные данные записаны и сохраненные в нашей базе данных.</div>
  </div>
  <div class="warp20"></div>
 </div>  
   <?endif;?>   
  
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>" method="post">
   <table class="standart">
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Название ссылки:</b></td>
     <td class="p5 w300"><input class="w400" name="name" type="text" value="<?=$RTDT['arow']['name']?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Название альбома:</b></td>
     <td class="p5 w300"><input class="w400" name="title" type="text" value="<?=htmlspecialchars( $RTDT['arow']['title'] )?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w150"><b>Описание албома:</b></td>
     <td class="p5 w400"><textarea class="w400 h75" name="description"><?=htmlspecialchars( $RTDT['arow']['description'] )?></textarea></td>
     <td><br /></td>
    </tr> 
    <tr>
     <td class="p5 w150"></td>
     <td class="p5 w400 a_right"><input name="album_edit" type="submit" value="Редактировать альбом" /></td>
     <td><br /></td>
    </tr>      
   </table> 
  </form> 
  
  <div class="warp30"></div>
  
  <h4 class="sonet_subhead">Редактирование иконки альбома</h4>
<?if( sizeof( $RTDT['errors1'] ) ):?> 
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=sizeof( $RTDT['errors1'] )*1500?>); });</script> 
 <div id="FRBOX_StatusHide">
  <div class="warp20"></div>
  <div class="status_error">
   <div class="title"><span></span>Во время загрузки произошел ряд ошибок!</div>
   <div class="txt">
    <?if( $RTDT['errors1']['file_size'] ):?>
     Превышен максимальный объем файла! Убедитесь, что ваш аватар весит меньше 512 килобайт.<br /><br />
    <?endif;?>
    <?if( $RTDT['errors1']['file_type'] ):?>
     Вы загрузили файл недопустимого расширения, аватар может быть следующих форматов: PNG, GIF, JPG/JPEG.<br /><br />
    <?endif;?>
    <?if( $RTDT['errors1']['file_format'] ):?>
     Размер загружаемого изображения меньше 239х150 пикселов!<br /><br />
    <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>
<?endif;?>   
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>" method="post" enctype="multipart/form-data">
   <table class="standart">
    <tr class="hvr_bg2">
     <td class="p5 w250" valign="top"><img src="<?if( !$RTDT['arow']['icon_name'] || !$RTDT['arow']['icon_type'] ): echo SHOST.'/uploads/art_gallery/noimage.png'; else: echo FRB_IconCheck( 'uploads/art_gallery/', $RTDT['arow']['icon_name'], $RTDT['arow']['icon_type'], 239, 150, true ); endif;?>" alt="Иконка альбома: <?=$RTDT['arow']['title']?>" width="239" height="150" /></td>
     <td class="p5 w275" valign="top"><input type="file" name="art_image" /></td>
     <td class="p5" valign="top"><input type="submit" name="icon_send" value="Загрузить" /></td>
    </tr>  
   </table> 
  </form>   
  
  <div class="warp30"></div>
  
  <h4 class="sonet_subhead">Удаление альбома</h4>
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>" method="post">
   <table class="standart">
    <tr class="hvr_bg2">
     <td class="p5 w100"><b>Изображения:</b></td>
     <td class="p5 w400">
      <select name="images_selection" class="w400">
       <optgroup label="&nbsp;&nbsp;»&nbsp;&nbsp;Удаление"></optgroup>
       <option value="delete">Удалить изображения</option>
     <?if( sizeof( $RTDT['albums'] ) - 1 ):?>  
       <optgroup label=""></optgroup>       
       <optgroup label="&nbsp;&nbsp;»&nbsp;&nbsp;Перемещение"></optgroup>
       <?foreach( $RTDT['albums'] as $i => $v ):?>
         <?if( $v['aid'] != $RTDT['arow']['aid'] ):?><option value="<?=$v['aid']?>">В альбом: "<?=$v['title']?>"</option><?endif;?>
       <?endforeach;?>
     <?endif;?>  
      </select>
     </td>
     <td class="p5 a_right"><input name="album_delete" type="submit" value="УДАЛИТЬ АЛЬБОМ" /></td>
    </tr>  
   </table> 
  </form> 
  
  
  
  
  
  
  <div class="warp30"></div>
  
  <h4 class="sonet_subhead">Редактирование изображений</h4> 
  <div class="warp10"></div>  
  
  <?foreach( $RTDT['images'] as $i => $v ):?>
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>#image_<?=$v['iid']?>" method="post">
   <div class="flt_left avatar_border_1px p2 p0_b bg3">
    <a class="txt_undec" name="image_<?=$v['iid']?>" href="<?=SHOST?>/uploads/art_gallery/<?=$v['file_name']?>.<?=$v['file_type']?>" title="Ссылка на оригинал изображения (откроется в новом окне/закладке)" target="_blank">
     <img src="<?=FRB_IconCheck( 'uploads/art_gallery/', $v['file_name'], $v['file_type'], 239, 140, true )?>" alt="" />
    </a>
   </div>
   <div class="flt_right w500">
    <table class="standart">
     <tr class="hvr_bg2">
      <td class="p10_b w100"><b>Название:</b></td>
      <td class="p10_b w300"><input class="w400" name="title" type="text" value="<?=htmlspecialchars_decode( $v['title'] )?>" /></td>
      <td><br /></td>
     </tr>
     
     <tr class="hvr_bg2">
      <td class="p10_b w100"><b>Альбом:</b></td>
      <td class="p10_b w300">
      <select name="album" class="w400">
       <?foreach( $RTDT['albums'] as $i1 => $v1 ):?>
       <option value="<?=$v1['aid']?>"<?if( $v1['aid'] == $v['aid'] ): echo ' selected="selected"'; endif;?>><?=$v1['title']?></option>
       <?endforeach;?>
      </select>  
      </td>
      <td><br /></td>
     </tr>       
     <tr class="hvr_bg2">
      <td class="p5_b w100"><b>Описание:</b></td>
      <td class="p5_b w400"><textarea class="w400 h50" name="description"><?=htmlspecialchars_decode( $v['description'] )?></textarea></td>
      <td><br /></td>
     </tr> 
     <tr>
      <td class="w100"></td>
      <td class="w400 a_right"><input name="image_edit" type="submit" value="Редактировать изображение" /></td>
      <td><input type="hidden" name="image_id" value="<?=$v['iid']?>" /></td>
     </tr>    
    </table> 
   </div>
   <div class="warp"></div>
   <div class="p2_l"> 
  <?if( $v['show'] ):?>       
       <a class="txt_undec text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>?act=hide&id=<?=$v['iid']?>" title="Скрыть изображение">Скрыть</a><span class=" text_min_11px lh_standart text_color1">&nbsp;|&nbsp;</span>
    <?else:?>       
       <a class="txt_undec text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>?act=show&id=<?=$v['iid']?>" title="Показать изображение">Показать</a><span class=" text_min_11px lh_standart text_color1">&nbsp;|&nbsp;</span>
    <?endif;?>        
       <a class="txt_undec text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>?act=del&id=<?=$v['iid']?>" title="Удалить изображение">Удалить</a>
   </div>
  </form>
  <div class="warp20"></div>
  <hr class="bbcode" />
  <div class="warp20"></div>
  <?endforeach;?>  
  
  
  
  

  
  
  
  
  
  
  
  
  
  
  
     
  <?elseif( PMReturn::GetFLAG1() == 'add' ):?> 
  <div class="status_info">
   <div class="title"><span></span>Справочная информация.</div>
   <div class="txt">
    Для добавления изображения в альбом необходимо заполнить три обязательных поля и одно необязательное.<br /><br />
    <b>Название ссылки</b> – это очень важное поле, это название будет использоваться в адресе вашего изображения, для примера: если название будет «<b>great-piece-of-art</b>» 
    то этот альбом будет доступен по ссылке вида <?=SHOST?>/<?=User::GetPage()?>/art/<?=UrlDecoder::GetCUri( 3 )?>/<b>great-piece-of-art</b> . На это поле накладываются строжайшие ограничение на ввод символов, разрешены 
    только: a-z A-Z - _. Стоит отметить, что никакие пробелы или любые символы недопустимы.<br /><br />
    <b>Название изображения</b> – это название вашего творческого альбома, вы вольны использовать любые символы, единственное, нельзя оставлять поле пустым.<br /><br />
    <b>Файл изображения</b> – допустима загрузка файлов следующих типов: <b>PNG</b>, <b>GIF</b>, <b>JPG/JPEG</b>. Максимально допустимый размер <b>2 мегабайта</b> (2048 килобайт).<br /><br />
    <b>Описание изображения</b> – краткое или развернутое описание вашего альбома, может быть пустым.<br /><br />  
   </div>
  </div>  
  <div class="warp20"></div>  
  <?if( $RTDT['errors'] ):?>
 <script type="text/javascript" charset="utf-8">$(document).ready(function() { setTimeout(function() {$("#FRBOX_StatusHide").hide("blind")}, <?=1500*sizeof($RTDT['errors'])?> ); });</script> 
 <div id="FRBOX_StatusHide">  
  <div class="status_error">
   <div class="title"><span></span>При добавлении нового альбома произошла ошибка!</div>
   <div class="txt">
   <?if( $RTDT['errors']['wrong'] ):?>
    При добавлении изображения в базу данных, что-то пошло не так, вы столкнулись либо с временной неисправностью или не диагностируемой ошибкой!<br /><br />
    Пожалуйста, попробуйте добавить изображение через пару минут, если ошибка будет повторяться – свяжитесь с администрацией.<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_empty'] ):?>
    Название ссылки не может быть пустым!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_format'] ):?>
    В названии ссылки допустим только следующие символы:  a-z A-Z - _<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['name_exist'] ):?>
    Такое название для ссылки уже занято!<br /><br />
   <?endif;?>
   <?if( $RTDT['errors']['title_empty'] ):?>
    Название изображения не может быть пустым<br /><br />
   <?endif;?>
    <?if( $RTDT['errors']['file_size'] ):?>
     Превышен максимальный объем файла! Убедитесь, что ваш аватар весит меньше 2048 килобайт.<br /><br />
    <?endif;?>
    <?if( $RTDT['errors']['file_type'] ):?>
     Вы загрузили файл недопустимого расширения, аватар может быть следующих форматов: PNG, GIF, JPG/JPEG.<br /><br />
    <?endif;?>
   </div>
  </div>
  <div class="warp20"></div>
 </div>  
  <?endif;?>    
  <form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>/<?=UrlDecoder::GetCUri( 4 )?>" method="post" enctype="multipart/form-data">
   <table class="standart">
    <tr class="hvr_bg2">
     <td class="p5 w175"><b>Название ссылки:</b></td>
     <td class="p5 w300"><input class="w400" name="name" type="text" value="<?=$_POST['name']?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w175"><b>Название изображения:</b></td>
     <td class="p5 w300"><input class="w400" name="title" type="text" value="<?=$_POST['title']?>" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w175"><b>Название изображения:</b></td>
     <td class="p5 w300"><input type="file" name="art_image" /></td>
     <td><br /></td>
    </tr>
    <tr class="hvr_bg2">
     <td class="p5 w175"><b>Описание изображения:</b></td>
     <td class="p5 w400"><textarea class="w400 h75" name="description"><?=$_POST['description']?></textarea></td>
     <td><br /></td>
    </tr> 
    <tr>
     <td class="p5 w175"></td>
     <td class="p5 w400 a_right"><input name="add_new_image" type="submit" value="Добавить изображение" /></td>
     <td><br /></td>
    </tr>      
   </table> 
  </form>  
  <?elseif( PMReturn::GetFLAG1() == 'sort' ):?>  
	<style>

	.sortable_list_with_form_norestrict li { margin: 5px; padding: 0px; float: left; width: 243px; height:154px; cursor: move; }
	</style>


<form action="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=UrlDecoder::GetCUri( 3 )?>/<?=UrlDecoder::GetCUri( 4 )?>?act=sorter" method="post">

<ul class="sortable_list_with_form_norestrict lst_none p0 m0">
  <?foreach( $RTDT['images'] as $i => $v ):?>
<li class="ui-state-default">
  <div class="p2 p0_b bg3"><div style="width: 239px; height:150px;" class="d_tcell v_middle a_center"><img src="<?=FRB_IconCheckUnAdapt( 'uploads/art_gallery/', $v['file_name'], $v['file_type'], 239, 150, true )?>" alt=""/><input type="hidden" name="order[]" value="<?php echo $v['iid']; ?>" /></div></div>
 </li>
  <?endforeach;?>
</ul>

<input type="hidden" name="sorter_checker" value="gogogo" />
</form>   
  <?endif;?>
<?elseif( UrlDecoder::GetCUri( 2 ) == '' ):?>
  <?if( !sizeof( $RTDT['albums'] ) && !sizeof( $RTDT['albums_hide'] ) && SonetUserPage::GetIsOwner() ):?>
  <div class="status_info">
   <div class="title"><span></span>Нет альбомов.</div>
   <div class="txt">
    Вы еще не добавили ни одного альбома. Для добавления альбома используйте навигацию выше.
   </div>
  </div>     
  <?elseif( !sizeof( $RTDT['albums'] ) && !SonetUserPage::GetIsOwner() ):?>
  <div class="status_info">
   <div class="title"><span></span>Нет альбомов.</div>
   <div class="txt">
    <?$gend_stat = array( 'male' => 'добавил', 'female' => 'добавила' )?>
    В данном разделе нет доспуных альбомов,  <?=SonetUserPage::GetTitle()?> еще не <?=$gend_stat[SonetUserPage::GetGender()]?> альбомы.<br /><br /> 
    Возможно, через некоторое время в этом разделе может появиться конетнт.
   </div>
  </div>    
  <?endif;?>

  <?foreach( $RTDT['albums'] as $i => $v ):?>
    <?$adddates = UnixToNormal( $v['date_add']    );?>
    <?$upddates = UnixToNormal( $v['date_update'] );?>
<div class="flt_left w175">
 <div class="avatar_border_1px w150 p2 p0_b bg3"><a class="txt_undec" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=$v['name']?>" title="Ссылка на творческий альбом: <?=$v['title']?>"><img src="<?if( !$v['icon_name'] || !$v['icon_type'] ): echo SHOST.'/uploads/art_gallery/noimage.png'; else: echo FRB_IconCheck( 'uploads/art_gallery/', $v['icon_name'], $v['icon_type'], 150, 100, true ); endif;?>" alt="" width="150" height="100" /></a></div>
</div>
<div class="flt_right w575">
 <a class="txt_undec d_block flt_left lh_standart" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=$v['name']?>" title="Ссылка на творческий альбом: <?=$v['title']?>"><b class="text_color1"><?=$v['title']?></b></a>
 <div class="flt_right w100 a_right  text_min_11px lh_standart">Изображений: <?=(int)$v['count']?></div>
 <div class="warp5"></div>
 <div class="a_justify p5_l p5_r"><?=nl2br( $v['description'] )?></div>
 <div class="warp5"></div>
 <?if( SonetUserPage::GetIsOwner() ):?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-album/<?=$v['name']?>" title="Редактировать альбом: <?=$v['title']?>">Редактировать</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?if( $v['show'] ):?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['aid']?>" title="Скрыть альбом: <?=$v['title']?>">Скрыть</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?else:?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['aid']?>" title="Показать альбом: <?=$v['title']?>">Показать</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?endif;?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-album/<?=$v['name']?>/image-add" title="Добавить изображение в альбом: <?=$v['title']?>">Добавить изображение</a>
 <?endif;?>
 
 <div class="flt_right text_min_11px lh_standart">Обновлен: <?=$upddates['day']['num']?>.<?=$upddates['month']['num']?>.<?=$upddates['year']?></div>
 <div class="flt_right text_min_11px lh_standart">Добавлен: <?=$adddates['day']['num']?>.<?=$adddates['month']['num']?>.<?=$adddates['year']?>&nbsp;|&nbsp;</div>
</div>
<div class="warp15"></div>
<hr class="bbcode" />
<div class="warp15"></div>
  <?endforeach;?>
  
 <?if( sizeof( $RTDT['albums_hide'] ) ):?>
<div class="warp20"></div>
<h4 class="sonet_subhead">Скрытые альбомы</h4> 
<div class="warp10"></div>  
  <?foreach( $RTDT['albums_hide'] as $i => $v ):?>
    <?$adddates = UnixToNormal( $v['date_add']    );?>
    <?$upddates = UnixToNormal( $v['date_update'] );?>
<div class="flt_left w175">
 <div class="avatar_border_1px w150 p2 p0_b bg3"><a class="txt_undec" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=$v['name']?>" title="Ссылка на творческий альбом: <?=$v['title']?>"><img src="<?if( !$v['icon_name'] || !$v['icon_type'] ): echo SHOST.'/uploads/art_gallery/noimage.png'; else: echo FRB_IconCheck( 'uploads/art_gallery/', $v['icon_name'], $v['icon_type'], 150, 100, true ); endif;?>" alt="" width="150" height="100" /></a></div>
</div>
<div class="flt_right w575">
 <a class="txt_undec d_block flt_left lh_standart" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=$v['name']?>" title="Ссылка на творческий альбом: <?=$v['title']?>"><b class="text_color1"><?=$v['title']?></b></a>
 <div class="warp5"></div>
 <div class="a_justify p5_l p5_r"><?=nl2br( $v['description'] )?></div>
 <div class="warp5"></div>
 <?if( SonetUserPage::GetIsOwner() ):?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-album/<?=$v['name']?>" title="Редактировать альбом: <?=$v['title']?>">Редактировать</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?if( $v['show'] ):?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=hide&id=<?=$v['aid']?>" title="Скрыть альбом: <?=$v['title']?>">Скрыть</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?else:?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>?act=show&id=<?=$v['aid']?>" title="Показать альбом: <?=$v['title']?>">Показать</a><span class=" text_min_11px d_block flt_left  lh_standart text_color1">&nbsp;|&nbsp;</span>
   <?endif;?>
 <a class="txt_undec d_block flt_left text_min_11px lh_standart text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-album/<?=$v['name']?>/image-add" title="Добавить изображение в альбом: <?=$v['title']?>">Добавить изображение</a>
 <?endif;?>
 
 <div class="flt_right text_min_11px lh_standart">Обновлен: <?=$upddates['day']['num']?>.<?=$upddates['month']['num']?>.<?=$upddates['year']?></div>
 <div class="flt_right text_min_11px lh_standart">Добавлен: <?=$adddates['day']['num']?>.<?=$adddates['month']['num']?>.<?=$adddates['year']?>&nbsp;|&nbsp;</div>
</div>
<div class="warp15"></div>
<hr class="bbcode" />
<div class="warp15"></div>
  <?endforeach;?>
 <?endif;?>  
  
<?else:?>
  <?if( PMReturn::GetFLAG1() == 'image-list' ):?>
    <?if( !$RTDT['arow']['show'] ):?>
  <div class="status_warning">
   <div class="title"><span></span>Альбом скрыт от просмотра.</div>
   <div class="txt">
    Внимание, данный альбом был скрыт от просмотра, это означает, что только вы можете его просматривать.
    <br /><br />
    Данный режим хорош для редактирования, пожалуйста, не забудьте опубликовать альбом после того как закончите редактирование или какие-либо другие действия.  
   </div>
  </div> 
  <div class="warp20"></div>    
    <?endif;?>

    <?if( sizeof( $RTDT['images'] ) ):?>  
      <?foreach( $RTDT['images'] as $i => $v ):?>
      <div class="flt_left avatar_border_1px p2 p0_b m5 bg3"><a class="txt_undec" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=$v['name']?>" title="Ссылка на изображение: <?=$v['title']?>"><img src="<?=FRB_IconCheck( 'uploads/art_gallery/', $v['file_name'], $v['file_type'], 239, 150, true )?>" alt="Изображение: <?=$v['title']?>" width="239" height="150" /></a></div>
      <?endforeach;?> 
    <?else:?>
  <div class="status_info">
   <div class="title"><span></span>Нет изображений.</div>
   <div class="txt">
    <?$gend_stat = array( 'male' => 'добавил', 'female' => 'добавила' )?>
    В данном альбоме нет изображений,  <?=SonetUserPage::GetTitle()?> еще не <?=$gend_stat[SonetUserPage::GetGender()]?> изображения.<br /><br /> 
    Возможно, через некоторое время в этом альбоме появятся изображения.
   </div>
  </div>      
    <?endif;?>
  <?elseif( PMReturn::GetFLAG1() == 'image-current' ):?>
<script type="text/javascript"> 
	hs.graphicsDir = '<?=SHOST?>/design/<?=SiteSettings::GetSetting( 'uni' )?>/graphics/';
	hs.cacheAjax = false;
	hs.numberOfImagesToPreload = 0;
	hs.align = 'center';

	hs.transitions = ['expand', 'crossfade'];
	hs.wrapperClassName = 'dark';

	hs.fadeInOut = true;
	hs.dimmingOpacity = 0.8;
	hs.outlineType = 'rounded-black';
	hs.captionEval = 'this.thumb.alt';
	hs.marginBottom = 105;
	hs.numberPosition = 'caption';


	hs.addSlideshow({
		//slideshowGroup: 'group1',

		interval: 5000,
		repeat: false,
		useControls: true,
		overlayOptions: {
			className: 'text-controls',
			position: 'bottom center',
			relativeTo: 'viewport',
			offsetY: -60
		},

		thumbstrip: {
			position: 'bottom center',
			mode: 'horizontal',
			relativeTo: 'viewport'
		}
	});

</script>  
    <?$adddates = UnixToNormal( $RTDT['image']['date_add']    );?>
    <?$upddates = UnixToNormal( $RTDT['image']['date_update'] );?>
    <?$reserv_images = $RTDT['images_list'];?>
    <?$reserv_width  = 760;?>
    <?foreach( $RTDT['images_list'] as $i => $v ):?>
      <?if( $v['file_name'] != $RTDT['image']['file_name'] ): unset( $RTDT['images_list'][$i] );?>
      <a class="highslide d_none" href="<?=SHOST?>/uploads/art_gallery/<?=$v['file_name']?>.<?=$v['file_type']?>" onclick="return hs.expand(this)"><img src="<?=FRB_IconCheckUnAdapt( 'uploads/art_gallery/', $v['file_name'], $v['file_type'], 100, 50, true )?>" alt="<?=$v['title']?>"/></a>
      <?else: unset( $RTDT['images_list'][$i] ); $cimg_index = $i; break;?>
      <?endif;?>
    <?endforeach;?>
    <?if( $reserv_images[$i-1]['file_name'] ): $reserv_width  -= 100; endif;?>
    <?if( $reserv_images[$i+1]['file_name'] ): $reserv_width  -= 100; endif;?>
      
      <div class="avatar_border_1px p2 bg3 hvr_bg3">
       <div class="h500" style="width:760px; background: url('<?=FRB_IconCheck( 'uploads/art_gallery/', $RTDT['image']['file_name'], $RTDT['image']['file_type'], 760, 500, true )?>') center center no-repeat;">
    <?if( $reserv_images[$i-1]['file_name'] ):?>       
        <a class="FRBOX_GalleryPager_left show_onhover1"  href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=$reserv_images[$i-1]['name']?>" title="<?=$reserv_images[$i-1]['title']?>"><span></span></a>
    <?endif;?>         
        <a class="highslide d_block h500 flt_left" style="width:<?=$reserv_width?>px;" href="<?=SHOST?>/uploads/art_gallery/<?=$RTDT['image']['file_name']?>.<?=$RTDT['image']['file_type']?>"  onclick="return hs.expand(this)" title="Открыть галерею"><img class="d_none" src="<?=FRB_IconCheckUnAdapt( 'uploads/art_gallery/', $RTDT['image']['file_name'], $RTDT['image']['file_type'], 760, 500, true )?>" alt="<?=$RTDT['image']['title']?>"/></a>
    <?if( $reserv_images[$i+1]['file_name'] ):?>       
        <a class="FRBOX_GalleryPager_right show_onhover1"  href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/<?=UrlDecoder::GetCUri( 2 )?>/<?=$reserv_images[$i+1]['name']?>" title="<?=$reserv_images[$i+1]['title']?>"><span></span></a>
    <?endif;?>
        <div class="warp"></div>         
       </div>
      </div>
    <?foreach( $RTDT['images_list'] as $i => $v ):?>
      <a class="highslide d_none" href="<?=SHOST?>/uploads/art_gallery/<?=$v['file_name']?>.<?=$v['file_type']?>" onclick="return hs.expand(this)"><img src="<?=FRB_IconCheckUnAdapt( 'uploads/art_gallery/', $v['file_name'], $v['file_type'], 100, 50, true )?>" alt="<?=$v['title']?>"/></a>
    <?endforeach;?>  

      <div class="p5 bg3">
        <a class="txt_undec d_block flt_left text_min_11px  lh_big text_color1" href="<?=SHOST?>/uploads/art_gallery/<?=$RTDT['image']['file_name']?>.<?=$RTDT['image']['file_type']?>" title="Ссылка на оригинал изображения: <?=$RTDT['image']['title']?>">Оригинал изображения</a>
    <?if( SonetUserPage::GetIsOwner() ):?>      
        <span class="text_min_11px d_block flt_left  lh_big text_color1">&nbsp;|&nbsp;</span>
        <a class="txt_undec d_block flt_left text_min_11px lh_big text_color1" href="<?=SHOST?>/<?=UrlDecoder::GetCUri( 0 )?>/<?=UrlDecoder::GetCUri( 1 )?>/edit-album/<?=UrlDecoder::GetCUri( 2 )?>#image_<?=$RTDT['image']['iid']?>" title="Редактировать изображение: <?=$RTDT['image']['title']?>">Редактировать</a>
    <?endif;?>     
        
        <div class="flt_right text_min_11px lh_standart">Обновлено: <?=$upddates['day']['num']?>.<?=$upddates['month']['num']?>.<?=$upddates['year']?></div>
        <div class="flt_right text_min_11px lh_standart">Добавлено: <?=$adddates['day']['num']?>.<?=$adddates['month']['num']?>.<?=$adddates['year']?>&nbsp;|&nbsp;</div>
        <div class="warp"></div>              
      </div>      
    <?if( $RTDT['image']['description'] != '' ):?>
      <div class="warp10"></div>      
      <div class="p5 a_justify bg3 rad4 text_min_11px lh_smaller text_color4"><?=nl2br( $RTDT['image']['description'] )?></div>
    <?endif;?>
<div class="warp20"></div>
<div class="FRBOX_CommentaryOnLoad" id="FRBOX_CommentaryOnLoad">
 <input name="type" type="hidden" value="user_art_gallery" />
 <input name="tid" type="hidden" value="<?=$RTDT['image']['iid']?>" />
 <input name="nid" type="hidden" value="<?=$RTDT['image']['uid']?>" />
 <div id="FRBOX_CommentaryOnLoad_field"></div>
</div>    
  <?endif;?>
<?endif;?>